/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTACH = 372,
    ATTRIBUTE = 373,
    AUTHORIZATION = 374,
    BACKWARD = 375,
    BEFORE = 376,
    BEGIN_P = 377,
    BETWEEN = 378,
    BIGINT = 379,
    BINARY = 380,
    BIT = 381,
    BOOLEAN_P = 382,
    BOTH = 383,
    BY = 384,
    CACHE = 385,
    CALLED = 386,
    CASCADE = 387,
    CASCADED = 388,
    CASE = 389,
    CAST = 390,
    CATALOG_P = 391,
    CHAIN = 392,
    CHAR_P = 393,
    CHARACTER = 394,
    CHARACTERISTICS = 395,
    CHECK = 396,
    CHECKPOINT = 397,
    CLASS = 398,
    CLOSE = 399,
    CLUSTER = 400,
    COALESCE = 401,
    COLLATE = 402,
    COLLATION = 403,
    COLUMN = 404,
    COLUMNS = 405,
    COMMENT = 406,
    COMMENTS = 407,
    COMMIT = 408,
    COMMITTED = 409,
    CONCURRENTLY = 410,
    CONFIGURATION = 411,
    CONFLICT = 412,
    CONNECTION = 413,
    CONSTRAINT = 414,
    CONSTRAINTS = 415,
    CONTENT_P = 416,
    CONTINUE_P = 417,
    CONVERSION_P = 418,
    COPY = 419,
    COST = 420,
    CREATE = 421,
    CROSS = 422,
    CSV = 423,
    CUBE = 424,
    CURRENT_P = 425,
    CURRENT_CATALOG = 426,
    CURRENT_DATE = 427,
    CURRENT_ROLE = 428,
    CURRENT_SCHEMA = 429,
    CURRENT_TIME = 430,
    CURRENT_TIMESTAMP = 431,
    CURRENT_USER = 432,
    CURSOR = 433,
    CYCLE = 434,
    DATA_P = 435,
    DATABASE = 436,
    DAY_P = 437,
    DEALLOCATE = 438,
    DEC = 439,
    DECIMAL_P = 440,
    DECLARE = 441,
    DEFAULT = 442,
    DEFAULTS = 443,
    DEFERRABLE = 444,
    DEFERRED = 445,
    DEFINER = 446,
    DELETE_P = 447,
    DELIMITER = 448,
    DELIMITERS = 449,
    DEPENDS = 450,
    DESC = 451,
    DETACH = 452,
    DICTIONARY = 453,
    DISABLE_P = 454,
    DISCARD = 455,
    DISTINCT = 456,
    DO = 457,
    DOCUMENT_P = 458,
    DOMAIN_P = 459,
    DOUBLE_P = 460,
    DROP = 461,
    EACH = 462,
    ELSE = 463,
    ENABLE_P = 464,
    ENCODING = 465,
    ENCRYPTED = 466,
    END_P = 467,
    ENUM_P = 468,
    ESCAPE = 469,
    EVENT = 470,
    EXCEPT = 471,
    EXCLUDE = 472,
    EXCLUDING = 473,
    EXCLUSIVE = 474,
    EXECUTE = 475,
    EXISTS = 476,
    EXPLAIN = 477,
    EXTENSION = 478,
    EXTERNAL = 479,
    EXTRACT = 480,
    FALSE_P = 481,
    FAMILY = 482,
    FETCH = 483,
    FILTER = 484,
    FIRST_P = 485,
    FLOAT_P = 486,
    FOLLOWING = 487,
    FOR = 488,
    FORCE = 489,
    FOREIGN = 490,
    FORWARD = 491,
    FREEZE = 492,
    FROM = 493,
    FULL = 494,
    FUNCTION = 495,
    FUNCTIONS = 496,
    GENERATED = 497,
    GLOBAL = 498,
    GRANT = 499,
    GRANTED = 500,
    GREATEST = 501,
    GROUP_P = 502,
    GROUPING = 503,
    HANDLER = 504,
    HAVING = 505,
    HEADER_P = 506,
    HOLD = 507,
    HOUR_P = 508,
    IDENTITY_P = 509,
    IF_P = 510,
    ILIKE = 511,
    IMMEDIATE = 512,
    IMMUTABLE = 513,
    IMPLICIT_P = 514,
    IMPORT_P = 515,
    IN_P = 516,
    INCLUDING = 517,
    INCREMENT = 518,
    INDEX = 519,
    INDEXES = 520,
    INHERIT = 521,
    INHERITS = 522,
    INITIALLY = 523,
    INLINE_P = 524,
    INNER_P = 525,
    INOUT = 526,
    INPUT_P = 527,
    INSENSITIVE = 528,
    INSERT = 529,
    INSTEAD = 530,
    INT_P = 531,
    INTEGER = 532,
    INTERSECT = 533,
    INTERVAL = 534,
    INTO = 535,
    INVOKER = 536,
    IS = 537,
    ISNULL = 538,
    ISOLATION = 539,
    JOIN = 540,
    KEY = 541,
    LABEL = 542,
    LANGUAGE = 543,
    LARGE_P = 544,
    LAST_P = 545,
    LATERAL_P = 546,
    LEADING = 547,
    LEAKPROOF = 548,
    LEAST = 549,
    LEFT = 550,
    LEVEL = 551,
    LIKE = 552,
    LIMIT = 553,
    LISTEN = 554,
    LOAD = 555,
    LOCAL = 556,
    LOCALTIME = 557,
    LOCALTIMESTAMP = 558,
    LOCATION = 559,
    LOCK_P = 560,
    LOCKED = 561,
    LOGGED = 562,
    MAPPING = 563,
    MATCH = 564,
    MATERIALIZED = 565,
    MAXVALUE = 566,
    METHOD = 567,
    MINUTE_P = 568,
    MINVALUE = 569,
    MODE = 570,
    MONTH_P = 571,
    MOVE = 572,
    NAME_P = 573,
    NAMES = 574,
    NATIONAL = 575,
    NATURAL = 576,
    NCHAR = 577,
    NEW = 578,
    NEXT = 579,
    NO = 580,
    NONE = 581,
    NOT = 582,
    NOTHING = 583,
    NOTIFY = 584,
    NOTNULL = 585,
    NOWAIT = 586,
    NULL_P = 587,
    NULLIF = 588,
    NULLS_P = 589,
    NUMERIC = 590,
    OBJECT_P = 591,
    OF = 592,
    OFF = 593,
    OFFSET = 594,
    OIDS = 595,
    OLD = 596,
    ON = 597,
    ONLY = 598,
    OPERATOR = 599,
    OPTION = 600,
    OPTIONS = 601,
    OR = 602,
    ORDER = 603,
    ORDINALITY = 604,
    OUT_P = 605,
    OUTER_P = 606,
    OVER = 607,
    OVERLAPS = 608,
    OVERLAY = 609,
    OVERRIDING = 610,
    OWNED = 611,
    OWNER = 612,
    PARALLEL = 613,
    PARSER = 614,
    PARTIAL = 615,
    PARTITION = 616,
    PASSING = 617,
    PASSWORD = 618,
    PLACING = 619,
    PLANS = 620,
    POLICY = 621,
    POSITION = 622,
    PRECEDING = 623,
    PRECISION = 624,
    PRESERVE = 625,
    PREPARE = 626,
    PREPARED = 627,
    PRIMARY = 628,
    PRIOR = 629,
    PRIVILEGES = 630,
    PROCEDURAL = 631,
    PROCEDURE = 632,
    PROGRAM = 633,
    PUBLICATION = 634,
    QUOTE = 635,
    RANGE = 636,
    READ = 637,
    REAL = 638,
    REASSIGN = 639,
    RECHECK = 640,
    RECURSIVE = 641,
    REF = 642,
    REFERENCES = 643,
    REFERENCING = 644,
    REFRESH = 645,
    REINDEX = 646,
    RELATIVE_P = 647,
    RELEASE = 648,
    RENAME = 649,
    REPEATABLE = 650,
    REPLACE = 651,
    REPLICA = 652,
    RESET = 653,
    RESTART = 654,
    RESTRICT = 655,
    RETURNING = 656,
    RETURNS = 657,
    REVOKE = 658,
    RIGHT = 659,
    ROLE = 660,
    ROLLBACK = 661,
    ROLLUP = 662,
    ROW = 663,
    ROWS = 664,
    RULE = 665,
    SAVEPOINT = 666,
    SCHEMA = 667,
    SCHEMAS = 668,
    SCROLL = 669,
    SEARCH = 670,
    SECOND_P = 671,
    SECURITY = 672,
    SELECT = 673,
    SEQUENCE = 674,
    SEQUENCES = 675,
    SERIALIZABLE = 676,
    SERVER = 677,
    SESSION = 678,
    SESSION_USER = 679,
    SET = 680,
    SETS = 681,
    SETOF = 682,
    SHARE = 683,
    SHOW = 684,
    SIMILAR = 685,
    SIMPLE = 686,
    SKIP = 687,
    SMALLINT = 688,
    SNAPSHOT = 689,
    SOME = 690,
    SQL_P = 691,
    STABLE = 692,
    STANDALONE_P = 693,
    START = 694,
    STATEMENT = 695,
    STATISTICS = 696,
    STDIN = 697,
    STDOUT = 698,
    STORAGE = 699,
    STRICT_P = 700,
    STRIP_P = 701,
    SUBSCRIPTION = 702,
    SUBSTRING = 703,
    SYMMETRIC = 704,
    SYSID = 705,
    SYSTEM_P = 706,
    TABLE = 707,
    TABLES = 708,
    TABLESAMPLE = 709,
    TABLESPACE = 710,
    TEMP = 711,
    TEMPLATE = 712,
    TEMPORARY = 713,
    TEXT_P = 714,
    THEN = 715,
    TIME = 716,
    TIMESTAMP = 717,
    TO = 718,
    TRAILING = 719,
    TRANSACTION = 720,
    TRANSFORM = 721,
    TREAT = 722,
    TRIGGER = 723,
    TRIM = 724,
    TRUE_P = 725,
    TRUNCATE = 726,
    TRUSTED = 727,
    TYPE_P = 728,
    TYPES_P = 729,
    UNBOUNDED = 730,
    UNCOMMITTED = 731,
    UNENCRYPTED = 732,
    UNION = 733,
    UNIQUE = 734,
    UNKNOWN = 735,
    UNLISTEN = 736,
    UNLOGGED = 737,
    UNTIL = 738,
    UPDATE = 739,
    USER = 740,
    USING = 741,
    VACUUM = 742,
    VALID = 743,
    VALIDATE = 744,
    VALIDATOR = 745,
    VALUE_P = 746,
    VALUES = 747,
    VARCHAR = 748,
    VARIADIC = 749,
    VARYING = 750,
    VERBOSE = 751,
    VERSION_P = 752,
    VIEW = 753,
    VIEWS = 754,
    VOLATILE = 755,
    WHEN = 756,
    WHERE = 757,
    WHITESPACE_P = 758,
    WINDOW = 759,
    WITH = 760,
    WITHIN = 761,
    WITHOUT = 762,
    WORK = 763,
    WRAPPER = 764,
    WRITE = 765,
    XML_P = 766,
    XMLATTRIBUTES = 767,
    XMLCONCAT = 768,
    XMLELEMENT = 769,
    XMLEXISTS = 770,
    XMLFOREST = 771,
    XMLNAMESPACES = 772,
    XMLPARSE = 773,
    XMLPI = 774,
    XMLROOT = 775,
    XMLSERIALIZE = 776,
    XMLTABLE = 777,
    YEAR_P = 778,
    YES_P = 779,
    ZONE = 780,
    NOT_LA = 781,
    NULLS_LA = 782,
    WITH_LA = 783,
    POSTFIXOP = 784,
    UMINUS = 785
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1233 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1262 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   132833

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  550
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  795
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3131
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5948

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   785

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   537,     2,     2,
     542,   543,   535,   533,   545,   534,   544,   536,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   547,   546,
     529,   531,   530,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   540,     2,   541,   538,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   548,     2,   549,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   532,   539
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1597,  1597,  1600,  1602,  1604,  1606,  1608,  1610,  1612,
    1614,  1616,  1618,  1620,  1622,  1624,  1626,  1628,  1630,  1632,
    1634,  1636,  1638,  1640,  1642,  1644,  1646,  1648,  1650,  1652,
    1654,  1656,  1658,  1660,  1662,  1664,  1666,  1684,  1686,  1688,
    1690,  1692,  1694,  1696,  1698,  1700,  1702,  1704,  1706,  1708,
    1710,  1712,  1714,  1716,  1718,  1720,  1722,  1724,  1726,  1728,
    1730,  1732,  1734,  1736,  1738,  1740,  1742,  1744,  1746,  1748,
    1750,  1752,  1754,  1756,  1760,  1762,  1764,  1766,  1768,  1770,
    1772,  1774,  1776,  1778,  1780,  1782,  1784,  1786,  1788,  1790,
    1792,  1794,  1796,  1798,  1800,  1802,  1804,  1806,  1808,  1810,
    1812,  1814,  1816,  1818,  1820,  1822,  1829,  1831,  1833,  1835,
    1837,  1839,  1841,  1843,  1845,  1847,  1849,  1851,  1857,  1859,
    1861,  1863,  1865,  1867,  1869,  1871,  1873,  1879,  1889,  1893,
    1899,  1903,  1913,  1923,  1924,  1938,  1945,  1951,  1962,  1968,
    1977,  1984,  1990,  1999,  2006,  2014,  2019,  2027,  2031,  2036,
    2042,  2047,  2053,  2058,  2064,  2068,  2072,  2076,  2081,  2085,
    2089,  2093,  2097,  2105,  2109,  2113,  2117,  2121,  2125,  2133,
    2141,  2145,  2154,  2156,  2164,  2168,  2172,  2176,  2184,  2188,
    2192,  2196,  2200,  2204,  2212,  2220,  2228,  2232,  2240,  2244,
    2248,  2253,  2262,  2267,  2273,  2278,  2284,  2288,  2292,  2296,
    2300,  2304,  2312,  2316,  2320,  2328,  2332,  2336,  2344,  2348,
    2352,  2356,  2357,  2361,  2365,  2369,  2374,  2378,  2382,  2386,
    2390,  2394,  2398,  2406,  2410,  2418,  2422,  2430,  2434,  2448,
    2452,  2456,  2460,  2468,  2472,  2476,  2480,  2488,  2492,  2496,
    2500,  2504,  2508,  2512,  2520,  2524,  2529,  2535,  2539,  2547,
    2555,  2559,  2563,  2567,  2575,  2579,  2587,  2591,  2599,  2603,
    2611,  2615,  2619,  2623,  2627,  2636,  2644,  2648,  2656,  2660,
    2668,  2676,  2680,  2684,  2688,  2692,  2700,  2704,  2708,  2712,
    2716,  2720,  2724,  2728,  2732,  2736,  2740,  2744,  2748,  2752,
    2756,  2760,  2764,  2768,  2776,  2780,  2788,  2792,  2800,  2804,
    2808,  2812,  2816,  2820,  2824,  2828,  2832,  2836,  2840,  2844,
    2848,  2852,  2856,  2860,  2864,  2868,  2872,  2876,  2880,  2884,
    2888,  2892,  2896,  2900,  2904,  2908,  2912,  2916,  2920,  2924,
    2928,  2932,  2936,  2940,  2944,  2948,  2952,  2956,  2960,  2964,
    2968,  2972,  2976,  2980,  2984,  2988,  2992,  2996,  3000,  3004,
    3008,  3012,  3016,  3020,  3028,  3032,  3040,  3044,  3049,  3055,
    3060,  3066,  3071,  3077,  3081,  3085,  3089,  3097,  3105,  3110,
    3116,  3120,  3128,  3132,  3136,  3140,  3148,  3152,  3160,  3164,
    3168,  3172,  3180,  3184,  3192,  3196,  3200,  3208,  3212,  3220,
    3224,  3232,  3236,  3240,  3248,  3256,  3260,  3268,  3272,  3276,
    3280,  3288,  3293,  3301,  3309,  3317,  3321,  3329,  3334,  3340,
    3344,  3348,  3356,  3360,  3368,  3373,  3379,  3383,  3387,  3391,
    3395,  3399,  3403,  3407,  3411,  3415,  3419,  3423,  3427,  3431,
    3439,  3444,  3450,  3455,  3461,  3466,  3472,  3477,  3483,  3487,
    3495,  3503,  3507,  3511,  3515,  3520,  3526,  3530,  3538,  3546,
    3550,  3554,  3558,  3562,  3566,  3574,  3578,  3582,  3586,  3590,
    3594,  3598,  3603,  3609,  3614,  3620,  3625,  3631,  3635,  3643,
    3647,  3655,  3659,  3663,  3671,  3675,  3683,  3691,  3695,  3703,
    3708,  3714,  3718,  3722,  3726,  3734,  3738,  3742,  3746,  3750,
    3754,  3758,  3762,  3770,  3774,  3782,  3786,  3790,  3794,  3802,
    3810,  3814,  3819,  3825,  3829,  3833,  3837,  3841,  3845,  3849,
    3857,  3861,  3869,  3873,  3877,  3881,  3885,  3889,  3893,  3901,
    3906,  3912,  3917,  3923,  3927,  3935,  3943,  3947,  3952,  3957,
    3963,  3967,  3975,  3979,  3987,  3992,  3998,  4002,  4006,  4010,
    4015,  4021,  4029,  4037,  4041,  4045,  4049,  4053,  4061,  4066,
    4072,  4077,  4083,  4091,  4095,  4103,  4107,  4115,  4119,  4123,
    4131,  4135,  4139,  4144,  4150,  4154,  4158,  4163,  4169,  4174,
    4180,  4185,  4191,  4199,  4203,  4211,  4219,  4223,  4228,  4234,
    4238,  4246,  4254,  4259,  4265,  4273,  4277,  4285,  4289,  4297,
    4302,  4308,  4313,  4319,  4323,  4331,  4335,  4339,  4343,  4347,
    4351,  4355,  4359,  4363,  4367,  4371,  4375,  4379,  4383,  4391,
    4396,  4402,  4406,  4410,  4414,  4422,  4426,  4434,  4438,  4446,
    4451,  4457,  4461,  4469,  4474,  4480,  4484,  4492,  4497,  4503,
    4507,  4515,  4520,  4526,  4534,  4539,  4545,  4549,  4557,  4561,
    4569,  4574,  4580,  4584,  4588,  4592,  4600,  4608,  4613,  4619,
    4627,  4631,  4635,  4639,  4643,  4647,  4651,  4655,  4659,  4663,
    4667,  4671,  4675,  4679,  4683,  4687,  4691,  4695,  4699,  4703,
    4707,  4711,  4715,  4719,  4723,  4727,  4735,  4743,  4747,  4751,
    4755,  4763,  4767,  4775,  4780,  4786,  4790,  4798,  4803,  4809,
    4813,  4821,  4829,  4833,  4841,  4845,  4849,  4853,  4861,  4869,
    4877,  4885,  4889,  4897,  4902,  4908,  4912,  4920,  4925,  4931,
    4935,  4939,  4947,  4951,  4955,  4959,  4967,  4971,  4979,  4987,
    4991,  4999,  5004,  5010,  5014,  5022,  5026,  5034,  5038,  5046,
    5054,  5062,  5070,  5075,  5081,  5086,  5092,  5097,  5103,  5108,
    5114,  5119,  5125,  5130,  5136,  5140,  5144,  5148,  5152,  5160,
    5168,  5172,  5180,  5184,  5188,  5196,  5200,  5208,  5212,  5216,
    5220,  5224,  5232,  5237,  5243,  5247,  5255,  5263,  5267,  5275,
    5279,  5287,  5295,  5300,  5306,  5311,  5317,  5321,  5329,  5334,
    5340,  5344,  5349,  5355,  5359,  5363,  5367,  5375,  5380,  5387,
    5389,  5397,  5401,  5405,  5409,  5413,  5417,  5425,  5429,  5437,
    5441,  5449,  5457,  5461,  5469,  5477,  5481,  5485,  5489,  5497,
    5506,  5515,  5519,  5523,  5527,  5531,  5535,  5539,  5543,  5547,
    5551,  5555,  5559,  5563,  5567,  5571,  5575,  5583,  5591,  5595,
    5603,  5607,  5615,  5619,  5623,  5627,  5631,  5635,  5643,  5651,
    5655,  5663,  5671,  5676,  5682,  5686,  5694,  5698,  5702,  5706,
    5714,  5719,  5725,  5733,  5737,  5745,  5749,  5753,  5757,  5761,
    5769,  5774,  5780,  5785,  5791,  5795,  5800,  5806,  5812,  5818,
    5826,  5830,  5838,  5842,  5850,  5854,  5862,  5866,  5874,  5878,
    5886,  5894,  5902,  5906,  5910,  5914,  5918,  5922,  5926,  5930,
    5934,  5938,  5942,  5946,  5954,  5958,  5962,  5966,  5970,  5974,
    5978,  5982,  5986,  5990,  5994,  5998,  6002,  6010,  6014,  6018,
    6022,  6026,  6030,  6034,  6042,  6046,  6050,  6058,  6062,  6070,
    6074,  6082,  6086,  6094,  6098,  6099,  6107,  6111,  6116,  6122,
    6126,  6130,  6134,  6138,  6142,  6146,  6150,  6154,  6158,  6162,
    6166,  6170,  6174,  6178,  6182,  6186,  6194,  6198,  6202,  6206,
    6210,  6214,  6218,  6222,  6226,  6230,  6234,  6238,  6242,  6246,
    6254,  6258,  6262,  6266,  6270,  6274,  6278,  6282,  6286,  6290,
    6294,  6298,  6306,  6310,  6318,  6322,  6326,  6330,  6334,  6338,
    6342,  6350,  6355,  6361,  6365,  6369,  6373,  6377,  6381,  6389,
    6393,  6397,  6401,  6405,  6409,  6413,  6417,  6425,  6429,  6437,
    6441,  6445,  6449,  6455,  6461,  6467,  6473,  6479,  6485,  6491,
    6501,  6512,  6523,  6534,  6545,  6556,  6567,  6583,  6599,  6615,
    6626,  6642,  6653,  6669,  6684,  6688,  6696,  6701,  6707,  6715,
    6719,  6727,  6731,  6735,  6739,  6743,  6751,  6755,  6763,  6767,
    6771,  6775,  6783,  6787,  6791,  6795,  6799,  6803,  6807,  6811,
    6815,  6819,  6823,  6827,  6831,  6835,  6839,  6843,  6851,  6855,
    6863,  6867,  6875,  6880,  6886,  6894,  6898,  6906,  6911,  6917,
    6922,  6928,  6936,  6941,  6947,  6951,  6955,  6963,  6967,  6971,
    6979,  6983,  6987,  6991,  6995,  7003,  7007,  7015,  7020,  7026,
    7031,  7037,  7042,  7048,  7053,  7059,  7063,  7071,  7075,  7079,
    7087,  7092,  7098,  7103,  7109,  7113,  7118,  7124,  7128,  7133,
    7139,  7143,  7147,  7155,  7160,  7166,  7170,  7178,  7182,  7190,
    7194,  7202,  7206,  7210,  7214,  7222,  7226,  7234,  7238,  7246,
    7250,  7254,  7258,  7262,  7270,  7274,  7278,  7282,  7286,  7294,
    7302,  7310,  7314,  7318,  7326,  7330,  7334,  7342,  7351,  7355,
    7359,  7363,  7371,  7375,  7383,  7391,  7395,  7403,  7407,  7415,
    7419,  7423,  7427,  7431,  7435,  7439,  7443,  7447,  7451,  7455,
    7459,  7463,  7467,  7471,  7475,  7483,  7487,  7491,  7495,  7499,
    7507,  7511,  7519,  7523,  7531,  7536,  7542,  7550,  7554,  7562,
    7570,  7574,  7582,  7587,  7593,  7597,  7605,  7609,  7617,  7621,
    7629,  7633,  7637,  7641,  7649,  7653,  7661,  7665,  7673,  7681,
    7689,  7693,  7701,  7705,  7713,  7717,  7721,  7729,  7733,  7738,
    7744,  7752,  7757,  7763,  7771,  7775,  7779,  7783,  7791,  7799,
    7803,  7807,  7811,  7819,  7823,  7831,  7835,  7839,  7847,  7851,
    7859,  7867,  7871,  7879,  7883,  7887,  7891,  7895,  7899,  7903,
    7907,  7911,  7915,  7919,  7923,  7927,  7931,  7935,  7939,  7943,
    7947,  7951,  7955,  7959,  7963,  7967,  7971,  7975,  7979,  7983,
    7987,  7991,  7995,  7999,  8003,  8007,  8011,  8015,  8019,  8023,
    8027,  8031,  8035,  8039,  8043,  8047,  8051,  8055,  8059,  8063,
    8067,  8071,  8075,  8079,  8087,  8092,  8098,  8103,  8109,  8113,
    8117,  8121,  8129,  8133,  8137,  8141,  8145,  8149,  8153,  8157,
    8161,  8165,  8169,  8173,  8177,  8181,  8185,  8189,  8193,  8197,
    8201,  8205,  8209,  8213,  8217,  8221,  8225,  8233,  8241,  8245,
    8253,  8257,  8265,  8269,  8273,  8277,  8281,  8289,  8293,  8297,
    8301,  8305,  8309,  8313,  8317,  8321,  8325,  8329,  8333,  8337,
    8341,  8345,  8349,  8353,  8357,  8361,  8365,  8369,  8373,  8381,
    8389,  8394,  8400,  8404,  8412,  8416,  8420,  8424,  8432,  8440,
    8444,  8452,  8460,  8464,  8468,  8472,  8476,  8480,  8488,  8492,
    8500,  8508,  8512,  8516,  8524,  8528,  8536,  8540,  8544,  8548,
    8552,  8560,  8565,  8571,  8575,  8579,  8583,  8591,  8595,  8600,
    8606,  8614,  8619,  8625,  8633,  8637,  8645,  8649,  8653,  8657,
    8661,  8665,  8669,  8673,  8677,  8681,  8685,  8689,  8693,  8697,
    8705,  8709,  8714,  8720,  8724,  8728,  8732,  8736,  8744,  8748,
    8752,  8760,  8765,  8771,  8775,  8779,  8784,  8793,  8797,  8801,
    8806,  8812,  8820,  8828,  8833,  8839,  8843,  8851,  8855,  8859,
    8867,  8871,  8875,  8879,  8883,  8887,  8891,  8899,  8904,  8910,
    8914,  8918,  8926,  8934,  8938,  8946,  8954,  8958,  8966,  8974,
    8978,  8982,  8986,  8990,  8994,  8998,  9006,  9011,  9017,  9025,
    9029,  9033,  9037,  9041,  9045,  9053,  9057,  9065,  9073,  9077,
    9081,  9089,  9094,  9100,  9104,  9108,  9112,  9116,  9124,  9128,
    9136,  9140,  9144,  9148,  9152,  9160,  9164,  9172,  9176,  9184,
    9189,  9195,  9200,  9206,  9211,  9217,  9222,  9228,  9232,  9236,
    9240,  9248,  9252,  9256,  9260,  9264,  9268,  9272,  9276,  9280,
    9288,  9292,  9300,  9308,  9312,  9320,  9324,  9329,  9335,  9341,
    9351,  9356,  9362,  9366,  9370,  9374,  9382,  9384,  9392,  9397,
    9403,  9411,  9415,  9423,  9427,  9431,  9435,  9439,  9447,  9451,
    9459,  9463,  9471,  9479,  9483,  9488,  9494,  9498,  9503,  9509,
    9514,  9520,  9528,  9533,  9539,  9547,  9552,  9558,  9562,  9566,
    9570,  9574,  9578,  9582,  9586,  9594,  9599,  9605,  9609,  9614,
    9620,  9628,  9632,  9640,  9644,  9652,  9660,  9664,  9672,  9725,
    9729,  9742,  9744,  9748,  9752,  9756,  9765,  9771,  9775,  9783,
    9787,  9795,  9799,  9807,  9811,  9815,  9819,  9823,  9827,  9831,
    9835,  9843,  9847,  9855,  9859,  9863,  9867,  9871,  9875,  9879,
    9887,  9891,  9895,  9903,  9907,  9915,  9923,  9928,  9934,  9939,
    9941,  9947,  9951,  9955,  9959,  9963,  9967,  9971,  9975,  9979,
    9987,  9992,  9998, 10002, 10007, 10013, 10017, 10025, 10030, 10036,
   10041, 10047, 10055, 10059, 10067, 10071, 10079, 10083, 10087, 10091,
   10099, 10104, 10110, 10114, 10119, 10127, 10131, 10139, 10143, 10151,
   10159, 10163, 10168, 10174, 10182, 10186, 10194, 10198, 10206, 10211,
   10217, 10221, 10229, 10233, 10237, 10241, 10245, 10253, 10261, 10269,
   10277, 10285, 10290, 10296, 10300, 10308, 10313, 10319, 10323, 10331,
   10339, 10343, 10347, 10351, 10359, 10364, 10370, 10374, 10382, 10387,
   10393, 10397, 10405, 10409, 10413, 10417, 10421, 10425, 10429, 10436,
   10443, 10447, 10455, 10459, 10463, 10467, 10471, 10475, 10483, 10487,
   10491, 10495, 10503, 10508, 10514, 10518, 10522, 10526, 10531, 10537,
   10541, 10545, 10549, 10557, 10562, 10568, 10572, 10580, 10584, 10588,
   10592, 10600, 10604, 10612, 10616, 10620, 10628, 10636, 10641, 10647,
   10651, 10659, 10667, 10671, 10679, 10684, 10690, 10695, 10701, 10706,
   10712, 10716, 10722, 10728, 10733, 10739, 10743, 10751, 10759, 10763,
   10771, 10775, 10783, 10787, 10791, 10799, 10803, 10811, 10815, 10819,
   10823, 10831, 10835, 10843, 10847, 10855, 10857, 10859, 10863, 10867,
   10871, 10879, 10889, 10900, 10909, 10913, 10917, 10921, 10925, 10929,
   10933, 10941, 10945, 10949, 10953, 10961, 10965, 10973, 10978, 10984,
   10988, 10992, 10996, 11000, 11004, 11008, 11012, 11016, 11020, 11024,
   11032, 11037, 11043, 11047, 11055, 11059, 11067, 11075, 11083, 11087,
   11095, 11099, 11107, 11115, 11123, 11127, 11131, 11135, 11139, 11143,
   11151, 11156, 11162, 11166, 11170, 11174, 11182, 11190, 11194, 11199,
   11205, 11209, 11213, 11217, 11221, 11225, 11229, 11233, 11237, 11241,
   11245, 11249, 11253, 11258, 11264, 11268, 11276, 11280, 11284, 11288,
   11292, 11296, 11300, 11304, 11308, 11312, 11316, 11320, 11324, 11328,
   11332, 11336, 11340, 11344, 11348, 11352, 11356, 11360, 11364, 11368,
   11372, 11376, 11380, 11384, 11388, 11392, 11396, 11400, 11404, 11408,
   11412, 11416, 11420, 11424, 11428, 11432, 11436, 11440, 11444, 11448,
   11452, 11456, 11460, 11464, 11468, 11472, 11476, 11480, 11484, 11488,
   11492, 11496, 11500, 11504, 11508, 11512, 11516, 11521, 11525, 11529,
   11537, 11541, 11545, 11549, 11553, 11557, 11561, 11565, 11569, 11573,
   11577, 11581, 11585, 11589, 11593, 11597, 11601, 11605, 11609, 11613,
   11617, 11621, 11625, 11629, 11633, 11641, 11645, 11649, 11653, 11657,
   11661, 11665, 11669, 11673, 11677, 11681, 11685, 11689, 11693, 11701,
   11705, 11709, 11713, 11717, 11721, 11725, 11733, 11737, 11745, 11749,
   11757, 11761, 11765, 11769, 11773, 11777, 11781, 11785, 11789, 11793,
   11797, 11801, 11805, 11809, 11813, 11817, 11821, 11825, 11829, 11833,
   11837, 11841, 11845, 11849, 11853, 11857, 11861, 11865, 11869, 11873,
   11877, 11881, 11885, 11889, 11893, 11897, 11901, 11905, 11909, 11913,
   11917, 11921, 11929, 11933, 11941, 11945, 11949, 11954, 11960, 11968,
   11972, 11980, 11984, 11992, 11996, 12004, 12008, 12013, 12019, 12023,
   12027, 12031, 12039, 12044, 12050, 12055, 12061, 12066, 12072, 12076,
   12084, 12092, 12096, 12101, 12107, 12115, 12119, 12126, 12131, 12137,
   12142, 12147, 12153, 12157, 12165, 12169, 12173, 12177, 12181, 12189,
   12193, 12197, 12205, 12209, 12217, 12225, 12229, 12233, 12241, 12245,
   12253, 12257, 12261, 12265, 12269, 12273, 12277, 12281, 12285, 12289,
   12293, 12297, 12305, 12309, 12317, 12321, 12329, 12333, 12337, 12341,
   12345, 12349, 12357, 12361, 12369, 12373, 12381, 12385, 12389, 12397,
   12401, 12409, 12413, 12417, 12425, 12429, 12437, 12442, 12448, 12452,
   12456, 12460, 12464, 12468, 12472, 12476, 12484, 12488, 12496, 12504,
   12509, 12515, 12519, 12523, 12527, 12531, 12536, 12542, 12550, 12558,
   12562, 12566, 12574, 12578, 12586, 12594, 12598, 12606, 12614, 12619,
   12625, 12630, 12636, 12640, 12648, 12652, 12656, 12660, 12668, 12673,
   12679, 12683, 12692, 12694, 12702, 12707, 12713, 12718, 12724, 12728,
   12736, 12740, 12744, 12748, 12756, 12760, 12768, 12772, 12780, 12784,
   12792, 12800, 12808, 12816, 12824, 12832, 12840, 12844, 12852, 12856,
   12860, 12864, 12868, 12872, 12876, 12880, 12884, 12888, 12892, 12896,
   12900, 12904, 12905, 12910, 12916, 12920, 12921, 12925, 12933, 12941,
   12945, 12949, 12957, 12961, 12969, 12973, 12977, 12981, 12989, 12993,
   12997, 13001, 13005, 13009, 13013, 13017, 13021, 13025, 13029, 13033,
   13037, 13041, 13045, 13049, 13053, 13057, 13061, 13065, 13069, 13073,
   13077, 13081, 13085, 13089, 13093, 13097, 13101, 13105, 13109, 13113,
   13117, 13121, 13125, 13129, 13133, 13137, 13141, 13145, 13149, 13153,
   13157, 13161, 13165, 13169, 13173, 13177, 13181, 13185, 13189, 13193,
   13197, 13201, 13205, 13209, 13213, 13217, 13221, 13225, 13229, 13233,
   13237, 13241, 13245, 13249, 13253, 13257, 13261, 13265, 13269, 13273,
   13277, 13281, 13285, 13289, 13293, 13297, 13301, 13305, 13309, 13313,
   13317, 13321, 13325, 13329, 13333, 13337, 13341, 13345, 13349, 13353,
   13357, 13361, 13365, 13369, 13373, 13377, 13381, 13385, 13389, 13393,
   13397, 13401, 13405, 13409, 13413, 13417, 13421, 13425, 13429, 13433,
   13437, 13441, 13445, 13449, 13453, 13457, 13461, 13465, 13469, 13473,
   13477, 13481, 13485, 13489, 13493, 13497, 13501, 13505, 13509, 13513,
   13517, 13521, 13525, 13529, 13533, 13537, 13541, 13545, 13549, 13553,
   13557, 13561, 13565, 13569, 13573, 13577, 13581, 13585, 13589, 13593,
   13597, 13601, 13605, 13609, 13613, 13617, 13621, 13625, 13629, 13633,
   13637, 13641, 13645, 13649, 13653, 13657, 13661, 13665, 13669, 13673,
   13677, 13681, 13685, 13689, 13693, 13697, 13701, 13705, 13709, 13713,
   13717, 13721, 13725, 13729, 13733, 13737, 13741, 13745, 13749, 13753,
   13757, 13761, 13765, 13769, 13773, 13777, 13781, 13785, 13789, 13793,
   13797, 13801, 13805, 13809, 13813, 13817, 13821, 13825, 13829, 13833,
   13837, 13841, 13845, 13849, 13853, 13857, 13861, 13865, 13869, 13873,
   13877, 13881, 13885, 13889, 13893, 13897, 13901, 13905, 13909, 13913,
   13917, 13921, 13925, 13929, 13933, 13937, 13941, 13945, 13949, 13953,
   13957, 13961, 13965, 13969, 13973, 13977, 13981, 13985, 13989, 13993,
   13997, 14001, 14005, 14009, 14013, 14017, 14021, 14025, 14029, 14033,
   14037, 14041, 14045, 14049, 14053, 14057, 14061, 14065, 14069, 14073,
   14077, 14085, 14089, 14093, 14097, 14101, 14105, 14109, 14113, 14117,
   14121, 14125, 14129, 14133, 14137, 14141, 14145, 14149, 14153, 14157,
   14161, 14165, 14169, 14173, 14177, 14181, 14185, 14189, 14193, 14197,
   14201, 14205, 14209, 14213, 14217, 14221, 14225, 14229, 14233, 14237,
   14241, 14245, 14249, 14253, 14257, 14261, 14265, 14269, 14277, 14281,
   14285, 14289, 14293, 14297, 14301, 14305, 14309, 14313, 14317, 14321,
   14325, 14329, 14333, 14337, 14341, 14345, 14349, 14353, 14357, 14361,
   14365, 14373, 14377, 14381, 14385, 14389, 14393, 14397, 14401, 14405,
   14409, 14413, 14417, 14421, 14425, 14429, 14433, 14437, 14441, 14445,
   14449, 14453, 14457, 14461, 14465, 14469, 14473, 14477, 14481, 14485,
   14489, 14493, 14497, 14501, 14505, 14509, 14513, 14517, 14521, 14525,
   14529, 14533, 14537, 14541, 14545, 14549, 14553, 14557, 14561, 14565,
   14569, 14573, 14577, 14581, 14585, 14589, 14593, 14597, 14601, 14605,
   14609, 14613, 14617, 14621, 14625, 14629, 14633, 14637, 14641, 14645,
   14649, 14653, 14657, 14661, 14665, 14669, 14679, 14680, 14683, 14684,
   14685, 14691, 14692, 14693, 14694, 14695, 14708, 14708, 14717, 14732,
   14734, 14737, 14739, 14743, 14755, 14771, 14775, 14786, 14787, 14790,
   14802, 14811, 14812, 14815, 14816, 14817, 14820, 14821, 14824, 14825,
   14828, 14829, 14832, 14834, 14836, 14838, 14842, 14849, 14856, 14872,
   14906, 14916, 14919, 14923, 14936, 14937, 14939, 14941, 14945, 14959,
   14966, 15027, 15036, 15038, 15039, 15042, 15044, 15045, 15048, 15049,
   15050, 15051, 15052, 15059, 15058, 15068, 15070, 15072, 15073, 15076,
   15077, 15078, 15079, 15082, 15083, 15087, 15086, 15103, 15101, 15117,
   15116, 15130, 15136, 15137, 15140, 15142, 15143, 15146, 15147, 15148,
   15149, 15152, 15153, 15156, 15164, 15181, 15189, 15212, 15318, 15352,
   15354, 15356, 15360, 15364, 15363, 15414, 15416, 15415, 15430, 15436,
   15443, 15448, 15454, 15455, 15458, 15459, 15460, 15461, 15462, 15463,
   15464, 15472, 15480, 15483, 15484, 15485, 15486, 15487, 15488, 15496,
   15504, 15505, 15506, 15509, 15510, 15513, 15515, 15524, 15612, 15613,
   15620, 15621, 15622, 15628, 15637, 15640, 15641, 15642, 15643, 15646,
   15647, 15648, 15651, 15653, 15661, 15662, 15668, 15676, 15677, 15680,
   15681, 15684, 15689, 15696, 15701, 15708, 15715, 15715, 15717, 15724,
   15725, 15728, 15729, 15730, 15731, 15732, 15733, 15734, 15735, 15736,
   15742, 15749, 15761, 15767, 15774, 15782, 15783, 15795, 15806, 15817,
   15821, 15822, 15825, 15830, 15834, 15835, 15838, 15844, 15852, 15858,
   15865, 15869, 15870, 15873, 15876, 15880, 15881, 15884, 15890, 15899,
   15904, 15914, 15924, 15936, 15937, 15938, 15939, 15940, 15941, 15942,
   15943, 15944, 15945, 15946, 15947, 15948, 15949, 15950, 15957, 15958,
   15961, 15962, 15969, 15970, 15971, 15978, 15977, 15994, 15995, 16002,
   16001, 16071, 16077, 16083, 16091, 16097, 16103, 16109, 16115, 16121,
   16127, 16133, 16139, 16150, 16151, 16154, 16155, 16156, 16157, 16158,
   16159, 16160, 16161, 16162, 16163, 16164, 16165, 16166, 16167, 16168,
   16169, 16170, 16171, 16172, 16173, 16174, 16175, 16176, 16179, 16180,
   16181, 16182, 16183, 16184, 16188, 16189, 16190, 16191, 16192, 16193,
   16194, 16197, 16200, 16201, 16202, 16203, 16204, 16205, 16206, 16207,
   16220, 16221, 16222, 16223, 16224, 16225, 16226, 16231, 16232, 16233,
   16234, 16235, 16236, 16242, 16243, 16244, 16245, 16246, 16247, 16248,
   16249, 16250, 16251, 16252, 16255, 16256, 16257, 16258, 16259, 16262,
   16263, 16264, 16265, 16268, 16269, 16270, 16271, 16272, 16273, 16274,
   16291, 16292, 16293, 16296, 16297, 16298, 16299, 16300, 16301, 16305,
   16305, 16308, 16314, 16315, 16318, 16320, 16325, 16335, 16346, 16353,
   16354, 16355, 16358, 16391, 16393, 16395, 16398, 16408, 16418, 16428,
   16429, 16432, 16434, 16435, 16436, 16439, 16441, 16449, 16450, 16451,
   16455, 16456, 16460, 16461, 16464, 16465, 16468, 16469, 16470, 16471,
   16472, 16475, 16476, 16477, 16478, 16479, 16480, 16481, 16482, 16483,
   16484, 16485, 16486, 16487, 16488, 16489, 16490, 16491, 16492, 16493,
   16494, 16495, 16496, 16497, 16498, 16499, 16500, 16501, 16502, 16503,
   16504, 16505, 16506, 16507, 16508, 16509, 16510, 16511, 16512, 16513,
   16514, 16515, 16516, 16517, 16518, 16519, 16520, 16521, 16522, 16523,
   16524, 16525, 16526, 16527, 16528, 16529, 16530, 16533, 16534, 16535,
   16536, 16539, 16540, 16541, 16542, 16543, 16544, 16545, 16546, 16547,
   16548, 16555, 16556, 16557, 16558, 16559, 16562, 16563, 16566, 16567,
   16578, 16579
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P",
  "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT",
  "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION",
  "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH", "MATERIALIZED",
  "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE",
  "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN",
  "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES",
  "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P",
  "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept",
  "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "ForValues", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "NonReservedWord", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,    60,
      62,    61,   784,    43,    45,    42,    47,    37,    94,   785,
      91,    93,    40,    41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5125

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5125)))

#define YYTABLE_NINF -2972

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2972)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5125,   439, 11031, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, 34538, -5125,
   -5125, -5125, -5125, -5125,120817,   989, -5125, -5125, -5125,125057,
   -5125, -5125, -5125,   319, 83897, -5125, 87017,  1212, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, 91177, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, 70361,  1435, -5125,   935,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125,   -56,  8950, -5125,
   -5125, 87537, -5125,   206, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, 88057,   462, -5125, -5125,  1194,  1259, -5125,   153, 18142,
   -5125, -5125, 80257, 84937, -5125, -5125, 91697,   326,  2261, 18197,
     -56, 35355, 92217, -5125,  1307, -5125, 66677, -5125, -5125, -5125,
   84417, -5125, -5125, -5125,  1487, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, 97937,  2920,  1215, 67206, -5125,
   -5125, -5125, -5125, 97937, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, 92737, -5125,  1271,  1425,   938, 98457, 98977,
   81817, -5125,  1410, -5125, 97937,  1560,  1474, 69319, -5125, 99497,
   -5125, -5125,  1415, -5125, 93257, -5125, -5125, -5125, -5125, -5125,
    1215, -5125, 70361, 65635,    62,  1382, -5125, -5125,100017, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   97937,  2323,  1459, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125,   462, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125,   944, -5125,   916,   948,  1516,
     307,  1522, -5125, -5125, -5125,  6300, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, 33866,   383, -5125, -5125, -5125,  1636, -5125,
    1596, -5125, -5125, -5125,  1701, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125,   882, -5125, -5125, -5125, -5125,  2188,121334, 91177,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, 79737, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125,   219, -5125, -5125, -5125, -5125, -5125,
   91177, 91177, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, 91177,  1772,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
     793,  2015, -5125, -5125, 70361,  1960,  1960,  2302, 33866, -5125,
   -5125, -5125, 71924, 97937, 97937, 97937,  1952, 97937,  1933, 97937,
     254, 71924,129590, 93777,  2021,  1967, 60861,100537, -5125, 97937,
  127778, 97937, 97937,101057, 97937, 97937, 97937,  1067, 88577, 97937,
    2016, 97937, 97937,128231,101577,  2197, -5125,  2442,  1282, -5125,
   -5125, -5125, 97937, 12148,  2920, -5125, -5125,  2323, 97937,  2198,
   71924, 97937,  1986,102097,  2087, 97937, -5125, 97937,  2117,102617,
     379,   752,129590,  2234, 61394,  2202, 97937, 97937,129590,103137,
  103657,104177, 97937, 97937, -5125, -5125,  2190, 97937, 97937, -5125,
    2300,130043,  1915,  2318,  2472,  2383,  1480, -5125, -5125,  2569,
    2127, -5125, -5125,  2612, 91177, -5125, 89097, -5125, -5125, -5125,
    2422, -5125, -5125, -5125, -5125, -5125, -5125,126872,  2261, -5125,
   -5125,  2382, 72445, 97937,  2443, -5125, -5125,104697, 76092,  2243,
   -5125,   410, 72966,130496,  2548,  2226, 61927,  2607, -5125, -5125,
  130949, -5125, -5125, -5125, -5125, -5125,105217, -5125,105737,  2301,
    2443, -5125, 76613,131402, -5125,  2460,106257,106777,107297, -5125,
    9914, -5125,  2212,  1288,  2210,  2186, 91177, 91177,  1622,122757,
   -5125, -5125,   462, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125,   337,  2101, 67735,   917, 68264, -5125, -5125,  1015,  1016,
    1092,   337,  2680,  2680,   640, 91177, -5125, -5125,  2101, -5125,
     783,  1026,  2252,  2252,  2252,  2446,   -69, -5125,  2252,  2387,
   -5125, -5125, -5125, -5125, 93257, 67735, 68264, -5125,  2278,  2920,
     141,  2707,  2343, -5125, -5125, -5125, -5125, -5125,  2373, 97937,
   97937, 97937, -5125, -5125, -5125,  2756,  2329,  2601, -5125,  2352,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,  2545,
    2557,  2565,   106,  2920,  2451, -5125,  2682, -5125,  2579, 41753,
   41753,  1432, 91177,  2920, 68793, 94297,117697,   436,126872,  2920,
  107817,  2399,  1085,  2580, -5125, -5125, -5125,   698, -5125,  2811,
    2406,  2657,   604,  1282, 57698, -5125,  2401,  1867, 93257,121851,
   -5125, -5125, -5125, -5125,  1203,  2709, 45519, 97937,  2402, -5125,
    2415,  2402,  2408,  2427,  1516, -5125, 97937,  1511,  1511,  2829,
    1511,  1856,  2199, -5125,  2239, -5125,  2740,  2722, 93257,  2447,
     -56,  2439, -5125, -5125, -5125,  2492, -5125,  2458,  2461, -5125,
     924,  2716, -5125, -5125, -5125, -5125,  2574,  2577,  2584,  2585,
    2509,  2596,   411, -5125, -5125, -5125, -5125,  2820, -5125, -5125,
   -5125, -5125, -5125, -5125,  2949,  2935,125513,125513,   734,   835,
     195,   275, -5125, -5125, -5125,  2789, -5125, -5125,  2787, 97937,
    2610, 97937, -5125, -5125, -5125,108337, -5125, -5125,  1960,  2492,
    1564,  2542, -5125,   252, -5125,  1867, -5125,   295,   325,   355,
    2058,  2549,  1686,  2870, -5125,   855, 97937,   232,  2590, 94817,
    3834,  2558,  2562,  1867,  2713,  1498,  2847,  2890,  6745,   411,
   95337, -5125, -5125, -5125, -5125, 97937, 97937, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125,  2572,    36, -5125, -5125,
    2578,  2894,  2784,   877,  2866,  2742,  1835,  2795,    55,  2926,
   11766,  1819,  2068,  2251,108857,118217,  2899,  2955,  4955,  2147,
     794,  2822,  1061,  2866,  2947,  2798,  1835,  2972,  7945, 97937,
    2675, -5125,  2905,  3023,  1059, -5125,   176, -5125,  2739,  2887,
     842,  2925, 71924,  2721, -5125, -5125, 97937, -5125, -5125, 77134,
    2799, -5125,   422, 71924, -5125,  2911,  2777, 62460, 97937, -5125,
   -5125, 97937, -5125, -5125, -5125, -5125, -5125, -5125, -5125,  2864,
    3052, 97937, 77134, -5125,  3001, 97937, 97937, -5125,  2747, -5125,
   -5125, -5125, -5125,  2252, 97937,  2752,  3171, 77134,  2992,   182,
   97937,  1970,  3221, 97937,  3011,  1970,  2832,109377, -5125, -5125,
    1970, -5125, -5125, 97937, 97937,  2800,  2204,  3003,  3123,  1970,
    3038,  3253,  3261,  3054,  2914,  3063,  2415,  3236,  3062,  1018,
    1204,   136,  2248,  1970,  2934,109897,110417, 97937,  2941, 97937,
    3287, 71924, 97937,  3213, -5125,  3085, 95857, -5125,  2917,  2569,
   -5125, -5125, -5125, -5125, -5125,  1665, -5125, -5125, -5125, -5125,
   -5125,  3244, -5125,   163,   415,  3248,  2974,  3264, -5125, -5125,
    2994, -5125,  2994,  2994,  2975,  2975,  3127,  2978,  3291, -5125,
   -5125, -5125,  2528,  2994,  2975, -5125, 78176, -5125,  1921,  2143,
   -5125,   200, -5125,  3420, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125,  2993, -5125,  1461, -5125,  2241, -5125, -5125, -5125,
   -5125,  3035, -5125,  3315,   205, -5125,  3324, -5125,  3012,110937,
   -5125,111457,111977,  3327,   211, -5125,129590,  3343,  3012,  3353,
     415,  3361, -5125,  1102,  3352,  3366,   200,  3367,  2313,  3012,
  127325,  3371,   227, -5125,  3375,   229, -5125,  3376,  3257, 14095,
    9914, -5125, 15727,  1945, -5125, -5125, -5125, -5125, -5125, -5125,
   45519,   999,  3148, -5125, -5125, -5125,  2253, -5125,124135, -5125,
    1622,  2101, -5125, 91177,  2101, 91177,   640,  2101, 91177,  2101,
   91177,   640,  2101, 91177, 91177, 91177,  2101, -5125, -5125,   245,
     243, -5125, -5125, -5125, -5125, -5125, 91177,  3065, 97937, 97937,
   -5125, -5125, -5125, 85457,129590, 85977, -5125, 97937, -5125,   260,
   91177, -5125, 91177, -5125,  2920, -5125, -5125,  1288, 77134,  3494,
  129590,  3287, -5125,  2271, -5125, -5125, -5125, -5125, -5125, -5125,
    3312, 97937,  3377,  3379, 85457,129590, -5125,112497,126872,  3271,
    3073, -5125, -5125, -5125, -5125,  2280,  3013,   177,  3021, 45519,
    3074,   177,   177,  3076,  3386, -5125, -5125, -5125,   412,  3088,
    3089, -5125,   228,   228, -5125,  3090,  3093, -5125,   457,  3096,
    3103,  3043,   490,  3104,  3105,  3108,  2528,   177, 45519, -5125,
    3109,   228,  3110,  3111,  3112,  3068,  3115, -5125,  3081,  3116,
     449,   474,  3118,  3119, -5125,  3090, -5125,   503,  3120,  3121,
    3131,  3132,  3133,  3134,  3144,  3145, 45519, 45519, 45519, -5125,
   40139,  1867,  2920, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125,   532,  6041, -5125,  3163, -5125, -5125,  3280, -5125, -5125,
   45519, -5125, -5125,   555, -5125,   540, -5125, -5125,  1867, -5125,
   -5125,  1603, -5125, -5125, -5125, -5125,  3357,  3149,  2218,  2218,
     226, -5125, 87537, 87537, -5125, -5125,  1173,  3151, -5125,  2180,
   -5125, -5125, -5125, -5125, -5125, -5125,126419,  3584, -5125,  1852,
    2920,   176,  1813,  3530,123213,123674,  3421,  3421,  3406, -5125,
   -5125, 97937, -5125, -5125, 45519, 64593, -5125,  1867,   128,  3426,
   -5125, -5125, -5125,  2289, -5125, -5125, -5125, -5125,   462, 17734,
    2325,  2402, 97937, 97937,  3592, -5125, -5125,  2415, -5125, -5125,
    1516,  1516, 45519,  1516,  1316,  1940, 42291, 45519,  3476,  3373,
    1392,  1938,  3477, -5125,  3380,  1856,  2199, 93257, 97937,113017,
    3288, 45519, -5125,  2492,  3179,  1441, -5125, 79217, 17592, 17592,
    3444, -5125, -5125,  1448,  1168,  3308,  3410,  2680,  1821,  2292,
    2292, -5125, -5125,  3182, -5125,  3542, 87537,  3245,125513, -5125,
   -5125, 97937, -5125, -5125, 96377, -5125, -5125, -5125,  1985,  3186,
   -5125,  3201, 97937, -5125,  3719,  2292,  2292, -5125, -5125,  3190,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, 33866,  3194,
   97937, -5125,  3196,  3197, -5125,121851,  3277,  3278,  3330, 65114,
   -5125,  1867,  3281,  3251,  3282,  3337, 70361,  3206,  3292,  3295,
    3348,  3463, -5125, -5125,  3299,  3302,118737, -5125, -5125,  1608,
   -5125, -5125, -5125,  1608, -5125,  3235, -5125,  1916,  1383,  1502,
    3306,   395,   748,  3611, -5125,  1297, -5125, -5125,  3359, -5125,
    5717, 97937,  3553,  9079,  3433,   411,  3434,  3362, -5125, -5125,
    3485,  3323, 97937,  3325,  3455,   411,  1479,119257, -5125, -5125,
   -5125, -5125, -5125, -5125,  5578, 39089, -5125,  2121,  3326,  3307,
    3340, 97937, 80777,  1836,  3454,  3457,    -3,  2038,   299,  3393,
   97937,  1825,  3465, 97937,  3262,  3344,  3345,  3549,  3263,  2570,
    3647,  3267, -5125, -5125,  3458,  3555,  3593,  7590,  3334,  3339,
   74529, -5125,  3360,   -22, 62993, 97937, 97937,  3374,  3383,  3364,
    3365,  1255,  3648,  1517,  3368, -5125, -5125, -5125,  1517, 97937,
    3378,  3381, 97937, 78176,   411, -5125,  3707,   411,   411,  2398,
    3708,  3382,   551,  3520,  1489,  1970,  3267,  3029, -5125,  3388,
    3389,  2082, -5125,  3493,  3390,  3394,  3446,  2920, -5125, -5125,
    3398,  3467,  3399,   858, -5125, -5125,  1484,  3401, 93257,  3503,
    3506,   214,  2479,  3267, -5125,  3405,  3408,  3263,  3263, 97937,
   97937, 97937, 97937, 97937,   175,  3751,  3754,  3413,   189,  3468,
    3336, -5125,  1517,128684,  3427, -5125,  1517, 97937,  3429,  2567,
    3267,  1848, -5125,  2144, -5125, -5125, -5125,  1282, -5125, 97937,
   -5125, 97937, -5125,  3613, 77134,  3551,  3614, -5125,  3392, -5125,
    3615,   411, -5125, 97937, 97937,  3620,  3561,  3565,  1136, 77134,
    3568,  3630, -5125,  3632,  3638,  3469,  3428,  3461, 65114, -5125,
    2800,  3395,  3827,  3718, 97937, 70361, -5125,  3841,  1608, -5125,
   77134,  3600,  3722, -5125, 97937,  3617,    26, -5125,  3759,  3462,
   -5125, -5125,  1130, 97937,   238,  3442, -5125, -5125,  3729,129590,
    1175,  3731,  2920,  3459,  3733,  3616,  2920,129590,  3651, 97937,
   97937, 97937, 97937, -5125, -5125,  3622,   830,   123, -5125,128684,
    3633, -5125, 97937,  3635,  3029,  3636,  3846,  1097,  2252,113537,
    3735, -5125,114057,  3430,  3858, 77134,  3682, -5125, -5125,  3432,
    2680, -5125,  2917, -5125,  2381, -5125,  3557, -5125, 71924, -5125,
   -5125, 71924, -5125, -5125, -5125, 77134, 97937, -5125,  3431, -5125,
   -5125, 45519, -5125, -5125, -5125,  2680, -5125, 77134,  2994,  2994,
   -5125, -5125,  3870,  3521,  3524,  2680, -5125,  2680, -5125, 77134,
   -5125,  3441,  3447,  2680,  3523, -5125,  3525,  2680, -5125,  2353,
   -5125, -5125, 71924, 71924, -5125,129590,129590,  3768,   227,  3770,
    3507,  3773,  3509, 62993, 62993, -5125,   230,129590, 97937, -5125,
   97937, -5125, -5125, -5125, -5125, 77134, 77134, -5125,129590,128684,
    3775,  3776,   415, 97937, 97937, -5125, 97937, 97937, -5125, 97937,
   97937, -5125, 14889,  2030, -5125,  9914, -5125,  2358,  3421, -5125,
    1772, 97937,  1696,  1622,131855, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, 91177, -5125, 91177,   640, -5125, -5125, 91177,
   -5125, 91177,   640, -5125, 91177, -5125, -5125, -5125, 91177, 97937,
    3984,  3456, -5125,  1603, -5125, 97937,  2363, -5125, -5125,  2377,
     671, 97937, 97937,   154, 71924, 97937,  3668, 97937, 97937, 97937,
   97937, 97937,  3539,  3151,  1550, -5125,  1381,   290, 93257,  3674,
   -5125, -5125, -5125, -5125, -5125,  2392,  2323,   -65, 97937,  1257,
    2373, -5125, -5125, 85977, 84417,  3769,    74, 97937, -5125, -5125,
    3095, 45519, 41215, -5125, -5125, 17734,  3508, 45519, 45519,  3466,
    2680,  2680, -5125,  4055, 45519, 45519, 45519,  2680,  2680,  6497,
   45519, 62993, 45519, 48747, 37472, 45519, 45519, 40677, -5125, 45519,
    3692, 49823, 45519,  1813,  3696, 45519,  1813,  6497,  3928,  3928,
    1382,  3535,  5688,  3474,  1867, -5125,  2680,  1494,   366, 77134,
   45519, 45519, 45519, 45519, 70361,  3559,   253, 97937, 45519,  3479,
    1861, -5125, 45519, -5125,  3484, 45519,  3564,   769, 45519, 45519,
   45519, 45519, 45519, 45519, 45519, 45519, 45519, -5125, 51395,   375,
   -5125,  3781,  3801,   914,   910, 86497, 41753,  3793, -5125, 36394,
   -5125,   207, 91177, -5125, -5125,  1867,  3793, -5125, -5125, -5125,
   -5125, -5125,  1985,  3487, -5125,  3502, -5125, -5125, -5125, -5125,
   -5125, 97937,  3584, -5125, -5125,  3569, -5125, -5125, -5125, -5125,
     564, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,  3490,
   -5125, -5125, -5125, -5125,  3490, -5125, -5125,  3421,  3495, 11391,
    3489, -5125, -5125, -5125, -5125,  3783,  3789,   415, 33866, 97937,
    1203, 89617, -5125, 45519, -5125,  2409,  3510, -5125,  3772, -5125,
    3514, -5125, 13329,  3772, -5125, -5125,   170,  3623,  3767,  3711,
   -5125, -5125, -5125,  3516, 17734, -5125,  2335, 17734,  2362, -5125,
   -5125, -5125, -5125, -5125, -5125,  1433, -5125, 97937,  1318,  3476,
    1938,  3570,  1733,  3944, 97937, -5125, 58222,  2420,  2267, -5125,
    2492, -5125, -5125, 25144, -5125, 35875, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125,  3519, -5125, -5125, -5125, -5125,
   -5125,   411,  3522,  4029, -5125,125513, -5125, -5125, -5125,  3984,
   -5125,  2612, -5125,  2612,  4054, -5125, 91177, -5125, -5125, -5125,
   -5125,   579, -5125,  9914, -5125,  9914, -5125,129590, 97937, 97937,
    3717, -5125,  3939, -5125, 78176, -5125,  3527, -5125, 77655, 73487,
   -5125, -5125,   775, -5125,  1493,129590, -5125, 97937, 97937, -5125,
   70361,129590, 97937, 97937, -5125,129590, 97937, 97937, -5125, -5125,
   -5125, -5125, -5125,124596,  1450, 84417,  3661, 82337, -5125, -5125,
    3538, 97937,  3591,  3795,  3796,  1306, -5125, -5125,114577, -5125,
    3752,129590, 97937, 97937, 45519,  3755, 97937, 97937, -5125,   343,
    3625,  3626, -5125, 97937,  3627,  3771, 71924,  3544, 97937, 97937,
   77134,  3628,   467, 71924,  3595, 63526, 97937, 97937, 97937, 97937,
    3676,  3862, 77134, 97937,  3809,  1656, 93257,   122,  2571,  3267,
    3766, -5125,  3877,  1598, -5125,129590, -5125, 97937,  3760, -5125,
   -5125, -5125, 82857,  3985,  3671, -5125, -5125,119777, -5125, -5125,
   -5125,  2455, -5125,129590,129590, 97937,  9352,115097,  1323,  3779,
   -5125, -5125, 77134, -5125, 97937, 97937, 97937,  3885,  3813, 97937,
   90137,115617,116137,     3,  1647,  3814, 97937, 90657,  3816, -5125,
    3706, 97937, -5125, -5125, 70882,129590, 97937,   907, 70361, -5125,
   -5125, 97937, -5125,  3780,   816, -5125, 97937,  9213,  3653,  3664,
   97937,  3782,   169,  2997,  3267, 97937, 97937,  3576,  2462,129590,
   97937, 70361, -5125,  3784,  1428, 93257, 93257,129590, 97937, 93257,
   -5125, 97937,117697, -5125,129590,  2003, -5125,  3734,129590, 97937,
   18770, -5125, -5125, -5125,   411, -5125, -5125, -5125, -5125, -5125,
   97937, 97937,   411, 97937, 97937,   411,  1549, -5125,129590, 97937,
   -5125, -5125, -5125,129590, 97937, 97937, -5125,129590,  3442, 97937,
   70361, -5125, 97937,  6569, 97937, 97937, 97937, 97937, 97937, 97937,
  129590, 97937, -5125, -5125,  1082,  1652,   903,  1727,   159, 97937,
    3868, 97937,116657,129590, 97937, 97937,  2920, 97937,  1680, -5125,
   -5125,  3713, -5125,129590,  2003, -5125, 10071, 97937, 97937,  3677,
    3678,   265,  3757, -5125, -5125, -5125, -5125, -5125, -5125,  2142,
    4031,117177,  2142, -5125,  2142,  3861,  3659,  3660,  2142, 97937,
   97937, -5125, -5125, -5125, -5125,  3859, 97937,  2142,  2142,  2142,
    3778,  3808,   109,  3887,  2467, -5125,  3618, -5125, 45519, 77134,
   97937, -5125,  2473, -5125,  3629,   830, -5125, -5125, 70361, 97937,
     510,   711,  3932,  3817, 81297,  3055,  3924, 97937,  3665, 97937,
    4047,  3709, 93257,  2800, -5125,  3055, 97937, -5125,  2471, 84417,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, 97937, -5125, -5125,
    3929, 97937, 45519,  3786, -5125,  2920,  2800,  2800,  2800,  2800,
   -5125, -5125, -5125, -5125,  3822,    93, -5125,  3624,  2800, 97937,
    3745,  3948,  3055,  3631,  3950, -5125,  3029,  3951,  3954, 97937,
    3839, 81297,  2457,  3672,  3851,  4068,  2252,  2920,  3855,  3843,
   -5125, 39614,  8372,  3844,  3895,126872, 95857, -5125,  3652,  3935,
    3937,  3957, -5125,   163, -5125,  4082, -5125, 45519,  2474,  3654,
     200, -5125, -5125,  3655,  3447,  3673,  3679,  3683,  3684, -5125,
    2680, 55602,  3686,   129,  3880,  3690, -5125,   205, -5125,  3012,
   -5125, 97937, -5125, 97937, 97937, 97937, 97937,   211, -5125, -5125,
    3012,   415, -5125,  3914,   200,  3012,  3797,  3970,126872, -5125,
     227, -5125,   229, -5125,  3866,   415, -5125, -5125, -5125, -5125,
   -5125, -5125,  2252,  2381, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, 91177,  2612, -5125,  2490, -5125,
   97937, -5125,  3956,  3961,  3964,  3670,  3689,  3726, 97937,  3701,
    3670,   411,  3670,  3151,  3151,  3670,  3689,129137,  4148,  4003,
   -5125,  3787,  3715,  4015,   681, -5125,   754,   833,  3945, -5125,
   -5125, -5125, -5125, 77134, -5125,129590,  3762, 97937, 97937, -5125,
     139,  3920,  3720,129137,  4141,   415, -5125, 71924, -5125, -5125,
   77134,  3804,  3823, 71924,  3938,  3788, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, 77134, -5125,  3988, 97937, 97937,  2512, -5125,
    2078, -5125,  2132, 45519,   145, -5125, 14561,  2536, 45519,  3737,
    3739, -5125, -5125, -5125, -5125, -5125, -5125,  3741,  4039, -5125,
   -5125,  2587,  2603,  2622,  3742,  3748,  6739,  3749, 15809,  3750,
    3756, 48747, 48747, 40139,  3511, -5125, 48747,  3753,  3941,  2625,
   15064,  3758,  3761, 16164, 42829, 45519, 42829, 42829, 16266,  3758,
    3763,  2626, 70361,  3943, 16647,  2636, -5125, 45519, 70361,  6984,
   45519, -5125, 45519,  3774, -5125, -5125,  7029,  7029,  7029,  6497,
   -5125,  3790, -5125, 48747, 48747, -5125,  2508, 40139, -5125, -5125,
    4059, -5125, -5125,  1331, -5125,  3777, -5125, -5125,  4097, 62993,
    3091, 45519,   273, 45519,  3479, 45519,  3836,  7029,  7029,  7029,
     607,   607,   192,   192,   192,  2088,   910, -5125, -5125, -5125,
    3791,  3799,  3800,  3949,  3802, 45519, -5125,  2729,  2730, 97937,
   12631, 13532, 14052, -5125, -5125, -5125, 52457,  3798, 45519, 45519,
   45519,  3785, -5125,  2760, 17734,    30, -5125,  2774, -5125, -5125,
   -5125,  3798,  1384,  4054,  1985, -5125,  1282,  2680,  1494,124135,
   -5125, -5125, -5125, 45519, -5125, -5125, -5125, -5125,  2415, -5125,
   -5125, -5125, 17734, -5125,  2323, 45519, -5125, -5125,  2438,  3803,
   45519,  2335, -5125, -5125,  3828, -5125, 45519, -5125, -5125, -5125,
    3151, -5125,  4007, -5125, -5125, -5125, 52457,  3812,  3826,  1723,
   57174,  3980, -5125, 97937, -5125, 97937,   235, -5125,  3792, -5125,
   -5125, -5125, -5125,  2089, -5125, -5125, -5125, -5125, -5125, -5125,
    3805, -5125,  3807, -5125,  3806, -5125, -5125, -5125, -5125,   199,
    3811,  3819,  3830,  1584, -5125, -5125, -5125, -5125, 73487,  2241,
   -5125, 77655, -5125, 77655, -5125,  2241,  4197, -5125, 73487,  2115,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125,129590,129590,  3987, 97937,  3986,  3990, 45519,
     353, 97937,  3815,  3824,  1465,  4071, 97937, -5125,  4127,   415,
   -5125, -5125,  3896, -5125, 17734, -5125, -5125, -5125, -5125, -5125,
  129590, 97937, -5125,126872, -5125, 97937, -5125, 77134, -5125, -5125,
   -5125, 97937,  3860, 97937, -5125, 97937, 97937, 97937, -5125, -5125,
   -5125, -5125, -5125,  1138, 77134, -5125, -5125, 97937, 97937,   813,
    3907,  3912, 97937, -5125,   780,  3493, 11195, 97937, 97937, 97937,
    4078, 97937, -5125, -5125, -5125, -5125,  4048, -5125, -5125, 73487,
   -5125,  3012,  1500,  3921,  3267,  4060, -5125,  4165,  4042, -5125,
     387, -5125, 97937,  3973, -5125, -5125, -5125, -5125,  4170,   415,
    4171,   415, 97937, 97937, 97937, 97937,  3978, -5125, -5125, -5125,
   -5125,  3979,  4101, -5125, 70361, 70361, 70361,  2652, -5125, -5125,
    2920, -5125, -5125, -5125, -5125, -5125, -5125,  4137, -5125,  2655,
   -5125,  -107, -5125, -5125, -5125, -5125, -5125, -5125,129590, 97937,
   11774,  4179, 97937, 97937, 97937,  2129, -5125,   881, 77134, -5125,
   75050, -5125, -5125,  2666, -5125,  3873, 97937,  3942,129590,  3925,
    3867,  3867, -5125, -5125,  3867, -5125, -5125,  4109,  4050, -5125,
    2269,  4051,129590,  3933, -5125, -5125,  3952, -5125, -5125,  3955,
    3129,  3267,  3029, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,  1556, -5125,
   -5125,  1532,   357,  3211,  3267, -5125,  4184, -5125,  3958, -5125,
    3959, -5125, -5125, -5125,  4116,  4118,  4119,  3966,  3967,  4020,
    3971,  3972,  4021, -5125,  3974,  4024,  3977,  4030,  4102,  3982,
     415, 77134,  4121,  2920,  4025,  4225,   415, -5125,  3989, -5125,
    3991, -5125,  4331, -5125, 97937, -5125,  3993,  3252,  3267, -5125,
   -5125,129590, 97937, -5125, -5125, -5125, -5125, -5125, -5125, 77134,
   97937,  4169, -5125, -5125,  2142, 97937, 97937, -5125,  4176,  4178,
   97937,  4180, -5125, -5125, -5125, -5125,   912, -5125, -5125, -5125,
    3778,  4216, -5125,  2422, 59794,  7196,  3926,   335, -5125, 70361,
   59794,  2109,  2650,   367,  1970, -5125,126872, 97937,126872, -5125,
     711,  4042, 97937, 97937, 97937,  3930,  3922, -5125, -5125, -5125,
   -5125,129590,  1095,129590,  2680, -5125, -5125,  3995, -5125, 97937,
    2252,  2422,  4239, -5125,  3867, -5125,  4356,  3261,  1175,  4080,
    2026,  2914,  4298,  2415,   277, 70361,  3672, -5125, -5125, -5125,
   -5125, 97937, 97937,   830,  2920, -5125,  3936,  3946, -5125, 97937,
    4249, 97937, 97937, 97937, 97937,  2323,  3947, 97937,  3940, 77134,
     547,  4144,  4145,  3263,  4375,  4267,  2323,  3672,  4027,  4271,
   97937, -5125,  2674,    81, -5125,  2920,126872, 74008,  4260, -5125,
    7037, -5125, -5125,  1099, 97937,  4245, -5125, 97937, -5125, -5125,
   56650, -5125, 77134,  2679, -5125, -5125, -5125,  2680, -5125, -5125,
    1895,  1895,  3960, -5125, 56126, -5125,  3953, -5125,  2346, -5125,
   -5125, -5125,   227,  4010,   415,  4011,   415, -5125, -5125, 97937,
   -5125, 97937,128684,   415, -5125, -5125, 97937, -5125,  4265, -5125,
   -5125, -5125, -5125,  4087,  4088,  4090, 97937,  3670, -5125,  3962,
  129590,  1675, -5125, -5125,  4158, -5125, -5125, 93257,  4084, -5125,
   -5125, -5125, -5125,  4285,  4289, -5125, -5125, -5125,   194, -5125,
   -5125, -5125,129590, 85457,   234,129590, -5125,  4227,  4228, -5125,
   -5125,  4229,   411, -5125,  4231, -5125,  4232,  4234, -5125, -5125,
   -5125,  3981, 17002, 45519, -5125,  4306, 77134, -5125,  8068, -5125,
   -5125, -5125, 45519, -5125, -5125, -5125, -5125, -5125, 45519, -5125,
   45519,  4281, -5125, 38011,  4433,  4433,  3994, 77134, 48747, 48747,
   48747, 48747,  1378,  3110, 48747, 48747, 48747, 48747, 48747, 48747,
   48747, 48747, 48747, 49285,   633, -5125,  4177, 45519, 45519,  4290,
    4281, -5125, 77134,  3997,  3758,  3998,  4000, 45519, -5125, -5125,
    2683, 50347,  4001, 70361, -5125, 45519, 15767,  2691,  4032, 17160,
    1867,  8143,  2920, 45519,  4495,  4729, 45519,  2697, 45519,  4284,
   -5125, -5125, -5125,  3992, -5125, -5125, 77134, 45519,  4004,  4122,
   48747, 48747,  4256, -5125,  4719, 45519, 40139, -5125,  4183,  4022,
   58746, -5125, 38550,  4006,  1215,  1215,  1215,  1215, -5125, 97937,
   97937, 97937, 52981,  4310,  4012, 51933, 96897,  4013,  2304, -5125,
   96897, 97417, 96897, -5125,  4008, -5125,  4017,  1867, 45519,  4302,
     628,   628,  4183, -5125, 45519, 45519, 43367,  4014, -5125,  4302,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125,  4016, -5125,  4033, -5125, -5125,
     176,  4019, -5125, -5125, 17734,  4028,   199, -5125,  4023, -5125,
    4035, -5125,  3803,  1670, -5125,  8298,  4212, -5125, -5125, -5125,
    4013, 43905,  4162, -5125, -5125, -5125,  4074,  2700, -5125, -5125,
    4413,  4162, -5125, -5125,  2705, 58222,  3812, 45519,  1867,  2680,
    4040, -5125,  2612,  1384, -5125, -5125, -5125, -5125, -5125,  2712,
    2162, -5125, -5125, 73487, -5125,  4110,  3012,  3012,  1098,  3670,
    4341,  1098,  8366, -5125, -5125, 53505, 97937, 97937, -5125, 97937,
    2715,  1707, 97937, -5125, 97937, -5125, -5125, -5125, -5125,  4473,
   -5125, 97937, -5125, -5125,  4099,  4103, 97937, 97937, 97937, 97937,
    4303, -5125, -5125,  2549, -5125, -5125,129590, 97937, -5125, -5125,
   -5125,   297,  3335,  3267, -5125,  4129, -5125, -5125, -5125,  4318,
   -5125,  4466,  4142, 97937,  4378, 97937,  4063, -5125,  1707,  4354,
    1317,  3263,  2151,  6269, -5125,  2054, -5125, -5125,  4133, -5125,
   -5125, 97937, -5125, 97937, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125,  4185, -5125, -5125, -5125, -5125, 70882, -5125, -5125, 97937,
   -5125, 70361, 59794, 70361, -5125,  1537,   298,  3342,  3267, 97937,
   -5125,  4146, -5125,  4147,  4149,  4195,   828,  1210,  4150,  4151,
    4196,  4072,  4075,  4076, -5125, 70361, 60328,  4217, 97937,  3012,
    4079,  4112,   337,  2920, -5125, -5125,  2920,  3012,  2920, 97937,
   97937, 97937, 70361, -5125,  4491,  4173, 97937, 97937, 97937, 97937,
    4132, -5125, 97937, 97937,  4392,   156,  2347,129590, 97937, 97937,
  129590, 97937, 97937, 97937, 97937, 97937, 97937,  4403, 97937, -5125,
    4482,  4416,  2419,  4458,  4167, 97937, -5125, 97937,  2920,  3493,
   97937, 97937, -5125, -5125,  4098,  4360,  2142, -5125,  4362,  4363,
    2142,  2142,  4364,  2142, -5125, -5125,  1970, -5125,   912, 97937,
   -5125,  3618, -5125,  4035,  2292,  2292, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125,  2767, 97937, -5125, -5125, -5125, 97937,  4105,
   97937, 97937, 48747, -5125,  2171,  1456,  1127, -5125,  4365, 97937,
    3442, -5125, -5125, -5125,  4272, 97937, -5125, -5125, -5125, -5125,
   -5125,   741,  3947, -5125,  4383, 81297,  3012,129590,129590,  3012,
   -5125, 77134,  4120,  3672, -5125,   426,  4189,129590,  1175,  1376,
  110417,  3459,  4152,  4312, 52457,  1556, -5125,  4123,  4274, -5125,
    4124,  4125, -5125, -5125, 97937,  4042,128684,  2735,  3029,  1233,
    2210,  3762, 83377,  4304,  3947,  4383, -5125, -5125, -5125,  4511,
    4211, -5125,  2323, 97937,  3762,  4211,  2920, 97937,  3591, -5125,
   73487, 45519, 45519, -5125,  4128, -5125,  4130,  8586, -5125,  4201,
    4131, -5125, -5125, -5125, -5125, -5125, -5125,  4206,  4136, 97937,
    4591, -5125, -5125,  4138, -5125,  4143, -5125, -5125, -5125,  2376,
   33866, 56126, 56126, 56126, 56126, 56126, -5125, -5125, 97937, -5125,
   97937, -5125,   415, -5125,  4257, -5125,   415,  2323, 97937, 97937,
   97937,  3670,   411, -5125,  4438,129137, -5125, -5125,  2755, 97937,
   -5125, -5125, -5125,  4503,    74,  4447, -5125, -5125,  2277,  2277,
    2277,  4405,  2277,  2277,  2277, -5125, 45519, 17734, -5125,  4154,
   -5125, 17734,  8692, 17734,  4290, -5125,  2758, 45519, -5125,  2220,
    2220,  2220,  1122,  4456, -5125,  1763,  4156,  2220,  2220,  2220,
     475,   475,   150,   150,   150,  4433,   633, 17734, 17734, -5125,
   -5125,  4157, -5125, -5125, -5125,  3758, -5125, 46057,  4314,  4570,
   -5125, -5125, -5125,  4199,  4200,  4161, -5125, 45519, 46595,  4160,
   78176,  4357, -5125,  1535, 45519, 45519,  3146, -5125,  7376, 45519,
   77134,  2770,  3146,   405, 45519,  4881,  5379, 45519, 45519,  5534,
   10144,  4164, 45519,120297, -5125, -5125, -5125,  2775, 45519, 97937,
   97937, 97937, 97937, -5125, -5125, -5125, 96897, 97417, 96897,  4172,
   50871, 55077,  2304,  4168, 97937, -5125, -5125,  4174, 52457,  4428,
    4367, -5125, 52457,  4367,  1983,  4367,  4430,  4266, 59270, -5125,
   -5125,  4181, -5125,  4373, -5125, 36394,  2121, 17734,  4595,  4476,
   45519,  4188,  4190,  4191, 17734, 17734, 45519, -5125,  2920,  4476,
    1384,   382,  2920, -5125, -5125, -5125, 62993, -5125, -5125, -5125,
   -5125, -5125,  4395, 17734, 41753, -5125,  2323,  2611, 97937,  1867,
     701, -5125,  4204, 97937, -5125,  4162, 17734, -5125,  9914, -5125,
   -5125, -5125, -5125,  4263,  2779, -5125, -5125, -5125, -5125, -5125,
   -5125,  4275, 84417,  4504, -5125, 45519,  2786, -5125,  4236,  4596,
     149,  2794,  2803,  1707, -5125,  3442, -5125,  1593,  4478,   132,
   -5125,   415, -5125, 77134, -5125, 97937, 97937, -5125, -5125, -5125,
   -5125, 97937,  3206, -5125, -5125, 97937, 97937, 97937, 97937, -5125,
  129590, 97937, -5125, 97937, -5125, 70361,  2650,  2171,  4490,  4414,
   -5125,   411, -5125,  2171,  4415,   337, 97937, -5125, -5125,  2631,
   -5125, 77134,   415,   415, -5125, -5125, -5125, -5125, -5125,  4218,
    4621,  4300, 97937, 97937, 97937, -5125, 97937,129590, 97937, 97937,
    2680,  2680, 77134,  4213, -5125,  2680,  2680,  4214, -5125,129590,
   97937, 97937, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125,  4293, -5125, 45519,  4616, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125,129590, 97937,  4299, -5125,
    4305, -5125,  2246, -5125, -5125, 97937, 97937, 97937, 97937,  4540,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   97937, -5125, 97937, -5125, -5125,  2920,  2920, 77134,   415,   415,
   -5125, -5125, -5125, -5125,  4481,  2142, -5125,  2142,  2142, -5125,
   -5125,  2142, -5125,  4223,   402, -5125,  1707,  1401,  4526, -5125,
    4529, 45519, -5125,  1137,  1122, -5125,  4582,  4659, -5125, -5125,
   -5125, -5125,  3442,  2252,  4286, 71924,   829, -5125,  4510,   510,
    4436, 81297,  4184,   179,  4233,  4352, -5125,  3012,  3012,  4294,
   97937,  4665, -5125, -5125, -5125, -5125, -5125, -5125,129590,  3925,
   -5125,  1310,  4544, 97937, 45519,  4013, -5125,   642,  4548, -5125,
    2920, -5125, -5125,  4361,  3672, -5125, 97937,  4448, 81297,  3762,
   -5125,  2806, -5125, -5125, -5125,  4279,  4657,  2457, -5125,  4184,
    4304,  1573, 97937, -5125,  4282,  4677, -5125, -5125,  4558,  4455,
    4258, -5125, 17734, 17734,  2920, 78697,  7037, 77134,  4565, 97937,
     351,  4530, 97937, -5125,   415, -5125, -5125,  4259,  2310,  2310,
   -5125, -5125, -5125,   415,   415, -5125, 97937, -5125,  3670,  3670,
    3670, -5125,  4459, -5125, -5125,  4525, -5125,   415,129137, -5125,
   -5125, -5125, -5125, -5125,  2277, -5125, -5125, -5125, 17734, -5125,
   -5125, -5125, -5125, 10233, 48747,  4569, -5125,  4268, 77134, -5125,
    4269,  2810,  2814, 49823,  4421, -5125, -5125, -5125, 10460,  4321,
   17734,  4371,  4280,  4283,  3146,  3146,  7376,  2818, -5125,  3146,
   45519, 45519,  3146,  3146, 45519, -5125, -5125, 10609,  4453, -5125,
   -5125, 11129, -5125, -5125, -5125, -5125, -5125, -5125, -5125, 71403,
    4273,  3943, 96897,  4276, 97937,  2304, 52457, -5125, -5125,  1847,
   -5125, 52457,  4532, -5125, 52457, 71924, -5125, 97937,  4287, 97937,
   -5125,    30, 47133, 45519,  4320, -5125, -5125, -5125,  4183, -5125,
    4320, -5125,  2292, -5125, -5125, -5125, -5125, -5125,  4288, 91177,
     595, -5125,  1723, -5125, -5125,  4666, 53505,  4625, 45519, -5125,
   -5125, -5125, -5125, -5125,129137,  4486,129137,  1707, 11166,  3442,
   53505, 64059, 97937, 97937, 97937,  4442,  3442,  4286, -5125, -5125,
   -5125, -5125, -5125, -5125,  4291, -5125, -5125, -5125, -5125,  4369,
   -5125, -5125,   932,  3674, -5125,  2821, -5125,  4725,  4617, -5125,
   -5125, -5125, -5125, -5125, -5125,  4482, -5125, -5125, 59794,129590,
   97937, -5125,  4381, -5125, -5125, -5125, -5125, -5125, 54553, 62993,
   -5125,   828,  4307,  4308,  1210, -5125, -5125, -5125, 97937, 11521,
    4309,  1029,  3674, 97937, 97937,  4311,  4313,  2039,  1729,  2031,
    3670,  4608, -5125, -5125, -5125, -5125,  4482, -5125, -5125,  2142,
   -5125, -5125, -5125, -5125, 70361, -5125,  2444, -5125,  1970,  4651,
   71924,  4735,  4735, 97937, -5125, 11807,  4515, -5125, -5125,  4594,
    4286,  4545,  4593, -5125,  4316, 97937,  4483,  4322, 97937,  4324,
    4441,  1155,  1155, 97937, 97937, 97937,  2826,  2323,  3012,  4112,
    1175, 81297,  4685,  4042,   280, -5125, -5125,   642, -5125,   563,
    4661,  4368, -5125, 97937,  4759,  3947, 97937,  4330, -5125, -5125,
   83377,  4528,  2650,132308,  4145,  4304,  2457,  4468, -5125,  4470,
   -5125,  1402, -5125,  2323, 97937, 97937, 53505, -5125, 77655, -5125,
    2834, -5125, -5125, -5125,  4407,  3798,  4445,  4449,  4343, 97937,
      10, -5125,  4353, -5125, -5125, -5125, -5125, -5125, -5125, 97937,
   -5125,   234, -5125, -5125,  5550, 48747, 77134,  2852, 45519, -5125,
   45519, -5125,  4761, -5125, -5125, -5125,   657, -5125, -5125, -5125,
    3146,  3146,  3146, -5125,  4764,  4183, -5125, -5125,  2855,  4783,
   48209,  4745, -5125, 97937,  2858, -5125, 45519,  4358, -5125, -5125,
   52457,  1847,  4359,  2865, 97937,  2871, 77134,  4370,  4366,   544,
    4374, 36933,  4351, -5125, -5125, -5125, -5125, -5125, 17734, 17734,
   97937, -5125,  4376, -5125, -5125, -5125, -5125, -5125, -5125,  4408,
   97937,  2877, -5125,   550, 17734,  1675,  1098,   234,  4596,  4286,
   -5125,  4379, -5125, -5125, -5125,   283,   283, 97937,  4286, -5125,
   -5125, 97937,  4452, -5125, -5125, 70361,  4650, -5125,  4426, -5125,
    1043,  3674, 97937, 77134, -5125,   134,  4684, -5125, 77134, 77134,
   -5125, -5125, -5125, 45519,  4465, -5125, -5125, -5125,  1351,  2028,
   -5125, -5125, 97937, 97937, 97937, 97937, 97937,   415, -5125,  2880,
   -5125,122304, -5125, -5125,  3221,  2920,  3221,  1859, -5125, -5125,
    3221, -5125,  3221, -5125,  4223,  2920,  4735,  1040, -5125, -5125,
   -5125,  2279,  4597,  4382, -5125,  1198,  4583,  4471,  4384, -5125,
   71924,  4848,  3947,  4383, 97937, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125,  2881,  4042,  4703,  3672,  4282, -5125,
    4422, -5125, 52457, -5125, -5125, -5125,  3221, -5125,  1889,  4390,
    4714,  4042,  2323,  4304,  3947,  4383, -5125, -5125,  4393, -5125,
   -5125,  4211,  2457,  4145, -5125, -5125,  4797,  4598,  4798,  3762,
   -5125,  3591,  2884, -5125,  8586, 78697, 77134,  4738,  4437,  4439,
   -5125, -5125,  4451, 97937, -5125, -5125,  2649,  4862,  4042, -5125,
    5550,  2888, -5125,  2906,  2910,  4560,  4457, -5125, 45519,  1791,
    4008, 71403,  4409, -5125, 48747,  2913, -5125,  6016, 97937,  2927,
   -5125, 17734, 97937, -5125, -5125, 45519, -5125,  2930, -5125, -5125,
   45519,  4411, 45519, -5125, 47133,  4404, -5125,  4839, -5125,  2323,
   -5125,  3798, 53505, -5125,  4533, -5125,  4716, -5125, 97937,  4460,
   62993,  3803,  3803,  2252, -5125,  1707, -5125, 97937, -5125,  4382,
   45519, -5125,  4500, -5125, -5125,  2933,  1488,  4572,  4572,  2938,
    2939, 12134, 97937, -5125, -5125, -5125, -5125,  2943, -5125, -5125,
   -5125, -5125,  2954,  3689,  2031,  3689, -5125,  3670, -5125, -5125,
   70361, -5125,125966, -5125, -5125, -5125,  2920, -5125,  2920,  4627,
   97937, 66156,  2920,  2920, -5125, -5125, -5125, -5125, -5125,  4756,
    4698, -5125,  3029, -5125, -5125, -5125, -5125,   345, -5125,  4624,
    4628, 97937, -5125,  4425, -5125,  2958,  4184,  4547,  4042, -5125,
   -5125, 97937,  4860,  4865, -5125, 97937,  4013, 97937, -5125, -5125,
   -5125, 45519,  4600, -5125,  4282,  2457,  4184,  4304,  2650, 54029,
   -5125,  4145,  4211,  4636, -5125,  4638, -5125,  4444,  3672,  7037,
   -5125, -5125,  1014,  4744,  4747, -5125, -5125, -5125, -5125, -5125,
   97937, -5125, -5125, -5125, -5125, -5125, -5125,  3758, 44443, 44443,
    4450, -5125, -5125, 97937,  1122,  4443, 48209, 70361,  2965, -5125,
   75571, -5125,  2966,  2970, -5125,  2982, 47133,  2986, -5125, 97937,
    4454, -5125, -5125, -5125, 58222,129137,   283,  4461, -5125,  4462,
   -5125, -5125,  4545,  1707,  3674, -5125, 17734, 97937, 71924,  4861,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125,  3674,  4531,  1351,
   -5125,  2028, 97937, -5125, -5125,  3006, -5125, -5125, -5125, 97937,
    4123, -5125,  4123, -5125, -5125,  4584, -5125,  2195,   927,   927,
    4799, -5125,  4516, -5125, -5125,  4463, -5125,  4914,  4577, 97937,
   -5125, -5125,   828,  2323,  4042, -5125, -5125, 12490, 71924, -5125,
    4145,  4304,  2457, 45519,  3009, -5125,  4596,   149,  4211, -5125,
   -5125, -5125, 53505,  4211, -5125, -5125, -5125,  2754, 71924, 71924,
   -5125, 47671,  4599,  1053, 15104, -5125, -5125, -5125, -5125,  3010,
   49823, -5125, -5125, -5125, 97937,  4652,  1651, -5125,  4607, -5125,
    3017, -5125, -5125, -5125,  1364,   234,  3803, 45519,  1707, -5125,
    4583, -5125,  3674, -5125, 97937, -5125,  4472, -5125, -5125, -5125,
   -5125,125966,  4123,  4368, -5125, -5125,  4911, -5125,  1000, -5125,
   -5125, -5125, -5125, 97937,  4042,  4213,  4282, -5125, -5125,  4475,
    4211,  2457,  4145, 12860, -5125, 54029, 97937, 97937, -5125,  3018,
    3798, -5125,  2952, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
    4474,  4477,  4902, -5125, -5125, -5125, -5125, -5125, -5125,  3943,
   -5125, -5125, 48747,  4683, -5125,  1651, -5125, 48747,  4492, -5125,
   -5125, -5125, -5125, -5125, 12952, -5125, -5125, -5125,  1351, -5125,
    4803, -5125, -5125, -5125,  4042, -5125, -5125, 69840, -5125,  4145,
    4211,  4596, -5125, -5125, -5125,  3672, -5125,  2172, -5125, -5125,
    2235,  2427,  4555,  4800, 44981,  4885,  1122, -5125, -5125,  1122,
   45519, -5125,  1707,  3022,  4662, -5125,  3026, -5125, -5125, -5125,
   -5125, -5125,  4211, -5125, 97937,  4211, -5125,  2952,  4604,  4605,
   -5125, 97937, 12970, -5125, 71924, -5125, 69840, -5125, -5125,  3798,
   -5125,  4538,  4542,  3027, -5125,  4494, -5125, -5125,  4805,  4808,
   -5125, 69840, 71924, 71924,  3030, -5125, -5125, -5125
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2656,     0,     2,     1,  3085,  3089,  3093,  3094,  3011,  3095,
    3096,  3061,  3062,  3063,  3064,  3065,  3066,  3067,  3068,  3069,
    3070,  3071,  3072,  3074,  3073,  3075,  3076,  3077,  3078,  3079,
    3080,  3081,  3082,  3084,  3083,  3033,  2663,  3030,  3027,  3028,
    3029,  3034,  3032,  3025,  3026,  2223,  3098,  3086,  3099,  3087,
    3088,  3090,  3091,  3060,  3092,  3100,  3101,  3102,  3097,  3105,
    3056,  3057,  3055,  3058,  3059,  3103,  3104,  3047,  3048,  3049,
    3050,  3106,  2664,  2665,  3052,  2657,  2661,  2723,  2794,  3053,
    3054,  3051,  2662,  3046,  2794,     0,  2915,  2916,  2917,     0,
    2918,  2919,  2920,  2846,  2808,  2921,     0,     0,  2922,  2923,
    2924,  2925,  2926,  2927,  2928,  2929,     0,  2930,  2931,  2932,
    2933,  2793,  2934,  2935,  2936,  2937,  2770,  2776,  2899,     0,
    2750,  2751,  2747,  2749,  2748,  2752,  2735,  1422,   632,  1508,
    1507,     0,  2558,  1422,  2511,  2512,  2559,  2513,  2514,  2515,
     270,     0,  1510,  2516,  2560,     0,  1422,  2561,   431,  1114,
    2562,  2563,  2678,     0,  2517,  2518,     0,     0,     0,   632,
    1422,     0,     0,  2519,  1637,  2520,     0,  2521,  2564,  2565,
       0,  2522,  2523,  2566,     0,  2567,  2524,  2525,  2526,  2568,
    2569,  2570,  2527,  2571,  2572,     0,     0,  1651,     0,  2528,
    2573,  2529,  2530,     0,  2574,  2531,  2532,  2533,  2575,  2576,
    2534,  2535,  2536,     0,  2537,     0,     0,     0,     0,     0,
       0,  2577,  1422,  2538,     0,     0,  1658,     0,  2539,     0,
    2578,  2540,     0,  2541,     0,  2579,  2542,  2543,  2544,  2545,
    1651,  2895,  2771,     0,  1512,     0,  2546,  2580,     0,  2547,
    2548,  2549,  2550,  2551,  2552,  2553,  2554,  2555,  2556,  2557,
       0,     0,     0,    69,    70,    29,    28,    89,    52,    16,
      60,   123,   122,   124,    39,    35,    77,    24,    26,    36,
      40,    62,    64,    53,   101,    61,    22,    59,    84,    65,
      87,    47,    10,    11,    48,    12,    49,    13,    50,    14,
      97,    71,    90,    33,    58,    21,    41,    67,    68,     3,
      43,    79,    75,     9,    54,    55,    57,    81,    82,    83,
     106,    85,   118,    38,   115,    94,    95,   112,    96,   113,
       7,    98,    51,    15,   109,   108,   110,    78,    44,    80,
      66,    88,   107,    25,   111,    17,    18,    20,    19,    56,
      27,    63,    30,    86,   114,   104,   100,   119,   117,   125,
     102,    72,     5,     6,    91,     4,    23,    46,     8,    32,
      31,    45,    37,   121,    34,  1510,    93,   105,    92,    99,
      76,   103,   120,    74,   116,  1622,  1609,  1660,  1621,  1636,
       0,  1625,  2990,  2991,    42,  1637,   127,   128,   133,  2660,
    2712,  2713,  2714,  2794,  2745,  2746,  2739,  2755,  2765,  2754,
    2758,  2766,  2753,  2772,     0,   130,   132,   134,   137,   131,
     126,   129,   136,   141,   135,   140,   138,   139,   142,   143,
     144,  2992,  1883,  2989,    73,  2730,  2729,     0,  2794,     0,
    3022,  2238,  2239,  2240,  2241,  2242,  2243,  2244,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,  2252,  2253,  2254,  2255,  2256,
    2257,  2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,
    2277,  2278,  2279,  2280,  2281,  2282,  2283,  2230,  2284,  2285,
    2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,
    2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,
    2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,
    2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,
    2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,
    2376,  2377,  2378,  2379,  2380,  2381,  2382,  2383,  2384,  2385,
    2386,  2387,  2388,  2389,  2390,  2391,  2392,  2393,  2394,  2395,
    2396,  2397,  2398,  2399,  2400,  2401,  2402,  2403,  2406,  2404,
    2405,  2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,
    2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,
    2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,
    2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,  2231,  2450,  2451,  2452,  2453,  2454,
    2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,
    2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,
    2475,  2476,  2678,  2477,  2478,  2479,  2480,  2481,  2482,  2483,
    2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,
    2494,  2495,  2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,
    2504,  2505,  2506,  2507,  2508,  2509,  2510,  2696,  2228,  2229,
    2235,  2236,  2237,  2671,  2692,  2698,  3018,  2697,  2234,  2845,
       0,     0,  2938,  2939,  2940,  2941,  2942,  2943,  2993,  2994,
    2995,  2996,  2997,  2999,  2998,  2807,  2965,  3002,  2806,  3003,
    2810,  3004,  3005,  3006,  3007,  2966,  3008,  2809,  3000,  2962,
    2811,  2804,  2805,  2963,  2913,  2914,  2201,  2964,  2961,  3001,
    2699,  2960,  2815,  2814,  1599,  3017,  2200,  1600,     0,  2817,
    2944,  2945,  2946,  2947,  2949,  2948,  2950,  2581,  2582,  2583,
    2584,  2585,  2586,  2587,  2588,  2589,  2590,  2591,  2592,  2975,
    2593,  2594,  2595,  2988,  2596,  2597,  2976,  2598,  2599,  2600,
    2601,  2602,  2603,  2604,  2605,  2606,  2607,  2608,  2609,  2610,
    2611,  2612,  2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,
    2621,  2977,  2978,  2622,  2623,  2624,  2625,  2626,  2627,  2628,
    2629,  2630,  2631,  2632,  2633,  2634,  2635,  2636,  2637,  2638,
    2639,  2640,  2641,  2642,  2643,  2644,  2645,  2979,  2646,  2647,
    2980,  2648,  2649,  2650,  2981,  2651,  2652,  2653,  2654,  2655,
    2985,  2986,  2987,  2974,  2768,  2951,  2973,  2984,  2982,  2983,
    2778,  2774,  2782,  2777,     0,     0,     0,     0,  2794,  1421,
    1420,  1406,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   631,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2668,     0,  1432,   402,
     401,  1509,  1489,   632,     0,  1409,   430,  1637,     0,     0,
       0,     0,     0,     0,     0,     0,   860,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   193,
       0,     0,     0,     0,   456,   455,     0,     0,     0,  1087,
     461,     0,     0,     0,     0,     0,   620,  2677,  2672,  2682,
       0,  2675,  2676,  2960,     0,  3109,  2404,  2708,  2709,  3107,
    2461,  1601,   271,   274,   275,   272,   273,     0,  1209,  1210,
    1212,     0,     0,     0,  1222,   900,   901,     0,     0,     0,
     909,     0,     0,     0,   898,     0,     0,     0,   914,   911,
       0,   915,   912,   895,   913,   902,     0,   894,     0,     0,
    1222,   916,     0,     0,   896,     0,     0,     0,     0,  1410,
       0,  2760,  2761,  2335,  1549,   462,     0,     0,  1637,     0,
    1527,  1528,  1510,  1517,  1529,  1522,  1524,  1523,  1525,  1521,
    1526,  2239,  1027,  2254,  1027,  2324,  1024,  1025,  1027,  1027,
    1027,  2423,     0,     0,   999,     0,  1010,  2224,  1027,  2225,
    3018,  1032,   522,   522,   522,     0,  1031,  1036,   522,     0,
    1403,  1441,  2205,  1650,     0,  2254,  2324,  1000,  1402,  2477,
    1541,     0,     0,  1237,  1233,  1235,  1236,  1234,     0,     0,
       0,  2439,  1414,   255,  2958,  2449,  2542,  2477,  2959,   254,
     249,   250,  2953,  2954,  2956,   223,  2957,  2955,  2952,  2243,
       0,     0,  1031,     0,  1411,  1412,   982,  1657,  1655,     0,
    2187,     0,     0,  2262,     0,  2276,  2360,   246,  2434,  2440,
    2449,  2542,  2477,  2508,   202,   212,   207,     0,   264,  2449,
    2542,  2477,     0,  1432,     0,  1626,  1757,  2196,     0,     0,
    2769,  1405,  1404,  1511,     0,  1514,     0,  2418,  1630,  1633,
    1516,  1631,  1622,     0,     0,  2659,  1505,  1654,  1654,     0,
    1654,     0,  1614,  1622,  1617,  1621,     0,     0,     0,     0,
    1422,     0,  2737,  2765,  2744,  2800,  2741,     0,     0,  2790,
    2786,  2783,  2791,  2792,  2785,  2773,  1872,  1873,  1874,  1871,
    1884,  1870,     0,  2718,  1875,  2757,  2724,     0,  2732,  2731,
    3035,  3036,  2847,  2670,  2689,     0,     0,     0,     0,     0,
       0,     0,  2816,  2818,  2820,  2780,  2779,  2775,     0,     0,
       0,     0,  2905,  2906,  2904,     0,  2901,  2903,     0,  2800,
       0,     0,  2969,  2963,  2972,     0,  2206,  2964,  2961,  2960,
       0,   919,     0,  1444,  1073,     0,     0,     0,     0,     0,
       0,     0,  1122,  1123,     0,  2228,     0,  2334,     0,     0,
       0,  2098,  2109,  2110,  2111,  2266,  2319,  2106,  2107,  2108,
    2100,  2101,  2102,  2103,  2104,  2105,     0,     0,  1204,  2099,
       0,  2334,     0,     0,   172,     0,   149,     0,     0,  2334,
       0,     0,     0,     0,     0,     0,     0,  2334,     0,     0,
       0,     0,     0,   172,  2365,     0,   149,  2334,     0,     0,
       0,  1426,     0,     0,     0,  1428,  1431,  1407,  1492,     0,
    2196,     0,     0,     0,   953,   946,     0,   954,   961,     0,
       0,   963,     0,     0,   947,     0,     0,     0,     0,   966,
     967,     0,   968,   948,   969,   949,   970,   950,   971,     0,
       0,     0,     0,   951,     0,     0,     0,  1418,     0,  1543,
    1545,  1544,  1542,   522,     0,     0,     0,     0,  2334,     0,
       0,   149,  1477,     0,  2334,   149,     0,     0,   460,   459,
     149,   458,   457,  2266,  2319,     0,  1113,     0,  1361,   149,
    2334,     0,   195,  2334,   704,  2334,  1516,     0,   635,     0,
       0,   815,  2365,   149,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,   619,   632,     0,  2681,  2687,     0,
    2679,  2848,  3110,  3108,  2803,     0,  1213,   247,   248,  1211,
     907,  2334,  1155,   358,   358,     0,     0,  2334,  1463,  1832,
    1861,  1839,  1861,  1861,  1828,  1828,  2303,  1841,  2334,  1829,
    1830,  1866,     0,  1861,  1828,  1833,     0,  1831,  1869,  1869,
    1856,   358,   923,  1813,  1814,  1815,  1816,  1842,  1843,  1817,
    1848,  1849,  1853,  1818,  1883,  2970,  1828,  2971,  2968,  2967,
     908,     0,   899,  2334,   358,  1119,  2334,  2232,   182,     0,
     897,  2266,  2319,  2334,   358,  1206,     0,  2334,   178,  2334,
     358,  2334,   636,     0,     0,  2334,   358,  2334,  2365,   180,
       0,  2334,   358,   917,  2334,   358,  2198,  2334,     0,     0,
       0,  3040,  3044,     0,  3042,  3037,  2759,  2813,  2812,  2711,
       0,  3121,     0,  1601,  1519,  1534,     0,  1530,  1537,  1533,
    1637,  1027,  1026,     0,  1027,     0,  3130,  1027,     0,  1027,
       0,  3130,  1027,     0,     0,     0,  1027,  2226,  2227,     0,
       0,  3129,  3127,  3128,  1001,  1011,     0,  1033,     0,     0,
    1040,  1039,  1038,     0,     0,     0,  1041,     0,  1761,  1576,
       0,  1008,     0,  1006,     0,  1400,  1417,     0,     0,     0,
       0,  1090,  1240,     0,  1238,  1229,  1230,  1413,   253,   251,
       0,     0,     0,     0,     0,     0,  1419,     0,     0,     0,
       0,  3024,  2212,  2112,  3023,     0,  2512,  2513,  2514,  2171,
       0,  2965,  2515,  2516,  2560,  2014,  2001,  2010,  2015,  2002,
    2004,  2011,  2517,  2518,  1949,  2519,  2520,  2219,  2521,  2522,
    2523,  2525,  2526,  2527,  2006,  2008,  2528,  2529,     0,  2220,
    2531,  2532,  2387,  2534,  2535,  2537,  2538,  2012,  2540,  2541,
    2542,  2543,  2544,  2545,  2218,     0,  2013,  2546,  2548,  2549,
    2550,  2551,  2553,  2554,  2555,  2556,     0,     0,     0,  2193,
       0,  1981,     0,  1821,  1822,  1844,  1845,  1823,  1850,  1851,
    1824,     0,  2192,  1886,  2063,  1980,  1997,     0,  1986,  1987,
       0,  1979,  1975,  1640,  2188,     0,  1976,  2208,  2172,  2222,
    2221,  3018,  2182,  2211,  2209,  2210,  1640,  2186,     0,     0,
       0,   215,     0,     0,  2894,   266,     0,   267,  2194,  2449,
     203,   245,   217,   244,   218,   216,     0,  2264,   204,     0,
       0,   205,     0,     0,     0,     0,     0,     0,     0,   260,
    1408,     0,  1759,  1758,  2179,     0,  2180,  2197,   928,     0,
    1502,  1503,  1501,     0,  1498,  1500,  1504,  1513,  1510,  2122,
       0,  1632,     0,     0,     0,  1612,  1611,  1516,  1652,  1653,
       0,     0,     0,     0,     0,     0,     0,     0,  1706,  1668,
    1669,  1671,  1703,  1707,  1715,     0,  1618,     0,     0,  1763,
       0,     0,  2658,  2800,  2801,     0,  2795,     0,  2794,  2794,
    2788,  2787,  2784,     0,     0,     0,     0,     0,     0,     0,
       0,  2715,   614,  2717,   611,     0,     0,  2691,     0,  2695,
    2693,     0,  2840,  2843,     0,  2841,  2842,  2844,     0,  2849,
    2850,     0,     0,  3031,     0,     0,     0,  2831,  2819,  2826,
    2828,  2830,  2829,  2838,  2834,  2837,  2839,  2781,  2794,  2912,
       0,  2907,  2910,     0,  2902,     0,     0,     0,     0,     0,
    1154,  2207,     0,     0,     0,     0,     0,   920,     0,     0,
       0,     0,  1452,  1453,  1454,     0,     0,  1455,  1456,  1444,
     257,  1462,  1460,  1443,  1445,  1458,  1450,     0,     0,     0,
       0,     0,     0,     0,  1469,     0,   186,   187,     0,   648,
     632,     0,  2334,     0,     0,     0,     0,     0,  1162,  1169,
       0,     0,     0,     0,     0,     0,     0,     0,  1163,  1161,
    1164,   259,  1173,  1190,  1193,     0,  1121,  1124,     0,     0,
       0,     0,     0,  1295,     0,     0,     0,  1295,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   282,   294,   353,     0,     0,  2334,     0,     0,     0,
       0,  1208,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   147,   148,   153,     0,     0,
       0,     0,     0,     0,     0,   597,   610,     0,     0,     0,
       0,     0,   607,     0,     0,   149,   286,   587,   593,     0,
       0,     0,   711,   710,     0,     0,     0,     0,  1377,  1376,
       0,     0,     0,     0,  1467,  1466,     0,     0,     0,     0,
       0,  1295,     0,   276,   278,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     394,   395,     0,     0,     0,   153,     0,     0,     0,     0,
     288,     0,  2725,     0,  1427,  1424,  1425,     0,  1430,     0,
    1488,     0,   960,     0,     0,     0,     0,   962,     0,   955,
       0,     0,   952,  2266,  2319,     0,     0,     0,     0,     0,
       0,     0,   965,     0,     0,     0,   433,     0,     0,   812,
       0,     0,     0,     0,     0,     0,   823,     0,  1444,  1476,
       0,     0,     0,   641,     0,  2334,     0,   151,   861,     0,
     813,   461,     0,     0,     0,  1185,  1360,   151,     0,     0,
     189,     0,     0,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   753,   752,     0,     0,     0,   814,     0,
       0,   151,     0,  2334,   590,  2334,     0,   522,   522,     0,
       0,  1089,  1092,     0,     0,     0,     0,  2685,  2680,  2683,
       0,  2673,  2687,  1604,  1606,  1605,     0,  1603,     0,   356,
     357,     0,  1196,   810,  1221,     0,     0,  1860,  1847,  1855,
    1854,     0,  1837,  1836,  1835,     0,  1834,     0,  1861,  1861,
    1859,  1838,  1813,     0,     0,     0,  1865,     0,  1863,     0,
     890,  1809,  1805,     0,  1872,  1871,  1870,     0,  1819,  1828,
    1825,   910,     0,     0,  1194,     0,     0,  2334,   358,  2334,
       0,  2334,     0,     0,     0,  1198,   358,     0,     0,  1378,
       0,   906,   904,   903,   905,     0,     0,   888,     0,     0,
       0,  2334,   358,     0,     0,   883,     0,     0,   885,     0,
       0,  3038,     0,     0,  3041,     0,  2762,     0,  3124,  1546,
    3125,     0,     0,  1637,     0,   234,   235,   233,  1535,   236,
    1536,  1532,  1518,     0,  1019,     0,  3130,  3131,  1004,     0,
    1014,     0,  3130,  1002,     0,  1015,  1012,  1013,     0,     0,
       0,  3126,  3009,  3015,  1018,     0,     0,   523,   525,     0,
       0,  2287,  2302,     0,  2325,  2353,  2354,  2440,  2445,     0,
    2472,  2482,     0,  1042,  1068,  1037,   722,     0,     0,  1586,
    1009,  1007,  1401,  1539,  2129,     0,  1637,     0,     0,     0,
       0,   252,   224,     0,     0,     0,  1070,  2439,  1416,   981,
     632,     0,     0,  1984,  1985,  2170,     0,     0,     0,     0,
       0,     0,  1983,  2137,     0,     0,     0,     0,     0,  1909,
       0,     0,     0,  2150,     0,  2156,     0,     0,  1946,     0,
       0,     0,     0,     0,     0,     0,     0,  1910,  1890,  1891,
    2966,  1981,  2122,     0,  1982,  2215,     0,  1883,  2112,     0,
    2109,  2110,  2111,     0,     0,     0,  2185,     0,  2120,     0,
       0,  1924,  2118,  1926,     0,     0,     0,     0,  2106,  2107,
    2108,  2100,  2101,  2102,  2103,  2104,  2105,  2116,  1906,     0,
    2191,     0,  2065,     0,  1905,     0,     0,  1719,  1639,     0,
    2213,  2173,     0,  3016,  3019,  1977,  1719,  2891,  2890,  2889,
    2888,  2859,     0,  2853,  2854,     0,  2892,  2893,   268,   269,
     265,     0,     0,   220,   219,     0,   242,   243,   214,   241,
       0,   237,   238,   222,  2054,  2053,   221,   213,   210,   208,
     225,   227,   228,   211,   209,   263,   261,     0,     0,  2178,
       0,  2175,  2174,  2203,  2181,     0,     0,   358,  2794,  1496,
       0,  1493,  1716,     0,  1634,     0,     0,  1506,  1629,  1628,
    1661,  1662,  1106,  1627,  1686,  1687,  1682,     0,     0,     0,
    1712,  1710,  1678,  1672,  1677,  1675,     0,  1679,  1886,  1705,
    1616,  1666,  1667,  1670,  1615,     0,  1708,     0,  1589,  1706,
    1671,  1573,     0,  1551,     0,  1764,     0,     0,     0,  2802,
    2800,  2740,  1813,  2794,  2733,  2794,  2789,  2721,  1877,  1878,
    1879,  1880,  1881,  1882,  2722,     0,  2719,  1876,  2720,   612,
     613,     0,     0,     0,  2688,     0,  2669,  2694,  2825,  2457,
    2857,     0,  2858,     0,     0,  2822,     0,  2832,  2835,  2833,
    2836,     0,  1813,  3012,  2908,  3012,  1813,     0,     0,     0,
    1134,  1136,     0,  1135,     0,  1138,     0,  1147,     0,     0,
    1133,  1152,     0,  1141,  1139,     0,  1465,     0,     0,   921,
       0,     0,     0,     0,  1451,     0,     0,  2472,   256,  1454,
    1459,  1446,  1457,     0,     0,     0,     0,     0,  1072,  1071,
       0,     0,  1094,     0,     0,     0,  1472,   511,     0,   355,
       0,     0,     0,     0,     0,     0,     0,     0,   808,   805,
       0,     0,   804,     0,   646,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   684,     0,  1295,     0,   716,
       0,  1171,     0,     0,  1170,     0,  1174,     0,     0,  1172,
    1167,  1168,  2440,  2449,  2477,   258,  1192,     0,  1191,  1189,
    1116,     0,  1117,     0,     0,     0,     0,     0,  2312,  2334,
     298,   317,     0,  1294,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   340,
       0,     0,   343,   342,     0,     0,     0,     0,     0,   347,
     326,     0,   327,     0,     0,   346,     0,     0,     0,     0,
       0,     0,  1295,     0,   290,     0,     0,     0,     0,     0,
       0,     0,  1205,     0,   739,     0,     0,     0,     0,     0,
    1364,     0,     0,   175,     0,   170,   174,     0,     0,     0,
       0,   595,   596,   609,     0,   600,   601,   598,   602,   603,
       0,     0,     0,     0,     0,     0,     0,   594,     0,     0,
     706,   705,   709,     0,     0,     0,  1373,     0,  1185,     0,
       0,  1372,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1242,  1241,     0,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,     0,     0,     0,     0,   177,
     726,     0,   725,     0,   171,   176,     0,     0,     0,     0,
       0,     0,     0,   232,  1423,  1429,  1491,  2204,  1490,     0,
       0,     0,     0,   964,     0,     0,     0,     0,     0,     0,
       0,   956,   957,   958,   959,     0,     0,     0,     0,     0,
     408,     0,     0,     0,     0,   839,  2967,   811,     0,     0,
       0,   825,     0,   828,   831,     0,  1442,   480,     0,     0,
     638,   684,     0,     0,   464,   184,     0,     0,     0,     0,
     741,     0,     0,     0,  1359,   146,   193,   195,   462,     0,
     194,   196,   198,   199,   200,   197,   201,     0,   703,   707,
       0,     0,     0,     0,   634,     0,     0,     0,     0,     0,
     754,   758,   757,   761,   759,     0,   755,     0,     0,  1784,
       0,     0,   169,     0,     0,   585,   589,     0,  2666,     0,
       0,   464,   563,   369,  2334,     0,   522,     0,  2334,     0,
    1091,     0,     0,     0,     0,     0,     0,  2686,     0,     0,
       0,     0,  1602,   358,  1156,     0,  1464,     0,     0,     0,
     358,  1858,  1857,  1810,  1806,     0,     0,     0,     0,   924,
       0,     0,     0,     0,     0,     0,  1826,   358,  1120,   183,
    2233,     0,   892,     0,     0,     0,     0,   358,  1207,   880,
     179,   358,   637,     0,   358,   181,     0,     0,     0,   629,
     358,   918,   358,  2199,     0,   358,  3039,  3045,  3043,  1548,
    3122,  3123,   522,  1606,  1520,  1531,  1016,  1023,  1005,  1022,
    1021,  1003,  1020,  1017,  2824,     0,     0,  3014,     0,  1034,
       0,   521,     0,     0,     0,  1048,  1049,     0,     0,  1047,
    1050,     0,  1052,  1044,  1043,  1053,  1054,     0,     0,  1070,
     720,     0,     0,     0,     0,  1583,     0,  1581,     0,  1762,
    1585,  1574,  1540,     0,  1538,     0,   578,     0,     0,  1239,
       0,     0,  1031,     0,     0,   358,  1415,     0,   983,   989,
       0,     0,     0,     0,     0,     0,   992,   993,   994,   985,
     995,   986,   996,     0,   987,     0,     0,     0,     0,  2133,
       0,  2134,     0,     0,  2169,  2165,     0,     0,     0,     0,
       0,  2141,  2142,  2143,  2140,  2144,  2139,     0,     0,  2145,
    2138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2538,     0,     0,     0,     0,  1950,     0,     0,  2093,     0,
    2122,  2155,     0,     0,     0,     0,     0,     0,  2122,  2161,
       0,     0,     0,     0,  2052,     0,  2049,     0,     0,     0,
       0,  2182,     0,     0,  2216,  1887,  1901,  1902,  1903,  1907,
    2190,     0,  2184,     0,     0,  1888,  1915,     0,  2162,  1942,
       0,  1947,  1930,     0,  1923,     0,  1928,  1932,  1911,     0,
    1908,     0,  2185,  2121,     0,  2119,     0,  1898,  1899,  1900,
    1892,  1893,  1894,  1895,  1896,  1897,  1904,  2097,  2095,  2096,
       0,     0,     0,  2073,     0,     0,  1927,  2328,  2360,     0,
    1651,  1651,  1651,  1638,  1649,  2189,     0,  1779,     0,     0,
       0,     0,  1989,     0,  2126,  1660,  2124,  2206,  3021,  3020,
    2183,  1779,     0,     0,     0,  2195,     0,     0,  1883,     0,
     262,  1760,  2176,  2179,   926,   927,   925,  1813,  1516,  1499,
    1495,  1494,  2123,  1515,  1637,     0,  1104,  1105,     0,  1109,
       0,     0,  1680,  1713,     0,  1704,     0,  1684,  1685,  1676,
    1714,  1587,     0,  1709,  1620,  1619,     0,  1782,     0,     0,
       0,  1565,  1553,     0,  1765,     0,  1719,  1591,     0,  2182,
    1717,  2738,  2796,  2743,  2764,  2734,  2767,  1885,  2716,  2756,
       0,  2690,  2860,  2861,     0,  2851,  2852,  2821,  2827,  2898,
       0,  3013,     0,     0,  1337,  1243,  1302,  1137,     0,  1828,
    1148,     0,  1132,     0,  1131,  1828,     0,  1149,     0,  1828,
    1338,  1244,  1303,   922,  1339,  1245,  1304,  1340,  1246,  1461,
    1449,  1448,  1447,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,  2334,   358,
    1470,  1341,     0,  1247,   354,  1471,  1305,  1475,   807,   806,
       0,     0,  1306,     0,   647,     0,   651,     0,   653,   654,
     655,     0,     0,     0,   656,     0,  2266,  2319,   658,   661,
     668,   673,   663,     0,     0,   675,   669,     0,     0,     0,
       0,     0,     0,   681,   683,     0,     0,     0,     0,     0,
       0,     0,  1165,  1166,  1342,  1250,     0,  1307,  1115,     0,
    1251,   185,     0,     0,   283,  2334,   300,     0,   688,   789,
    1297,   324,     0,     0,   339,   334,   335,   333,  2334,   358,
    2334,   358,     0,     0,     0,     0,     0,   336,   331,   332,
     328,     0,     0,   341,  2242,  2304,  2450,     0,   692,   694,
       0,   699,   344,  1269,   365,   364,   363,     0,   348,     0,
     370,   373,   345,   322,   325,   323,   319,   295,     0,     0,
       0,     0,     0,     0,     0,     0,  2202,     0,     0,  1200,
       0,  1345,  1308,     0,  1328,     0,     0,     0,     0,   733,
    1365,  1367,  1357,  1257,  1366,   173,  1284,     0,     0,   158,
       0,     0,     0,     0,   152,   162,     0,  1348,  1258,     0,
       0,   287,   588,   599,   604,  1263,   608,   605,  1318,   606,
    1355,  1259,  1351,  1287,  1313,  1358,  1374,  1260,  1185,  1369,
    1371,     0,  1295,     0,   277,   279,     0,   297,     0,  1261,
       0,  1311,  1350,  1286,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1478,     0,     0,     0,     0,     0,     0,
     358,     0,     0,     0,  1297,  2334,   358,  1349,     0,  1292,
       0,  1326,     0,   396,     0,  1285,     0,     0,   289,  1265,
    1320,     0,     0,   230,   229,   231,   973,   933,   972,     0,
    2302,     0,   932,   934,     0,     0,     0,   935,     0,     0,
       0,     0,   931,   929,   930,   407,     0,   432,   405,   406,
     408,     0,   838,     0,     0,     0,     0,     0,   827,     0,
       0,     0,  1468,     0,   149,   645,     0,     0,     0,   640,
     683,   688,     0,     0,     0,     0,   463,   467,   471,   472,
     473,     0,     0,     0,     0,   163,   150,     0,   869,     0,
     522,     0,   743,  1363,  1362,  1184,     0,   195,   188,     0,
       0,   704,     0,  1516,     0,     0,   369,   822,   820,   819,
     821,     0,     0,     0,   843,   818,     0,  1783,  1785,     0,
       0,     0,     0,     0,     0,     0,   466,     0,     0,   525,
       0,     0,   567,     0,     0,     0,     0,   369,     0,     0,
       0,  1126,     0,  1144,  1127,     0,     0,     0,     0,  1178,
    1185,  1179,  1157,     0,     0,   617,  2684,  2678,  1607,  1608,
       0,  1197,     0,     0,  1827,  1840,   891,     0,  1868,  1867,
    1869,  1869,     0,  1811,     0,  3111,  3119,  3118,     0,  1852,
    1820,  1195,   358,     0,   358,     0,   358,  1199,  1379,     0,
     889,     0,     0,   358,   882,   884,     0,   886,     0,  2823,
    3010,  1035,   524,     0,     0,     0,     0,  1046,   615,  1051,
       0,  1063,  1058,  1060,     0,  1064,   719,     0,     0,  1584,
    1577,  1579,  1578,     0,     0,  1575,  2130,   881,     0,   584,
    1231,  1232,     0,     0,   358,     0,  1065,     0,     0,   990,
     984,     0,     0,   988,     0,   991,     0,     0,  1656,  2131,
    2132,     0,     0,     0,  2166,     0,     0,  2027,     0,  2003,
    2005,  2017,     0,  2028,  1988,  2029,  2007,  2009,     0,  2113,
       0,     0,  2018,     0,  1952,  1953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1968,  1967,  2019,  2092,     0,     0,  2153,
    2154,  2020,     0,     0,  2160,     0,     0,     0,  2025,  2030,
       0,     0,     0,     0,  2036,     0,  2057,     0,     0,     0,
    1978,  2123,     0,     0,     0,     0,     0,     0,     0,     0,
    1948,  1931,  1925,     0,  1929,  1933,     0,     0,     0,  1919,
       0,     0,  1917,  1943,  1913,     0,     0,  1944,     0,     0,
       0,  1996,     0,     0,  1651,  1651,  1651,  1651,  1648,     0,
       0,     0,     0,  2437,  2557,     0,  1743,  1718,  1720,  1730,
    1743,  1748,  1743,  1998,  1777,  1999,     0,  2196,     0,  1689,
    1660,  1660,  1660,  1995,     0,     0,     0,     0,  1659,  1689,
    2873,  2875,  2876,  2877,  2878,  2879,  2881,  2882,  2884,  2885,
    2886,  2874,  2880,  2883,  2887,  2864,  2865,     0,  2855,  2856,
     206,     0,   239,   226,  2178,     0,  2898,  1497,     0,  1663,
       0,  2114,  1109,     0,  1665,     0,     0,  1711,  1673,  1588,
    1572,     0,  1570,  1557,  1559,  1558,     0,     0,  1560,  2182,
       0,  1570,  1552,  1596,     0,     0,  1782,     0,  1595,     0,
    2798,  2726,     0,     0,  2897,  2900,  2911,  2909,  2736,     0,
    1828,  1129,  1130,     0,  1153,     0,  1075,  1076,     0,  1074,
       0,     0,     0,   510,  1093,     0,     0,     0,   789,     0,
       0,   514,     0,  1473,     0,  1356,  1283,   649,   650,     0,
     662,     0,   671,   670,     0,     0,     0,     0,     0,     0,
       0,   657,   677,   621,   678,   680,     0,     0,   679,   682,
     685,  1295,     0,   717,  1271,     0,  1324,  1159,  1298,     0,
    1118,     0,     0,     0,     0,     0,     0,   480,   318,     0,
       0,     0,   149,     0,   302,   310,   376,   316,     0,  1301,
     350,     0,   321,     0,   314,   337,   329,   338,   330,   349,
     351,     0,   696,   697,   695,   691,     0,   698,   700,     0,
     367,     0,     0,     0,  1344,     0,  1295,     0,   291,     0,
    1267,     0,  1322,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1327,     0,     0,     0,     0,   738,
       0,   735,     0,     0,   155,   154,     0,   161,     0,     0,
       0,     0,     0,  1375,     0,     0,     0,     0,     0,     0,
       0,   296,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   397,
     360,     0,   846,     0,     0,     0,   399,     0,     0,     0,
       0,     0,  1343,  1252,     0,     0,     0,   944,     0,     0,
       0,     0,     0,     0,   410,   411,   149,   409,     0,     0,
     840,     0,   837,  2387,  2100,  2101,   835,   841,   832,   834,
     833,   836,   789,     0,     0,   824,   829,   830,     0,     0,
       0,     0,     0,   495,     0,     0,     0,   486,     0,     0,
    1185,   479,   482,   483,     0,     0,   641,   644,   642,   643,
     676,     0,   466,   502,   549,     0,   165,     0,     0,   166,
     164,     0,     0,   369,   740,     0,   737,     0,   191,   462,
       0,   708,     0,     0,     0,  1185,   633,   760,   763,   756,
       0,   842,   844,   816,     0,   688,     0,     0,   590,     0,
    1549,   578,     0,   551,   466,   549,   561,   560,   562,     0,
     569,   368,     0,     0,   578,   569,     0,     0,  1094,  1125,
       0,     0,     0,  1175,  1180,  1176,     0,     0,  1140,     0,
    1177,  1158,  1112,  1395,  1396,  1393,  1394,     0,     0,     0,
    2701,  1598,  2710,     0,  1846,     0,  1864,  1862,  1807,     0,
    2794,     0,     0,     0,     0,     0,  1812,   893,     0,   876,
       0,   878,   358,   727,     0,   630,   358,     0,     0,     0,
       0,  1045,     0,  1061,     0,     0,  1028,  1067,     0,     0,
    1582,  1580,   576,     0,  1070,     0,  1029,  1069,     0,     0,
       0,     0,     0,     0,     0,  2135,     0,  2168,  2164,     0,
    2000,  2136,     0,  2148,  2147,  2093,     0,     0,  1951,  1963,
    1964,  1965,  2149,     0,  1973,     0,     0,  1960,  1961,  1962,
    1954,  1955,  1956,  1957,  1958,  1959,  1966,  2158,  2157,  2151,
    2152,     0,  2022,  2023,  2024,  2159,  2031,     0,  2257,  2058,
    2035,  2051,  2050,     0,     0,     0,  2038,     0,     0,  2047,
       0,  2094,  2217,  1889,     0,     0,  1916,  2163,  1934,     0,
       0,     0,  1912,  2113,     0,     0,     0,     0,     0,  1921,
       0,     0,     0,  2076,  2071,  2072,  2090,     0,     0,     0,
       0,     0,     0,  1642,  1641,  1647,  1743,  1748,  1743,     0,
       0,  1622,     0,  1730,     0,  1742,  1728,  1741,     0,     0,
    1754,  1752,     0,  1754,     0,  1754,     0,  1722,     0,  1744,
    1724,  1741,  1726,     0,  1769,     0,  2197,  1778,     0,  1702,
       0,     0,     0,     0,  2127,  2128,     0,  2125,  1990,  1702,
       0,     0,     0,  2177,  2896,  1635,     0,  1664,  1107,  1108,
    1681,  1674,     0,  1780,     0,  1571,     0,     0,     0,  1562,
    1568,  1550,     0,     0,  1592,  1570,  1593,  2742,     0,  2797,
    2862,  2863,  1150,     0,     0,  1142,  1081,  1084,  1082,  1080,
    1083,     0,     0,     0,   789,     0,     0,   530,     0,  1101,
    1101,     0,     0,   516,   572,  1185,   792,     0,     0,     0,
     790,   358,  1248,     0,   672,     0,     0,   667,   665,   664,
     666,     0,   622,  1354,  1249,     0,     0,     0,     0,  1160,
       0,     0,  1270,     0,   299,     0,   476,     0,   311,     0,
     307,     0,  1296,     0,     0,     0,     0,   306,   380,     0,
     377,     0,   358,   358,   352,   693,   366,   371,   372,   375,
       0,     0,     0,     0,     0,  1300,     0,     0,     0,     0,
       0,     0,     0,   870,   853,     0,     0,   871,   872,     0,
       0,     0,  1202,  1203,  1201,  1329,  1330,  1335,  1332,  1331,
    1334,  1333,  1336,     0,  1255,     0,     0,   731,   159,   156,
     157,   160,  1281,  1264,  1319,  1370,     0,     0,     0,  1262,
       0,  1312,     0,  1277,  1273,     0,     0,     0,     0,     0,
    1353,  1291,  1317,  1352,  1289,  1315,  1288,  1314,  1290,  1316,
       0,  1282,     0,  1787,   850,     0,     0,     0,   358,   358,
     849,   729,  1266,  1321,     0,     0,   936,     0,     0,   938,
     939,     0,   941,   415,   435,   749,   809,     0,     0,   826,
     788,     0,   484,     0,   490,   493,     0,     0,   497,   498,
     496,   485,  1185,   522,   571,     0,     0,   799,     0,   639,
       0,   464,     0,   499,     0,     0,   468,   168,   167,     0,
       0,     0,   744,   748,   746,   745,   747,   742,     0,   733,
     195,     0,     0,     0,     0,   573,  1368,     0,   773,   817,
       0,  1786,   723,     0,   369,   586,     0,     0,   464,   578,
    2667,     0,   469,   474,   475,   480,     0,   563,   550,     0,
     551,     0,     0,   575,  1440,     0,   579,   581,     0,     0,
       0,  1128,  1145,  1146,     0,     0,  1185,     0,     0,     0,
       0,   624,     0,  2674,   358,  1808,  3112,     0,  3113,  3114,
    3115,  3116,  3117,   358,   358,  1228,     0,   887,  1057,  1056,
    1055,   616,     0,  1059,   721,     0,   577,   358,     0,   998,
     978,   997,   977,   979,     0,   976,   974,   975,  2167,  2016,
    2026,  2146,  2092,  2123,     0,     0,  1974,     0,     0,  2021,
    2547,     0,     0,     0,     0,  2055,  2056,  2037,     0,  2377,
    2042,     0,     0,     0,  1940,  1938,  1935,     0,  1936,  1920,
       0,     0,  1918,  1914,     0,  1945,  2062,     0,  2078,  2075,
    2089,  2123,  1646,  1645,  1644,  1643,  1729,  1725,  1727,     0,
    2552,     0,  1732,  1739,     0,  1721,     0,  1753,  1749,     0,
    1750,     0,     0,  1751,     0,     0,  1723,     0,  1739,     0,
    1776,  1660,     0,     0,  2067,  1993,  1994,  1991,  1660,  2214,
    2067,  2866,     0,  2869,  2867,  2868,  2872,   240,     0,     0,
       0,  1554,     0,  1555,  1561,     0,     0,     0,     0,  1597,
    1590,  2799,  1143,  1151,     0,     0,     0,   512,     0,  1185,
       0,     0,     0,  1103,  1103,     0,  1185,   571,   794,   793,
     796,   791,   795,  1474,     0,   659,   660,   674,  1272,     0,
    1325,  1279,     0,  1586,   301,     0,   689,     0,     0,   303,
     379,   381,   304,   305,   308,   360,   320,   313,     0,     0,
       0,  1268,     0,  1323,  1275,  1346,  1253,  1309,     0,     0,
     859,     0,     0,     0,     0,  1347,  1254,  1310,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
    1483,     0,  1299,   359,   848,   847,   360,   398,  1293,     0,
     937,   942,   943,   940,     0,   404,   412,   436,   149,     0,
       0,  1219,  1219,     0,   789,     0,     0,   481,   494,     0,
     571,   529,     0,   487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   736,   735,
     190,   464,     0,   688,     0,   767,   768,   762,   764,     0,
     775,   779,   845,     0,     0,   466,     0,     0,  1547,   465,
       0,     0,   477,     0,   567,   551,   563,     0,   564,     0,
     568,     0,  1433,     0,     0,     0,     0,  1181,     0,  1187,
       0,  1139,  1110,  1182,     0,  1779,     0,     0,     0,     0,
     628,  2700,  2704,  1220,  3120,   877,   879,   728,  1062,     0,
    1066,   358,   980,  2094,  1969,     0,     0,     0,     0,  2032,
       0,  2033,  2060,  2059,  2039,  2043,     0,  2040,  2041,  1937,
    1941,  1939,  1922,  2064,     0,  1660,  2091,  1772,     0,  1775,
       0,     0,  1731,     0,     0,  1733,     0,     0,  1735,  1737,
       0,     0,     0,     0,     0,     0,  2200,     0,  2283,  2523,
    2436,     0,  1688,  1690,  1693,  1695,  1694,  1696,  1692,  1701,
       0,  1624,     0,  1623,  2871,  2870,  2115,  1781,  1569,     0,
       0,     0,  1095,     0,  1594,  1063,     0,   358,  1101,   571,
     531,  2387,   532,  1100,  1102,  1106,  1106,     0,   571,   789,
     652,     0,     0,   284,   687,     0,     0,   312,   362,   374,
       0,  1586,     0,     0,   857,   866,   866,   854,     0,     0,
     873,  1256,   732,     0,     0,   280,  1278,  1274,     0,     0,
    1485,  1486,     0,     0,     0,     0,     0,   358,   945,     0,
     438,   445,   416,   421,  1477,     0,  1477,     0,   418,   422,
    1477,   417,  1477,   414,   415,     0,  1219,     0,  1216,  1215,
     787,     0,   520,   592,   488,     0,   540,     0,     0,   800,
       0,     0,   466,   549,     0,   509,   508,   504,   503,   505,
     506,   507,   501,   500,     0,   688,   863,   369,  1440,   730,
       0,   701,     0,   765,   770,   769,  1477,   774,     0,     0,
       0,   688,     0,   551,   466,   549,   470,   480,     0,   554,
     553,   569,   563,   567,   565,   566,     0,     0,     0,   578,
    1487,  1094,     0,  1186,     0,     0,     0,     0,     0,     0,
    1223,   623,     0,     0,   627,   618,     0,  2702,   688,  1030,
    1970,     0,  1971,     0,     0,     0,  2045,  2044,     0,  2081,
    1777,     0,     0,  1771,     0,     0,  1801,     0,     0,     0,
    1740,  1756,     0,  1736,  1734,     0,  1745,     0,  1747,  1990,
       0,     0,     0,  1697,     0,  2066,  2068,     0,  1992,     0,
    1567,  1779,     0,  1564,     0,  1077,     0,  1078,  1103,   535,
       0,  1109,  1109,   522,   789,   513,  1280,     0,   690,   592,
       0,   315,     0,   292,  1276,     0,     0,   868,   868,     0,
       0,     0,     0,   392,   391,   386,   393,     0,   389,   385,
     384,   387,     0,  1479,     0,  1480,  1481,  1484,   400,   413,
       0,   443,     0,   441,   440,   442,     0,   429,     0,     0,
       0,     0,     0,     0,   403,   434,  1214,  1218,  1217,     0,
       0,   489,     0,   491,   526,   527,   528,     0,   492,   536,
     537,     0,   797,     0,   802,     0,     0,     0,   688,   548,
     712,     0,     0,     0,  1434,     0,   574,     0,   776,   777,
     772,     0,     0,   724,  1440,   563,     0,   551,   478,     0,
     451,   567,   569,     0,  1437,     0,   580,     0,   369,  1185,
    1188,  1183,  1399,     0,     0,   626,   625,  2705,  2707,  2706,
       0,   718,  1972,  2048,  2034,  2061,  2046,  2077,     0,     0,
       0,  1770,  1773,     0,  1804,     0,     0,     0,     0,  1790,
       0,  1738,     0,     0,  1746,     0,     0,     0,  1691,     0,
       0,  1556,  1566,  1096,     0,     0,  1106,     0,   789,     0,
    1098,  1097,   529,   515,  1586,   309,   361,     0,     0,     0,
     864,   867,   855,   856,   875,   874,   734,  1586,     0,     0,
     382,     0,     0,   439,   448,     0,   446,   419,   424,     0,
     428,   426,   425,   420,   423,     0,   519,     0,     0,     0,
       0,   538,     0,   539,   570,     0,   801,     0,     0,     0,
     714,   862,     0,     0,   688,   766,   771,     0,     0,  1435,
     567,   551,   563,     0,     0,   555,  1101,  1101,   569,   449,
    1438,  1439,     0,   569,  1111,  1398,  1397,  1637,     0,     0,
    2703,  2511,     0,  2484,     0,  2079,  2082,  2080,  2074,     0,
       0,  1802,  1803,  1788,     0,     0,  1792,  1755,  1768,  1699,
       0,  1698,  2069,  2070,  1779,   358,  1109,     0,   517,   533,
     540,   285,  1586,   858,     0,   281,     0,   390,   388,  1482,
     444,     0,   427,   779,   591,   545,     0,   544,     0,   542,
     541,   798,   803,     0,   688,   852,  1440,   702,   778,     0,
     569,   563,   567,     0,   552,     0,  1103,  1103,   453,     0,
    1779,  1381,  1637,  1380,  1382,  1390,  1387,  1389,  1388,  1386,
    1226,  1227,     0,  2086,  2085,  2084,  2088,  2087,  1774,     0,
    1791,  1794,     0,     0,  1800,  1793,  1795,     0,     0,  1766,
    1700,  1563,  1079,  1099,     0,   789,   293,   865,     0,   447,
       0,   543,   547,   546,   688,   713,  1436,   782,   452,   567,
     569,  1101,   556,   558,   557,   369,  1085,     0,  1391,  1385,
    1622,  1609,     0,     0,     0,     0,  1798,  1799,  1796,  1797,
       0,   534,   518,     0,     0,   715,     0,   780,   783,   786,
     784,   785,   569,   450,  1103,   569,  1383,  1637,     0,     0,
    2083,     0,     0,   383,     0,   750,     0,   454,   559,  1779,
    1384,     0,     0,     0,  1767,     0,   781,  1086,     0,     0,
    1789,   782,     0,     0,     0,  1224,  1225,   751
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5125, -5125,  4664, -5125, -1288,   138,  2985,  -849, -5125, -5125,
   -5125,  1260, -5125, -5125, -5125, -5125,  3794, -5125,  2104, -2854,
   -5125, -5125,   -41,  3746, -1763,   -49,  3297,  1748, -5125, -1537,
   -5125, -5125,  -929,    -4, -5125,  3764,   545, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -1195,  2221,  2288,  1566,  4790,
   -2957, -5125, -5125, -1901, -3626, -5125,   866, -5125,   893, -4654,
   -5073, -5125,  -797,  -629, -5125, -5125,  2206, -5125, -5125, -5125,
    1385,   778,  -307, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
    -481, -5125, -5125,  -721,   403,  -105, -2868, -4171, -5125, -5125,
     736,  -118, -1920, -5125, -4039, -5125,   261, -2332, -5125, -5125,
   -5125,   -89, -1883,  1666, -5125, -1060, -1559,  1995,  -595, -5125,
      28, -5125,  -701,  -500,  -498,  -627, -4224, -4708, -5125, -5125,
   -5125,  -731, -4684, -4988, -4291, -3460,  1671, -5125, -5125, -4242,
     458,   705, -5125,   463,   464, -5125,   721,  -428, -1301, -2002,
   -5125,  -796, -5125, -5125, -5125, -3378, -5125, -5125, -5125, -5125,
     -97, -5125, -5125, -5125, -5125,   766, -5125, -5125, -5125, -5125,
   -5125, -5125, -2934,  2173,  2174, -5125, -3644, -5125, -1268, -5125,
     911, -3427,  1583, -5125, -5125,  1368,  3820,   749, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -2105, -5125, -5125, -5125, -5125,
     255,   -67, -5125, -5125, -5125, -5125, -5125, -5125,   468, -5125,
    2191,  1358, -5125, -5125,   -74, -5125, -5125, -5125, -5125, -5125,
   -5125,  -688,  -824,  -808, -5125, -3431, -5125, -5125, -5125,   -45,
   -5125, -5125, -5125, -5125, -5125, -5125, -1333, -5125,  1423, -3599,
   -5125, -5125,  1437, -5125, -5125, -5125, -5125, -5125,  -607,    15,
    2990, -5125,  -213,  -404, -5125, -5125, -5125,    21, -5125, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -1476,  9310, -1220,  -882,
   -5125, -5125, -5125, -5125, -5125, -2760, -5125, -5125, -5125, -5125,
   -4209, -5125,  4948,    35,  -748,   478, -5125,  -191,  -114,  3543,
   -1565, -3084,   682,  -176, -5125, -5125, -5125, -2992, -5125, -5125,
   -5125, -5125, -3968,   508, -5125,  3529, -5125, -4268, -4983, -4009,
   -4519, -4875, -5027, -3972, -5125, -5125, -5125, -5125,  -641,  -887,
   -5125, -5125, -1898,  2514, -2394, -5125, -2450,   744,  1743,  3765,
   -3201,  -813,  2948, -4263, -1072, -3710, -5125, -5125, -2763,  -310,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,  -939,  2898,
    -879, -5125, -5125,  4159, -5125, -4363, -5125,  4135, -5125, -5125,
   -5125, -5125,  2797,  2801, -5125,  2793, -5125, -5125, -1857,  1514,
   -5125, -5125, -5125, -5125,   937, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125,  1424,   928, -5125, -5125, -5125, -5125, -5125,  -575,
    -734, -5125, -5125,   665, -5125, -5125, -5125, -5125,  2168, -1291,
   -1082,  4037,   675, -5124, -5125, -5125, -1534, -5125,  3272, -5125,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -3128, -5125,
   -5125, -4885, -5125, -5125, -5125, -5125, -5125,  2664,  2665,  -110,
    -265, -5125, -5125, -1370, -5125,  -902, -5125,  2897, -5125, -5125,
   -5125, -5125, -2183,   693,   808,   -70, -5125, -5125,   151, -5125,
     566, -5125, -5125, -3857,   -68, -5125, -5125, -5125, -5125, -4891,
   -5125,   -63,  -482,  1110, -3236, -5125,   722,    12,  3643,  2126,
     -54,   113,  -249,  -288,  -248,   -72,   -96,  3411, -5125,  3464,
   -5125,  -214,  2403, -5125, -5125, -1162,  -345, -5125,  1877,  -982,
    2644,  3397,  3402, -5125,  1874, -5125, -5125,  1881, -5125,  1184,
    -451,  -287, -5125, -5125, -5125, -5125,   609,  -963,  2660, -5125,
    3414, -5125, -5125, -5125, -2286, -3283, -3881,  1217, -3839, -3785,
     653,   639, -1170,   -52,   -66, -1111,  3415, -5125, -5125,  1228,
    -250, -5125, -5125,  -247, -3249,  1148, -5125, -4815, -2770,  1234,
    -686,  -537, -5125,  -617, -5125,  -417,  6976, -2077, -1439, -5125,
   -5125, -1379, 20574, -5125, -5125, -5125, 26379, 27176, -5125, -5125,
   27556, 28368, -5125, -1224, 28581,  4668, -1406, -1411, -1668, 25908,
   -2187,  1247, -1975, -5125, -3870, -1405, -5125, -5125, -5125,    -8,
    1286,   320, -5125, -4818, -5125, -5125,   212, -5125,  -422, -5125,
    -421, -5125, -5125, -5125,  -399, -4763,  2808, -5125, -5125, -5125,
    -893, -5125, 29473, -3153, -5125, -1139, -3162, -3165, -3865, -2274,
   -5125, -5125, -5125, -5125, -5125, -5125, -5125, -1661, -3727,  -414,
    1997, -5125, -5125,  2105, -5125, -5125, -5125, -1729,  1957, -1118,
   -3035,  2019, -5125, -1096,  2816, -1134, 11259,  -957, 22232,  -112,
   -2623, -1706, -2036, -5125,  -123, -5125,  3666,  -138,  -692,  4588,
    -881,  -961,  8546,  7030,  5359, -3578, -5125, -5125,   773, -5125,
   -5125, -5125,  4601,  1478, -5125,  3837, -5125,  2273,  3094, -5125,
   -5125,  2686, -1007,    43, -5125,  -357, -5125,  -122, -5125, -5125,
   -5125,   216, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,
   -5125,  3471, -5125, -5125, -1618, -5125, -5125, -5125, -5125, -5125,
    4891,  -373, -5125,  4255,  -370, -5125, -5125, -5125, -5125, -5125,
   -5125, -5125, -5125, -5125,  3470,  2718, -5125,  4045, -5125, -5125,
   -5125,   -26,  3688, -5125, -5125, -5125, -1366,  -685,  4062,  4067,
    2687, -5125, -5125, -5125, -5125, -5125, -5125, -5125, -5125,  2694,
   -5125, -5125,  2000, -2401,  2701, -5125, -5125,  1218, -5125, -5125,
     694, -5125,  1214, -5125,  3572, -5125, -5125, -5125,  1253, -5125,
   -5125, -5125,  -585, 18904,   164,    65,   686,   242, -5125, 11560,
   25814,   222,  3486,   -48, 15755, 24204,    53, -5125,  4887,  2702,
    2229, -1129, -5125,  2307,  2995, 17283, -5125, -1122,     5,  3150,
   -5125,    -2,  -707, -1349,  3818,  -798, -2230, -5125,  5314, -5125,
   -3527, -5125, -1141,  4261, -1374
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   252,   253,  2007,  2935,  2805,  3725,  3726,   254,
     255,  2003,   256,   257,   258,   259,  1930,   260,  1411,  2150,
    2950,   261,  2648,  1145,  1146,  1147,  2499,  2500,  2884,  2501,
    2488,  1752,  2299,  1951,  1110,  1111,  1911,  1952,   263,   264,
    1746,  2480,   265,   266,   267,  1981,  2054,  1982,  1924,  2202,
    4793,  5531,  3538,  2775,  3774,  3539,  3540,  4175,  4176,  4251,
    5546,  5552,  5547,  5548,   268,  2070,  2071,   269,   270,  3690,
    3686,  4296,  5145,  5146,  5383,   928,  2912,  5148,  5149,  5369,
    5370,  5564,  5705,  5706,  2951,  2142,  3768,  4383,  3716,  4881,
    3717,  4882,  3718,  4883,  3702,  4331,  4332,  4827,  4333,  3719,
    4843,  5412,  3720,  2667,  5581,  2992,  2329,  2327,  5396,  4656,
    4657,  5678,  5588,  5589,  5590,  5809,  4845,  4887,  4888,  5438,
    5744,  5745,  3772,  4390,  4893,  5163,  3427,   272,  2176,  3869,
    1040,  2995,   963,  1041,  2952,   276,  2985,  5583,  2986,  2028,
    2814,  5549,  3849,   277,  1435,  4142,  5230,  5464,  5465,   278,
     915,   279,  2158,   280,   281,  2930,  3709,   282,  2684,  3444,
     283,   284,  3473,  3474,  3475,   285,  4167,  5085,  1983,  3527,
    3528,  3529,  3530,  4197,   286,  2153,  2959,  2960,   287,   288,
     289,   290,  3112,  3113,   291,  2871,   292,   293,   294,   295,
    4231,  4757,  4859,  3569,  3732,  4356,  4857,   296,  2953,  2166,
    2975,  2976,  4868,  5187,  5188,  5189,  5426,  5735,  5191,  5428,
    5610,  5430,  5906,  5907,  5154,  4121,  4670,   298,  4836,  4837,
    5595,   299,  2682,   300,   301,   302,  2126,  2922,  2923,  4307,
    2119,  2914,  2915,  4370,  4371,   303,  3643,   304,  4733,  4734,
     964,  5602,  5537,  5692,   305,   306,  4737,  4738,   307,   308,
     309,   310,   311,  1026,  1027,  1028,  1532,  1533,  3399,  1481,
     312,  2517,   313,  1375,  1376,  3667,   314,  1629,  3156,  3157,
    4940,   315,  1064,  1562,  1563,  2954,   317,  1075,  3132,  1077,
    2342,  3851,  3852,  4456,   318,   319,  3109,  3135,   320,  1917,
    2658,  2659,  4651,  2955,   965,  2182,  2999,  3422,  5311,  5312,
    5063,  5325,  3329,  4064,   322,   966,  1956,  2731,  1504,  1505,
    3002,  3782,  2627,  2628,  2629,  4407,  2630,  3784,  2631,  1890,
    2632,  1452,  1453,  3790,  3791,  3792,  4403,  4410,  2944,  5219,
    5220,   323,  1954,  2729,   324,   325,   326,  1991,  1296,  1514,
    1515,   327,   988,   989,   328,  5388,   329,  1456,   330,  5228,
     331,   332,  1099,  1100,  1613,  1614,   333,   334,  2745,  4178,
     335,   336,   337,  3563,  3564,  4749,   338,   339,  2145,  2146,
     340,   341,  3608,  3609,   342,   343,   344,  5833,  5887,  5888,
    5889,  4417,  5757,  5835,  1605,   346,   347,   348,   918,  1335,
    1336,  1337,  2956,  5212,   350,   351,  1912,  1913,  1914,  1915,
    2653,   352,   353,   354,   355,   356,   357,   358,  2130,   359,
     360,  5362,   361,   362,  2090,   363,  1783,  1784,   364,   365,
     922,  1165,  1788,  1794,   366,  1043,  1556,  1557,  1558,  2301,
     367,  1609,  1378,  1044,  1551,  1045,  2562,  3351,  4076,  4077,
    4078,  4081,  5047,  4625,  1046,  3347,   371,  2349,  3118,  3121,
    3343,  1047,  3356,  3357,  3358,  4084,  1048,  1066,  1445,  3011,
    1049,  1701,   376,   377,   378,  1174,  1168,  1169,   380,  2457,
    3283,  1084,  1800,  1129,  1130,  1181,  4028,  2530,  2531,  2553,
    2554,  1809,  1810,  2543,  2545,  3331,  2546,  3339,  2536,  4599,
    5292,  5293,  5294,  5295,  5296,  5297,  5024,  2549,  2550,  1812,
    1813,  1814,  2558,   381,  3287,  4007,  4008,  4009,  4575,  4576,
    4590,  4586,  5008,  5278,  4010,  1599,  1820,  5016,  5859,  4011,
    5267,  5268,  5483,  4594,  4019,  4072,  3756,  3757,  3758,  4012,
    5658,  5659,  5855,  5856,  5485,  5486,  2633,  2232,  1483,  1702,
    1484,  2240,  1703,  2216,  1486,  1704,  1705,  1706,  1489,  1707,
    1708,  1709,  1492,  2208,  1710,  1711,  2226,  1213,  1214,  1789,
    5487,  1713,  1714,  1715,  4014,  1716,  4529,  4972,  4961,  3215,
    3216,  2496,  4525,  3952,  2452,  3273,  5301,  5505,  5506,  3991,
    4554,  4988,  5265,  5650,  5765,  5766,  1717,  1718,  1719,  3270,
    2447,  1299,  1720,  4309,  2449,  3209,  3295,  3296,  2355,  2374,
    3162,  3177,  3178,  3189,  3911,  3197,  3202,  3939,  3940,  3210,
    3239,  1721,  3164,  3165,  3895,  2376,  1722,  1776,  2510,  1891,
    2465,  3234,  1736,  1723,  1724,  2343,  1156,  5274,   764,   747,
    3555,  2512,  1339,  1081,  1725,  1726,  1727,  1842,   707,  1507,
    1508,   709,   748,   749,  1252,   861,     2,    75,  1050,  3765,
     385,   386,   968,   969,   970,  1437,  1438,  2188,  2191,  1847,
    2596,   713,   714,   765,  4913,  5231,  5467,  1034,   387,   388,
     389,   390,  1843,  2592,  1215,    76,    84,    77,  1216,   427,
     428,  2573,   391,   878,   392,  1823,  1195,  4090,   393,   394,
     395,   396,   397,  1031,   398,  1197,   399,  1198,   400,   401,
     402,   403,  1205,   404,  1825,  1826,  4639,  1827,   405,   406,
     751,   752,  1549,   407,   408,  1232,  1233,  1581,  1582,  1853,
    1868,  1869,  1870,   409,   721,   410,   411,   412,  1859,  1860,
     413,  2473,  2474,  2601,  2475,   414,  3372,  3373,   415,  4045,
    4046,  5034,  4047,   416,  2469,   417,   418,  1159,  4095,   419,
     874,   420,  1246,   753,   754,   755,  1254,   864,  1115,   766,
    1256,  3531,   866,   867,   757,   758,   759,  2321,    78,  3380,
    2322,  1729,   767,  1730,  2463,  1731,  1732,  1733,  1734,  1735,
    1876,   761,  1222,  1541,  1542,  3381,  1544,    82,  1545,   424,
    3818,  2289,  1583,  2307,  2308
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1747,  1173,  1298,  1270,  1405,   379,    79,   369,  2027,
     370,  1769,  1590,  1591,  1592,   372,  1158,  1297,  1596,  1121,
    1192,  2298,  1815,  1193,   374,  2827,  1447,  1790,  1068,  2326,
     422,   979,  1182,  2248,  1737,  2666,   422,  2222,  2075,  1777,
     967,  1897,  2740,  2032,   962,  2088,  2155,  1778,  2514,  3874,
    1068,  1298,  4029,  2886,  1042,  3068,  1076,  2732,  1446,  2365,
    1761,  1230,  1025,  4070,  2980,  3293,  3715,  4340,  4168,  1250,
    1535,  3302,  2140,  2228,   262,  3606,   423,  2769,  1559,  2741,
    4411,  1090,   423,  2238,  1234,  2212,  2213,   718,  2168,  3640,
    4617,  1184,   379,  3738,  4148,  2221,  1122,  4192,  3161,  4194,
    1176,  4317,  1871,  2128,  4897,   916,  4658,  2133,   763,  1873,
    2752,  4541,  2137,  1298,   423,  2026,  4310,  3855,   769,  4083,
    4366,  2147,  4310,  2053,  4572,  4022,  4020,  4021,  4696,  1518,
    4900,  1185,  3672,  2080,  3673,  2171,  1554,   750,  3677,  4880,
    1526,  5064,  1529,  4653,  4906,  3024,  3000,  3682,  3683,  3684,
     973,  4395,  4896,   920,  1171,  1957,  2852,  2853,  1155,   423,
    1109,  4890,  2514,  3557,  3056,  2580,  2582,  2583,   981,   869,
    1152,  4842,  4589,  3124,   750,  4062,  1144,  1447,  3392,  3394,
    3301,   862,  5206,  5271,  2725,  2288,  3960,  4099,  5170,  5326,
    2639,   375,  5333,  2284,  2848,   971,   978,  2313,  1953,  1808,
    1274,  1065,  5283,  5204,  5285,   978,  3194,  1118,  1305,  1754,
    2574,  2574,  4509,  4889,   869,  1118,  5441,  1118,  1811,  1849,
    1850,  1325,  1777,  1065,  4631,  4587,   862,  4592,  2514,  4094,
     423,  5355,  1543,  5452,  3391,  5205,  2471,  3917,  2209,  2210,
    1225,   430,   421,  5364,  5365,  4659,   978,  2167,   421,  2220,
    1400, -1861, -1861, -1861, -1861,    45,  1409,  1862, -1861,  2319,
    4942,  4943,  1117,  4945,  4946,  4947,   430,  1441,  4401,  1423,
    1117,  2743,  1117,  2212,  2213,  2228,  2239,   375,   926,  2419,
     421, -2207, -2207, -2207, -2207,   869,  5551,  4429, -2207,  1862,
    2515,  1247,  2221,  2859,  5604,  2199,  5062,   862,  5521,  5522,
     426,  1163, -1828, -1828, -1828, -1828,  1568,  2864,  2425, -1828,
    1573,  1574,  1575,   379,  3728,   369,   430,   370,  2743,  3134,
    1586,  5071,   372,  2116,  4088,   421, -2970, -2970, -2970, -2970,
    1926,   374,  2199, -2970,  3097,  5462,  2977,  2199,   865,  2427,
    2941, -2970, -2970,  2199,  1625,   422,   430,  3688,   719,    37,
      38,    39,    40,  3893,  3638,    43,    44,  1631,  1863,  2199,
      45,  2199,  2199,  2743,  1172,  1331,  2199,  5536,  3232, -2971,
   -2971, -2971, -2971,  2846,  4462,  2650, -2971,  3872,  1179,  1607,
     422,   262,  2578,   865, -2971, -2971,  3114,  2933,  3232,  4776,
    2790,   423,   917,  1992,  1594,  3326,   421,  5171,  3125, -2968,
   -2968, -2968, -2968,  1032,  2753,  2748, -2968,  2749,   430,   879,
    2290,  2287,  2010,  3512, -2968, -2968,  1841,  2209,  2210,  3663,
    2124,  3824,    45,  3826,  4202,  1740,   423,  2527,   982, -2967,
   -2967, -2967, -2967,   121,  1268,  3752, -2967,  4203,  1927,     3,
    3753,  5172,  2579,  2220, -2967, -2967,  2743,  2743,  3438,  2011,
    5533,   125,   880,   430,   865,  5622,    37,    38,    39,    40,
    1332,  1993,    43,    44,  1298,  2750,  2100,    45, -2098,  5497,
    2088,  3513,  1221,  3286,  1160, -2098,  1595,  3267,  2105,  3327,
    2246,   271,   430,  1984,  3268,  4169, -2563, -2563, -2563, -2563,
    5739,    43,  1183, -2563,  2660,  3363,    45,  5442,   375,  1186,
    5463, -2563, -2563,  1333,  2978,  1249,  2743, -2117,  1193,  3115,
      37,    38,    39,    40, -2117,  4364,  4246,    44,  5422,  4463,
    2791,  2347,  5443, -1869, -1869, -1869, -1869,  2516,  4852,  2093,
   -1869, -1841, -1841, -1841, -1841,  3379,   273,  5718, -1841,  3383,
    4149,   274,   275,  1852,  1855,  1210,   297,  2199, -1869, -1869,
   -1869, -1869,  4777,  3639,  2672, -1869,   316,   421,  1334,  1396,
     967,  2413,  3917,  2200, -1866, -1866, -1866, -1866,  2934,  1447,
    2662, -1866,  3689,  4314,  2811,  4026,  3098, -1856, -1856, -1856,
   -1856,  1187,  2458,  2414, -1856,  3477,   321,  4334,  2663,  5226,
    1501,   720,   421,  4170,  2926,  2458,  -437,  1447,  1228,  1229,
    2200,  2272,  2098,  4718,  1164,  2200,    37,    38,    39,    40,
    2461,  2200,  4402,    44,    37,    38,    39,    40,  4853,  2246,
    5072,    44,  -149,  1751,  4310,  2505,  2506,  2200,  5798,  2200,
    2200,  -149,  3552,  5748,  2200,  2256,  -149,  5198,    37,    38,
      39,    40,  3705,  5676,  1219,    44,  3163,  3452,  4751,  5786,
     430,  1595,  2865,    37,    38,    39,    40,  1928,  2302,    43,
      44,  1631,  1863,  1884,    45,  2979,  2860,  1447,  2800,  5702,
     973,   879,  2207,  2348, -2374,  4977,  1990,  2847,  2125,  1864,
    2866,  2320,  2567,  1608,  1595,  2514,  1858,  4663,  3932,  1774,
    2942,   983,  5876,  1775,  2419,   927,  2754,  5005,  3116,  2369,
    4854,  5009,  3233,  1062,  1063,  1226,  1269,  2755,  2201,  2756,
    2841,  1864,  3330,  2344,   880,   971,  1929,  2472,  3117, -1861,
    3917,  2087,  3980,  2425,  2125,  5615,  2664,  4851,  4589,  2357,
    2446,  4872,  2514,  1974,  2822,  5242,  3300,  2825,  2709,  3031,
    3439,  3664,  2283,   345,  2366,  2229,   984,  1774,  3706, -2207,
    2243,  1775,  5820,   349,  2427,  1227,  2254,  4951,  5621,  1251,
    4685,  4722,  2300,   978,   978,  2832,  3088,  2757,  1271,  5829,
    2211,   368,  2274,  1263,  2277,  2246,  4149,  1560,  5050,  4455,
    4085,  4996,   985,  4998,   986,  4171,  4172,  2917,   271,  5389,
    1173,  1188,  2784,  5791, -2970,  1447,  2885,  3060,  4114,  5518,
     373, -2098,   863,  1447,  1447,  2348,  5795,  1385,  1865,  1866,
    3269,  1221,  4173,  2303,  5227,  2200,  2305,  3496,  1235,  2309,
    4247,  2311,  2523,  1391,  2314,  2523,  1374,  2484,  2318,  5719,
     422,  1397,  2665,  2559,  5880,  2455,  2525, -2971,  5769,  1816,
   -2117,  2597,  1318,   273,  4855,  4243,  5202,   863,   274,   275,
    3478,   384,  2560,   297,  1443,   379,  3096,  1379,  2673,  1380,
    3036,  4607,  1502,   316,  1381,  3106,  1234, -2968,  4335,  1251,
    1062,  1063,   423,  1382,  2099,  1579,   423,  2125,  5513,  1271,
    1259,  4816,  2728,  4358,  1579,  1458,  1184,  4386,  5147,  1259,
     718,  5912,  3252,   321,  3293,  3293,  3293, -2967,   718, -2374,
    3859,  5866,  4644,  4049,  4918,  4919,  4920,  4921,  4922,  5742,
    4856,   718,  3092,  1561,  4287,  1567,  5032,  1572,   863,  3453,
    1579,  4815,  3707,  1576,  3071,  3553,  1185,   869,  1259,  1555,
    1552,  5740,  3078,  2284,  3403,  2674,  1763,  5165,  3081,   862,
     718,  4101,  5728,  4102,  1839,  1840,   718,  1567,  1572,  1830,
    2059,  5883,  5884,  1918, -2563,  3365,  2223,  3365,   921,   718,
    3468,  3544,  5741,  2489,  2725,  5185,   379, -2374,  2502,  2502,
    5501,  5424,   875,  3861,   876,  1997,  1179,  2224,  1444,  4216,
   -2374,  2223,  5476,  5186,  2827,   718,    37,    38,    39,    40,
    1259,  2225,  2060,    44,  3021,  3022,  1499,  2419,  5842,  2215,
    1259,   718,  2224,   429,  3914,  3915,  3224,  3708,   718,  3934,
    3929,  3930,  3931,  3932,  1851,  5425,  2227,  1221,  1598,   978,
    1499,   718,  2971,  5576,  5433,  3253,  2425,  4412,    81,  3468,
    3254,  5895, -1866,  5821,  5514,    79,  3469,   718,   421,  5928,
     375,  4911,   421,  5045,  4629, -1856,  3964,  3965,  1553,  5166,
     345,  4658,  4288,  4289,  1785,  2792,  2005,  2427,  5822,  5805,
     349,  1919,  4144, -2699,  1206,  1566,  3255,  1571,  4730,  1236,
    4086,  1791,  3018,  4750,  2416,  2675,  1548,  1585,   368,  2006,
     978,  4865,  2459,  1998,  -149,  -149,  2385,  4217,  1565,  2768,
    1570,  3093,  1598,  5247,  3534,  1750,  1238,  1601,  1603,  1758,
    2456,  1298,  4840,  3783,  2972,  3469,  3307,   373,  1744,  3860,
   -1610,  1779,  1865,  1866, -1613,  1854,  3411,  5755,  2993,  1093,
    1600,  1602,  1819,  3396,  3094,  5275,  1580,  1259,  1259,  5269,
    5279,  5920,  1177,  5281,  1118,  1207,   718,  5879,  1118,  2711,
    2456,  4058,  2443,  2444,  2445,  2446,  3535,  3070,  1621,  2719,
    5620,   375,  1172,  2061,  5577,  1056,  3545,   423,   384,  2064,
    2676,  1764,  1786,  5272,  1259,  2065,  3927,  3928,  3929,  3930,
    3931,  3932,  4731,  4600,  2159,  1221,  4659,   750,  1057,  5597,
    3624,  5477,  3862,  5627, -2204,  2222,  3625,  5872, -1610,  1117,
    4659,  5629, -1613,  1117,  1178,  1208,  4411, -2321,  1209,  3256,
    1831,  3472,  1094,  1933,  3103,  3104,  1633,  5626,  1398,  3917,
    1399,  5617,  1920,  3918,  3919,  3920,  2160,  1844,  2812,  1251,
    1580,  2815,  2816,  5057,   718,   718,   768,  5826,  5827,  1765,
    1271,  5596,  3158,  3160,  1999,  3536,  1874,  2840,  4218,  3167,
    4056,  3863,  1621,  5046,  4308,  3181,  3182,  3183,  5194,  1921,
    4308,  2062,  5806,  1056,  1056,  3199,  3201,  5405,  2261,  1910,
    3211,  1916,   877,  5616,  1179,  1109,  2046,  2066,  5086, -2699,
    3472,  2000,  4732,    35,  1331,  4219,  1057,  1057,  4319,  1579,
    1922,    41,    42,  4841,  1844,  5844, -1610,  1183,  3626,  5756,
   -1613,  4413,  2901,  2414,  4136, -2355, -2376,  3634,  1210,  5578,
    2262,  2973,  2001,  4145,  2163,  2895,  4220,  5406,  2183,   129,
     130,  4013,  1118,  1118,  2974,  5407,  4830,  3864,  3397,  3062,
    3398,  1580,  3274,   421,  4322,  2164,  -686,  5807,  3635, -2699,
    1056,  5749,  5873,  1559,  2902,  3020,  4137,  4408,  2186,  4646,
    1259,  2948,  4347,  5408,  1923, -1610,  4659,  1499,  5516, -1613,
    1095,  1259,  5808,  1057,  4294,  4295,  3038,  5332,  1547,   430,
    1298,  1298,  5914,  2478,  3039,  2580,  3310,  1117,  1117,  1332,
    1499,  4013, -2407,  4414,  3095,  3048,  3050,  2161,  3100,  4324,
    3102,  5471,  1774,  3105,  3054,  1499,  1775,  3055,  3014,  1096,
    1097,  3074,  4030,  3537,  1180,  4031,  4032,  5049,  5618,  5493,
    2125,  1587,  2085, -2321,  3922,  1211,  4033,  4034,  4035,  5409,
    4036,  4037,  1333,   129,   130,  4038,  4039,  4040,  2067,  2949,
    5410,  5845,   430,  3340,  1212,    37,    38,    39,    40,  1259,
    2479,    43,    44,  5021,  2989,  4607,    45,  5584,  1093,  3627,
    1780,  5028,  1781,  2441,  2442,  2443,  2444,  2445,  2446, -1610,
    4735,  1173,  3187, -1613,  5354,  2068,  3275,  5828,  2990,  4831,
     870,  2263,  5830, -2321,  5156,  1314,  3923,  1334,  5532,  4327,
     871,  1331,  4937,  1035,  1499,  2162,  3628,  2246,  5535,  2165,
    1098,  2581,  1871,  5539,  5540,  1231,  2069, -1610,   379,  1873,
   -1610, -1613,  1315,  1036, -1613,  2903,  2678,  4138,  1298,  5339,
    4348, -2355, -2376,  5673,  2669,  2612,  2679,  3629,  1193,  3592,
    4328,  4647,  2528,  2529,   718,  2533,  2938,  4415,  4648,  1760,
    4310,  1094,  3633,  2521,  2660,  4329,  4806,  1037,   718,  5878,
    4809,  4810,  3969,  4812,  3970,  5446,   923,    81,    81,  5421,
      81,  3494,  2661,  5447,    79,    79,  2534,    79,  1259,  5680,
    5681,  4649,  1185,  1185,  4736,  1185,   718,  3971,  5585,  2264,
     863, -2355, -2376,  1844,  4041,  3822,  1332,  4834,  1588,  2086,
    4876,  4698,  4650,   872,  2246,  2304,  1127,  2306, -2407,  4493,
    2310,  4494,  2312,  4416,  1210,  2315,  2316,  2317,  2246,  5913,
    2827,  4160,   718,  2904,  4877,  4139,  1926,  3110,  2324,  5411,
    2662,  3037,  4866, -1828,  4871,  1234,  1499,  5329,   718,  1333,
    3735,  5269,  2350,  1798,  2351,  3591,  4330,  4475,  2663,   941,
    1804,  5927,  2419,   718,  5929,  2462,   718,  1091,  2939,  5586,
    2577,   924,  3293,  3747,  3748,  3749,  3750,  1259, -2407,  2991,
    2535,  5150,  4659,  2234,  4699,  3755,  4828,  2989,  3614,  3341,
    1548,  3924,  3925,  3926,  2680,  3927,  3928,  3929,  3930,  3931,
    3932,  2668,  5543,  3972,  1334,  5544,  1259,  1083,  3973,  1095,
    2720,  2990,  5151,   375,   430,  1128,  2234,   943,    35,  3111,
   -1828,  3658,  2427,  5545,  3570,  3571,    41,    42,  3574,  2669,
    1806,  2681,  1447,  3099,  1259,  1259,  1259,   206,  1259,  1782,
    5394,  2578,  4042,  5448,  1927,  4495,  1199,  2799,  1096,  1097,
    2450,   873,  1799,  4829,  1207,  4496,  2476,  2477,  1259,  2537,
    1431,    35,  1079,  5391,   879,   216,  1200,  4444,  2817,    41,
      42,  4489,  4490,  4491,  4492,  1092,  1201,  4497,  4498,  4499,
    4500,  4501,  4502,  4503,  4504,  4505,  4506,  1207,  2373,  5746,
    3342,  1819,  4308,  4043,   718,  4248,  2664,  2492,  2538,   224,
    2721,  2579,   718,   718,  1844,  5207,  1901,   880,  2382,  1844,
    1844,  5600,  1259,   423,  1208,  4878,  4748,  2235,  3652,  5208,
     422,   422,  1123,  5068,  2065,   750,   750,  5613,  1035,  3482,
    2193,  5603,  3425,  4545,  4546,  3368,  2770,  2125,  2398,   235,
    1259,  3974,  1298,  1038,  1259,  1259,  3454,  1208,  1036,  3421,
    2235,  3975,   238,  2411,  5863,  4923,  3458,  4924,  1902,  1259,
    2594,  2193,  3567,  3744,  5641,   423,   423,   423,   869,  2670,
     422,  3734,   954,  2704,   955,   250,  5689,  2616,  5852,  1202,
     862, -1828,  1037,  2194,  2589,  2590,   718,  1126,  3426,  1039,
    5069,  5461,  5181,  3491,  5241,  3413,  4161,  4044,  2141,  5519,
    2818,  2540,  2665,  2819,  1210, -1094,  4018,  4120,  5524,  4387,
    2608,  2610,  4391,  3446,  3073,   879,   423,  1210,  3803,  3483,
    1153,  4015,  4659,   423,  1839,  1840,  2066,  1499,  4244,   750,
    1432,  3568,   862,  4720,   423,  1738,  4666,  4052,  5525,  3377,
    4618,  2824,  5067,  5690,  1118,  3468,  1203,  1916,  5528,  4085,
    1210,  1916,  1903,  1183,  1183,   209,  1183,  2541,   880,  4411,
    3348,  1886,    35,   430,  1166,  4162,    37,    38,    39,    40,
      41,    42,    43,    44,   216,  3414,  3777,    45,  2195,   421,
    1844,  4015,  2802,  5209,  2771,  1118,  1433,  1764,  4057,   869,
    1844,  3425,  1434,  1499,  5730,  5746,  3584,  4245,  1887,  1117,
    4619,   862,  4721,  1739,  4955,  2649,  4956,  1239,   224,  2195,
    5315,  2772,  5317,  5169,  2494,  4667,  5457,  1204,  5853,  1240,
    1241,  3469,  2843,  5854,  2236,  2743,  2570,  2571,  1499,  1888,
    2196,   421,   421,   421,  2773,  2744,  2774,  2513,  1242,  1910,
    1117,  1243,  5753,  2237,  1910,  1175,  5180,  4117,   235,  3630,
    5197,  1499,   206,  3470,  4579,  1765,  2495,  2236,  3593,  1844,
    3036,  2196,  1844,  1844, -1828,  3584,  3596,  4013,  1621,  3599,
    4013,  2768,  4668, -1828,  4669,  2211, -1828,  1896, -1828,  2486,
     216,  3490,   421,  1898,  1447,  5140,  3631,  5141,  5142,   421,
    3471,  5143,  5075,  5076,  3916,  3108,   430,  3514,   251,  2760,
     421,  2943,  3240,  1907,  3241,  1908,  3944,  1189,  1910,  5160,
      45,   718,  1910,    35,   224,  1251,  3795,  3632,  1251,  2197,
    1899,    41,    42,  4664,  1804,  5636,  4580,  3242,  3349,  1805,
    5817,  2761,  1499,  5683,  3016,  2246,  2002,  1447,  3967,   430,
    4957,  4242,    37,    38,    39,    40,  1844,  1499,    43,    44,
    2197,  1900,  3576,    45,   235,  3515,  2916,  4581,  2513,  1271,
    1271,  3636,  1244,   423,  3031,  5363,  1916,   238,  1499,  3833,
    4098,  1471,  4582,  4027,  2586,  4824,  3993,  2587,  5338,  5606,
    4013,  3847,  4583,  5222, -2763,  3317,  3472,   718,  1193,  2654,
     250,   216,  3637,  2487,  1806,   718,    37,    38,    39,    40,
    2655,  3577,  1245,    44,   251,  1974,  1804,   718,  4584,  4100,
    5875,  4708,  5648,  3131,  4074,  2419,  2029,  2656,   869,  5367,
    4454,  3655,  1196,  1499,  1555,   224,  5569,  2743,  3243,  5276,
     862,  5570,  4367,  3244,  2125,  1807,  1259,  2751,  3245,  1259,
    5649,  3293,  4377,  1499,  2425,  2879,  3293,  4150,  4075,  1259,
    5033,  1271,  3293,  2030,  3578,  1499,    37,    38,    39,    40,
    4455,   379,  4580,    44,  4050,   235,  2537,  1499,     8, -2228,
    5905,  3300,  4177,  -172,  5360,  2427,  1806,  2588,   238,  5571,
    1259,  1259,  2880,   718,   718,  4694,  5566,  5788,  5568,  3130,
    4484,  4585,  5572,  4581,  5573,   718,  3881,  5361,  1231,  5915,
    -172,   250,  5672,  1499,  1499,  2538,   718,   718,  5011,  3579,
    4700,  4873,  4707,  3155,  2277,  3350,  4825,  1807,  4583,  4510,
      81,  4153,  3119,    81,   379,  2945,  1379,    79,  1380,   421,
      79,  1237,   718,  1381,  4686,   881,  5319,  5608,  5607,  1756,
    4826,  1424,  1382,  5328,  1633,  3848,  2013,  3917,  4465,  2982,
    3978, -2972, -2972, -2972,   925,  3076,  2031,  3077,  1248,  2657,
    2482,  3079,  2539,  3080,  3877,  2014,  3082,  1264,  1029,  5609,
    3083,  3246,  1259,  5277,  1425,    37,    38,    39,    40,  1056,
    2005,  3247,    44,    37,    38,    39,    40,  2924,  1447,  4723,
      44,    37,    38,    39,    40,  4208,  1298,  1279,    44,  3300,
    5545,  4899,  1057,  2006,  4315,  5087,  3580,  1426,  2540,  1259,
    1259,  5091,    43,  4363,  2015,  1259,  1259,    45,  3839,  5368,
    1124,  3180,  1259,  1259,  1259,  1839,  1840,  4585,  1259,  4013,
    1259,  1259,  1259,  1259,  1259,  1259,   715,  1259,  3332,  1259,
    1259,  1266,  2223,  1259,  4426,  4427,   375,  1774,  5051,  2037,
    1785,  1775,  1424,  1427,  2830,  1892,  4336,  1499,  1259,  1259,
    1259,  1259,   423,  2224,  2541,  2034,  1259, -1659,  2223,   941,
    1259,  1320, -1659,  1259,  5902,  4061,  1259,  1259,  1259,  1259,
    1259,  1259,  1259,  1259,  1259,  1425,  1259,   941,  1893,  2224,
    2038,  4318,  1894,  4172,  1259,  1177,  3753,  1259,  2016,  4109,
    2039,   863,  2035,  2225,  3415,  1280,  3418, -1660,  4666,   375,
     422,  4579, -1660,  1069,  3666,  2005,  1330,   869,  4360,  4709,
    3581,  2169,  1447,  1895,  5125,  1329,  4213,   943,  3582,   862,
    2285,  3583,    35,  2036,  2286,  1069,  -583, -1659,  2006,  4884,
      41,    42,  3783,  2170,  2055,   943,  2017,  5126,  3352,  2018,
    1384,  5218,  5579,  2502,  4127,  3412,   423,  1178,  1786,  4795,
    2826,  1259,  1281,  4214,  1427,   422,  2881,   422,  1387,  1282,
    1283,  1284,  4106,  4107,  3408,  5861,  5360, -1660, -1659,  2882,
    4796,  2056,  3238,  4580,  5360,  2057,  2269,  4667,  2803,   987,
    -378,  2020,  5416,  2806,  4215,  1390,  2467,  4661,  4662,  5361,
    2468,  1839,  1840,  1251,  3923,  2883,  2008,  5361,  2270,  5372,
    1271,   423,  2058,   423,  4581,  2285,  -378,  2817, -1660,  3067,
    4778,  5886,   863,  2072,  2277,  1393,  2076,  1179,   421,  4582,
    -462,  5785,  2418,   718,  2022,  2419,  1844,  4015,  1406,  4583,
    4015,  4234,  4779,  4013,  4668,  1419,  4669,  4013,  2040,  4939,
    -582,    81,  5373,    81,  2023,   718,  1874,  2869,    79,  3889,
      79,  2875,  1499,  2523,  2425,  4584,  1499,  1499,  1428,  3031,
     934, -2972,  2760,   718,  2025,  1429,  4089,  5374,   423,   718,
    3476,  2041,   954,   718,   955,  2042,  3230,  1430,  4308,  1221,
    2223,   718,  4105,  1436,  5375,  2427,  2005,  2211,  5376,  2640,
     954,  1774,   955, -2207,  2761,  1775,  2218,  2219,   960,   718,
    4353,  2224,  1259,  3890,  1439,   375,  2043,  3891,  5377,  2006,
    5937,  5378,   421,   430,  1259,  2227,  2141,  4229,  1499,  3575,
    1401,  1259,  1402,   869,  1450,  5379,  -378,  -378,  1455,  4643,
    1499,  4237,  -462,  1509,  2211,   862,  2640,  4708,  4585,  2818,
    4015,  1500,  2819,   718,   941,  5916,  1523,  1180,  5917,    35,
     430,  3036,  3966,  3217,  1510,  1118,  3220,    41,    42,  1598,
    1598,   718,   718,  1598,    45, -1088,  1516,   421,  5804,   421,
    1499,   216,  2013,  3337,  3338,  1447,  4458,  1447,  1530, -2972,
   -2972, -2972,  1550,  3927,  3928,  3929,  3930,  3931,  3932,  2088,
    1030,  2014,   423,   718, -2972,    45,   423,  5244,  5453, -2972,
   -1683, -1683,   943,  5084,  4486,   224,  5380,  4337,  1795,  4339,
    1117, -1610,  4060,  2211,  5381,  1896,  2770,   718,  1593,   423,
    3943,  4319,  3945,  3946,  1589,   718,  2293,  4320,  2294,  1597,
    1118,  4061,   718,  3585,   421, -2972,   718,  4061,  4515,  4321,
    2015,   863,  2570,  3361,  2359,   235,  2360,   869,  3739,  1844,
    2372,   869,   251,  1604,  5382,  1447,   718,  1844,   238,   862,
    1844,   718,  2519,   862,  2520,   718,  1610,  4322,   423,  4323,
    4346,  1611,  4349,  3740,   869,  4433,  4434,  4435,   718,  4024,
    4025,   250,  2434,  4557,  1619,  1117,   862,  4405,  4601,  4602,
    4603,   718,  2513, -1139, -1139,   251,  5754,  2514,  2522,  1612,
    2523,   718,  3585,  4703,  2770,  1618,  1598,  2770,  2770,  4431,
    4432,  4433,  4434,  4435,  4701,  1620,  3009,  4436,  3010,  4451,
    1622,  2849,  4324,   869,  2016,  2211,  1621,  2640,  4306,  4596,
    3300,  3069,  1623,  2523,  4306,   862,  3089,  1624,  3090,  4431,
    4432,  4433,  4434,  4435,  1627,  1628,  1259,  1499,  4325,  4916,
    3091,  1630,  3090,  4682,  1759,  1762,   423,   954,   421,   955,
    1766,  1767,   421,  3585,  2771,  3122,  1773,  3123, -2972,   957,
      35,  1768,  2017,  3585,  1173,  2018,  1787,  1792,    41,    42,
     959,  1795,  3323,  2141,  2277,   421,  2826,  1793,  1802,  4015,
    1259,  2772,  3770,  3360,  3771,  2523,  5042,  1287,  1288,  1289,
    1796,  1290,  1291,  1292,  1293,  1294,  1295,  4326,  1817,  2878,
    3585,   869,  4327,  3479,  2773,  1822,  2774,  2020,  1173,  1821,
    3541,  4464,  1832,   862,    37,    38,    39,    40,  3488,  1499,
    3489,    44,  1818,   718,   421,  3559,  1828,  3560,  4813,  1829,
    3692,  4801,  3693,  3565,  1251,  1259,  3698,  3804,  3699,  2523,
    1271,  2768,  2771,  4328,  4013,  2771,  2771,  1824,  1901,   216,
    2022,  4013,  1845,  3841, -2972,  3090,  4013,  1833,  4329,  4013,
    1834,  2441,  2442,  2443,  2444,  2445,  2446,  1835,  1836,  2772,
    2023,  1837,  2772,  2772,  2548,  3888,   718,  2523,  5470,  1838,
    1846,  5218,  3610,   224,  1848,  1877,  3999,  4000,  4001,  1878,
    2025,  4013,  2773,  1880,  2774,  2773,  2773,  2774,  2774,  3897,
    1902,  2523,  5831,   193,  1889,  4013,  4471, -1832, -1832, -1832,
   -1832,  4973,   421,  1896, -1832, -1839, -1839, -1839, -1839,  1931,
    1955,  1173, -1839,   235, -2969,   718,  1844,  1958,  1960,  2768,
     863,  1961,  2768,  2768,  1990,  1995,   238, -1830, -1830, -1830,
   -1830,  1499,  1994,   718, -1830,    35,  1996,  2002,  1221,  4330,
    3903,   718,  2523,    41,    42,  1259,  2004,  2009,  1499,   250,
    2013,  1259, -1833, -1833, -1833, -1833,  3904,  2012,  2523, -1833,
    3703,  1499,    80,   251,  3721, -1831, -1831, -1831, -1831,  2014,
    2047,  1259, -1831,  4016,  2063,  3905,  1259,  2523,  3936,  3949,
    2523,  2523,   216,  4015,  1903,  2418,  2048,  4015,  2419,  3954,
    2073,  3955,  2420,  2421,  2422,  3994,  3996,  3995,  3997,  1259,
    1259,  1259,  2074,  2077,  1259,  4195,  3137,  4196,  4200,  2423,
    4201,  2083,  1259,  1259,  1259,  1259,   224,  2425,  2015,  4224,
     423,  4225,  2084,  3577,  2426,  1259,   423,  4399,  1259,  4400,
    1259,  2082,  4424,  4016,  2523,  2089,  4516,  1904,  4517,  2091,
    2418,  1259,  1259,  2419,  4526,  1259,  4527,  2092,  2427,   717,
    4537,  4013,  2523,  4627,  3138,  4628,   235,  2101,  4632,  1259,
    4633,  1259,   379,  1259,  1379,  4642,  1380,  3398,  4665,   238,
    3090,  1381,  2425,  2094,  1905,   869,  3578,  2097,   209, -2972,
    1382,   869,  4817,  1259,  4818,  2102,  3139,   862,  4874,  2108,
    3090,   193,   250,   862,  1259,  2109,  1259,  1259,  1259,  2112,
    2115,  5176,  2016,  2427,  2118,  1906,  5832,  5654,  4934,  3140,
    2348,  4952,   972,  2523,  2770,  4013,  2411,   718,   990,  4061,
    3141,  1259,  2121,  4978,  1844,  3123,  3722,  4884,  4990,  2123,
    2523,  3579,  5053,  1259,  3398,  1907,   863,  1908,  1259,  5059,
    3142,  5060,  2129,  4061,  1259,  3143,  1082,  5065,  2132,  3090,
    2017,  2134,  2125,  2018,  1259,  2143,  5066,  2428,  3090,  5199,
    2411,  5200,  2429,  5249,  2826,  5250,  2144,  5251,  1069,  2523,
    1069,  5259,  1069,  3123,  5334,  2148,  5335,  3238,  1069,  5417,
     216,  3090,  2149,  2430,  2431,  1909,   421,  5454,  4962,  5455,
    -192,  2151,   421,  3987,  3144,  2020,  1499,  2152,  2432,  1499,
    2154,  1499,  1069,  1069,  2156,  5472,  1499,  3123,  5480,  4006,
    5481,  5490, -2972,  2277,   224,  3145,  4306, -2972,  5496,  3554,
    4374,   718,   718,  5010,  5498,  5013,  4374,  1259,  3580,  2157,
    5511,  2433,  5512,  5559,  5599,  5560,  2481,  5628,  2022,  5512,
    4747,  5642,  2172,  3123,  3950,  2434,  2770,   375,   718,  2179,
    3957,   718,  2181, -2972,   235,  1499,  2185,  4013,  2023,  5643,
     863,  3955,  2771,  5644,   863,  2523,  5655,   238,  5656,  4006,
    3723,   898,  1499,  1172,  2190,  2198,  4847,  4848,  2025,  2204,
    5661,   898,  2277,  5664,  3146,  4374,  5688,   863,  3123,  2772,
     250,  5694,  5695,  3123,  3123,  2206,  5698,  1499,  5699,  2207,
    2434,  4928,  4929,  4930,   251, -1392,  2214,  5700, -1392,  5701,
    3147,  5726,  2773,  5727,  2774,  3724,  4013,  3148,  5773,  5777,
    5774,  2277,  2217,  5778,  3149,  2523,  2205,  2211,  2770,  1069,
    2215,  2436,   423,   423,   423,  5779,   863,  2523,  5040,  5781,
    2231,  2523,  3581,   715,   715,  2233,  2242,  4013,  1872,  2768,
    3582,  4241,  3150,  3583,  2241,  2245,   718,  3151,  2253,  5800,
    3152,  5801,  5824,  5848,  5825,  4374,  1499,  2246,  1499,  2770,
    5860,  5885,  5504,  5512,  2257,  5923,   718,  5699,  3153,  5925,
    5940,  5926,  5774,  5947,  2258,  5926, -2972,   869,   869,   869,
     718,  1801,  2260,  1803,  2771,  2265,  1069,  2266,  2268,   862,
     862,   862,  2273,  3154,  4015,  1633,  2276,  2279,  3917,  2280,
    2291,  4015,  3918,  3919,  3920,  2356,  4015,  2325,  2361,  4015,
    2363,  2772,  2364,  2370,   863,  2371,  2377,  2437,  2378,  2379,
    2438,  2439,  2440,  4249,  2441,  2442,  2443,  2444,  2445,  2446,
    2380,  2381,   251,  2453,  2773,  2383,  2774,  2455,  2384,  1499,
    3195,  4015,  2770,  4551,  4013,  2385,  2386,  2387,  3213,  2770,
    2388,  2390,  2391,  2392,  2393,  4015,  4931,  2394,  2395,   718,
    2396,  2397,  2399,  2400,  4281,  5896,  2771,  1499,    74,  2451,
    5899,  2768, -2972,  2401,  2402,  2403,  2404,  5038,  4422,  2441,
    2442,  2443,  2444,  2445,  2446,   967,  2405,  2406,   421,   421,
     421,  4301,  1499,  2772,  2456,  2485,  2481,   423,  1499,  1844,
    2497,  1579,  2507,  2526,   718,  1844,   718,  2771,  2518,  1805,
    2555,  4381,  1807,  2566,  2569,  2827,  2773,  2557,  2774,   718,
    2576,   718,  4394,  1298,  1210,  5184,  2584,  2591,  2593,  4354,
    2595,  2603,  2604,  2606,  2772,  2611,  2613,  1173, -2915,  2615,
    2617,  2618,  2619,   423,  2635,  2637,  4421,  4687,  2636,  2638,
    2640, -1622,   869,  2768,  4724,  2641,  1173,  2773,  2642,  2774,
    2643,  2644,  2645, -1622,   862,  2646,  2652,  1499, -1622,  2671,
    2677,  2683,  3921,  5161,  2706,  2710,  2712,  4013,  2714,  2713,
    4559,  4560,  4561,  4562,   718,  1499,  2715,  2718,  2717,  2733,
    2771,  1598,  2734,  3922,  2768,  2735,  2746,  2771,   869,  2747,
    1499,  2758,  2762,  2767,  2764,  2768,  2776,  2765,  2766,  5082,
     862,  4015,  2777, -1622,  2780,  2778,  2779,  2772,  5127,  5128,
    2785,  5130,   972,  2789,  2772,  2786,  2795,  2797,  2798,  2801,
     718,  2804,  1067, -1622,  5563,  2796,  2813,  2820,  2823,  1974,
    2773,  2808,  2774,   978,  2809,  2821,  2838,  2773,   718,  2774,
    4013,  2828,  2829,  2833,  1067,  3923,  2842,  2834,  2835,  5287,
    5384,  2837,  2839,   421,  2844,  1069,  5302,  2845,  2850,  2861,
     718,  2851,  2862,   718, -1622,  4015,  2863,  2768,   375,  4016,
    2867,  2868,  4016, -1622,  2768,  5121,  5553,  1844,  5555,   375,
    2873,  1259,  2877,  2891,  1499,  2889,  2892,  2894,   863,  5308,
    1259,  2893,  2898,  2899,   863,  5090,  1259,  2900,  1259,   421,
    2906,  1259,  2907,   375,  2908,  1499,  1259,  1259,  1259,  1259,
    2909,  2924,  1259,  1259,  1259,  1259,  1259,  1259,  1259,  1259,
    1259,  1259,  2910,  2911,  2913,  1259,  1259,  2918,  2919,  2920,
    1499,  2925,  2928,  2929,  2932,  1259,   936,  2943,  2937,  1259,
    2946,   423,  2957,  1259,  2961,  2965,  2031,  2988,  2962,  2970,
    2981,  1259,  2984,  2987,  1259,  1934,  1259,  3610,  2997,  3003,
    3005,  3012,  3001,  3017,  1499,  1259,  3006,  5178,  1259,  1259,
    3023,  3030,  3025,  1259,  1259,  3026,  3033,  3031,  3034,  3041,
    1259,  3043,  4016,  3044,  3045,  3046,  3057,  3058,  3085,  1935,
    1259,  3086,  3107,  1259,  3101,  3120,   869,  3133,  3168,  3163,
    3212,  5710,  5712, -1622,  3218,  2419,  1259,  4015,   862,  3222,
    3231,  3237,  1259,  1259,  1259,  5704,  3249,  3251,  3271,  1936,
    3272,  3286,  3303,  3304,  3306,  3309,  3313,  3314,  3311,  5414,
    3924,  3925,  3926,  3315,  3927,  3928,  3929,  3930,  3931,  3932,
    1178,  3333,  3324,  3334,  3335,  3353,  3346,  4917,  1937,  3325,
    1193,  3336,  3367,  3370,  2471,  3369,  1069,  3387,  3388,  1259,
    3390,  1069,  1069,  3416,  1377,  1774,  4015,  3421,  1795,  1775,
    3419,  3423,  3424,  3445,  3430,  1259,  3447,  3435,  3440,  3441,
    3443,  3463,  1938,  3455,  4758,  3464,  3451,  3467,  3480,  2411,
    3481,  1499,  3486,  5479,  1756,  1760,  3497,  4015,  3502,  3503,
    3516,  5474,  3521,  1259,  3522,  4566,  3548,   421,  4571,  3549,
    3543,  3558,  5322,  3642,  3551,    35,  3566,  1939,  3586,    37,
      38,    39,    40,    41,    42,  3654,    44,  1448,   990,  3665,
    3661,  3662,  3669,  3674,   718,  3675,  3676,  3680,  3687,  3694,
    5802,  3691,  2413,  3712,  3713,   715,  3685,  3727,  3731,  3751,
    3700,  1940,  3733,  3729,  3742,  3745,  3754,  3759,  1298,  3760,
    5345,  3762,  3763,  3761,  3764,  4521,  3767,  3773,  3775,  3776,
      80,  2418,  3779,  3794,  2419,  3780,  3793,  3798,  3797,  3799,
    3800,  1941,  1942,  3802,   423,  3807,  2587,  3805,  3808,   423,
    1499,   423,  3829,  3832,  3809,  4061,  2418,  1844,  3836,  2419,
     863,   863,   863,  2425,  4015,  2277,  1298,  3843,  5340,  3831,
   -2972,  5344,  3844,   423,  1499,  3845,  3810,  3811,  1943,  3819,
    5346,  1844,   209,  3820,  2274,  3846,  1944,  3171,  2425,  1606,
     423,  4016,  1069,  1945,  2427, -2972,  2243,  3854,  3134,   869,
    3856,  1946,  1069,  3858,   869,   718,   869,  3857,   718,  1947,
    3865,   862,  3873,  5386,  5704,  1595,   862,  3868,   862,  2427,
    3875,  1948,  3879,  1626,  3882,  3880,  3885,  3902,   869,  1949,
    3899,  5717,  3900,  1741,  3901,  3906,  3883,  1753,  1448,  1755,
     862,  3907,  3909,  3912, -2090,   869,  3935,  3968,  3913,  3985,
    4018,  3990,  4306,  2523,  3941,  3951,  3948,   862,  3172,  2589,
    2590,  3977,  4067,  4069,  4071,  3963,  5489,  3962,  4073,  3976,
    1259,  1069,  4080,  4087,  1069,  1069,  4103,  5489,  4023,  4108,
    4063,  4110,  4111,  3986,  1950,  4119,  4544,  4093,  4894,  5647,
    2418,  3988,  3989,  2419,  3992,   718,   718,  4015,  4122,  1499,
    4157,  4091,  4092, -2972,  4096,   718,  5663,  4115, -2972,  4124,
     421,  5665,  1259,  5667,  2285,   421,  4116,   421,  3173,  4131,
    4146,  3174,  2425,  4097,   718,  4147,   717,   717, -2972, -2972,
    4159,  1875,   422, -2972,  4163,   863,  4165,  4164,  4166,   421,
    4180,  4181,  4183,  4421, -2972,  4189,  4190,  4191,  1499,  1259,
    1259,  4199,  4209,  2427,  4226,  4228,   421,  4232,  1069,  5557,
    1447,  4230,  2348,  4233,  4236,  4239,  4238,  4250,  4240, -2972,
    4015,  4252,  4253,  3541,  4254,  4719,  4255,  4256,   423,  4257,
    4258,   863,  4259,  4262,  4260,  4261,  4264,  4263,  3195,  3195,
    4265,  2434,  4266,  3195,  4267,  4268,  4275,  3565,  4271,  2859,
    4273,  4286,  4277,   718,  4278,  4016,  4280,  1844,  4290,  4016,
    4291,  5055,  4293,  5682,  3610,  4299,  2434,  4345,  4351,  4313,
    4547,  3175,  4355,  4344,  1259,  4357,  4359,  4006,  4362,  4373,
    3195,  3195,  4376,  4385,  4388,  1259,  4392,  4389,  4393,  4382,
    4396,  4374,  4397,  4409,  4419,  4430,  4438,  4440,  4447,  4448,
    4449,  4428,  4450,  4457,  4460,   375,  4459,  4452,  4461,  4468,
    4469,  4470, -2972,  4472,  4473,  1259,  4474, -2972,  4478,  3938,
    3917,  2372,  4539,  3937,  4552,  1259,  1259, -2972,  1499,  4528,
   -2089,  1179,  1259,  1259,  4540,  5662,  4593,  1259,  1499,  4487,
    4512,  4513,  1259,  4514,  4520,  1259,  1259,  4543,  4569,  4598,
    1259,  4558, -2972, -2972,  4570,  4621,  1259,  4608,  4578,  4595,
     375,  4610,  4612,  4624,  4611,  4626,  4615,  5093,  1259,  4613,
    4630,  4638,  5041,  5043,  4652,  5565,  1259,  4616,  3176,  1633,
    1259,  5679,  3917,  4645,  4673,  4675,  3918,  3919,  3920,  4676,
    4689,  4681,  4688,  1259,   421,  4690,  4697,  4691,  1259,  4693,
    2434,  1447,  4714,  4534,  1259,  4695,  4711,  4729,  4741,  4726,
    4727,  4753,  4728,  4739,  4740,  4742,  5035,  4756,  4743,  4744,
    4766,  4755,  1259, -2972,  4772,  4775,  4790,  1298,  4767,  4792,
    2441,  2442,  2443,  2444,  2445,  2446,    81,  4794,  4702,   863,
    4797,  4804,  4805,    79,  4807,  4808,  4811,  4821, -2972,  4835,
    4844,  4832,  4858,  1259,  4864,  2441,  2442,  2443,  2444,  2445,
    2446,  4863,  4850,  4867,  4891,  4886,  4892,  4869,  3090,  4909,
    4870,  1499,  4905,  4904,  4907,  4912,  4908,   708,  4910,  4926,
    1448,  4914,  4932,  4936,  4915,  4938, -2972,  4944,   718,    80,
      80,  4006,    80,   423,  4954,  4006,    74,  4949,  4958,  4964,
    4959,  4963,  4965,  4966,  4967,  4971,  1844,  4986,  1448,  1499,
   -2091,  5002,  5164,  5006,  4999,  5014,  5004,  1067,  5007,  1067,
    5015,  1067,  5020,  5019,  5022,   718,  5023,  1067,  1577,  1578,
    1499,  5025,  5039,  5026,  5027,  5048,  5052,   718,  5054,   375,
     375,  5061,  5056,  5062,  5070,  5088,  5089,  5092,   869,  5098,
    5099,  1067,  1067,  1259,  2352,  5100,  5118,  5120,  5111,  5114,
     862,  5131,  5123,  5139,   718,  5144,  5152,  5153,  5124,  5158,
    5159,  5167,  5162,  5168,  5174,  5173,  5177,  3922,  1448,  5182,
    5175,  5190, -2972,  5193,  5201,  5196,  5203,  5211,  5213,  2441,
    2442,  2443,  2444,  2445,  2446,  1499,  5214,  5215,  5224,  5229,
    5216,  5793,  5234,  2418,  5238,  5239,  2419,  5245,  5253,  5256,
    5246,  5248,  5255,  1633,  5264,  5270,  3917,  5280,  5273,  1259,
    3918,  3919,  3920,  5257,  5300,  5310,  5258,  5313,  5316,  5284,
    5327,  5306,  5331,  1259,  5330,  2425,  5336,  4535,  5337,  3923,
    1447,  5366, -2972,  1069,  5342,  5385,  5387,  4831,  5393,  5348,
    5349,  5353,  2415,  5358,  5395,  5359,   718,  5397,  5398,   421,
    5400,  2417,  1259,  5404,  5401,  5420,  2427,  5403,  5427,  5429,
    5432,  5840,  5841,  5435,  5437,  2460,  4016,  5444,  1067,  5445,
    5456,  5458,   863,  4016,  5466,  5459,  5460,   863,  4016,   863,
    5475,  4016,  5282,  5478,  5482,  5488,  5504,  1867,  1069,  5509,
    5492,  5495,   715,  1499,  5529,  1499,  1448,  5527,  5500,  2491,
    2493,   863,  5530,  5499,  1448,  1448,  5502,  5536,  1872,  5508,
    5542,  5520,  5580,  4016,  5582,  5587,  5591,  5592,   863,  5594,
    5601,  5605,  5611,  4548,  5612,  5619,   718,  4016,  5623,  5625,
    5632,  5635,  5633,  5624,  5634,  1067,  5640,  5645,  5646,  5669,
    5670,  5653,  1259,  5666,  5675,  5687,  1499,  5691,  5674,  5709,
    1069,  1259,  5677,  5715,  5716,  1633,  5720,  5725,  3917,  5729,
    5722,  5732,  3918,  3919,  3920, -2972,  5733,  5738,  1259,  1259,
   -2972,  5750,  1259,  5751,  5758,  1271,  5752,  5759,  5770,  4980,
    5794,  5718,  5803,  5768,  5796,  5812,  4553,  1259,   717,  5813,
    5719,  5851,  5858,  5787,  1259,  5789,  5811,  5843,  5871,  1259,
    5894,  3922,  1259,  1259,  5868,  5897, -2972,  5877,  5918,  5892,
    1259,  1259,  5893,  5904,  3924,  3925,  3926,  1271,  3927,  3928,
    3929,  3930,  3931,  3932,  5900,  5921,  5941,  5305,  5919,  5924,
    5931,  5932,  1173,  5938,  1259,  5942,  1259,  5939,  5943,  1191,
    3736,  5307,   718,  1962,   718,  5945,  5946,  4053,  1259,  1963,
    2874,  2045,  2504,  2434,  3615,  3547,  4174,  4717,  4710,  1959,
    5797,  5903,  2049,  3923,  3653,  4298,  4814,  5574,  2044,  5703,
    5869,  4846,  5436,  5413,  5157,  3842,  4113,  5790,  5320,  5865,
    5723,  5721,  5810,  4016,  5882,  4118,  1499,   718,  4895,  4875,
    1964,  5685,  4839,  1844,  3710,  3711,  1259,  4715,  4193,  4361,
    4862,  4369,  5419,  5423,  5179,  5870,  3701,  5944,  5936,  4006,
    5399,  1069,  4316,  5418,  4006,  5815,  5347,  4006,  2936,  1069,
    4300,  2033,  1069,  5538,  5693,  5350,  1087,  4933,  2345,  5515,
    2358,  4104,   423,  3393,  4901,  5630,  3013,  1449,  1259, -2972,
    2120,  3047,  2050,  3129,  1966,  1524,  3127,  4016,  4274,  5449,
    3128,  1967,  4745,  3922,  1968,  3195,  3195,  3195,  3195,  4365,
    4765,  3195,  3195,  3195,  3195,  3195,  3195,  3195,  3195,  3195,
    3195,  2831,  5834,  5930,  3319,  2651,  3320,  2836,  4879,  1969,
    1770,  3075,  5784,  5309,  5044,  4634,  2292,   869,  4519,  3838,
    2466,  5440,  4059,  2524,  3345,    74,    74,  2552,    74,   862,
    4068,  2551,  4066,  4609,  1259,  5780,  1499,  5668,  5030,  3344,
    4997,  1970,  4573,  5012,  1067,  3923,  2556,  3195,  3195,  5494,
    4567,  5652,  2561,  5651,  4635,  5933,  4568,  5850,  5898,  5771,
    5473,  4522,  5303,  1259,  1499, -2972,  1259,  5782,  1259,  5783,
    5767,  3983,  2441,  2442,  2443,  2444,  2445,  2446,  3924,  3925,
    3926,  3276,  3927,  3928,  3929,  3930,  3931,  3932,  1259,  3894,
    4055,  3981,  3285,  1224,  1259,  4420,  2192,  5593,  1259,  3796,
    1971,  3371,  1972,  5760,  1499,  1194,  3008,  1546,  3362,  1259,
     375,  1856,  1973,  2568,  1885,  2353,  1857,  3375,  3378,  4016,
    2575,  1974,  2958,  4048,  5031,  3376,  2963,  4641,   421,  4614,
    4640,  2470,  1975,  2572,  1217,  3840,    83,  3382,  3087,     0,
       0,     0,     0,     0,     0,  1584,   375,     0,     0,     0,
       0,     0,     0,   423,     0,     0,     0,     0,     0,     0,
       0,  1499,     0,     0,     0,     0,  1499,  1499,     0,  2051,
       0,  1259,  1977,  1978,     0,     0,     0,  2282,  4016,     0,
       0,     0,     0,  1844,  1844,     0,  5371,     0,     0,   718,
       0,     0,     0,     0,     0,     0,  1844,     0,  5614,     0,
    2052,   863,     0,     0,     0,     0,     0,     0,   869,  4016,
       0,     0,     0,  4006,     0,     0,     0,     0,  1259,     0,
     862,     0,     0,     0,  2411,     0,     0,     0,  1069,     0,
    3924,  3925,  3926,     0,  3927,  3928,  3929,  3930,  3931,  3932,
    1259,     0,     0,     0,     0,  1067,     0,     0,     0,     0,
    1067,  1067,    80,     0,     0,    80,     0,   383,     0,     0,
       0,     0,     0,   383,  1980,     0,     0,     0,   712,     0,
       0,     0,     0,  1499,  1499,  5671,     0,     0,     0,     0,
       0,     0,     0,  1633,  5639,     0,  3917,     0,     0,     0,
    3918,  3919,  3920,     0,     0,   383,  1259,     0,     0,  1259,
    1275,     0,  1259,     0,     0,     0,     0,  4981,  1306,     0,
       0,     0,     0,  1259,     0,     0,  4016,     0,  1259,   421,
    1259,  1326,  1259,  2585,     0,  1577,  1578,     0,     0,     0,
    1259,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     383,     0,     0,     0,  2600,     0,     0,     0,  1259,     0,
     708,  2607,  2609,  3179,     0,  4006,   708,     0,     0,     0,
       0,     0,     0,     0,     0,   375,     0,     0,     0,   708,
       0,     0,     0,     0,     0,     0,     0,     0,   423,     0,
     718,     0,     0,     0,     0,  1271,     0,     0,     0,  3195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5891,     0,     0,     0,     0,     0,     0,
       0,   383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,  1259,
       0,  1067,     0,   869,     0,  5819,  1069,  1259,  2418,     0,
       0,  2419,   375,     0,     0,   862,     0,     0,     0,  4016,
       0,     0,     0,     0,  1633,  1271,  1271,  3917,     0,     0,
    3308,  3918,  3919,  3920,     0,     0,  1259,  1259,     0,     0,
    2425,     0,     0,     0,  1259,   423,     0, -2972,  1499,     0,
       0,  3922,     0,     0,  1259,     0,  1494,     0,     0,     0,
       0,     0,     0,   718,     0,     0,     0,     0,     0,  5816,
    1067,  2427,     0,  1067,  1067,   379,  1259,  5836,     0,  5837,
    1494,     0,     0,     0,  5838,     0,     0,     0,     0,     0,
       0,     0,  4016,  5839,  1844,     0,  1844,     0,     0,  1934,
     869,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   862,  3923,   421,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1259,     0,     0,     0,
       0,  1259,     0,  1935,     0,   717,     0,     0,  4984,     0,
    1259,     0,   383,     0,     0,     0,  1259,  1259,     0,  1259,
     379,  1875,  5836,    80,  5837,    80,     0,  1067,  1259,  5838,
       0,     0,  2418,     0,  5857,  2419,     0,     0,  5839,  2420,
    2421,  2422,  5371,     0,     0,  1259,     0,   383,     0,     0,
   -2972,     0,     0,     0,     0, -2972,  2423,     0,     0,   718,
       0,  5935,  1937,  1448,  2425,     0,     0,     0,     0,     0,
       0,  2426,     0,  2685,   708,   708,     0,  5001,  2686,  1271,
    1271,   421,     0,  1259,     0,     0,     0,     0,     0,     0,
     863, -2972, -2972,     0,     0,  2427,  1938,     0,     0,     0,
       0,     0,     0,     0,     0,   379,   375,  5836,     0,  5837,
    1259,     0,  2687,  5857,  5838,  1259,  3007,     0,     0,     0,
       0,     0,     0,  5839,     0,  2688,     0,     0,     0,     0,
     375,  1939,  1755,  1844,     0,   423,     0,     0,  2434,  5772,
    2689,  3019,  5910,     0,     0,     0,     0,     0,     0,     0,
       0,  3027,  1259,  3028,  3923,     0,     0,     0,  1259,  3032,
       0,     0,     0,  3035,     0,  1940,     0,     0,  3924,  3925,
    3926,     0,  3927,  3928,  3929,  3930,  3931,  3932,     0,     0,
       0,  2690,  1259,     0,   423,     0,     0,     0,     0,     0,
     869,  5910,  2691,     0,     0,     0,  1942,     0,     0,   423,
    1259,  1259,   862,     0,  2428,  5890,  5910,     0,    74,  2429,
       0,    74,  2692,     0,     0,     0,     0,  2693,     0,     0,
       0,     0,     0,     0, -2972,     0,     0,     0,     0,     0,
    2430,  2431,     0,     0,     0,     0,   209,     0,  2726,   869,
    1944,     0,     0,     0,     0,  2432,     0,  1945,     0,     0,
       0,   862,     0,     0,   869,  1946,     0,     0,     0,     0,
       0,  1069,     0,  2727,     0,     0,   862,  1069,     0,     0,
       0,     0,     0,     0,     0,  1948,  3650,  1494,  2433,     0,
       0,   863,     0,  1949,     0,     0,     0,  2694,     0,     0,
     375,     0,  2434,     0,     0,  2435,     0,     0,     0,  3668,
    1494,   421,  3668,     0,  3668,     0,  3169,  3170,  3668,     0,
       0,     0,     0,  3184,  3185,  1494,     0,  3668,  3668,  3668,
   -2972,  2695,     0,     0,     0,     0,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,     0,     0,  1950,  3924,
    3925,  3926,  3223,  3927,  3928,  3929,  3930,  3931,  3932,     0,
     421,     0,     0,   898,     0,     0,     0,     0,     0,  5909,
    1633,     0,     0,  3917,     0,   421,     0,  3918,  3919,  3920,
       0,    35,     0,     0,     0,  3746,     0,     0,  2436,    41,
      42,     0,     0,     0,     0,  2418,     0,  5657,  2419,  2696,
       0,     0,  2420,  2421,  2422,     0,  2697,     0,  2600,  2698,
       0,     0,     0,     0,  1494,     0,     0,  3778,  5909,  2423,
       0,     0,  2424,     0,     0,  1448,     0,  2425,     0,     0,
       0,     0,     0,  5909,  2426,     0,     0,     0,     0,  2699,
       0,     0,     0,     0,     0,     0,  2700,     0,     0,     0,
       0,  3817,     0,  2701,     0,     0,     0,     0,  2427,  1069,
    2702,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3195,  1067,     0,     0,     0,     0,     0,  1448,     0,
    5252,     0,     0,     0,  2437,  2703,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,
       0,  3221,     0,   383,     0,     0,     0,   383,     0,     0,
       0,     0,     0,     0,  2203,     0,   863,     0,     0,     0,
    1272,   712,     0,     0,     0,     0,     0,  1067,     0,   712,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2230,   712,     0,     0,     0,  1494,  1867,     0,    74,
       0,    74,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2244,     0,     0,  2428,  3922,     0,
       0,   712,  2429,    85,  2255,     0,     0,   712,     0,    89,
    2259,     0,     0,    93,     0,    94,  2267,    96,    97,  1067,
     712,     0,  2275,  2430,  2431,  2278,     0,     0,   106,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2432,     0,
       0,     0,     0,   863,   118,   119,   712,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3923,  1272,   712,     0,     0,     0,     0,     0,     0,   712,
       0,  2433,     0,     0,     0,     0,     0,     0,     0,     0,
    2013,     0,   712,     0,     0,  2434,     0,     0,  2435,     0,
       0,     0,     0,     0,   127,     0,     0,     0,   712,  2014,
       0,     0,     0,     0,   128,     0,   129,   130,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1190,     0,     0,     0,     0,  2490,     0,     0,
       0,     0,     0,     0,     0,     0,   708,     0,     0,     0,
       0,     0,   140,     0,   141,   142,     0,     0,  2015,  4702,
       0,   145,     0,   146,     0,     0,  2674,     0,     0,  1448,
       0,     0,     0,     0,   148,     0,   149,     0,     0,     0,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
    1067,   152,     0,   153,     0,     0,   156,     0,  1067,     0,
       0,  1067,  3195,     0,     0,     0,     0,   712,     0,     0,
     157,     0,   158,     0,     0,     0,   159,     0,     0,  1069,
       0,  4703,   160,     0,     0,     0,     0,  3195,   383,     0,
     162,     0,   164,     0,     0,     0,     0,     0,   166,     0,
       0,     0,  2016,  1069,     0,     0,     0,     0,     0,  1069,
       0,     0,     0,     0,   170,  3924,  3925,  3926,     0,  3927,
    3928,  3929,  3930,  3931,  3932,     0,     0,  1494,     0,     0,
     174,     0,     0,   863,     0,     0,     0,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
    2017,  2418,     0,  2018,  2419,   712,   712,     0,  2420,  2421,
    2422,     0,     0,  1448,  2826,     0,  4704,     0,     0,   185,
     186,     0,     0,     0,     0,   187,     0,     0,     0,     0,
       0,     0,   863,  2425,     0,     0,     0,   188,     0,     0,
    2426,     0,     0,  1494,     0,  2020,     0,   863,     0,   193,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2427,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,  2872,     0,     0,     0,     0,     0,  1962,  2022,     0,
       0,   203,     0,  1963,     0,     0,     0,     0,     0,     0,
    4198,  1494,     0,     0,   205,     0,  2049,     0,  2023,     0,
     206,   207,     0,   208,     0,     0,  3812,  3815,   209,     0,
       0,     0,     0,   210,     0,     0,   212,     0,  2025,     0,
    4705,   214,  1272,  4706,  1964,     0,     0,   215,   216,     0,
       0,     0,     0,     0,     0,   217,     0,     0,     0,   219,
    4235,  3195,     0,     0,     0,     0,     0,  2947,     0,   222,
       0,     0,     0,     0,     0,  2964,     0,     0,     0,     0,
       0,     0,   224,  2428,     0,     0,     0,  2872,  2429,  1069,
       0,     0,  1494,     0,     0,     0,  2050,  1067,  1966,     0,
       0,   230,     0,   231,     0,  1967,     0,  1494,  1968,  2430,
    2431,   233,     0,     0,     0,     0,  1494,   234,     0,     0,
       0,     0,   235,  4272,  2432,     0,     0,     0,  1494,     0,
       0,     0,     0,  1969,     0,   238,     0,     0,     0,     0,
       0,  2768,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2418,  3668,     0,  2419,  2433,   250,     0,
    2420,  2421,  2422,     0,  3040,  1970,  4297,     0,     0,     0,
       0,  2434,   251,  1962,  4311,     0,  -145,  2423,     0,  1963,
    4311,     0,     0,  1494,     0,  2425,  1448,  2872,  1448,     0,
       0,     0,  2426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1494,     0,   712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,  2427,     0,     0,   712,
    1964,     0,     0,     0,  1971,     0,  1972,  1494,     0,     0,
       0,     0,     0,  3195,  4372,     0,  1973,     0,     0,     0,
       0,     0,     0,     0,     0,  1974,     0,   712,     0,     0,
       0,     0,     0,     0,     0,     0,  1975,  2436,     0,     0,
       0,     0,     0,  1494,  1494,  4404,  1448,     0,     0,     0,
    1965,     0,     0,     0,  1966,     0,     0,     0,     0,     0,
       0,  1967,     0,   712,  1968,     0,     0,     0,     0,     0,
       0,     0,     0,  3612,  3817,     0,  1977,  1978,     0,   712,
    2600,     0,     0,  4051,     0,  1067,     0,     0,     0,  1969,
       0,     0,     0,     0,   712,     0,     0,   712,     0,     0,
       0,     0,     0,     0,  3613,  2428,     0,     0,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,  1069,     0,
       0,  1970,  1069,     0,     0,     0,     0,  5849,     0,     0,
       0,  2430,  2431,  2437,     0,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,  2432,     0,  3042,     0,
       0,     0,     0,     0,     0,     0,  3049,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1980,     0,
       0,     0,  3059,     0,     0,     0,     0,     0,  2418,  2433,
    1971,  2419,  1972,     0,     0,  2420,  2421,  2422,     0,     0,
       0,     0,  1973,  2434,     0,     0,  2435,  1494,     0,     0,
       0,  1974,  2423,     0,     0,     0,     0,     0,     0,  3195,
    2425,     0,  1975,     0,  3195,     0,     0,  2426,   382,     0,
       0,     0,  4532,  2418,   382,   712,  2419,     0,     0,   711,
   -2972, -2972, -2972,   712,   712,     0,     0,     0,     0,     0,
       0,  2427,     0,     0,   383,     0,     0,     0,     0,  1976,
       0,     0,  1977,  1978,     0,  2425,   382,     0,  3785,     0,
       0,     0,  2426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1934,  2436,
    1979,     0,     0,     0,     0,     0,  2427,     0,     0,     0,
       0,     0,     0,   708,     0,     0,   383,   383,   383,     0,
       0,   382,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1935,     0,     0,  3384,     0,   712,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3400,     0,     0,     0,     0,     0,  3404,
       0,     0,     0,  3407,  1980,     0,     0,   383,     0,  1113,
    2428,     0,     0,     0,   383,  2429,     0,  1113,     0,  1113,
       0,     0,     0,     0,     0,   383,     0,     0,     0,  3431,
       0,  1937,   382,     0,     0,  2437,  2430,  2431,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
    2418,  2432,     0,  2419,  3908,  2428,     0,  2420,  2421,  2422,
    2429,     0,  1494,     0,     0,  1938,  1494,  1494,     0,     0,
       0,     0,     0,  3484,  2423,     0,     0,  3316,     0,     0,
       0,     0,  2425,     0,  2433,     0,     0,     0,     0,  2426,
       0,   708,     0,     0,     0,  3786,  2432,     0,  2434,     0,
    1939,  2435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2427,     0,     0,     0,     0,     0,     0,
       0,     0,  4311,  3532,     0,     0,     0,     0,  1494,     0,
    1067,     0,     0,     0,  1940,     0,  1067,     0,     0,     0,
    1494,     0,     0,  2434,     0,     0,  4752,  3561,     0,     0,
       0,     0,     0,  4759,     0,  3572,  4760,     0,  4761,     0,
    4350,     0,   708,     0,     0,  1942,  3587,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,     0,
    1494,     0,     0,     0,  2436,     0,  3600,     0,     0,     0,
       0,  3602,     0,   382,     0,  3605,     0,     0,  4800,     0,
       0,     0,   712,     0,     0,   209,  3668,     0,  3622,  1944,
    3668,  3668,     0,  3668,     0,     0,  1945,     0,  4297,     0,
       0,  3647,  2428,     0,  1946,     0,     0,  2429,   382,  2436,
    2418,   708,  2727,  2419,     0,     0,     0,  2420,  2421,  2422,
       0,     0,     0,  4425,  1948,     0,     0,     0,  2430,  2431,
    3815,     0,  1949,     0,   383,     0,     0,     0,     0,     0,
       0,     0,  2425,  2432,     0,     0,     0,     0,     0,  2426,
       0,     0,     0,  3788,     0,     0,     0,     0,   712,     0,
    2437,     0,     0,  2438,  2439,  2440,   712,  2441,  2442,  2443,
    2444,  2445,  2446,  2427,     0,     0,  2433,     0,   712,  3958,
       0,     0,     0,     0,     0,     0,     0,  1950,     0,     0,
    2434,  3789,  2943,  2435,     0,     0,  4898,     0,  1067,     0,
       0,     0,     0,     0,     0,  2437,     0,     0, -2972, -2972,
   -2972,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3817,  3817,  3817,  3817,  3817,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1272,  1272,     0,   712,   712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   712,     0,  4941,  4941,
    4941,     0,  4941,  4941,  4941,     0,  2436,   712,   712,     0,
       0,     0,  2428,     0,     0,     0,     0,  2429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   712,     0,     0,     0,     0, -2972, -2972,
       0,     0,     0,     0,     0,  1069,  1069,     0,     0,  1494,
       0,     0,     0,  2432,     0,     0,     0,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1962,     0,
       0,     0,     0,  1272,  1963,  3853,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2972,     0,     0,     0,
       0,     0,     0,  3867,     0,     0,     0,     0,     0,     0,
    2434,  3853,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,  1964,     0,     0,     0,  4312,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4637,     0,     0,  5029,     0,
       0,  5036,  5037,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5638,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   383,     0,  2781,     0,     0,    80,  1966,
       0,  1494,     0,     0,     0,     0,  1967,     0,     0,  1968,
       0,     0,     0,  3801,     0,     0,  2436,     0,  1494,     0,
    3806,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,  1969,     0,     0,  3821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3827,     0,     0,
       0,  3828,     0,     0,  3830,     0,     0,     0,     0,     0,
    3834,     0,  3835,     0,     0,  3837,  1970,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,   383,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1067,     0,     0,     0,     0,     0,  1067,     0,
       0,     0,  2437,     0,   382,  2438,  2439,  2440,   382,  2441,
    2442,  2443,  2444,  2445,  2446,  1971,     0,  1972,     0,     0,
       0,     0,   711,     0,     0,  3876,     0,  1973,     0,     0,
     711,     0,   383,     0,   383,     0,  1974,     0,     0,     0,
       0,     0,     0,   711,     0,  5134,  5135,  1975,     0,     0,
       0,     0,     0,     0,   712,  3668,     0,  3668,  3668,     0,
       0,  3668,     0,     0,     0,     0,     0,     0,     0,     0,
    1577,  1578,   711,     0,  1482,     0,   712,     0,   711,     0,
       0,     0,     0,     0,  2782,     0,     0,  1977,  1978,     0,
       0,   711,     0,     0,   712,     0,     0,     0,  1482,   383,
     712,     0,     0,     0,   712,     0,  1069,     0,  1069,     0,
       0,     0,   712,     0,     0,  2783,     0,   711,     0,     0,
    5192,     0,     0,     0,     0,     0,     0,     0,  4125,     0,
     712,     0,     0,   711,     0,     0,     0,     0,     0,     0,
     711,     0,     0,  1962,     0,     0,     0,     0,     0,  1963,
       0,     0,  1272,   711,  5217,     0,  1494,     0,     0,  1494,
       0,  1494,     0,     0,     0,     0,  1494,     0,     0,   711,
       0,     0,     0,     0,   712,     0,     0,     0,     0,  1980,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1964,     0,   712,   712,  4941,     0,     0,  3815,  3815,  3815,
    3815,  3815,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,  1067,     0,
       0,     0,     0,   383,   712,     0,     0,   383,     0,     0,
       0,     0,  1494,     0,     0,     0,  4204,     0,     0,     0,
       0,     0,     0,     0,  1966,     0,     0,     0,   712,     0,
     383,  1967,  2418,     0,  1968,  2419,   712,  1494,     0,  2420,
    2421,  2422,     0,   712,     0,     0,  1113,   712,   711,     0,
    1113,     0,     0,     0,     0,  1069,  2423,     0,     0,  1969,
       0,     0,     0,     0,  2425,     0,     0,   712,     0,   382,
       0,  2426,   712,     0,     0,     0,   712,     0,     0,   383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   712,
       0,  1970,     0,     0,     0,  2427,     0,     0,     0,  4123,
       0,     0,   712,     0,     0,     0,  1494,  2418,  1494,     0,
    2419,     0,   712,     0,  2420,  2421,  2422,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4311,  4282,
       0,  2423,     0,     0,     0,     0,   711,   711,     0,  2425,
       0,     0,     0,     0,     0,     0,  2426,     0,     0,     0,
    1971,     0,  1972,     0,     0,     0,     0,  2600,     0,     0,
       0,     0,  1973,     0,     0,     0,     0,   383,     0,  3668,
    2427,  1974,     0,     0,     0,     0,     0,     0,     0,  4182,
       0,  4184,  1975,     0,    74,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2428,  2096,     0,     0,     0,  2429,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,  2078,
       0,     0,  1977,  1978,  1113,  1113,     0,     0,  2111,     0,
    2430,  2431,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,  2122,   712,  2432,     0,  1067,  1494,     0,
    2079,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2418,     0,     0,  2419,     0,     0,     0,  2420,
    2421,  2422,     0,     0,     0,     0,  5108,  5109,  2433,  2428,
       0,  5112,  5113,     0,  2429,     0,  2423,     0,     0,     0,
       0,     0,  2434,     0,  2425,  2435,     0,   712,     0,     0,
    2872,  2426,     0,     0,     0,  2430,  2431,     0,     0,     0,
    4269,     0,     0,     0,  1980,     0,  4276,  1494,  4453,     0,
    2432,     0,     0,     0,     0,  2427,     0,     0,     0,     0,
    2418,     0,     0,  2419,     0,  1494,     0,  2420,  2421,  2422,
       0,     0,     0,  4467,     0,     0,   712,     0,     0,     0,
    1494,     0,     0,  2433,  2423,     0,     0,     0,     0,     0,
       0,     0,  2425,  3785,   712,     0,     0,  2434,     0,  2426,
    2435,     0,   712,     0,     0,     0,     0,     0,  2436,     0,
       0,     0,  1272,  1934,     0,     0,     0,     0,  5550,  5550,
       0,     0,     0,  2427,     0,     0,     0,     0,     0,     0,
       0,  1448,     0,     0,     0,  5567,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5575,     0,  1935,     0,     0,
       0,     0,     0,     0,     0,     0,   711,     0,     0,     0,
       0,     0,     0,     0,  2428,     0,     0,     0,     0,  2429,
     711,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,   383,     0,  2436,     0,     0,     0,   383,     0,     0,
    2430,  2431,     0,     0,  2354,  1494,     0,     0,   711,     0,
       0,     0,     0,     0,  2437,  2432,  1937,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,
    1494,  4480,  4437,     0,  4439,     0,  4441,     0,     0,     0,
       0,     0,  2428,  4445,   711,     0,     0,  2429,  2433,     0,
    1938,     0,     0,     0,     0,   710,     0,     0,     0,     0,
     711,     0,  2434,     0,  1494,  2435,     0,     0,  2430,  2431,
       0,     0,     0,     0,     0,   711,     0,     0,   711,     0,
    3786,     0,   860,  2432,  4466,  1939,     0,     0,   712,  2437,
       0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,     0,  4531,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2433,  3785,  5304,  1940,
       0,     0,     0,     0,     0,     0,     0,   860,     0,     0,
    2434,     0,  1448,  2435,     0,     0,  5707,  1934,  5708,     0,
       0,     0,  5713,  5714,     0,     0,     0,     0,  2436,     0,
    1942,     0,     0,     0,  4683,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1935,     0,     0,     0,  1112,     0,     0,     0,     0,
       0,     0,     0,  1112,  1067,  1112,     0,     0,     0,     0,
     209,  1494,   712,   712,  3787,     0,  2418,     0,   860,  2419,
       0,  1945,     0,  2420,  2421,  2422,   711,     0,     0,  1946,
       0,     0,     0,     0,   711,   711,  2436,  2727,     0,   712,
    2423,     0,   712,     0,     0,   382,     0,     0,  2425,  1948,
    1937,     0,     0,     0,     0,  2426,     0,  1949,     0,     0,
       0,     0,     0,     0,  2437,     0,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,  3788,  2427,
       0,  4620,     0,     0,  1938,  4780,     0,     0,  4783,  5550,
       0,  5550,     0,     0,     0,     0,     0,   382,   382,   382,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,  1950,     0,  3786,     0,  3789,     0,   711,  1939,
       0,     0,     0,   383,   383,   383,     0,     0,     0,     0,
       0,     0,  2437,     0,  1494,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,   712,   382,  4654,
       0,     0,     0,  1940,     0,   382,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   382,   712,     0,     0,
       0,     0,     0,     0,     0,     0,  1113,     0,     0,     0,
       0,   712,     0,     0,  1942,  4860,     0,     0,  2428,     0,
       0,  1448,     0,  2429,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2872,     0,  2788,     0,     0,     0,
       0,     0,     0,     0,  2430,  2431,     0,  1113,     0,     0,
       0,     0,     0,     0,   209,     0,     0,     0,  1944,  2432,
       0,     0,     0,     0,     0,  1945,     0,     0,     0,     0,
       0,     0,     0,  1946,     0,     0,     0,     0,     0,     0,
       0,  2727,     0,     0,     0,     0,     0,     0,  5550,  1494,
     712,     0,  2433,  1948,  1067,  1067,     0,  5911,     0,     0,
       0,  1949,     0,     0,     0,     0,  2434,  1067,     0,  2435,
       0,     0,     0,  3853,     0,     0,     0,     0,     0,     0,
       0,   882,  3788,     0,     0,     0,     0,     0,   383,     0,
       0,     0,     0,     0,     0,   712,     0,   712,  1494,     0,
    2890,     0,     0,     0,     0,     0,  5911,     0,     0,     0,
     712,     0,   712,     0,     0,  2905,  1950,     0,     0,     0,
    3789,  5911,     0,     0,     0,     0,     0,     0,   883,     0,
       0,     0,     0,   711,   383,     0,  2927,     0,     0,     0,
       0,     0,     0,   884,     0,     0,     0,     0,     0,     0,
       0,     0,  2436,     0,     0,     0,     0,     0,     0,     0,
       0,   885,  5637,     0,     0,     0,     0,   886,     0,     0,
       0,     0,     0,     0,     0,   712,     0,     0,     0,     0,
       0,     0,     0,     0,   887,   382,     0,     0,     0,     0,
       0,  3004,     0,     0,     0,   888,     0,     0,     0,     0,
       0,     0,     0,   889,     0,     0,     0,  1962,     0,   711,
       0,  3015,     0,  1963,     0,   890,     0,   711,     0,     0,
     891,   712,     0,  1482,     0,     0,     0,   892,  1494,   711,
       0,     0,     0,     0,     0,  3029,     0,     0,  1494,   712,
       0,     0,     0,     0,   893,     0,     0,     0,  2437,     0,
       0,  2438,  2439,  2440,  1964,  2441,  2442,  2443,  2444,  2445,
    2446,   712,  4925,     0,   712,  4950,  4927,     0,     0,   894,
       0,  3053,  1482,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     895,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   711,   711,     0,  1966,     0,
       0,     0,     0,     0,     0,  1967,     0,   711,  1968,     0,
       0,     0,     0,     0,   896,     0,     0,     0,   711,   711,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1962,   383,  1969,     0,  5105,   897,  1963,     0,     0,
       0,     0,     0,     0,   711,     0,   898,  5115,     0,   899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,  1970,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   900,     0,     0,  1964,     0,
     901,     0,   902,     0,     0,  1067,     0,  1067,     0,   903,
       0,     0,   904,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   905,     0,     0,     0,  3225,     0,   906,     0,     0,
    1494,   907,   908,     0,  1971,   909,  1972,     0,     0,   910,
       0,     0,  1966,     0,     0,     0,  1973,     0,   911,  1967,
     860,     0,  1968,   912,     0,  1974,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   913,  1975,     0,   710,     0,
       0,     0,     0,     0,     0,     0,   710,  1969,   914,     0,
    1962,     0,     0,     0,   382,     0,  1963,     0,     0,   710,
       0,  5073,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,  2707,     0,     0,  1977,  1978,     0,  1970,
       0,     0,     0,     0,     0,     0,     0,     0,   710,     0,
       0,     0,     0,     0,   710,     0,     0,  1964,     0,     0,
       0,     0,  5096,  5097,  2708,   712,     0,   710,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3853,     0,     0,     0,
       0,     0,     0,   710,  1067,     0,     0,     0,  1971,     0,
    1972,     0,     0,  5908,     0,     0,     0,     0,   382,   710,
    1973,  1966,     0,     0,     0,   383,   710,     0,  1967,  1974,
     383,  1968,   383,     0,     0,     0,     0,     0,  1980,   710,
    1975,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,   383,   710,  1969,     0,  5137,  5138,
       0,     0,  5908,     0,     0,     0,     0,     0,     0,     0,
       0,   383,     0,   382,     0,   382,     0,  5908,     0,     0,
    1977,  1978,     0,     0,     0,     0,   712,     0,  1970,   712,
       0,     0,     0,     0,     0,   711,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1979,     0,
       0,     0,  3853,     0,  3853,     0,     0,   711,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   711,  3450,     0,     0,     0,
     382,   711,     0,     0,     0,   711,     0,  1971,  3465,  1972,
       0,     0,  1112,   711,   710,     0,  1112,     0,     0,  1973,
       0,     0,     0,     0,     0,     0,     0,     0,  1974,     0,
       0,   711,  1980,     0,  5233,     0,   712,   712,     0,  1975,
       0,     0,     0,  5235,  5236,     0,   712,     0,  3498,     0,
       0,     0,     0,     0,     0,     0,     0,  5240,     0,     0,
       0,     0,     0,     0,     0,   712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   711,  3493,     0,     0,  1977,
    1978,     0,     0,     0,     0,     0,     0,  1113,     0,     0,
       0,     0,     0,   711,   711,     0,  1494,     0,     0,     0,
       0,     0,   710,   710,     0,     0,     0,  1979,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   383,
       0,     0,     0,     0,   382,   711,     0,     0,   382,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   712,     0,     0,     0,     0,   711,
       0,   382,     0,     0,     0,     0,     0,   711,     0,     0,
       0,     0,  1113,     0,   711,     0,     0,     0,   711,     0,
       0,  1980,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   711,     0,
    1112,  1112,     0,   711,     0,     0,     0,   711,     0,     0,
     382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     711,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,   711,     0,  3696,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     5,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,  1494,     0,     9,    10,   382,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,  1494,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5469,     0,     0,     0,   711,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   712,
       0,     0,    46,     0,   383,     0,     0,     0,     0,     0,
       0,     0,   710,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   710,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   712,     0,   711,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   712,  3866,
       0,     0,     0,     0,   710,     0,     0,  5517,     0,     0,
       0,     0,     0,     0,     0,     0,  3878,     0,     0,     0,
       0,     0,     0,     0,  1494,   712,     0,    47,     0,  3884,
       0,     0,     0,     0,     0,     0,     0,   711,     0,     0,
     710,     0,     0,     0,     0,    48,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   711,   710,  5558,     0,     0,
       0,     0,     0,   711,     0,     0,     0,    49,     0,  1962,
       0,   710,     0,     0,   710,  1963,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,     0,  1260,  1262,     0,     0,  1265,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1312,  1964,   712,     0,     0,
       0,     0,  1322,     0,     0,     0,     0,    51,  2418,     0,
      52,  2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,
       0,     0,   382,  1389,     0,     0,    53,  1392,   382,     0,
       0,     0,  2423,     0,     0,     0,     0,     0,     0,     0,
    2425,  1416,     0,  3853,     0,     0,     0,  2426,  1421,     0,
    1966,     0,     0,     0,     0,     0,     0,  1967,     0,     0,
    1968,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2427,     0,     0,     0,     0,     0,   712,     0,     0,
       0,     0,   710,     0,     0,  1969,     0,     0,     0,     0,
     710,   710,     0,     0,     0,     0,     0,  2418,     0,     0,
    2419,   860,     0,     0,  2420,  2421,  2422,     0,  1494,     0,
      54,     0,     0,     0,     0,     0,     0,  1970,     0,   711,
       0,  2423,     0,     0,     0,     0,     0,     0,     0,  2425,
       0,     0,     0,     0,     0,     0,  2426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   860,     0,     0,     0,    55,     0,     0,
    2427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,     0,   710,     0,  1971,     0,  1972,     0,
    2428,     0,     0,     0,     0,  2429,     0,    57,  1973,     0,
       0,     0,     0,   712,     0,   712,     0,  1974,     0,     0,
       0,     0,     0,  4129,     0,     0,  2430,  2431,  1975,     0,
       0,     0,     0,     0,     0,     0,     0,    58,     0,     0,
    4140,  2432,   860,   711,   711,    59,     0,    60,    61,    62,
      63,    64,  1112,     0,    65,    66,  1539,     0,   712,     0,
       0,    71,  1540,     0,     0,  3656,     0,  1272,  1977,  1978,
     711,     0,     0,   711,  2433,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2434,  2428,
       0,  2435,     0,  1112,  2429,     0,  3657,     0,     0,     0,
       0,     0,     0,   383,     0,     0,     0,     0,     0,  1272,
       0,     0,     0,     0,     0,  2430,  2431,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2432,     0,     0,     0,  4221,     0,  4223,     0,     0,     0,
       0,     0,     0,     0,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,   382,   382,   382,     0,     0,     0,
    1980,     0,     0,  2433,     0,     0,     0,     0,  2423,     0,
       0,     0,     0,     0,  2436,  5862,  2425,  2434,   711,     0,
    2435,     0,     0,  2426,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1988,  1989,     0,   711,     0,
       0,     0,     0,     0,     0,     0,     0,  2427,     0,     0,
       0,     0,   711,     0,     0,     0,     0,  4270,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4284,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2436,     0,     0,     0,     0,     0,     0,
    2437,   860,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,  2113,     0,  4985,     0,     0,
       0,   711,     0,  2418,   383,   710,  2419,     0,     0,     0,
    2420,  2421,  2422,   710,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2138,  2139,   710,  2428,  2423,     0,     0,
       0,  2429,     0,     0,     0,  2425,     0,     0,     0,   382,
     712,     0,  2426,     0,     0,     0,   711,     0,   711,  2180,
       0,     0,  2430,  2431,     0,  3498,     0,     0,     0,     0,
       0,   711,     0,   711,     0,     0,  2427,  2432,     0,  2437,
       0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,   382,  5243,     0,  4423,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2433,   710,   710,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   710,  2434,     0,     0,  2435,     0,     0,
       0,     0,     0,     0,   710,   710,   711,     0,     0,     0,
       0,  2250,  2252,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     710,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   711,     0,     0,  2428,     0,     0,     0,     0,
    2429,     0,  4479,     0,     0,     0,     0,     0,     0,     0,
     711,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2436,  2430,  2431,  4488,     0,     0,     0,     0,     0,     0,
       0,     0,   711,     0,     0,   711,  2432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4511,   383,
       0,   712,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2354,  2434,     0,     0,  2435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     860,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   382,     0,     0,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,     0,     0,  5254,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   712,     0,     4,     0,     0,  2436,
       0,     0,     0,     0,     0,     0,     0,  1272,     0,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     0,     0,
       0,     8,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,    36,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,  1272,  1272,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2437,     0,     0,  2438,  2439,
    2440,   710,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,  5263,     0,     0,     0,     0,     0,     0,     0,
     712,     0,     0,   710,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,     0,   711,     0,     0,     0,
       0,   710,     0,     0,     0,     0,   860,   710,     0,     0,
       0,   710,     0,     0,     0,     0,     0,     0,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2418,     0,     0,  2419,   710,     0,     0,
    2420,  2421,  2422,     0,     0,     0,   382,     0,     0,     0,
       0,   382,     0,   382,     0,     0,   383,  2423,     0,     0,
       0,     0,     0,     0,    47,  2425,     0,     0,     0,     0,
    2418,     0,  2426,  2419,     0,   382,     0,  2420,  2421,  2422,
       0,   710,    48,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   382,  1112,  2423,     0,  2427,     0,     0,   710,
     710,     0,  2425,  2763,    49,   383,     0,   711,     0,  2426,
     711,     0,     0,  1962,     0,     0,     0,     0,     0,  1963,
     383,  1272,  1272,     0,     0,     0,     0,    50,     0,     0,
     860,   710,     0,  2427,   860,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4849,     0,     0,
       0,     0,     0,     0,     0,   710,     0,   860,     0,     0,
    1964,     0,     0,   710,    51,     0,     0,    52,  1112,     0,
     710,     0,     0,     0,   710,     0,     0,     0,     0,     0,
       0,     0,     0,    53,     0,     0,     0,     0,     0,  2854,
    2855,  2856,  2857,     0,   710,     0,     0,   711,   711,   710,
       0,     0,     0,   710,     0,  2428,   860,   711,     0,     0,
    2429,     0,     0,     0,  1966,     0,   710,     0,     0,     0,
       0,  1967,     0,     0,  1968,     0,   711,     0,     0,   710,
       0,  2430,  2431,  2896,  2897,     0,     0,     0,     0,   710,
       0,     0,  2428,     0,     0,     0,  2432,  2429,     0,  1969,
       0,     0,     0,     0,  2921,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    54,  2430,  2431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2433,
     382,  1970,     0,  2432,     0,     0,     0,     0,     0,  2966,
    2967,  2968,  2969,  2434,   860,  2418,  2435,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,   711,     0,     0,     0,     0,
       0,     0,     0,     0,    55,     0,  2433,     0,     0,  2423,
       0,     0,     0,     0,     0,     0,     0,  2425,     0,    56,
    2434,     0,     0,  2435,  2426,     0,  2354,     0,     0,     0,
    1971,     0,  1972,     0,    57,     0,     0,     0,     0,     0,
       0,     0,  1973,     0,     0,     0,     0,     0,  2427,     0,
       0,  1974,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   710,  1975,     0,    58,     0,     0,     0,     0,  2436,
       0,     0,    59,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,    67,    68,     0,    69,    70,    71,    72,
      73,     0,     0,     0,  3061,     0,     0,     0,     0,  4151,
    3065,     0,  1977,  1978,     0,     0,  2436,     0,     0,     0,
       0,     0,     0,     0,   710,  2418,     0,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,     0,     0,     0,     0,     0,
    4152,     0,     0,     0,     0,     0,     0,     0,     0,  2423,
       0,     0,     0,     0,     0,     0,     0,  2425,     0,     0,
       0,     0,     0,     0,  2426,     0,     0,  2428,     0,  5074,
       0,     0,  2429,   710,   756,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,  2427,     0,
       0,   710,  5266,  2430,  2431,     0,     0,     0,     0,   710,
       0,     0,     0,     0,  1980,     0,     0,  5095,  2432,     0,
       0,   756,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,     0,  5110,  5318,
       0,     0,   756,     0,     0,     0,     0,     0,     0,     0,
     711,  2433,     0,     0,     0,   382,     0,     0,     0,     0,
    1078,     0,     0,     0,     0,  2434,     0,  3235,  2435,     0,
       0,     0,     0,     0,     0,  1080,     0,     0,     0,     0,
       0,     0,     0,  1088,     0,     0,     0,   711,   860,     0,
       0,     0,     0,     0,   860,     0,     0,     0,  1102,   711,
    1078,     0,     0,  5136,  1125,     0,     0,  2428,     0,     0,
       0,     0,  2429,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,   711,     0,     0,     0,
       0,     0,     0,  2430,  2431,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2432,     0,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2433,     0,     0,     0,   710,     0,     0,     0,     0,
       0,     0,     0,     0,  1962,  2434,     0,     0,  2435,     0,
    1963,     0,  1962,     0,     0,     0,     0,  2013,  1963,     0,
       0,     0,     0,  5223,     0,     0,     0,     0,   711,     0,
       0,  2418,     0,     0,  2419,     0,  2014,     0,  2420,  2421,
    2422,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1964,     0,     0,     0,  2423,     0,  2437,     0,  1964,
    2438,  2439,  2440,  2425,  2441,  2442,  2443,  2444,  2445,  2446,
    2426,     0,  3312,     0,  2354,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2015,     0,     0,     0,     0,
       0,  2436,     0,     0,  2427,     0,     0,     0,     0,   710,
     710,     0,     0,     0,     0,  1966,     0,     0,   711,     0,
       0,     0,  1967,  1966,     0,  1968,     0,     0,     0,     0,
    1967,     0,     0,  1968,     0,     0,   710,     0,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,  3448,  3449,
    1969,     0,     0,     0,     0,     0,     0,  3460,  1969,  3462,
       0,     0,     0,  3466,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2016,
       0,     0,  1970,     0,     0,     0,     0,     0,     0,     0,
    1970,     0,     0,     0,     0,     0,     0,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0,  2428,  5352,     0,     0,     0,  2429,     0,
     860,   860,   860,     0,     0,     0,     0,  2017,     0,     0,
    2018,     0,     0,     0,   711,     0,   711,     0,     0,  2430,
    2431,  2019,     0,  1972,   710,     0,     0,     0,     0,  1971,
       0,  1972,     0,  1973,  2432,     0,     0,     0,     0,     0,
       0,  1973,  1974,     0,   710,     0,     0,     0,     0,     0,
    1974,     0,  2020,  1975,     0,     0,     0,     0,   710,   711,
    3594,  1975,     0,  3597,     0,     0,     0,  2433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2434,  1278,     0,  2435,     0,     0,     0,     0,     0,
    2021,     0,  1310,  1977,  1978,  2022,     0,     0,  4206,     0,
       0,  1977,  1978,  1328,   382,     0,     0,     0,     0,     0,
       0,  1338,     0,     0,     0,  2023,     0,  1383,     0,     0,
       0,  2024,     0,     0,     0,     0,     0,     0,     0,  4207,
       0,  3671,     0,     0,     0,  2025,     0,   710,     0,  3678,
    3679,     0,     0,     0,     0,     0,  3681,     0,  2418,     0,
       0,  2419,  2354,     0,     0,  2420,  2421,  2422,     0,     0,
    3697,     0,   756,     0,     0,     0,     0,  2436,     0,     0,
       0,     0,  2423,     0,  1341,   860,     0,     0,     0,  1342,
    2425,     0,   710,     0,   710,  1980,     0,  2426,     0,     0,
       0,     0,  4270,  1980,     0,     0,     0,   710,     0,   710,
       0,  3743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2427,     0,  1343,     0,     0,     0,     0,     0,     0,
       0,   860,     0,     0,     0,     0,  1344,  1345,     0,  3766,
       0,     0,     0,     0,     0,     0,     0,  1346,     0,     0,
       0,  1347,     0,     0,     0,     0,     0,     0,     0,  2354,
       0,     0,     0,     0,  2354,  2354,     0,     0,     0,  1348,
       0,     0,   710,  2437,     0,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
    5392,     0,  1349,  3823,     0,  3825,     0,     0,  1615,     0,
       0,     0,     0,  1350,     0,   382,     0,     0,     0,     0,
       0,  1351,     0,     0,     0,     0,     0,     0,   710,     0,
       0,     0,     0,  1352,     0,     0,     0,     0,  1353,     0,
    2428,     0,     0,     0,  1748,  2429,   710,     0,     0,     0,
       0,   711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1354,  1772,     0,     0,  2430,  2431,   710,     0,
       0,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2432,  5631,     0,     0,  1797,     0,  1355,     0,     0,
       0,     0,  1255,  1261,  1261,   756,     0,  1261,     0,     0,
       0,  1273,     0,  1157,     0,     0,  1300,     0,  1356,     0,
       0,     0,     0,  1157,  2433,  1261,  3886,     0,  1157,     0,
       0,     0,  1261,     0,  1157,     0,     0,     0,  2434,     0,
       0,  2435,  1340,     0,     0,     0,     0,     0,  1157,     0,
    1255,     0,  1357,  1261,     0,   756,     0,  1261,     0,   860,
       0,     0,     0,     0,  1300,     0,     0,     0,     0,  1412,
       0,  1261,     0,     0,  1358,     0,     0,     0,  1261,     0,
       0,     0,     0,     0,   898,     0,     0,  1359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1987,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1255,  1360,     0,     0,     0,   756,  1361,     0,
    1362,     0,  1273,     0,  2436,     0,  1300,  1363,     0,     0,
    1364,     0,     0,     0,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,     0,  1261,     0,     0,  1365,
     382,     0,   711,     0,     0,  1366,     0,     0,  2423,     0,
    1367,     0,     0,  1368,     0,     0,  2425,  1369,     0,     0,
       0,     0,     0,  2426,  1370,     0,  1371,     0,     0,     0,
       0,  1372,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5776,  2427,     0,     0,
       0,     0,     0,     0,  1157,     0,  1373,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2136,     0,     0,  1157,
    2437,  1617,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,     0,  5696,     0,     0,
       0,     0,     0,     0,  2174,  2177,  2178,   382,     0,  1728,
    1728,     0,   710,     0,   756,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   711,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,  1728,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,   860,     0,     0,     0,  2428,   860,  1157,   860,
       0,  2429,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4132,     0,  4133,  4134,  4135,     0,     0,
       0,   860,  2430,  2431,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2432,   860,     0,
       0,     0,     0,     0,     0,     0,     0, -2473,     0,     0,
       0,     0,     0,   710,     0,     0,   710,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2433,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,   711,     0,     0,  2434,     0,     0,  2435,     0,     0,
    1157,     0,     0,     0,     0,  1261,  1261, -2473,     0,     0,
       0,     0,  1748,     0,     0,     0,     0,     0,     0, -2473,
       0,     0,     0,     0, -2473,     0,     0,     0,     0, -2473,
       0,     0,     0,     0,     0, -2473,     0,     0, -2473,     0,
       0, -2473,     0,  1748,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   710,   710,     0,     0,     0,     0,     0,
       0,     0,  1255,   710,     0,     0,     0,   382,     0, -2473,
       0,     0,     0,  1273,     0,     0,     0,  1300,     0,     0,
    2436,     0,   710,     0,     0,     0,     0,     0,     0, -2473,
       0,     0,     0,     0,     0,  1261,     0,     0,     0,     0,
       0,     0,     0,     0,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,     0,   382,  1157,     0,     0,
       0,     0,     0,  1261,  1261,     0,     0,     0,  2423,     0,
   -2473,   382,     0, -2473,     0,     0,  2425,     0,     0, -2473,
    4285,     0,     0,  2426,     0,  1157,  1157,  1157,     0,  1261,
       0,  1255,     0,     0,     0,     0,  2189,     0,     0,     0,
       0,   710,     0,     0,     0,     0,     0,  2427,     0,     0,
       0,     0,     0,     0,     0,     0,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,
    2508,     0, -2473,  5818,     0,     0,  2418,     0,     0,  2419,
       0,     0,     0,  2420,  2421,  2422,     0,     0,     0,     0,
       0,     0,     0,     0,  2418,     0,     0,  2419,     0,     0,
    2423,  2420,  2421,  2422,     0,     0,     0,     0,  2425,  1261,
       0,  1261,  1261,     0,     0,  2426,     0,  2563,  2423,     0,
       0,     0,     0,  1083,     0,     0,  2425,     0,     0,     0,
       0,     0,     0,  2426,     0,     0,     0,     0,     0,  2427,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2473,
    1728,     0,     0,     0,     0,     0,  2428,  2427,     0,     0,
       0,  2429,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2473,     0, -2473, -2473,     0,     0,     0,
       0,     0,  2430,  2431,     0,     0,  4446,     0,  2328,  2328,
       0,     0,     0,  1157,     0,  1078,     0,  2432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2473,     0,     0, -2473, -2473,     0, -2473,     0,     0,
       0,  2362,     0,     0,  1157,     0,     0,  2368,     0,     0,
    2433,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
       0,     0,     0,     0,  2434,     0,     0,  2435,  2428,     0,
       0,     0,     0,  2429,     0,     0,     0,     0,     0,     0,
    2736,     0,     0,     0,     0,     0,  2428,     0,  1728,  2759,
       0,  2429,     0,     0,  2430,  2431,   710,     0,     0,     0,
       0,   860,     0,     0,     0,     0,     0,     0,     0,  2432,
       0,     0,  2430,  2431,     0,  2794,  1728,  1728,  1728,     0,
    1728,     0,     0,     0,     0,     0,     0,  2432,  2807,     0,
       0,  2810,     0,   710,     0,     0,     0,     0,     0,     0,
    1728,     0,  2433,     0,     0,   710,     0,     0,     0,     0,
    2436,     0,     0,     0,     0,     0,  2434,     0,     0,  2435,
    2433,     0,   756,   756,     0,     0,     0,     0,     0,     0,
       0,     0,   710,     0,  2434,     0,     0,  2435,     0,     0,
       0,     0,  2858,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,  1728,     0,  2876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2888,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1728,     0,     0,     0,  1728,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,  1157,  2565,
       0,  1728,  2436,     0,     0,     0,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,
    2436,     0,  2940,  5881,   710,     0,   756,     0,     0,     0,
       0,     0,     0,  2418,     0,     0,  2419,     0,     0,     0,
    2420,  2421,  2422,     0,     0,     0,     0,     0,     0,     0,
       0,  2983,     0,     0,     0,     0,     0,  2423,  2996,     0,
       0,  3326,     0,     0,     0,  2425,  4677,  4678,  4679,  4680,
       0,     0,  2426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2427,     0,  2437,     0,
       0,  2438,  2439,  2440,   710,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,     0,     0,  5901,  2437,     0,     0,  2438,
    2439,  2440,  2716,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,     0,     0,  5934,     0,     0,     0,     0,     0,     0,
       0,  1157,  2742,     0,     0,  3327,     0,     0,     0,     0,
    1157,     0,     0,  1261,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3072,     0,     0,     0,  1300,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2428,     0,     0,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,  1748,  1748,     0,
     710,     0,   710,     0,     0,     0,     0,     0,  1157,     0,
       0,  2430,  2431,     0,     0,     0,     0,  3126,     0,  1261,
    1261,  1261,  1261,  1157,  4819,     0,  2432,     0,     0,     0,
    4822,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,   710,     0,     0,     0,  2887,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,  2433,
       0,     0,     0,  1261,  1261,     0,     0,     0,     0,     0,
       0,     0,     0,  2434,     0,     0,  2435,     0,     0,     0,
       0,     0,     0,     0,  1261,     0,     0,     0,     0,     0,
     860,     0,     0,     0,     0,     0,     0,     0, -2475,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3284,     0,     0,     0,     0,  1261,
    1261,  1261,  1261,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,  1157,
    3305,     0,  2887,     0,     0,     0,     0,     0, -2475,  5439,
       0,     0,     0,     0,     0,     0,     0,     0,  1255,  2436,
   -2475,  1255,     0,     0,     0, -2475,   756,     0,     0,     0,
   -2475,  1728,     0,     0,     0,     0, -2475,     0,  3318, -2475,
    3321,     0, -2475,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1273,  1273,     0,     0,     0,     0,     0,     0,
   -2475,     0,     0,  1300,  1300,  3328,  1748,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2475,     0,     0,  1261,  1261,     0,     0,     0,     0,     0,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,     0,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0, -2475,     0,     0, -2475,     0,     0,     0,     0,     0,
   -2475,   860,     0,     0,     0,  2328,     0,     0,     0,     0,
       0,     0,  1261,     0,  1273,     0,     0,     0,  1157,  1157,
       0,  1261,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,   710,  1157,     0,
       0,     0,     0,  1078,  1078,     0,     0,  3136,     0,     0,
       0,  1728,  1728, -2475,     0,     0,     0,  1728,  1728,     0,
       0,     0,     0,     0,  1728,  1728,  1728,     0,     0,     0,
    1728,  1300,  1728,  1728,  1728,  1728,  1728,  1728,     0,  1728,
       0,  1728,  1728,     0,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1728,  1728,  1728,  1728,  1083,     0,     0,  1261,  1728,     0,
       0,     0,  1728,     0,     0,  1728,     0,     0,  1728,  1728,
    1728,  1728,  1728,  1728,  1728,  1728,  1728,     0,  1728,     0,
   -2475,     0,     0,     0,     0,  1157,  1728,     0,     0,  1728,
    3523,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2475,     0, -2475, -2475,     0,  3550,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2475,     0,     0, -2475, -2475,     0, -2475,  1157,
       0,  1157,     0,  1728,     0,     0,     0,  5129,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       4,     0,  5133,  3616,  3617,     0,   860,     0,   710,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
       5,     0,     0,     0,  3354,     0,  3359,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,  5195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3730,     0,
       0,     0,     0,   860,     0,     0,   756,     0,     0,     0,
       0,     0,     0,     0,     0,  1078,     0,  1078, -2489,     0,
       0,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1255,     0,  1261,  1261,
       0,     0,     0,  1273,     0,  1300,     0,  1261,     0,  1261,
       0,     0,     0,  1261,     0,     0,  1157,     0, -2489,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2489,     0,     0,     0,     0, -2489,     0,     0,     0,     0,
   -2489,     0,     0,     0,     0,     0, -2489,  2742,     0, -2489,
       0,     0, -2489,     0,     0,  3500,     0,     0,    47,     0,
       0,     0,  3511,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,     0,     0,    48,     0,     0,     0,
   -2489,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,  3556,  3556,   710,    49,     0,
   -2489,     0,     0,     0,     0,  1157,  1157,     0,     0,  1157,
       0,   756,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,  5323,  5324,  5324,     0,     0,     0,     0,     0,
    1261,     0,     0,  1261,     0,     0,  3870,     0,     0,     0,
       0, -2489,     0,     0, -2489,     0,     0,     0,     0,     0,
   -2489,     0,     0,     0,  1157,  1157,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,     0,     0,     0,  3641,
       0,  3644,  3646,   860,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1261,     0, -2489,     0,     0,     0,     0,     0,  1261,
    1261,     0,     0,     0,     0,     0,  1261,     0,     0,     0,
       0,     0,   860,     0,     0,     0,     0,     0,  1728,     0,
    1261,     0,     0,     0,     0,     0,     0,   860,     0,     0,
       0,     0,     0,     0,  2742,     0,     0,  3556,     0,  1157,
       0,     0,  1157,     0,  1083,     0,  3737,     0,     0,  1078,
       0,    54,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1261,  1728,     0,  5450,     0,     0,     0,     0,     0,
   -2489,     0,     0,     0,     0,     0,     0,     0,  3998,  3641,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1261,
       0,  3769,     0,     0, -2489,     0, -2489, -2489,    55,     0,
       0,     0,     0,     0,     0,     0,  2189,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,  3816, -2489,     0,     0, -2489, -2489,     0, -2489,     0,
       0,  1261,     0,  1261,  3556,  1261,  3556,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    58,     0,
       0,     0,     0,     0,     0,     0,    59,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1539,  2281,     0,
       0,     0,    71,     0,     0,  2418,     0,     0,  2419,     0,
    2328,     0,  2420,  2421,  2422,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2423,
       0,     0,  3896,  5554,     0,  5556,     0,  2425,     0,     0,
       0,     0,     0,     0,  2426,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1255,     0,     0,
       0,     0,     0,  1273,     0,     0,     0,     0,  2427,     0,
       0,     0,     0,     0,     0,     0,  1261,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,     0,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1728,  1728,  1728,     0,     0,  1728,     0,     0,     0,
       0,     0,     0,     0,  1728,  1728,  1728,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1728,     0,     0,
    1728,     0,  1728,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,  1728,     0,     0,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1300,
       0,  1728,     0,  1728,     0,  1728,     0,  2428,     0,     0,
       0,     0,  2429,     0,     0,  4227,     0,     0,  5324,     0,
       0,     0,     0,     0,     0,  1728,     0,     0,     0,  1157,
       0,     0,     0,  2430,  2431,     0,  4017,     0,  1728,  1728,
    1728,     0,     0,     0,     0,     0,     0,     0,  2432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1728,     0,     0,     0,     0,
    1728,  2433,     0,     0,     4,     0,  1728,     0,     0,     0,
       0,     0,     0,     0,     0,  2434,  4017,     0,  2435,     0,
    4079,  5731,     0,  4082,     5,  3359,     0,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     0,     0,     0,     0,
       0,     9,    10,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  4341,  4342,  4343,    45,     0,     0,     0,     0,  1728,
       0,  3556,     0,     0,     0,     0,  2328,     0,  4352,     0,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4368,  5799,  1261,     0,  1261,  1261,  1261,     0,     0,
       0,  4378,  4379,     0,     0,     0,  4384,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4398,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,    47,     0,  5867,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      48,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,  1748,     0,     0,     0,  5324,  5324,     0,     0,
       0,     0,    49,     0,     0,     0,     0,     0,  2418,     0,
       0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,
       0,     0,     0,     0,     0,    50,     0,     0,     0,     0,
       0,     0,  2423,     0,     0,     0,     0,     0,     0,     0,
    2425,     0,     0,     0,     0,     0,     0,  2426,  2418,     0,
       0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,
       0,     0,    51,     0,     0,    52,     0,     0,     0,     0,
       0,  2427,  2423,     0,     0,     0,     0,     0,     0,     0,
    2425,    53,     0,     0,  5324,     0,     0,  2426,     0,     0,
    1261,     0,     0,     0,     0,  3556,  3556,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2427,     0,     0,     0,     0,     0,     0,  4563,  4564,
    4565,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,  1157,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,  3937,     0,     0,
       0,     0,  3938,     0,     0,    54,     0,     0,     0,     0,
       0,  2328,  1157,     0,     0,     0,     0,     0,     0,     0,
    2428,  2328,  1157,  1157,     0,  2429,     0,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,  5846,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,  2430,  2431,     0,     0,
       0,     0,    55,     0,     0,     0,     0,   756,     0,     0,
    2428,  2432,     0,     0,     0,  2429,     0,    56,     0,     0,
       0,     0,     0,     0,  3816,     0,     0,     0,     0,     0,
       0,     0,    57,     0,     0,     0,  2430,  2431,     0,     0,
       0,     0,     0,     0,  2433,     0,  1261,     0,     0,     0,
       0,  2432,     0,     0,     0,     0,     0,     0,  2434,     0,
       0,  2435,    58,     0,     0,     0,     0,  1157,     0,     0,
      59,     0,    60,    61,    62,    63,    64,     0,     0,    65,
      66,  1539,  3066,  1157,  2433,     0,    71,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2434,     0,
       0,  2435,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,  1728,     0,     0,     0,     0,     0,  1728,     0,
    1728,     0,  5847,  1728,     0,     0,     0,     0,  1728,  1728,
    1728,  1728,     0,     0,  1728,  1728,  1728,  1728,  1728,  1728,
    1728,  1728,  1728,  1728,  2436,     0,     0,  1728,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,  1728,     0,     0,
       0,  1728,     0,     0,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,  1728,     0,  1728,     0,
       0,     0,     0,     0,  2436,     0,     0,  1728,     0,     0,
    1728,  1728,     0,     0,     0,  1728,  1728,     0,     0,     0,
    4555,     0,  1728,     0,     0,     0,     0,     0,     0,  1157,
    1157,  1157,  1255,     0,     0,  4017,  4577,     0,     0,     0,
    4577,  4591,  4577,     0,     0,     0,     0,  4820,  1728,     0,
       0,     0,     0,     0,  1728,  1728,  1728,     0,  4833,     0,
    2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4861,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2437,  1728,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,  3359,     0,  1728,     0,     0,
       0,     0,  2996,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4660,  2328,  2328,     0,  2887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1261,  1261,  1261,  1261,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2742,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4713,     0,     0,     0,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,  4992,  4993,
    4994,  4995,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4798,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2418,     0,     0,  2419,     0,     0,     0,  2420,  2421,
    2422,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,   868,     0,     0,  1261,  2423,     0,     0,  1157,     0,
    1261,     0,  1728,  2425,     0,     0,     0,     0,     0,  1157,
    2426,     0,     0,  2418,     0,  4838,  2419,     0,     0,     0,
    2420,  2421,  2422,     0,     0,  2742,     0,     0,     0,     0,
       0,     0,     0,     0,  2427,     0,   868,  2423,     0,     0,
    1157,     0,     0,     0,  4017,  2425,     0,     0,     0,     0,
       0,     0,  2426,     0,  3641,     0,     0,     0,     0,     0,
      47,     0,  4885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,  2427,  2887,    48,     0,
       0,  1728,  1728,     0,  1116,     0,     0,     0,     0,     0,
       0,     0,  1116,     0,  1116,     0,     0,     0,     0,     0,
      49,     0,     0,     0,     0,     0,     0,   868,     0,     0,
       0,  3816,  3816,  3816,  3816,  3816,     0,     0,  3556,     0,
    3556,     0,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2428,     0,     0,     0,     0,  2429,     0,
       0,     0,     0,     0,     0,     0,  1728,     0,     0,     0,
      51,     0,     0,    52,     0,     0,     0,  1728,     0,  2430,
    2431,     0,     0,     0,     0,     0,     0,     0,     0,    53,
       0,     0,     0,     0,  2432,  2428,     0,     0,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1728,  1728,     0,
       0,  2430,  2431,     0,  1728,  1728,     0,  2433,     0,  1728,
       0,     0,     0,     0,  1728,     0,  2432,  1728,  1728,     0,
       0,  2434,  1728,  4989,  2435,     0,     0,     0,  1728,  1157,
    1157,  1157,  1157,     0,     0,     0,  4577,  4591,  4577,     0,
    1728,  4577,     0,     0,  5003,     0,     0,  4523,  4017,  2433,
       0,     0,  4017,    54,     0,     0,     0,     0,  5018,     0,
       0,     0,     0,  2434,     0,  1728,  2435,     0,     0,     0,
    1728,     0,     0,     0,     0,     0,  1728,     0,  5225,     0,
       0,     0,     0,  3910,     0,     0,  1300,     0,     0,     0,
       0,     0,     0,     0,  1728,     0,     0,     0,  4079,     0,
      55,     0,     0,  3359,     0,     0,     0,  2436,     0,     0,
       0,     0,     0,     0,     0,    56,     0,     0,     0,     0,
       0,     0,  1078,  4524,     0,  1728,     0,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3556,  3556,     0,     0,  2436,
       0,     0,     0,     0,     0,     0,     0,     0,  2418,     0,
      58,  2419,     0,  2742,     0,  2420,  2421,  2422,    59,     0,
      60,    61,    62,    63,    64,     0,  5094,    65,    66,  1539,
       0,     0,  2423,     0,    71,  3942,     0,     0,     0,     0,
    2425,     0,     0,     0,     0,     0,     0,  2426,     0,     0,
       0,     0,     0,  2437,     0,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
       0,  2427,     0,     0,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2437,     0,  1261,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
    2418,     0,  1261,  2419,     0,     0,     0,  2420,  2421,  2422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2423,     0,     0,     0,     0,     0,
       0,  1728,  2425,     0,     0,     0,     0,     0,     0,  2426,
       0,     0,     0,     0,     0,  1255,     0,     0,     0,     0,
       0,  2742,     0,     0,     0,     0,     0,     0,     0,     0,
    2328,     0,  5390,  2427,     0,     0,     0,     0,     0,     0,
    2428,     0,     0,     0,  1728,  2429,     0,  5402,     0,     0,
       0,     0,  1748,     0,     0,     0,  1261,     0,  2742,     0,
       0,     0,     0,     0,     0,     0,  2430,  2431,     0,     0,
       0,     0,     0,     0,     0,  5434,     0,     0,     0,     0,
       0,  2432,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,  5232,     0,  5451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2433,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3947,     0,     0,     0,  2434,     0,
       0,  2435,     0,     0,  1728,     0,     0,     0,     0,     0,
       0,     0,  2428,  1728,     0,     0,     0,  2429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1728,  1728,     0,     0,  1728,     0,     0,     0,  2430,  2431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1255,
       0,     0,  4577,  2432,     0,     0,  4017,     0,     0,     0,
       0,  4017,     0,     0,  4017,  1255,     0,  3641,     0,  5286,
       0,     0,  1728,  1728,     0,     0,  5523,     0,     0,     0,
       0,     0,     0,     0,  2436,     0,  2433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4660,     0,  1728,     0,
    2434,     0,     0,  2435,     0,     0,     0,     0,     0,     0,
    4660,  1300,  1261,  1261,  1261,     0,     0,     0,     0,   868,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1273,  1300,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
    2437,     0,     0,  2438,  2439,  2440,  2436,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,     0,     0,     0,     0,
    1273,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4838,     0,     0,  1157,     0,
       0,  2418,     0,  1157,  2419,  3556,     0,     0,  2420,  2421,
    2422,  2742,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,  1497,     0,  2423,  1157,  1257,  3953,     0,
    4885,     0,     0,  2425,     0,     0,     0,     0,     0,     0,
    2426,     0,     0,     0,  1261,  1157,  4660,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2437,     0,  2427,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,  1728,     0,     0,  1728,     0,
    1728,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1728,     0,     0,     0,     0,     0,  1728,     0,     0,     0,
    4017,     0,     0,     0,  5286,     0,     0,     0,     0,     0,
       0,  1728,     0,     0,     0,     0,     0,     0,     0,     0,
    5507,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,  1257,     0,  1157,     0,     0,
       0,  1116,     0,     0,     0,  1116,     0,     0,     0,     0,
       0,     0,     0,  2428,     0,     0,     0,     0,  2429,     0,
       0,     0,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,  1257,  1261,  1261,  1261,  1261,     0,     0,     0,  2430,
    2431,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2432,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1255,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2433,     0,     0,
       0,     0,  4017,     0,     0,     0,     0,     0,     0,     0,
       0,  2434,     0,     0,  2435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,  1255,     0,     0,  1728,     0,     0,     0,  5660,     0,
       0,     0,     0,     0,     0,  1728,     0,     0,     0,     0,
    1728,     0,  1728,     0,  1728,     0,     0,     0,     0,  1116,
    1116,     0,  4660,     0,     0,     0,     0,  2436,  1261,     0,
    1300,     0,     0,     0,     0,     0,  2418,     0,     0,  2419,
    1728,     0,     0,  2420,  2421,  2422,     0,  1257,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,  1257,     0,
    2423,     0,     0,     0,     0,     0,     0,     0,  2425,     0,
       0,     0,     0,     0,     0,  2426,     0,  1497,     0,     0,
    2328,  2328,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,  2427,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1261,     0,     0,     0,     0,     0,  5736,     0,     0,
       0,  1728,     0,  2437,     0,     0,  2438,  2439,  2440,  5747,
    2441,  2442,  2443,  2444,  2445,  2446,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5232,     0,     0,     0,     0,     0,     0,     0,  1728,  1728,
       0,     0,     0,  3641,     0,     0,  1728,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1728,     0,     0,  5507,
       0,  1497,     0,     0,  3359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2418,     0,     0,  2419,  1273,     0,
       0,  2420,  2421,  2422,     0,     0,     0,     0,  2428,     0,
       0,     0,  1261,  2429,     0,     0,     0,     0,  2423,  2328,
       0,  4530,     0,     0,     0,     0,  2425,     0,     0,     0,
       0,     0,     0,  2426,  2430,  2431,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1255,  2432,
       0,     0,     0,  1728,     0,  1257,     0,  2427,     0,     0,
       0,     0,  4660,     0,     0,     0,     0,     0,  1273,  1273,
       0,  1728,     0,     0,     0,     0,     0,     0,     0,     0,
    1728,     0,  2433,     0,  5660,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2434,  1728,     0,  2435,
       0,     0,     0,     0,  1261,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,   760,     0,   760,
       0,     0,     0,     0,     0,  5747,  1261,  1261,     0,   760,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1728,     0,   760,     0,  2428,  1728,     0,     0,
       0,  2429,     0,  1257,   760,     0,     0,     0,     0,     0,
       0,     0,  2436,     0,     0,   760,   760,     0,     0,   760,
       0,     0,  2430,  2431,     0,   760,     0,     0,     0,  1070,
       0,  1257,  1257,  1257,  1728,  1257,     0,  2432,     0,     0,
    1728,     0,  4476,     0,     0,     0,     0,     0,     0,     0,
       0,  1070,     0,     0,  1261,  1257,     0,     0,     0,     0,
       0,  5660,     0,     0,  1255,     0,   760,     0,     0,     0,
    2433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1273,  1273,  2434,     0,     0,  2435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2437,  1257,
     868,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,  1257,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2436,     0,     0,     0,     0,     0,     0,     0,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,  1497,     0,     0,   122,     0,     0,
       0,   868,     0,     0,     0,     0,   123,     0,   124,     0,
     125,  1116,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,     0,  1116,     0,     0,     0,     0,     0,     0,     0,
    1497,   132,   760,     0,     0,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,  1497,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,  2418,     0,
       0,  2419,     0,   167,     0,  2420,  2421,  2422,     0,   168,
       0,   169,     0,     0,     0,     0,     0,     0,   171,     0,
     172,     0,  2423,     0,     0,     0,     0,     0,   173,  1497,
    2425,     0,     0,     0,     0,     0,     0,  2426,     0,     0,
       0,     0,   175,   176,  1497,     0,     0,     0,     0,   177,
       0,   178,     0,  1497,   179,   180,     0,   181,     0,     0,
     868,  2427,     0,     0,     0,  1497,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,  1257,     0,   760,  1257,     0,     0,   201,
    1497,   202,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,  1497,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
    2428,     0,     0,     0,     0,  2429,   211,  1257,  1257,     0,
     213,     0,     0,   760,   760,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2430,  2431,     0,   218,
    1497,  1497,   220,     0,     0,   221,     0,     0,     0,     0,
       0,  2432,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,   225,     0,     0,     0,
       0,   760,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,  2433,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,     0,     0,     0,  2434,     0,
       0,  2435,     0,     0,     0,   236,     0,     0,   237,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,  1257,     0,     0,
       0,     0,  1257,  1257,     0,     0,     0,     0,     0,  1257,
    1257,  1257,     0,     0,     0,  1257,     0,  1257,  1257,  1257,
    1257,  1257,  1257,     0,  1257,     0,  1257,  1257,     0,     0,
    1257,     0,     0,     0,  2436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,  1257,  1257,  1257,  1257,   868,
       0,     0,     0,  1257,     0,     0,     0,  1257,     0,     0,
    1257,     0,     0,  1257,  1257,  1257,  1257,  1257,  1257,  1257,
    1257,  1257,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   929,     0,
       0,     0,     0,   930,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   931,  1440,   760,     0,   760,
    2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,     0,   932,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,   991,     0,     0,     0,     0,   992,     0,
       0,   934,     0,     0,     0,  -861,     0,     0,     0,     0,
     993,     0,     0,     0,     0,     0,   760,     0,     0,   760,
     760,     0,     0,   935,     0,     0,     0,     0,     0,   936,
       0,     0,   994,     0,   716,     0,  1070,     0,  1070,     0,
       0,     0,     0,     0,   716,   995,   937,     0,   760,     0,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
     996,     0,     0,     0,     0,   939,     0,     0,  1070,  1070,
       0,     0,     0,     0,     0,     0,     0,   940,   997,  1497,
       0,     0,     0,  1497,  1497,   941,     0,     0,     0,   942,
       0,     0,     0,     0,     0,   868,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0, -1088,     0,     0,     0,
       0,     0,   999,     0,     0,   760,     0,   760,     0,     0,
    1000,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,  1001,     0,     0,     0,     0,  1002,     0,     0,
       0,  1257,     0,   943,  1003,  1497,     0,     0,  1257,     0,
       0,     0,  -583,     0,     0,     0,     0,  1497,     0,     0,
       0,  1004,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1116,     0,     0,     0,   944,     0,     0,   945,
       0,     0,     0,     0,     0,   716,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,   946,   716,
     716,     0,     0,  1861,     0,     0,     0,     0,     0,   868,
       0,   947,     0,   868,     0,     0,     0,     0,  -462,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1006,     0,     0,     0,     0,   868,   948,     0,     0,
       0,     0,     0,  1007,   949,     0,     0,  1116,     0,     0,
       0,  -462,   716,  1008,   950,     0,     0,     0,     0,     0,
       0,     0,     0,   898,     0,     0,  1009,     0,     0,     0,
       0,     0,     0,   951,     0,     0,     0,     0,     0,   952,
       0,     0,     0,     0,  -462,   868,     0,   953,   954,     0,
     955,   956,  1010,     0,     0,     0,     0,  1011,     0,  1012,
     957,     0,     0,     0,     0,   958,  1013,     0,     0,  1014,
       0,   959,     0,     0,   960,     0,     0,   961,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1015,     0,
    -462,     0,     0,     0,  1016,     0,     0,     0,     0,  1017,
       0,     0,  1018,     0,     0,     0,  1019,     0,     0,     0,
       0,     0,     0,  1020,     0,  1021,     0,     0,     0,     0,
    1022,     0,     0,  1257,  1497,     0,     0,     0,     0,     0,
       0,     0,  1023,   868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1024,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,     0,   760,     0,   760,     0,
       0,   760,     0,   760,     0,     0,   760,   760,   760,     0,
       0,     0,  2323,     0,     0,     0,     0,     0,  1962,   760,
       0,     0,     0,     0,  1963,     0,     0,     0,  1497,     0,
       0,  2013,     0,   760,     0,   760,     0,     0,     0,     0,
     760,     0,  1257,     0,     0,  1497,     0,     0,  1257,     0,
    2014,     0,     0,     0,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,  1964,     0,     0,  1257,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,  1257,  1257,  2015,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,  1257,
    1257,  1257,  1257,     0,     0,     0,     0,   868,     0,  1966,
       0,     0,  1257,   868,     0,  1257,  1967,  1257,     0,  1968,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,  1257,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1969,     0,  1257,     0,  1257,     0,
    1257,     0,     0,     0,  2464,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   760,   760,     0,     0,     0,
    1257,     0,     0,  2016,     0,     0,  1970,     0,     0,     0,
       0,  1257,   716,  1257,  1257,  1257,     0,   716,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,  2017,     0,     0,  2018,  1257,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,  2019,     0,  1972,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,  1973,     0,     0,
       0,     0,     0,  1114,     0,     0,  1974,     0,     0,     0,
       0,  1114,     0,  1114,     0,     0,  2020,  1975,     0,   760,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2602,     0,  1497,     0,     0,  1497,     0,  1497,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3589,     0,     0,  1977,  1978,  2022,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2023,
       0,     0,     0,     0,     0,  3590,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,  2025,
       0,     0,     0,     0,     0,     0,     0,     0,   716,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1980,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   868,
     868,   868,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,     0,     0,
     716,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   716,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,   868,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   760,     0,   760,     0,
       0,     0,   760,     0,   760,     0,     0,   760,     0,     0,
       0,   760,     0,     0,     0,     0,  2464,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,  1497,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,  1257,     0,  1257,     0,     0,  1257,     0,
       0,     0,  1497,  1257,  1257,  1257,  1257,     0,     0,  1257,
    1257,  1257,  1257,  1257,  1257,  1257,  1257,  1257,  1257,     0,
       0,     0,  1257,  1257,     0,     0,     0,  1497,     0,     0,
       0,     0,  1257,     0,     0,     0,  1257,     0,   868,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,  1257,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,  1497,  1257,     0,     0,  1257,  1257,     0,  2323,     0,
    1257,  1257,     0,     0,     0,  3299,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,  2602,     0,  1257,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,  1257,
    1257,  1257,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,   716,     0,     0,     0,   716,     0,
       0,     0,     0,     0,  3374,     0,  1861,     0,     0,   760,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   868,     0,     0,     0,     0,   868,  1497,   868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     868,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   868,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,  1253,     0,     0,     0,     0,     0,
    1114,     0,     0,     0,  1114,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,     0,     0,
       0,     0,     0,     0,     0,   716,  1497,     0,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,  1257,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1114,  1114,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,  1257,  1257,     0,  1497,     0,     0,     0,  1257,
    1257,  1495,     0,     0,  1257,  1497,     0,     0,     0,  1257,
       0,     0,  1257,  1257,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,  1253,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,   760,  2323,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
    1495,     0,     0,     0,   716,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     868,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2602,     0,     0,
    1257,     0,   716,     0,     0,     0,     0,     0,     0,     0,
    1253,  1253,  1253,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,  1257,
    1253,  1253,     0,  1497,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,  1257,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,  1257,     0,     0,  1257,
    1257,     0,     0,     0,     0,     0,     0,  1257,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,  1257,     0,     0,     0,     0,     0,     0,
    1114,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1114,     0,  1497,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,   868,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,  1497,     0,     0,     0,   716,     0,     0,
       0,     0,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
    1257,  1497,     0,  1257,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,  1257,     0,     0,     0,     0,
       0,  1257,     0,     0,  1495,  1257,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   760,     0,     0,     0,     0,     0,  1495,
     868,     0,     0,     0,     0,     0,     0,     0,  1497,     0,
       0,     0,  1253,  1497,  1497,  1253,     0,     0,  1257,  1495,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,  1253,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,     0,     0,  1495,
    1495,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,  1257,     0,  1253,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,  1257,     0,  1257,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,  1253,  1253,     0,     0,     0,
       0,  1253,  1253,     0,     0,  1257,     0,     0,  1253,  1253,
    1253,     0,     0,     0,  1253,     0,  1253,  1253,  1253,  1253,
    1253,  1253,     0,  1253,     0,  1253,  1253,     0,     0,  1253,
       0,     0,     0,     0,     0,   868,     0,     0,     0,     0,
       0,     0,     0,  1495,  1253,  1253,  1253,  1253,     0,     0,
       0,     0,  1253,     0,     0,     0,  1253,     0,     0,  1253,
       0,     0,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,  1253,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,  1257,  3374,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,  1257,     0,     0,     0,     0,     0,
       0,  1257,   868,     0,     0,  1497,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,   716,
       0,     0,     0,  1257,  1257,   716,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,  1495,     0,
       0,     0,  1495,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,     0,     0,     0,     0,  1253,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,  1495,     0,  1485,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,  1257,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1114,   868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,  1257,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,   868,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   868,  1257,  1257,     0,
       0,     0,     0,     0,     0,     0,  1114,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2602,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   716,     0,     0,     0,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,  1495,     0,     0,  1253,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,  1253,  1253,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,  1253,  1253,
    1253,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,  1253,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,  1253,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,  1253,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,  1485,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,  1253,  1253,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,  1495,     0,  1495,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   760,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,   977,     0,     0,     0,     0,
       0,     0,     0,  1495,   977,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   977,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,  1485,  1495,     0,     0,     0,     0,     0,
    1170,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1170,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   716,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   716,     0,     0,     0,     0,     0,
       0,  1220,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,  1495,  1485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1485,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,     0,     0,     0,     0,     0,  1253,     0,     0,
    1495,     0,     0,  1485,     0,     0,  1253,     0,     0,     0,
       0,     0,  1253,     0,  1253,     0,     0,  1253,     0,     0,
       0,  1495,  1253,  1253,  1253,  1253,     0,     0,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,     0,  1485,
    1485,  1253,  1253,     0,     0,     0,  1495,     0,     0,     0,
       0,  1253,     0,     0,     0,  1253,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
    1253,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
    1495,  1253,     0,     0,  1253,  1253,     0,     0,     0,  1253,
    1253,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,  1253,  1253,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   977,   977,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,   716,     0,   716,     0,     0,     0,     0,     0,
       0,  1253,     0,  1485,     0,     0,     0,     0,     0,     0,
    1220,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1267,     0,     0,     0,     0,     0,     0,     0,  1302,
    1495,  1303,     0,  1307,  1308,     0,  1311,     0,  1313,     0,
       0,  1319,     0,  1321,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1386,     0,     0,     0,     0,     0,     0,
       0,  1395,     0,     0,     0,     0,     0,     0,  1407,  1408,
       0,     0,  1414,     0,  1417,  1418,     0,     0,     0,  1420,
       0,     0,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,  1485,  1485,     0,     0,  1220,     0,   977,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
    1522,     0,     0,     0,     0,  1495,     0,     0,     0,  1536,
    1538,     0,     0,     0,  1485,     0,     0,     0,  1253,   977,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,  1253,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1616,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,  1170,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,  1253,     0,  1495,     0,     0,     0,  1253,  1253,
       0,     0,     0,  1253,  1495,     0,     0,     0,  1253,     0,
       0,  1253,  1253,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,  1881,  1253,     0,     0,  1883,     0,     0,
       0,     0,  1253,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,  1925,  1253,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,  2081,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,  1495,  2095,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2106,     0,     0,  2107,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2110,     0,     0,     0,     0,  2114,     0,
       0,     0,     0,     0,     0,  1495,  2117,     0,     0,     0,
       0,     0,  2127,     0,     0,  2131,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,  2184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1485,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,  1485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2346,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,  1495,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,  1253,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,  1253,     0,     0,  1253,  1253,
       0,     0,     0,     0,     0,     0,  1253,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,  1253,  1485,     0,  1485,     0,     0,
       0,     0,  1485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,     0,     0,  1170,  1536,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2598,     0,     0,  2598,     0,     0,     0,
       0,     0,     0,     0,  2605,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2614,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1495,     0,  1253,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,  2705,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
    1495,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2793,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,  1495,     0,     0,
       0,     0,  1495,  1495,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
    1495,  1485,     0,     0,     0,     0,  2931,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,  1253,     0,     0,  1253,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,  1253,     0,  1253,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3051,  1485,  3052,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1536,  3063,
       0,  3064,     0,     0,     0,  1253,  1485,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,  3084,  1253,  1253,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,  1536,  1495,     0,     0,  1536,     0,  1536,
    1253,     0,  1536,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,  1253,  1253,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,  1485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,  3298,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
    1485,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1220,     0,
       0,     0,     0,     0,     0,     0,  1253,  1253,     0,     0,
    3385,  3386,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3401,
    3402,     0,     0,     0,  3405,  3406,     0,     0,     0,  3409,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3420,     0,     0,     0,     0,     0,     0,
    3429,     0,     0,     0,  3432,  3433,     0,     0,  3436,  3437,
       0,     0,     0,     0,     0,  3442,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,  3459,     0,
    3461,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3485,
       0,     0,     0,     0,  3487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3492,     0,     0,
       0,     0,     0,     0,  1485,     0,  3499,     0,  3501,     0,
       0,  3504,  3507,  3509,     0,     0,     0,     0,  3517,  3520,
       0,     0,     0,     0,     0,     0,     0,     0,  3533,     0,
       0,     0,     0,  3542,     0,     0,     0,     0,  3546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3562,     0,     0,     0,     0,     0,     0,     0,
    3573,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3595,     0,     0,  3598,     0,     0,     0,
       0,  3601,     0,     0,     0,     0,  3603,  3604,     0,     0,
       0,  3607,     0,     0,  3611,     0,     0,     0,  3618,  3619,
    3620,  3621,     0,  3623,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,  3648,  3649,     0,  3651,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,  3659,
    3660,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,  3704,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,     0,   115,   116,   117,     0,  3741,
       0,     0,     0,   120,   121,     0,  1258,     0,     0,   122,
       0,     0,  1498,     0,     0,     0,  1258,     0,   123,     0,
     124,     0,   125,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,  1485,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,  1220,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
    1536,     0,     0,  1258,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,     0,     0,
    3871,     0,     0,     0,     0,   163,     0,     0,     0,   165,
    1258,  1485,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,  3887,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,  1485,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,  1485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,   211,     0,
       0,     0,   213,  1498,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,  1498,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,   223,     0,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,  1536,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,     0,     0,
       0,     0,  1485,  4126,     0,     0,     0,  4128,     0,     0,
    1498,     0,     0,  4130,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3364,     0,     0,     0,     0,     0,  4141,
    4143,     0,     0,     0,  4143,     0,     0,     0,     0,  4154,
    4155,  4156,     0,  4158,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4179,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4185,  4186,  4187,  4188,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4205,     0,     0,  4210,  4211,  4212,     0,     0,     0,
       0,     0,  1485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4279,     0,     0,     0,
       0,     0,     0,     0,  4283,     0,     0,     0,     0,     0,
    1258,  1258,  1258,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,  4292,     0,     0,     0,     0,  1485,     0,     0,
       0,     0,  1485,  1485,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4338,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4375,     0,     0,     0,     0,  4380,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
    1258,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,  4418,     0,     0,     0,
    1485,     0,   977,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4442,     0,  4443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1536,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4671,     0,  4672,     0,     0,     0,
       0,     0,     0,  4674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4684,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,  4692,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,  1258,     0,     0,     0,  1498,
       0,     0,     0,  4712,     0,  1258,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4716,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,  4725,     0,     0,     0,     0,  1258,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4754,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
    1498,  4762,  4763,  4764,     0,     0,     0,     0,  4768,  4769,
    4770,  4771,     0,     0,  4773,  4774,     0,     0,     0,     0,
    4781,  4782,     0,  4784,  4785,  4786,  4787,  4788,  4789,     0,
    4791,     0,     0,     0,     0,     0,     0,     0,     0,  4799,
       0,     0,  4802,  4803,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4143,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,  1258,     0,     0,     0,
       0,  1258,  1258,     0,     0,     0,     0,     0,  1258,  1258,
    1258,     0,     0,     0,  1258,     0,  1258,  1258,  1258,  1258,
    1258,  1258,     0,  1258,     0,  1258,  1258,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,  1258,  1258,  1258,  1258,     0,     0,
       0,     0,  1258,     0,     0,     0,  1258,     0,     0,  1258,
       0,     0,  1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,
    1258,  4143,  1258,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1536,  1536,  1536,     0,     0,     0,     0,     0,     0,     0,
       0,  4935,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,  1498,  1498,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,  1498,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,  5077,     0,     0,     0,  5078,  5079,  5080,
    5081,     0,     0,  5083,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,  5101,  5102,  5103,     0,  5104,     0,
    5106,  5107,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5116,  5117,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5122,
       0,     0,     0,     0,     0,     0,     0,  1536,  1536,     0,
    1536,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5132,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1712,  1712,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,  1498,  5210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5237,     0,
       0,     0,     0,  1496,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1536,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1536,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,  5341,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,  1498,     0,     0,  1258,     0,     0,
    5351,     0,     0,     0,     0,  5356,  5357,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,  1258,  1258,     0,     0,
    1258,  1487,     0,     0,     0,     0,  5415,     0,  1258,  1258,
    1258,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,  1496,     0,  1258,  5431,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,  1258,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,  1258,     0,  1258,
       0,  4143,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5468,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,  1258,  1258,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1536,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1536,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
    1258,     0,  5510,     0,     0,     0,     0,  2375,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5526,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5534,     0,  2389,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,  1498,     0,  1498,  1536,     0,
       0,     0,  1498,     0,  2407,  2408,  2409,     0,  2412,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,  2454,     0,
       0,     0,     0,     0,     0,     0,  5598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2509,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,  4143,     0,     0,     0,     0,
       0,     0,     0,  2634,     0,     0,     0,     0,     0,     0,
    2532,     0,     0,     0,  2544,  2547,     0,     0,     0,     0,
       0,     0,     0,     0,  1536,     0,     0,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,  5684,
       0,     0,  1498,     0,  1498,     0,  1487,     0,     0,  2634,
       0,     0,     0,     0,  5697,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5724,     0,     0,     0,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5734,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5792,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,  2634,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5814,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,     0,  5874,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
    1498,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,  1258,     0,  1258,     0,     0,  1258,     0,     0,
       0,  1498,  1258,  1258,  1258,  1258,     0,     0,  1258,  1258,
    1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,     0,     0,
       0,  1258,  1258,     0,     0,     0,  1498,     0,     0,     0,
       0,  1258,     0,     0,     0,  1258,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
    1258,     0,  1258,     0,  1488,     0,     0,     0,     0,     0,
    1498,  1258,     0,     0,  1258,  1258,     0,     0,     0,  1258,
    1258,     0,     0,     0,     0,     0,  1258,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,  1258,  1258,
    1258,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1487,     0,
       0,     0,     0,  3297,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3166,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,  3186,     0,
    3188,     0,     0,  3200,  3203,  3208,     0,  1498,     0,     0,
    3214,     0,     0,  3219,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,  3226,  3227,
    3228,  3229,     0,     0,  1487,     0,  3236,     0,     0,     0,
    3248,     0,     0,  3250,     0,     0,  3257,  3258,  3259,  3260,
    3261,  3262,  3263,  3264,  3265,     0,  3266,     0,     0,     0,
       0,     0,     0,     0,  1712,     0,     0,  3294,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1487,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,  3322,     0,     0,     0,     0,     0,     0,  3389,     0,
       0,     0,  2634,  3395,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,  1490,  1498,  1496,     0,     0,     0,
       0,     0,     0,  1488,  1487,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,  3434,     0,  1487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,  1498,  1258,  1258,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1487,  1487,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,  1258,  1496,  1498,     0,     0,     0,  1258,  1258,
       0,     0,     0,  1258,  1498,     0,     0,     0,  1258,     0,
       0,  1258,  1258,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,  1488,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1487,  1258,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,  2634,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3695,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,  1498,  1496,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,  1487,     0,     0,     0,  1487,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,  1258,  1487,
       0,  3892,     0,     0,     0,     0,  3898,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2412,  3297,  3297,  3297,     0,     0,     0,     0,  1498,
       0,  1498,  3208,     0,  3208,  3208,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,  3956,     0,     0,  3959,     0,
    3961,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,  3979,
       0,  3982,  1498,  3984,  1490,     0,  1488,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,  1258,     0,     0,  1258,  1488,
       0,     0,     0,     0,     0,     0,  3294,  3294,  3294,     0,
       0,     0,  2634,  1258,     0,  3395,     0,  3395,     0,     0,
    1258,     0,  2634,     0,     0,  1258,     0,     0,  1258,  1258,
       0,  4054,     0,     0,     0,     0,  1258,  1258,     0,     0,
       0,     0,     0,  2532,     0,     0,     0,     0,  4065,     0,
       0,     0,     0,     0,  2547,     0,     0,     0,     0,     0,
    1258,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,  1258,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,  1487,     0,
       0,     0,  1498,  2634,     0,     0,  1488,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4112,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,  1488,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,  1496,     0,  1496,     0,     0,     0,     0,     0,
    1487,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,  1488,     0,     0,  1490,     0,     0,     0,  1258,
    1498,     0,  1258,     0,  1258,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
    1258,     0,     0,  1496,  1258,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,  1487,     0,     0,     0,     0,     0,  3395,     0,
       0,  1490,     0,     0,  3395,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1487,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,  1498,     0,     0,
       0,     0,  1498,  1498,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,  3395,     0,  1493,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
    1498,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,  1258,  1490,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,  1258,     0,  1258,     0,  1258,     0,
    1496,     0,     0,     0,     0,     0,  1258,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,  1258,     0,     0,     0,     0,     0,
    1491,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,  1496,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,  1487,     0,     0,
    1487,     0,  1487,  1490,     0,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,  4477,     0,     0,  1488,  1488,     0,     0,     0,     0,
    4481,     0,     0,     0,     0,  1258,  4482,     0,  4483,     0,
       0,  1490,  1490,  1258,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3297,     0,     0,  1487,  1491,  4507,  4508,     0,     0,     0,
       0,     0,  1258,  1258,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,  3214,  1498,     0,  1488,     0,  1487,     0,
    1258,  4533,     0,     0,  4536,     0,  4538,     0,  1488,     0,
       0,     0,     0,     0,     0,  4542,     0,     0,     0,     0,
       0,     0,  1258,  4549,  4550,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2634,  1488,     0,
       0,     0,     0,     0,     0,     0,  4597,     0,     0,     0,
    1493,     0,  4604,  4605,  3294,     0,     0,  1487,     0,  1487,
       0,     0,  1258,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,  1493,     0,     0,  1258,     0,     0,     0,
       0,     0,  1258,  1258,     0,  1258,     0,     0,  1493,     0,
       0,     0,     0,     0,  1258,  1490,  1491,     0,     0,  4623,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,  4636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3395,     0,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3395,     0,     0,     0,     0,     0,     0,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,  1258,  1493,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,  1258,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,  1258,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
    1490,  1487,     0,     0,  1490,  1490,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2634,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,  1490,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4902,
    4903,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,  1487,     0,  1491,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,  1487,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,  4948,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3297,
       0,     0,     0,     0,  3297,     0,     0,     0,     0,     0,
    3297,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4968,  4970,     0,     0,     0,
       0,     0,  4974,  4975,     0,     0,     0,  4976,     0,     0,
       0,     0,  4979,     0,     0,  4982,  4983,     0,     0,     0,
    4987,     0,  1491,     0,     0,     0,  4991,     0,     0,     0,
    1493,     0,     0,     0,     0,  1490,     0,  1491,     0,     0,
       0,     0,  1487,     0,     0,     0,  1491,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,  3294,     0,     0,     0,     0,  3294,     0,
       0,     0,     0,     0,  3294,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,  1712,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,  5058,  1488,     0,     0,  1488,     0,  1488,
       0,  1493,     0,  1491,  1488,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1491,  1491,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5119,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,  1490,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,  5221,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,  5155,
    1487,     0,     0,     0,  1488,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,  1493,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,  1493,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5260,  5261,
       0,     0,  5262,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,  3395,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5298,  5299,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,  1488,     0,  1490,     0,  1490,
       0,     0,     0,     0,  1490,     0,  5314,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,  1491,  1491,     0,     0,
    1493,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3395,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,  1487,     0,     0,     0,     0,     0,  1491,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,  1487,     0,     0,  1490,     0,  1490,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,  3214,  1496,     0,     0,
       0,     0,  1496,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,  5491,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,  2412,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,  1493,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,  5541,  2448,     0,     0,     0,     0,     0,     0,  5221,
    1496,  1493,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,  1493,     0,     0,  1487,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5298,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5686,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,  1496,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,  1490,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5737,
       0,  1491,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5764,  5764,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5298,     0,  1488,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5823,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,  5764,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5864,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,  1493,  1487,     0,     0,     0,     0,  1487,  1487,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,  1490,  1491,
       0,  1491,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5764,     0,     0,     0,     0,     0,  5922,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,  1488,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,  2448,     0,     0,     0,  3196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2448,  2448,  2448,     0,     0,  2448,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,  2448,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,  1493,  1488,  1493,     0,     0,     0,     0,  1493,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
    2448,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,  1487,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,  1491,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,  1491,     0,  1493,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,  1488,  1493,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,  1491,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
    1493,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,  1490,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,  1488,
       0,     0,     0,  1493,  1488,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,  2448,
       0,  2448,     0,     0,  3196,  3196,     0,  3933,     0,  3196,
       0,     0,     0,  2448,     0,     0,  2448,     0,     0,     0,
       0,  2448,     0,     0,  1493,     0,     0,  2448,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,  2448,
    2448,  2448,  2448,     0,     0,     0,  3196,  3196,     0,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,  2448,     0,  2448,     0,     0,     0,     0,     0,     0,
    2448,  2448,  2448,  2448,  2448,  2448,  2448,  2448,  2448,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,  1491,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,  1490,
       0,     0,     0,     0,  1490,  1490,     0,  2448,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,  2448,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,  3933,  3933,     0,
       0,  3196,  3196,  3196,  3196,     0,     0,  3196,  3196,  3196,
    3196,  3196,  3196,  3196,  3196,  3196,  3196,  3933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,  2448,     0,  2448,     0,     0,  3933,  3933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,  3196,  3196,  2448,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,  1491,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3196,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,     0,   115,   116,   117,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,  1493,
    1493,     0,     0,     0,     0,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    2448,     0,     0,     0,  2448,  2448,  2448,     0,     0,     0,
       0,     0,  3933,  3933,  3933,  3933,     0,     0,     0,     0,
    3933,  3933,  3933,  3933,  3933,  3933,  3933,  3933,  3933,  3933,
    2448,  2448,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,  2448,     0,     0,  2448,
       0,  2448,   143,     0,   144,  2448,     0,     0,  3933,  3933,
       0,   147,  2448,  2448,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,   150,     0,     0,     0,  1493,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2448,     0,     0,     0,     0,     0,     0,  2448,  2448,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,  2448,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,  2448,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,  3933,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,  2448,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,     0,     0,     0,     0,  2448,  3196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,     0,  2448,     0,     0,     0,  2448,  2448,  2448,
       0,     0,  2448,     0,     0,  2448,  2448,     0,     0,     0,
    2448,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    85,     0,     0,    86,    87,    88,    89,    90,    91,
      92,    93,     0,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   106,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,     0,   115,
     116,   117,   118,   119,     0,     0,     0,   120,   121,     0,
       0,     0,  2448,   122,     0,     0,     0,     0,     0,     0,
       0,     0,   123,     0,   124,     0,   125,   126,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
       0,     0,   127,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   128,     0,   129,   130,     0,     0,     0,     0,
       0,     0,     0,     0,   131,     0,     0,   132,     0,     0,
     133,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
     140,     0,   141,   142,   143,     0,   144,     0,     0,   145,
       0,   146,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,   148,     0,   149,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,  3933,  3196,   152,
       0,   153,   154,   155,   156,     0,     0,     0,     0,     0,
   -1637,     0,     0,  2448,  2448,  2448,     0,     0,   157,     0,
     158,     0,     0,  3196,   159,     0,     0,     0,     0,     0,
     160,   161,     0,     0,     0,     0,     0,     0,   162,   163,
     164,     0,     0,   165,     0,     0,   166,     0,     0,   167,
       0,  2448,  2448,     0,     0,   168,     0,   169,     0,     0,
       0,     0,   170,     0,   171,     0,   172,  2448,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,   174,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0, -1637,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,   185,   186,     0,
       0,     0,     0,   187,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,     0,     0,   189,   190,
     191,     0,     0,     0,   192,     0,     0,   193,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,   205,     0,     0,     0,     0,     0,   206,   207,
       0,   208,     0,     0,     0,     0,   209,     0,     0,     0,
       0,   210,   211,  3933,   212,     0,   213,     0,     0,   214,
       0,     0,     0,     0,     0,   215,   216,  3196,     0,     0,
    3933,     0,     0,   217,  2448,   218,     0,   219,   220,     0,
       0,   221,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
     224,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,   230,
       0,   231,     0,     0,  2448,     0,   232,     0,     0,   233,
       0,     0, -1637,     0,     0,   234,     0,     0,     0,     0,
     235,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,   238,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,     0,     0,     0,     0,   250,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     251,     0,     0,     0,  -145,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3933,     0,  3196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3196,     0,     0,     0,     0,
    3196,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,  3933,
     724,    95,  3933,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,  2448,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   777,   439,   440,
     441,   778,   779,   780,   781,   782,   783,   784,   442,   443,
     785,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,   786,   450,   451,   452,   453,   454,   787,
     788,   455,   456,   789,   139,   457,   790,   458,   459,   460,
     461,   143,   791,   144,   792,   462,   463,   464,   465,   466,
     147,   467,   468,   793,   794,   469,   470,   471,   472,   473,
     474,   795,   150,   475,   476,   796,   797,   798,   799,   151,
     800,   801,   802,   478,   479,   480,   481,   739,   482,   154,
     155,   483,   803,   484,   804,   485,   486,   487,   488,   489,
     490,   805,   491,   492,   493,   494,   806,   807,   495,   496,
     497,   498,   499,   808,   500,   501,   502,   809,   503,   504,
     505,   810,   506,   507,   508,   509,   163,   510,   511,   512,
     165,   811,   513,   812,   514,   515,   167,   516,   813,   517,
     814,   518,   168,   815,   169,   519,   520,   521,   522,   816,
     523,   171,   817,   172,   524,   818,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,   819,   533,   534,   535,
     536,   537,   538,   820,   539,   175,   176,   821,   540,   541,
     542,   822,   177,   823,   178,   824,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,   825,   826,   550,   182,
     183,   551,   184,   827,   552,   553,   554,   828,   829,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,   830,   572,   573,   194,   574,   831,   195,   575,
     196,   576,   577,   578,   832,   579,   580,   833,   834,   581,
     582,   583,   835,   836,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   837,
     595,   596,   201,   597,   202,   598,   599,   600,   838,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,   839,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   840,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,   841,   639,   640,   641,   642,   643,   842,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
     843,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,   844,   664,   665,   845,   666,   225,
     667,   668,   669,   670,   671,   846,   226,   227,   847,   848,
     673,   674,   228,   675,   229,   849,   676,   677,   678,   679,
     680,   681,   682,   850,   851,   683,   684,   685,   686,   687,
     852,   853,   688,   689,   690,   691,   692,   854,   236,   855,
     693,   237,   694,   695,   696,   697,   856,   857,   698,   858,
     859,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,  1030,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,     0,   115,   116,   117,     0,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,   125,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,  3366,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  3288,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,  1654,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,  3289,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,  1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  1676,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,  1685,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,  3290,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
    1696,     0,     0,     0,     0,     0,     0,  1697,  1698,  3291,
       0,     0,     0,     0,     0,     0,  1700,  3292,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,   216,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,   224,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,  2410,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,   238,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,   250,     0,     0,     0,     0,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,  1700,  5503,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,  1668,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,
       0,     0,     0,     0,     0,  1697,  1698,     0,     0,     0,
       0,     0,     0,     0,  1700,  3198,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,  4485,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,  1696,     0,     0,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  1700,  4556,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,  1462,  1463,   457,
       0,   458,   459,   460,   461,     0,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
       0,   510,   511,   512,     0,     0,   513,     0,   514,   515,
    1467,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,     0,     0,     0,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
    2620,   533,   534,   535,   536,   537,   538,     0,   539,   175,
    2621,     0,   540,   541,   542,  1469,  1470,     0,  1471,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,     0,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,     0,     0,   572,   573,   194,
     574,     0,     0,   575,  1474,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,  2623,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,     0,   597,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,  2624,   647,   648,   220,
     649,   650,  1477,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1478,  1479,     0,     0,   673,   674,     0,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,  1480,  2625,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,     0,     0,     0,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,  2730,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,  1462,  1463,   457,     0,   458,   459,   460,   461,
       0,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,     0,   510,   511,   512,     0,
       0,   513,     0,   514,   515,  1467,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
       0,     0,     0,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,  2620,   533,   534,   535,   536,
     537,   538,     0,   539,   175,  2621,     0,   540,   541,   542,
    1469,  1470,     0,  1471,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
       0,     0,   572,   573,   194,   574,     0,     0,   575,  1474,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,  2623,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,     0,   597,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,  2624,   647,   648,   220,   649,   650,  1477,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1478,  1479,     0,     0,   673,
     674,     0,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,  1480,  2625,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
       0,     0,     0,     0,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,  3781,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,   216,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,   224,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,  2410,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,   238,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,  1696,     0,   250,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,  3204,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,  1654,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,  3205,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,  3206,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,  1668,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  1676,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,  3207,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,  1685,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,  1696,     0,     0,     0,     0,     0,     0,
    1697,  1698,     0,     0,     0,     0,     0,     0,     0,  1700,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,  1668,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,  1696,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,  2372,  3159,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,  1699,     0,
       0,     0,     0,     0,     0,  1700,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  2542,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,  3205,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,  1696,     0,     0,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,  1654,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,  1668,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  1676,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,  1685,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,  4606,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,  1696,     0,     0,     0,     0,     0,     0,
    1697,  1698,     0,     0,     0,     0,     0,     0,     0,  1700,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,  4622,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,  1668,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,  1696,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,     0,     0,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,  5761,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,  5762,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,  5763,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,  1700,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,  5762,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,  5763,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,  1696,     0,     0,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,  1654,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,  1668,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  1676,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,  1685,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,  4960,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,  1696,     0,     0,     0,     0,     0,     0,
    1697,  1698,     0,     0,     0,     0,     0,     0,     0,  1700,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
    4969,   192,  1668,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,  1696,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,     0,     0,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,  5288,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  5289,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
    5290,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,  5291,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449, -2972,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,  5762,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528, -2972,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,     0,     0,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551, -2972,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,     0,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648, -2972,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,  5763,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706, -2972,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  5484,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,     0,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  3190,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,     0,     0,     0,     0,     0,
       0,     0,  3191,  3192,     0,     0,     0,     0,     0,     0,
       0,  3193,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,     0,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  3190,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,     0,     0,     0,     0,     0,     0,     0,
    3191,  3192,     0,     0,     0,     0,     0,     0,     0,  3193,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,     0,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,     0,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  3190,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,     0,     0,     0,     0,     0,     0,     0,  3191,  3192,
       0,     0,     0,     0,     0,     0,     0,  3193,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,     0,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
       0,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  3190,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,     0,
       0,     0,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  3193,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,     0,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,  4518,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,     0,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  3190,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,     0,     0,     0,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,  3193,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,     0,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,     0,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  3190,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,  5000,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,  3193,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,     0,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,     0,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,     0,     0,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,     0,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,  1668,   572,   573,     0,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,     0,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,     0,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,     0,     0,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,  1640,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,  1656,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,   172,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,  4002,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,  1670,   575,   196,   576,
     577,   578,     0,   579,   580,     0,  1154,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,  4003,   632,   633,   634,   635,   636,   637,   744,
     638,   216,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,   224,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
    1682,   675,  1683,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,  2410,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,   238,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,  4004,   746,   705,   706,     0,
       0,   250,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  4005,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,  1640,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,  1656,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,   172,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,  4002,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
    1670,   575,   196,   576,   577,   578,     0,   579,   580,     0,
    1154,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,  4003,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,  1682,   675,  1683,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,  4004,
     746,   705,   706,     0,     0,     0,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,  4005,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,  1640,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,  1656,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,   172,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,  1670,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
    4003,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,  1682,   675,
    1683,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,  4004,   746,   705,   706,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,   251,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
    1640,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
    1656,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,   172,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,  1670,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,  1682,   675,  1683,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,     0,     0,     0,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,  4655,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,  1640,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,  1656,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,   172,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,  1670,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,  1682,   675,  1683,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,     0,     0,     0,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,  5743,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,     0,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  5343,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,  4574,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0, -1743,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0, -1743,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539, -1743,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544, -1743,   545,   546,   547,   548,   549,     0,     0,
     550,   182, -1743,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189, -1743,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627, -1743,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,     0,     0,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
    1795,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,     0,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,  3813,  3814,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,     0,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,  3814,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,   216,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,   224,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,  2410,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,   238,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,   250,     0,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,   251,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,     0,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,   216,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,   224,   666,     0,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,  2410,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,   238,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,   250,     0,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,   251,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,     0,     0,     0,     0,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
    1771,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,     0,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,  3355,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,     0,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,  4553,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,  5017,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1281,    45,
       0,     0,     0,     0,     0,  1282,  1283,  1284,   431,   432,
     433,   434,   435,   436,   437,   438,   777,   439,   440,   441,
     778,   779,   780,   781,   782,   783,   784,   442,   443,   785,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,   786,   450,   451,   452,   453,   454,   787,   788,
     455,   456,  1462,  1463,   457,   790,   458,   459,   460,   461,
       0,   791,   144,   792,   462,   463,   464,   465,   466,   147,
     467,   468,   737,   794,   469,   470,   471,   472,   473,   474,
     795,   150,   475,   476,     0,   797,   798,   799,   151,   800,
     801,   802,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,   803,   484,   804,   485,   486,   487,   488,   489,   490,
     805,   491,   492,   493,   494,   806,   807,   495,   496,  1466,
     498,   499,   808,   500,   501,   502,   809,   503,   504,   505,
     810,   506,   507,   508,   509,     0,   510,   511,   512,     0,
     811,   513,   812,   514,   515,  1467,   516,   813,   517,   814,
     518,   168,   815,   169,   519,   520,   521,   522,   816,   523,
       0,   817,     0,   524,   818,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,   819,   533,   534,   535,   536,
     537,   538,   820,   539,   175,     0,     0,   540,   541,   542,
    1469,  1470,   823,  1471,   824,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,   825,   826,   550,     0,   183,
     551,   184,   827,   552,   553,   554,   828,   829,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
    4302,   830,   572,   573,   194,   574,   831,     0,   575,  1474,
     576,   577,   578,   832,   579,   580,   833,   834,  4303,   582,
     583,   835,   836,   584,     0,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   837,   595,
     596,     0,   597,     0,   598,   599,   600,   838,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,   839,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   840,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,   841,   639,   640,   641,   642,   643,   842,   645,
     646,  2624,   647,   648,   220,   649,   650,  1477,   651,   843,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   844,   664,   665,   845,   666,   225,   667,
     668,   669,   670,   671,   846,  1478,  1479,     0,   848,   673,
     674,     0,   675,     0,   849,   676,   677,   678,   679,   680,
     681,   682,     0,   851,   683,   684,   685,   686,   687,   852,
     853,   688,   689,   690,   691,   692,     0,  1480,   855,   693,
     237,   694,   695,   696,   697,   856,   857,   698,   858,   859,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
       0,     0,     0,  1287,  1288,  1289,     0,  4304,  4305,  1292,
    1293,  1294,  1295,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,  1281,    45,     0,     0,     0,     0,     0,  1282,
    1283,  1284,   431,   432,   433,   434,   435,   436,   437,   438,
     777,   439,   440,   441,   778,   779,   780,   781,   782,   783,
     784,   442,   443,   785,   444,   445,   446,   132,   447,   448,
     449,     0,  1459,   136,  1460,  1461,   786,   450,   451,   452,
     453,   454,   787,   788,   455,   456,  1462,  1463,   457,   790,
     458,   459,   460,   461,     0,   791,   144,   792,   462,   463,
     464,   465,   466,   147,   467,   468,   737,   794,   469,   470,
     471,   472,   473,   474,   795,   150,   475,   476,     0,   797,
     798,   799,   151,   800,   801,   802,   478,   479,   480,   481,
     739,   482,  1464,  1465,   483,   803,   484,   804,   485,   486,
     487,   488,   489,   490,   805,   491,   492,   493,   494,   806,
     807,   495,   496,  1466,   498,   499,   808,   500,   501,   502,
     809,   503,   504,   505,   810,   506,   507,   508,   509,     0,
     510,   511,   512,     0,   811,   513,   812,   514,   515,  1467,
     516,   813,   517,   814,   518,   168,   815,   169,   519,   520,
     521,   522,   816,   523,     0,   817,     0,   524,   818,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,   819,
     533,   534,   535,   536,   537,   538,   820,   539,   175,     0,
       0,   540,   541,   542,  1469,  1470,   823,  1471,   824,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,   825,
     826,   550,     0,   183,   551,   184,   827,   552,   553,   554,
     828,   829,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1472,   190,
    1473,   569,   570,   571,  4746,   830,   572,   573,   194,   574,
     831,     0,   575,  1474,   576,   577,   578,   832,   579,   580,
     833,   834,  4303,   582,   583,   835,   836,   584,     0,   198,
     585,   199,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   837,   595,   596,     0,   597,     0,   598,   599,
     600,   838,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1475,   610,   611,   612,   613,   839,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   840,
     626,   627,   211,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   744,   638,   841,   639,   640,   641,
     642,   643,   842,   645,   646,  2624,   647,   648,   220,   649,
     650,  1477,   651,   843,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   844,   664,   665,
     845,   666,   225,   667,   668,   669,   670,   671,   846,  1478,
    1479,     0,   848,   673,   674,     0,   675,     0,   849,   676,
     677,   678,   679,   680,   681,   682,     0,   851,   683,   684,
     685,   686,   687,   852,   853,   688,   689,   690,   691,   692,
       0,  1480,   855,   693,   237,   694,   695,   696,   697,   856,
     857,   698,   858,   859,   699,   700,   701,   702,   703,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   746,   705,   706,     0,     0,     0,  1287,  1288,  1289,
       0,  4304,  4305,  1292,  1293,  1294,  1295,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1281,     0,     0,     0,     0,
       0,     0,  1282,  1283,  1284,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,  1285,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,  1286,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,     0,     0,
    1287,  1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1281,     0,
       0,     0,     0,     0,     0,  1282,  1283,  1284,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,  1403,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,  1404,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,     0,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,     0,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,     0,  1287,  1288,  1289,     0,  1290,  1291,  1292,
    1293,  1294,  1295,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1281,     0,     0,     0,     0,     0,     0,  1282,  1283,
    1284,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
    1511,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,  1512,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1513,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,  1287,  1288,  1289,     0,
    1290,  1291,  1292,  1293,  1294,  1295,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1281,     0,     0,     0,     0,     0,
       0,  1282,  1283,  1284,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,  2103,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,  2104,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,     0,  1287,
    1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1281,     0,     0,
       0,     0,     0,     0,  1282,  1283,  1284,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,  1287,  1288,  1289,     0,  1290,  1291,  1292,  1293,
    1294,  1295,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1281,     0,     0,     0,     0,     0,     0,  1282,  1283,  1284,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,  3456,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,  3457,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,  1287,  1288,  1289,     0,  1290,
    1291,  1292,  1293,  1294,  1295,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   725,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1281,     0,     0,     0,     0,     0,     0,
    1282,  1283,  1284,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,   134,   135,     0,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,   143,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,     0,     0,     0,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,     0,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   182,     0,   551,     0,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
       0,   191,   569,   570,   571,   192,     0,   572,   573,     0,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,  5321,   582,   583,     0,     0,   584,   197,
       0,   585,     0,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,     0,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,     0,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,     0,     0,     0,  1287,  1288,
    1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   777,   439,   440,   441,   778,
     779,   780,   781,   782,   783,   784,   442,   443,   785,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,   786,   450,   451,   452,   453,   454,   787,   788,   455,
     456,   789,   139,   457,   790,   458,   459,   460,   461,   143,
     791,   144,   792,   462,   463,   464,   465,   466,   147,   467,
     468,   793,   794,   469,   470,   471,   472,   473,   474,   795,
     150,   475,   476,   796,   797,   798,   799,   151,   800,   801,
     802,   478,   479,   480,   481,   739,   482,   154,   155,   483,
     803,   484,   804,   485,   486,   487,   488,   489,   490,   805,
     491,   492,   493,   494,   806,   807,   495,   496,   497,   498,
     499,   808,   500,   501,   502,   809,   503,   504,   505,   810,
     506,   507,   508,   509,   163,   510,   511,   512,   165,   811,
     513,   812,   514,   515,   167,   516,   813,   517,   814,   518,
     168,   815,   169,   519,   520,   521,   522,   816,   523,   171,
     817,   172,   524,   818,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,   819,   533,   534,   535,   536,   537,
     538,   820,   539,   175,   176,   821,   540,   541,   542,   822,
     177,   823,   178,   824,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,   825,   826,   550,   182,   183,   551,
     184,   827,   552,   553,   554,   828,   829,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
     830,   572,   573,   194,   574,   831,   195,   575,   196,   576,
     577,   578,   832,   579,   580,   833,   834,   581,   582,   583,
     835,   836,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   837,   595,   596,
     201,   597,   202,   598,   599,   600,   838,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,   839,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   840,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,   841,   639,   640,   641,   642,   643,   842,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,   843,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,   844,   664,   665,   845,   666,   225,   667,   668,
     669,   670,   671,   846,   226,   227,   847,   848,   673,   674,
     228,   675,   229,   849,   676,   677,   678,   679,   680,   681,
     682,   850,   851,   683,   684,   685,   686,   687,   852,   853,
     688,   689,   690,   691,   692,   854,   236,   855,   693,   237,
     694,   695,   696,   697,   856,   857,   698,   858,   859,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,   770,
      86,    87,    88,   722,    90,    91,    92,   723,  2511,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,  1462,  1463,   457,     0,   458,   459,   460,   461,
       0,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,     0,   510,   511,   512,     0,
       0,   513,     0,   514,   515,  1467,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
       0,     0,     0,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,  2620,   533,   534,   535,   536,
     537,   538,     0,   539,   175,  2621,     0,   540,   541,   542,
    1469,  1470,     0,  1471,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
       0,     0,   572,   573,   194,   574,     0,     0,   575,  1474,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,  2622,   584,  2623,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,     0,   597,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,  2624,   647,   648,   220,   649,   650,  1477,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1478,  1479,     0,     0,   673,
     674,     0,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,  1480,  2625,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
       0,    86,    87,    88,   722,    90,    91,    92,   723,  2626,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,     0,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,    86,    87,    88,   722,    90,    91,    92,   723,
    1161,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,    86,    87,    88,   722,    90,    91,    92,
     723,  5711,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,  1051,   433,   434,   435,   436,   437,   438,  1052,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,  1053,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,  1054,   167,   516,
       0,   517,     0,  1055,     0,  1056,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,  1057,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,  1058,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,  1059,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,  1060,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,  1061,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,     0,     0,     0,     0,
    1062,  1063,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,  1051,   433,   434,   435,   436,   437,   438,  1052,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,  1085,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,  1054,   167,   516,     0,
     517,     0,  1086,     0,  1056,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,  1057,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,  1058,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
    1059,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
    1060,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,  1061,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,     0,     0,     0,     0,  1062,
    1063,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1564,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,  1056,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,  1057,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,     0,     0,     0,     0,     0,     0,  1062,  1063,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1569,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,  1056,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,  1057,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,     0,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,     0,     0,     0,     0,     0,  1062,  1063,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
     740,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,  1742,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,     0,  1131,  1743,    86,    87,    88,   722,    90,
      91,    92,   723,  1132,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   725,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,   134,   135,     0,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,  1133,   456,  1104,   139,   457,
       0,   458,   459,   460,   461,   143,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,  1134,     0,  1135,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,     0,     0,     0,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,     0,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   182,     0,   551,     0,     0,   552,   553,
    1136,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,  1137,   189,
       0,   191,   569,   570,   571,   192,     0,   572,   573,     0,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
       0,   585,     0,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,  1138,   629,   630,   213,   631,   632,
     633,  1139,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,  1140,     0,   645,   646,   218,   647,   648,     0,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,     0,   667,   668,   669,   670,   671,     0,
    1141,   227,     0,     0,  1142,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,  1108,   236,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
    1143,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   777,   439,   440,   441,   778,   779,   780,   781,
     782,   783,   784,   442,   443,   785,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,   786,   450,
     451,   452,   453,   454,   787,   788,   455,   456,   789,   139,
     457,   790,   458,   459,   460,   461,   143,   791,   144,   792,
     462,   463,   464,   465,   466,   147,   467,   468,   793,   794,
     469,   470,   471,   472,   473,   474,   795,   150,   475,   476,
     796,   797,   798,   799,   151,   800,   801,   802,   478,   479,
     480,   481,   739,   482,   154,   155,   483,   803,   484,   804,
     485,   486,   487,   488,   489,   490,   805,   491,   492,   493,
     494,   806,   807,   495,   496,   497,   498,   499,   808,   500,
     501,   502,   809,   503,   504,   505,   810,   506,   507,   508,
     509,   163,   510,   511,   512,   165,   811,   513,   812,   514,
     515,   167,   516,   813,   517,   814,   518,   168,   815,   169,
     519,   520,   521,   522,   816,   523,   171,   817,   172,   524,
     818,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,   819,   533,   534,   535,   536,   537,   538,   820,   539,
     175,   176,   821,   540,   541,   542,   822,   177,   823,   178,
     824,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,   825,   826,   550,   182,   183,   551,   184,   827,   552,
     553,   554,   828,   829,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,   830,   572,   573,
     194,   574,   831,   195,   575,   196,   576,   577,   578,   832,
     579,   580,   833,   834,   581,   582,   583,   835,   836,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   837,   595,   596,   201,   597,   202,
     598,   599,   600,   838,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,   839,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   840,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,   841,   639,
     640,   641,   642,   643,   842,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,   843,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,   844,
     664,   665,   845,   666,   225,   667,   668,   669,   670,   671,
     846,   226,   227,   847,   848,   673,   674,   228,   675,   229,
     849,   676,   677,   678,   679,   680,   681,   682,   850,   851,
     683,   684,   685,   686,   687,   852,   853,   688,   689,   690,
     691,   692,   854,   236,   855,   693,   237,   694,   695,   696,
     697,   856,   857,   698,   858,   859,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   777,   439,   440,   441,   778,   779,   780,
     781,   782,   783,   784,   442,   443,   785,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,   786,
     450,   451,   452,   453,   454,   787,   788,   455,   456,   789,
     139,   457,   790,   458,   459,   460,   461,   143,   791,   144,
     792,   462,   463,   464,   465,   466,   147,   467,   468,   793,
     794,   469,   470,   471,   472,   473,   474,   795,   150,   475,
     476,   796,   797,   798,   799,   151,   800,   801,   802,   478,
     479,   480,   481,   739,   482,   154,   155,   483,   803,   484,
     804,   485,   486,   487,   488,   489,   490,   805,   491,   492,
     493,   494,   806,   807,   495,   496,   497,   498,   499,   808,
     500,   501,   502,   809,   503,   504,   505,   810,   506,   507,
     508,   509,   163,   510,   511,   512,   165,   811,   513,   812,
     514,   515,   167,   516,   813,   517,   814,   518,   168,   815,
     169,   519,   520,   521,   522,   816,   523,   171,   817,   172,
     524,   818,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,   819,   533,   534,   535,   536,   537,   538,   820,
     539,   175,   176,   821,   540,   541,   542,   822,   177,   823,
     178,   824,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,   825,   826,   550,   182,   183,   551,   184,   827,
     552,   553,   554,   828,   829,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,   830,   572,
     573,   194,   574,   831,   195,   575,   196,   576,   577,   578,
     832,   579,   580,   833,   834,   581,   582,   583,   835,   836,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   837,   595,   596,   201,   597,
     202,   598,   599,   600,   838,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,   839,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   840,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,   841,
     639,   640,   641,   642,   643,   842,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,   843,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
     844,   664,   665,   845,   666,   225,   667,   668,   669,   670,
     671,   846,   226,   227,   847,   848,   673,   674,   228,   675,
     229,   849,   676,   677,   678,   679,   680,   681,   682,   850,
     851,   683,   684,   685,   686,   687,   852,   853,   688,   689,
     690,   691,   692,   854,   236,   855,   693,   237,   694,   695,
     696,   697,   856,   857,   698,   858,   859,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
    3524,   436,   437,   438,   777,   439,   440,   441,   778,   779,
     780,   781,   782,   783,   784,   442,   443,   785,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
     786,   450,   451,   452,   453,   454,   787,   788,   455,   456,
     789,   139,   457,   790,   458,   459,   460,   461,   143,   791,
     144,   792,   462,   463,   464,   465,   466,   147,   467,   468,
     793,   794,   469,   470,   471,   472,   473,   474,   795,   150,
     475,   476,   796,   797,   798,   799,   151,   800,   801,   802,
     478,   479,   480,   481,   739,   482,   154,   155,   483,   803,
     484,   804,   485,   486,   487,   488,   489,   490,   805,   491,
     492,   493,   494,   806,   807,   495,   496,   497,  3525,   499,
     808,   500,   501,   502,   809,   503,   504,   505,   810,   506,
     507,   508,   509,   163,   510,   511,   512,   165,   811,   513,
     812,   514,   515,   167,   516,   813,   517,   814,   518,   168,
     815,   169,   519,   520,   521,   522,   816,   523,   171,   817,
     172,   524,   818,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,   819,   533,   534,   535,   536,   537,   538,
     820,   539,   175,   176,   821,   540,   541,   542,   822,   177,
     823,   178,   824,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,   825,   826,   550,   182,   183,   551,   184,
     827,   552,   553,   554,   828,   829,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,   830,
     572,   573,   194,   574,   831,   195,   575,   196,   576,   577,
     578,   832,   579,   580,   833,   834,   581,   582,   583,   835,
     836,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   837,   595,   596,   201,
     597,   202,   598,   599,   600,   838,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
     839,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   840,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
     841,   639,   640,   641,   642,   643,   842,  3526,   646,   218,
     647,   648,   220,   649,   650,   221,   651,   843,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,   844,   664,   665,   845,   666,   225,   667,   668,   669,
     670,   671,   846,   226,   227,   847,   848,   673,   674,   228,
     675,   229,   849,   676,   677,   678,   679,   680,   681,   682,
     850,   851,   683,   684,   685,   686,   687,   852,   853,   688,
     689,   690,   691,   692,   854,   236,   855,   693,   237,   694,
     695,   696,   697,   856,   857,   698,   858,   859,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,  1640,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,  1656,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,   172,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,  1670,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
    1682,   675,  1683,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
    1451,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,  1503,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
       0,  1459,   136,  1460,  1461,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1462,  1463,   457,     0,   458,
     459,   460,   461,     0,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,   739,
     482,  1464,  1465,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,     0,   510,
     511,   512,     0,     0,   513,     0,   514,   515,  1467,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,     0,     0,     0,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,  2620,   533,
     534,   535,   536,   537,   538,     0,   539,   175,  2621,     0,
     540,   541,   542,  1469,  1470,     0,  1471,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,     0,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1472,   190,  1473,
     569,   570,   571,     0,     0,   572,   573,   194,   574,     0,
       0,   575,  1474,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,  2623,   198,   585,
     199,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,     0,   597,     0,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1475,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,  2624,   647,   648,   220,   649,   650,
    1477,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1478,  1479,
       0,     0,   673,   674,     0,   675,     0,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
    1480,  2625,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     746,   705,   706,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,     0,  1459,   136,  1460,  1461,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,  1462,  1463,   457,     0,
     458,   459,   460,   461,     0,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
     739,   482,  1464,  1465,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,     0,
     510,   511,   512,     0,     0,   513,     0,   514,   515,  1467,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,     0,     0,     0,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,     0,
       0,   540,   541,   542,  1469,  1470,     0,  1471,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,     0,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1472,   190,
    1473,   569,   570,   571,     0,     0,   572,   573,   194,   574,
    2718,     0,   575,  1474,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,     0,   198,
     585,   199,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,     0,   597,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1475,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,  2624,   647,   648,   220,   649,
     650,  1477,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,     0,   664,   665,
    4406,   666,   225,   667,   668,   669,   670,   671,     0,  1478,
    1479,     0,     0,   673,   674,     0,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,  1480,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   746,   705,   706,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,  1462,  1463,   457,
       0,   458,   459,   460,   461,     0,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
       0,   510,   511,   512,     0,     0,   513,     0,   514,   515,
    1467,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,     0,     0,     0,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
       0,     0,   540,   541,   542,  1469,  1470,     0,  1471,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,     0,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,  2787,     0,   572,   573,   194,
     574,     0,     0,   575,  1474,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,     0,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,     0,   597,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,  1476,   647,   648,   220,
     649,   650,  1477,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1478,  1479,     0,     0,   673,   674,     0,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,  1480,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,     0,  1459,   136,  1460,  1461,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,  1462,  1463,
     457,     0,   458,   459,   460,   461,     0,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,   739,   482,  1464,  1465,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,     0,   510,   511,   512,     0,     0,   513,     0,   514,
     515,  1467,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,     0,     0,     0,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,     0,     0,   540,   541,   542,  1469,  1470,     0,  1471,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1472,   190,  1473,   569,   570,   571,  4222,     0,   572,   573,
     194,   574,     0,     0,   575,  1474,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
       0,   198,   585,   199,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,     0,   597,     0,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1475,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,  1476,   647,   648,
     220,   649,   650,  1477,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1478,  1479,     0,     0,   673,   674,     0,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,  1480,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   746,   705,   706,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,     0,  1459,   136,  1460,  1461,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,  1462,
    1463,   457,     0,   458,   459,   460,   461,     0,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,     0,   478,
     479,   480,   481,   739,   482,  1464,  1465,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,     0,   510,   511,   512,     0,     0,   513,     0,
     514,   515,  1467,   516,  5775,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,     0,     0,     0,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,     0,     0,   540,   541,   542,  1469,  1470,     0,
    1471,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,     0,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1472,   190,  1473,   569,   570,   571,     0,     0,   572,
     573,   194,   574,     0,     0,   575,  1474,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,     0,   198,   585,   199,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,     0,   597,
       0,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1475,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,     0,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,  1476,   647,
     648,   220,   649,   650,  1477,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1478,  1479,     0,     0,   673,   674,     0,   675,
       0,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,  1480,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   746,   705,   706,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,     0,  1459,   136,  1460,  1461,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
    1462,  1463,   457,     0,   458,   459,   460,   461,     0,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,     0,
     478,   479,   480,   481,   739,   482,  1464,  1465,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,     0,   510,   511,   512,     0,     0,   513,
       0,   514,   515,  1467,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,     0,     0,
       0,   524,     0,   525,   526,   741,   527,  1468,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,     0,     0,   540,   541,   542,  1469,  1470,
       0,  1471,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,     0,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1472,   190,  1473,   569,   570,   571,     0,     0,
     572,   573,   194,   574,     0,     0,   575,  1474,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,     0,   198,   585,   199,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,     0,
     597,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1475,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,  1476,
     647,   648,   220,   649,   650,  1477,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1478,  1479,     0,     0,   673,   674,     0,
     675,     0,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,  1480,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   746,   705,   706,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,     0,  1459,   136,  1460,
    1461,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,  1462,  1463,   457,     0,   458,   459,   460,   461,     0,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,   739,   482,  1464,  1465,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,     0,   510,   511,   512,     0,     0,
     513,     0,   514,   515,  1467,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,     0,
       0,     0,   524,     0,   525,   526,   741,   527,  1525,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,     0,     0,   540,   541,   542,  1469,
    1470,     0,  1471,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,     0,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1472,   190,  1473,   569,   570,   571,     0,
       0,   572,   573,   194,   574,     0,     0,   575,  1474,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,     0,   198,   585,   199,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
       0,   597,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1475,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
    1476,   647,   648,   220,   649,   650,  1477,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1478,  1479,     0,     0,   673,   674,
       0,   675,     0,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,  1480,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,   705,   706,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,  1462,  1463,   457,     0,   458,   459,   460,   461,
       0,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,     0,   510,   511,   512,     0,
       0,   513,     0,   514,   515,  1467,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
       0,     0,     0,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,     0,     0,   540,   541,   542,
    1469,  1470,     0,  1471,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
       0,     0,   572,   573,   194,   574,     0,     0,   575,  1474,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,     0,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,     0,   597,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,  1476,   647,   648,   220,   649,   650,  1477,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1478,  1479,     0,     0,   673,
     674,     0,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,  1480,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,     0,  1459,
     136,  1460,  1461,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,  1462,  1463,   457,     0,   458,   459,   460,
     461,     0,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,   739,   482,  1464,
    1465,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,     0,   510,   511,   512,
       0,     0,   513,     0,   514,   515,  1467,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,     0,     0,     0,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,     0,     0,   540,   541,
     542,  1469,  1470,     0,  1471,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1472,   190,  1473,   569,   570,
     571,     0,     0,   572,   573,   194,   574,     0,     0,   575,
    1474,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,     0,   198,   585,   199,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,     0,   597,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1475,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,  2624,   647,   648,   220,   649,   650,  1477,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1478,  1479,     0,     0,
     673,   674,     0,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,  1480,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,   705,
     706,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,     0,
    1459,   136,  1460,  1461,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,  1462,  1463,   457,     0,   458,   459,
     460,   461,     0,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,   739,   482,
    1464,  1465,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,     0,   510,   511,
     512,     0,     0,   513,     0,   514,   515,  1467,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,     0,     0,     0,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,     0,     0,   540,
     541,   542,  1469,  1470,     0,  1471,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
       0,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1472,   190,  1473,   569,
     570,   571,     0,     0,   572,   573,   194,   574,     0,     0,
     575,  1474,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,     0,   198,   585,   199,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,     0,   597,     0,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1475,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,     0,   647,   648,   220,   649,   650,  1477,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1478,  1479,     0,
       0,   673,   674,     0,   675,     0,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,  1480,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   746,
     705,   706,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
       0,     0,   136,     0,     0,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,     0,   457,     0,   458,
     459,   460,   461,     0,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,   739,
     482,     0,     0,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,     0,   510,
     511,   512,     0,     0,   513,     0,   514,   515,     0,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,     0,     0,     0,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,     0,     0,
     540,   541,   542,     0,     0,     0,     0,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,     0,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,     0,   190,     0,
     569,   570,   571,     0,     0,   572,   573,   194,   574,     0,
       0,   575,     0,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,     0,   198,   585,
     199,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,     0,   597,     0,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
       0,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,     0,   647,   648,   220,   649,   650,
       0,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,     0,     0,
       0,     0,   673,   674,     0,   675,     0,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
       0,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   777,
     439,   440,   441,   778,   779,   780,   781,   782,   783,   784,
     442,   443,   785,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,   786,   450,   451,   452,   453,
     454,   787,   788,   455,   456,     0,   139,   457,   790,   458,
     459,   460,   461,   143,   791,   144,   792,   462,   463,   464,
     465,   466,   147,   467,   468,   793,   794,   469,   470,   471,
     472,   473,   474,   795,   150,   475,   476,     0,   797,   798,
     799,   151,   800,   801,   802,   478,   479,   480,   481,     0,
     482,   154,   155,   483,   803,   484,   804,   485,   486,   487,
     488,   489,   490,   805,   491,   492,   493,   494,   806,   807,
     495,   496,   497,   498,   499,   808,   500,   501,   502,   809,
     503,   504,   505,   810,   506,   507,   508,   509,   163,   510,
     511,   512,   165,   811,   513,   812,   514,   515,   167,   516,
     813,   517,   814,   518,   168,   815,   169,   519,   520,   521,
     522,   816,   523,   171,   817,   172,   524,   818,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,   819,   533,
     534,   535,   536,   537,   538,   820,   539,   175,   176,     0,
     540,   541,   542,     0,   177,   823,   178,   824,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,   825,   826,
     550,   182,   183,   551,   184,   827,   552,   553,   554,   828,
     829,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,   830,   572,   573,   194,   574,   831,
     195,   575,   196,   576,   577,   578,   832,   579,   580,   833,
     834,   581,   582,   583,   835,   836,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   837,   595,   596,   201,   597,   202,   598,   599,   600,
     838,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,   839,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   840,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,   841,   639,   640,   641,   642,
     643,   842,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,   843,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,   844,   664,   665,   845,
     666,   225,   667,   668,   669,   670,   671,   846,   226,   227,
       0,   848,   673,   674,   228,   675,   229,   849,   676,   677,
     678,   679,   680,   681,   682,     0,   851,   683,   684,   685,
     686,   687,   852,   853,   688,   689,   690,   691,   692,     0,
     236,   855,   693,   237,   694,   695,   696,   697,   856,   857,
     698,   858,   859,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,  1223,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,  2660,   458,
     459,   460,   461,   143,     0,     0,  2737,   462,   463,   464,
     465,   466,     0,   467,   468,   737,  2661,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,  2738,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,  2663,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2739,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
    2664,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,  2665,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,  2660,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,  2661,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,  2738,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,  2663,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,  3714,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
    2664,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,  2665,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,  1119,   437,   438,  1071,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,  1072,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,  1120,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,  1073,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,  1074,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1071,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,  1072,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,  3417,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,  1073,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,  1074,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,  2660,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,  2661,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,  2738,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,  2663,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
    2664,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,  2665,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   735,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,   738,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,   740,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1071,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,  1072,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,  1073,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,  1074,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,   974,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   975,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   976,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  2330,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,  2331,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,  2332,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,  2333,   518,     0,     0,     0,  2334,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,  2335,  2336,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,  2337,
     635,   636,   637,   744,   638,     0,  2338,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,  2339,
     666,     0,  2340,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
    2341,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,  1072,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,  1073,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,  1074,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,  2319,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
    3277,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,  3278,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,  2599,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,  3279,
     666,     0,   667,  3280,   669,  3281,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,  3282,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   762,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,   740,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   919,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1316,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1317,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
    1154,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1442,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,   129,   130,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  3505,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  3506,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  3518,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  3519,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   980,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,  1033,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,  1089,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
    1154,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1276,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1277,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1745,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1932,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
    1154,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1985,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1986,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
    2187,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,  2319,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,  2599,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,  4574,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,  4588,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,  1101,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1103,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    1105,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1106,   227,
       0,     0,  1107,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1148,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    1149,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1150,   227,
       0,     0,  1151,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,  1167,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1301,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1309,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1327,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1388,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1394,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1410,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1413,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1415,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1457,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1519,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1521,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1531,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1534,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1537,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,  1756,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,  1133,   456,  1104,   139,  1757,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,  1137,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,  1138,   629,   630,   213,   631,   632,   633,  1139,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    1749,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1141,   227,
       0,     0,  1142,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,  1143,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,  1882,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1103,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2135,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2173,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2175,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2247,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2249,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2251,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,  2367,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,  2564,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,     0,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2994,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2998,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  3428,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  3495,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  3508,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  3510,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  3645,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,  3670,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,  1133,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,  1137,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,  1138,   629,   630,   213,   631,   632,   633,  1139,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    1749,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1141,   227,
       0,     0,  1142,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,  1143,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,  1133,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,  1137,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,  1138,   629,   630,   213,   631,   632,   633,  1139,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    1749,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,  2647,   668,   669,   670,   671,     0,  1141,   227,
       0,     0,  1142,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,  1143,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,  1133,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,  1137,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,  1138,   629,   630,   213,   631,   632,   633,  2722,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    2723,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1141,   227,
       0,     0,  2724,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,  1143,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,  1133,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,  1137,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,  1138,   629,   630,   213,   631,   632,   633,  1139,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    2723,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1141,   227,
       0,     0,  2724,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,  1143,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,     0,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,     0,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,     0,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114, -2727,   115,   116,
     117,     0,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,   122,     0,     0,     0,     0,     0,     0,     0,
       0,   123,     0,   124,     0,   125,   126,    35,     0,   425,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,     0,     0,
     134,   135,   136,   137,   138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,     0,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114, -2728,   115,   116,   117,     0,     0,
       0,     0,     0,   120,   121,     0,     0,     0,     0,   122,
       0,     0,     0,     0,     0,     0,     0,     0,   123,     0,
     124,     0,   125,   126,    35,     0,  1218,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,     0,     0,
       0,     0,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   175,   176,     0,     0,     0,     0,     0,   177,     0,
     178,     0,     0,   179,   180,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,     0,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,     0,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,     0,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
    2295,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,     0,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,  2296,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
       0,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,  2297,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   705,   706,
       0,     0,     0,     0,     0,    41,    42,  1839,  1840,  5561,
       0,     0,     0,     0,     0,     0,  5562,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,   129,   130,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,   216,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,   224,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   235,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,   238,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   705,   706,    35,   430,   250,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,   251,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,     0,   482,   154,   155,   483,
    2498,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,  2295,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,     0,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,  2296,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,     0,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,  2297,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,     0,   705,   706,     0,
       0,     0,     0,     0,    35,   430,  1839,  1840,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,     0,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,     0,   482,   154,   155,
     483,  2503,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
    2295,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,     0,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,  2296,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
       0,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,  2297,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,   705,   706,
       0,     0,     0,     0,     0,    35,   430,  1839,  1840,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,     0,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,     0,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,  2295,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,     0,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,  2296,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,     0,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,  2297,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,   705,
     706,     0,     0,     0,     0,     0,    35,   430,  1839,  1840,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,     0,   482,
     154,   155,   483,  3410,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,  2295,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,  2296,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,  2297,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
     705,   706,     0,     0,     0,     0,     0,    35,   430,  1062,
    1063,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,   477,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
     672,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   705,   706,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
     477,   478,   479,   480,   481,     0,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,     0,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,     0,
     638,     0,   639,   640,   641,   642,   643,   644,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   705,   706,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,     0,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,  2295,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,  2296,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,  2297,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     705,   706,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,     0,   482,   154,   155,   483,  2483,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   705,   706,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,   139,   457,     0,   458,   459,   460,   461,   143,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,     0,
     478,   479,   480,   481,     0,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,     0,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,   182,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,     0,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   705,   706,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,     0,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,     0,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,     0,   527,
    2271,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,     0,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   705,
     706,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1304,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,   477,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   705,   706,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  1323,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,     0,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,   477,   478,
     479,   480,   481,     0,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,     0,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,  1324,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,     0,   638,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   705,   706,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,     0,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,   477,   478,   479,   480,   481,     0,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,     0,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
       0,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,  2870,
       0,   688,   689,   690,   691,   692,     0,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   705,   706,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,   477,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,  3850,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   705,   706,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,   477,   478,   479,
     480,   481,     0,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   705,   706,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
     477,   478,   479,   480,   481,     0,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,     0,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,  1422,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,     0,
     638,     0,   639,   640,   641,   642,   643,   644,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   705,   706,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,   477,   478,   479,   480,   481,     0,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,  1506,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     705,   706,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,   477,   478,   479,   480,
     481,     0,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,  1517,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,   644,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   705,   706,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,   139,   457,     0,   458,   459,   460,   461,   143,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,   477,
     478,   479,   480,   481,     0,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,     0,   527,  1527,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,   182,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
    1528,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,     0,   638,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   705,   706,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,   129,   130,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,     0,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,     0,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,     0,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,     0,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   705,
     706,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,     0,     0,     0,     0,     0,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,     0,   457,     0,
     458,   459,   460,   461,     0,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
       0,   482,     0,     0,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,     0,
     510,   511,   512,     0,     0,   513,     0,   514,   515,     0,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,     0,     0,     0,   524,     0,   525,
     526,     0,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,     0,
       0,   540,   541,   542,     0,     0,     0,     0,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,     0,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,     0,     0,
       0,   569,   570,   571,     0,     0,   572,   573,     0,   574,
       0,     0,   575,     0,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,     0,     0,
     585,     0,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,     0,   597,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,     0,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,     0,   647,   648,     0,   649,
     650,     0,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,     0,
       0,     0,     0,   673,   674,     0,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,     0,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   705,   706
};

static const yytype_int16 yycheck[] =
{
       2,  1135,   251,   896,   891,   944,    78,     2,    78,  1310,
      78,  1152,  1072,  1073,  1074,    78,   230,   896,  1078,   210,
     393,  1558,  1184,   393,    78,  2027,   987,  1166,   166,  1588,
      78,   153,   377,  1509,  1130,  1918,    84,  1476,  1326,  1157,
     152,  1261,  1962,  1311,   149,  1336,  1416,  1158,  1777,  3133,
     188,   944,  3301,  2089,   164,  2285,   170,  1955,   987,  1624,
    1142,   768,   159,  3346,  2169,  2459,  2934,  3711,  3499,   882,
    1027,  2472,  1405,  1479,    78,  2838,    78,  1978,  1039,  1962,
    3790,   203,    84,  1494,   769,  1464,  1465,    89,  1421,  2859,
    4062,   379,   164,  2947,  3472,  1474,   210,  3524,  2372,  3526,
     365,  3700,  1231,  1391,  4395,   131,  4115,  1395,    96,  1231,
    1967,  3976,  1400,  1006,   116,  1310,  3694,  3109,   106,  3355,
    3746,  1409,  3700,  1318,  4005,  3290,  3288,  3289,  4167,  1010,
    4398,   379,  2892,  1328,  2894,  1423,  1038,    94,  2898,  4381,
    1022,  4660,  1023,  4111,  4407,  2222,  2182,  2907,  2908,  2909,
     152,  3777,  4394,   141,   250,  1273,  2057,  2058,   224,   161,
     209,  4385,  1891,  2786,  2269,  1833,  1834,  1835,   156,   116,
     219,  4342,  4011,  2356,   131,  3328,   217,  1138,  2628,  2629,
    2466,   116,  4890,  5001,  1947,  1551,  3221,  3388,  4842,  5064,
    1896,    78,  5083,  1542,  2051,   152,   153,  1571,  1270,  1181,
     892,   166,  5017,  4887,  5019,   162,  2393,   209,   900,  1138,
    1828,  1829,  3939,  4384,   161,   217,  5204,   219,  1181,  1226,
    1227,   913,  1340,   188,  4081,  4010,   161,  4012,  1957,    30,
     232,  5122,  1030,  5216,  2628,  4889,    10,    87,  1462,  1463,
      21,    71,    78,  5128,  5129,  4115,   203,   111,    84,  1473,
     942,    74,    75,    76,    77,    85,   948,    14,    81,    14,
    4469,  4470,   209,  4472,  4473,  4474,    71,   974,   187,   961,
     217,   149,   219,  1652,  1653,  1681,  1496,   164,   125,    87,
     116,    74,    75,    76,    77,   232,  5359,  3814,    81,    14,
     162,   876,  1671,   118,  5418,   132,   147,   232,  5325,  5326,
      84,   239,    74,    75,    76,    77,  1054,   118,   116,    81,
    1058,  1059,  1060,   385,  2937,   385,    71,   385,   149,   245,
    1068,   189,   385,  1383,  3359,   161,    74,    75,    76,    77,
      98,   385,   132,    81,   180,   325,   213,   132,   116,   147,
     102,    89,    90,   132,   238,   393,    71,   238,    29,    74,
      75,    76,    77,   208,   195,    80,    81,    82,    83,   132,
      85,   132,   132,   149,   251,   189,   132,   233,   115,    74,
      75,    76,    77,   159,   180,  1909,    81,   238,   348,   238,
     428,   385,   253,   161,    89,    90,    96,   361,   115,   233,
     412,   393,   186,   357,   463,   112,   232,   218,   463,    74,
      75,    76,    77,   161,   105,   408,    81,   410,    71,   465,
    1551,  1550,   357,   410,    89,    90,  1212,  1641,  1642,   154,
     238,  3044,    85,  3046,   531,  1132,   428,  1797,   102,    74,
      75,    76,    77,    50,   180,   342,    81,   544,   206,     0,
     347,   262,   313,  1667,    89,    90,   149,   149,   105,   394,
    5341,    68,   508,    71,   232,  5443,    74,    75,    76,    77,
     284,   425,    80,    81,  1357,   468,  1353,    85,   102,  5284,
    1761,   468,   429,   238,   232,   109,   545,   102,  1357,   196,
     545,    78,    71,  1279,   109,    98,    74,    75,    76,    77,
    5614,    80,   379,    81,   141,  2572,    85,  5205,   385,   192,
     490,    89,    90,   327,   381,   878,   149,   102,   878,   219,
      74,    75,    76,    77,   109,   238,   159,    81,   238,   325,
     542,   261,  5206,    74,    75,    76,    77,   399,   102,  1342,
      81,    74,    75,    76,    77,  2612,    78,   192,    81,  2616,
    3474,    78,    78,  1228,  1229,   416,    78,   132,    74,    75,
      76,    77,   396,   394,   159,    81,    78,   393,   382,   180,
     672,  1700,    87,   400,    74,    75,    76,    77,   542,  1530,
     217,    81,   463,   238,  2013,   545,   422,    74,    75,    76,
      77,   274,  1723,  1701,    81,   463,    78,   220,   235,   238,
     180,   272,   428,   206,  2128,  1736,   194,  1558,   720,   721,
     400,  1530,   180,  4202,   542,   400,    74,    75,    76,    77,
    1728,   400,   531,    81,    74,    75,    76,    77,   192,   545,
     488,    81,    71,   187,  4202,  1766,  1767,   400,  5701,   400,
     400,    80,   463,  5621,   400,  1516,    85,  4879,    74,    75,
      76,    77,   132,  5518,   428,    81,   501,   180,  4226,  5676,
      71,   545,   463,    74,    75,    76,    77,   425,  1560,    80,
      81,    82,    83,  1248,    85,   542,   491,  1628,  2001,  5554,
     672,   465,   495,   545,   238,  4540,   542,   463,   542,   436,
     491,   436,  1821,   542,   545,  2414,   491,  4118,   538,   540,
     452,   365,  5816,   544,    87,   542,   397,  4578,   408,  1628,
     274,  4582,   449,   533,   534,   486,   452,   408,   545,   410,
    2043,   436,   542,  1594,   508,   672,   484,   491,   428,   542,
      87,   545,   449,   116,   542,  5433,   373,  4353,  4567,  1610,
     538,  4375,  2461,   346,  2022,  4944,  2465,  2025,  1933,   540,
     397,   476,  1540,    78,  1625,   545,   420,   540,   238,   542,
     545,   544,  5740,    78,   147,   536,   545,  4484,  5442,   882,
     463,   463,  1558,   720,   721,  2033,  2325,   468,   891,  5752,
     542,    78,   545,   885,   545,   545,  3710,  1042,  4635,   545,
     545,  4566,   456,  4568,   458,   398,   399,  2120,   385,  5152,
    1039,   484,  1987,  5684,   542,  1756,  2087,  2273,  3421,  5318,
      78,   435,   116,  1764,  1765,   545,  5697,   930,   533,   534,
     435,   768,   425,  1561,   463,   400,  1564,  2737,    25,  1567,
     463,  1569,   545,   935,  1572,   545,   923,  1756,  1576,   484,
     878,   452,   479,  1815,  5822,   280,  1793,   542,  5653,  1184,
     435,  1848,   908,   385,   418,  3608,  4885,   161,   385,   385,
    2707,    78,  1815,   385,   976,   927,  2332,   927,   463,   927,
    2239,  4026,   452,   385,   927,  2341,  1551,   542,   501,   992,
     533,   534,   874,   927,   452,   280,   878,   542,   328,  1002,
     882,  4312,  1954,  3737,   280,   997,  1174,   340,   486,   891,
     892,  5879,   123,   385,  3288,  3289,  3290,   542,   900,   463,
     219,  5792,  4103,  3304,  4431,  4432,  4433,  4434,  4435,  5617,
     484,   913,   241,  1051,  3674,  1053,   534,  1055,   232,   452,
     280,  4299,   412,  1061,  2290,  2782,  1174,   874,   930,  1039,
    1035,  5615,  2306,  2282,  2640,   187,   238,   108,  2312,   874,
     942,  3391,  5596,  3393,   533,   534,   948,  1085,  1086,    25,
     156,  5826,  5827,    98,   542,  2573,   507,  2575,   496,   961,
     249,   145,  5616,  1759,  2727,   323,  1038,   531,  1764,  1765,
     426,   408,    37,   219,    39,    98,   348,   528,   980,    98,
     544,   507,   325,   341,  2986,   987,    74,    75,    76,    77,
     992,   542,   198,    81,  2218,  2219,   998,    87,  5761,   542,
    1002,  1003,   528,    14,  3191,  3192,  2417,   497,  1010,  3196,
     535,   536,   537,   538,   280,   452,   542,   974,  1084,   976,
    1022,  1023,   192,  5386,  5195,   256,   116,  3790,  1030,   249,
     261,  5849,   542,  5741,   484,  1030,   325,  1039,   874,  5914,
     927,  4419,   878,   342,  4079,   542,  3233,  3234,  1036,   220,
     385,  5060,  3675,  3676,  1164,  1994,   505,   147,  5742,   132,
     385,   206,   249,   280,   182,  1053,   297,  1055,   240,   276,
    3356,  1167,  2211,  4226,   542,   327,  1033,  1065,   385,   528,
    1037,  4364,   542,   206,   533,   534,   542,   206,  1053,   542,
    1055,   420,  1158,  4958,   187,  1136,   874,  1085,  1086,  1140,
     545,  1994,   361,  3001,   274,   325,   542,   385,  1134,   428,
     166,  1159,   533,   534,   166,   280,  2653,   103,  2178,   181,
    1085,  1086,  1188,   348,   453,  5006,   486,  1129,  1130,  4999,
    5011,  5894,   216,  5014,  1136,   253,  1138,  5821,  1140,  1935,
     545,  3324,   535,   536,   537,   538,   239,  2288,   544,  1945,
    5441,  1038,  1039,   359,   114,   238,   340,  1159,   385,    98,
     412,   463,  1164,  5002,  1166,   104,   533,   534,   535,   536,
     537,   538,   344,   545,   156,  1132,  5046,  1134,   261,  5403,
      98,   524,   428,  5451,   342,  2624,   104,   187,   244,  1136,
    5060,  5454,   244,  1140,   278,   313,  4906,   280,   316,   430,
     276,   490,   264,  1269,  2338,  2339,    84,  5449,   456,    87,
     458,  5435,   357,    91,    92,    93,   198,  1212,  2014,  1342,
     486,  2017,  2018,  4654,  1226,  1227,    14,  5746,  5747,   531,
    1353,  5402,  2371,  2372,   357,   328,  1231,   379,   357,  2378,
    3317,   408,   544,   542,  3694,  2384,  2385,  2386,  4874,   394,
    3700,   457,   325,   238,   238,  2394,  2395,   102,   156,  1263,
    2399,  1263,   327,  5434,   348,  1314,  1315,   206,  4695,   486,
     490,   394,   444,    70,   189,   394,   261,   261,   141,   280,
     425,    78,    79,   542,  1279,   232,   342,  1174,   206,   275,
     342,   192,   156,  2411,   156,   280,   280,   394,   416,   259,
     198,   471,   425,   490,   100,  2101,   425,   152,  1431,   106,
     107,  3286,  1314,  1315,   484,   160,   189,   484,   543,  2276,
     545,   486,   408,  1159,   187,   121,   546,   400,   425,   546,
     238,  5622,   332,  2294,   198,  2217,   198,  3787,  1435,   241,
    1342,   166,   247,   188,   489,   401,  5216,  1349,  5316,   401,
     412,  1353,   425,   261,   442,   443,  2243,   425,    70,    71,
    2253,  2254,  5881,   190,  2245,  3033,  2507,  1314,  1315,   284,
    1372,  3346,   280,   274,  2331,  2254,  2257,   359,  2335,   242,
    2337,  5246,   540,  2340,  2266,  1387,   544,  2268,  2201,   451,
     452,  2293,     8,   486,   478,    11,    12,  4633,  5437,  5280,
     542,   375,   343,   486,   282,   523,    22,    23,    24,   254,
      26,    27,   327,   106,   107,    31,    32,    33,   357,   244,
     265,   368,    71,  2557,   542,    74,    75,    76,    77,  1431,
     257,    80,    81,  4595,   337,  4600,    85,   239,   181,   357,
     237,  4606,   239,   533,   534,   535,   536,   537,   538,   505,
     240,  1700,  2391,   505,   425,   394,   542,  5748,   361,   332,
      25,   359,  5753,   546,   327,   398,   344,   382,   425,   332,
      35,   189,  4464,   166,  1476,   457,   394,   545,  5343,   275,
     542,   313,  2611,  5348,  5349,   486,   425,   543,  1560,  2611,
     546,   543,   425,   186,   546,   359,   199,   359,  2391,  5098,
     405,   486,   486,  5512,   187,  1878,   209,   425,  1878,  2810,
     373,   413,  1800,  1801,  1516,  1803,   386,   418,   420,   434,
    5098,   264,  2855,  1788,   141,   388,  4286,   220,  1530,  5820,
    4290,  4291,   201,  4293,   203,   133,   342,  1539,  1540,  5183,
    1542,  2736,   159,   141,  1539,  1540,   230,  1542,  1550,  5521,
    5522,   453,  1800,  1801,   344,  1803,  1558,   226,   360,   457,
     874,   546,   546,  1558,   180,  3041,   284,  4330,   542,   510,
     337,   254,   474,   138,   545,  1563,   102,  1565,   486,   201,
    1568,   203,  1570,   484,   416,  1573,  1574,  1575,   545,  5880,
    3592,  3489,  1594,   457,   361,   457,    98,   216,  1586,   444,
     217,  2242,  4365,   110,  4374,  2290,  1608,  5067,  1610,   327,
    2943,  5481,  1600,   102,  1602,  2810,   479,  3891,   235,   243,
     228,  5912,    87,  1625,  5915,    22,  1628,   356,   498,   431,
     182,   372,  4026,  2966,  2967,  2968,  2969,  1639,   546,   542,
     324,   240,  5512,   182,   327,  2978,   190,   337,  2843,   331,
    1607,   529,   530,   531,   357,   533,   534,   535,   536,   537,
     538,   159,   311,   332,   382,   314,  1668,   452,   337,   412,
     191,   361,   271,  1560,    71,   201,   182,   301,    70,   298,
     187,  2876,   147,   332,  2795,  2796,    78,    79,  2799,   187,
     298,   394,  2653,  2334,  1696,  1697,  1698,   390,  1700,   496,
    5160,   253,   318,   301,   206,   327,     5,   452,   451,   452,
    1712,   276,   201,   257,   253,   337,  1742,  1743,  1720,   286,
     240,    70,   235,  5154,   465,   418,    25,  3832,   179,    78,
      79,  3918,  3919,  3920,  3921,   310,    35,  3924,  3925,  3926,
    3927,  3928,  3929,  3930,  3931,  3932,  3933,   253,  1635,  5619,
     432,  1817,  4202,   369,  1756,  3612,   373,  1759,   325,   452,
     281,   313,  1764,  1765,  1759,   192,   158,   508,  1655,  1764,
    1765,  5415,  1774,  1775,   313,   542,  4226,   316,    98,   206,
    1828,  1829,   372,   190,   104,  1742,  1743,  5431,   166,   191,
     125,  5417,   486,  3980,  3981,  2591,   307,   542,  1685,   492,
    1802,   470,  2695,   496,  1806,  1807,  2693,   313,   186,   486,
     316,   480,   505,  1700,  5786,  4438,  2695,  4440,   210,  1821,
    1846,   125,   394,  2962,  5468,  1827,  1828,  1829,  1775,   327,
    1878,  2942,   456,  1930,   458,   528,   348,  1885,   187,   138,
    1775,   348,   220,   178,  1839,  1840,  1848,   287,   542,   542,
     257,  5229,   542,  2734,  4938,   405,   356,   473,   482,  5319,
     311,   428,   479,   314,   416,   542,   502,  3426,  5328,  3770,
    1865,  1866,  3773,  2686,   178,   465,  1878,   416,  3017,   281,
     465,  3286,  5752,  1885,   533,   534,   206,  1889,   356,  1846,
     410,   463,  1827,   356,  1896,   463,   189,  3308,  5329,  2606,
     230,   412,  4665,   415,  1906,   249,   205,  1909,  5335,   545,
     416,  1913,   304,  1800,  1801,   398,  1803,   484,   508,  5629,
     187,   357,    70,    71,   542,   425,    74,    75,    76,    77,
      78,    79,    80,    81,   418,   485,  2996,    85,   273,  1775,
    1935,  3346,   425,   370,   455,  1947,   466,   463,  3318,  1896,
    1945,   486,   472,  1955,  5598,  5825,  2805,   425,   394,  1906,
     290,  1896,   425,   531,   201,   357,   203,     7,   452,   273,
    5054,   482,  5056,  4841,   161,   268,  5225,   276,   327,    19,
      20,   325,  2048,   332,   523,   149,   545,   546,  1990,   425,
     325,  1827,  1828,  1829,   505,   159,   507,  1775,    38,  2003,
    1947,    41,  5628,   542,  2008,   546,  4860,   542,   492,   357,
    4878,  2013,   390,   357,   167,   531,   203,   523,  2814,  2014,
    3399,   325,  2017,  2018,   531,  2874,  2822,  4002,   544,  2825,
    4005,   542,   325,   540,   327,   542,   543,   544,   545,   187,
     418,  2733,  1878,   357,  3005,  4805,   394,  4807,  4808,  1885,
     394,  4811,  4675,  4676,  3193,   505,    71,   410,   542,   234,
    1896,   505,   201,   455,   203,   457,  3205,   545,  2072,  4832,
      85,  2073,  2076,    70,   452,  2198,  3005,   425,  2201,   414,
     394,    78,    79,  4119,   228,  5463,   239,   226,   355,   233,
    5734,   266,  2094,  5524,  2206,   545,   261,  3058,  3237,    71,
     337,   545,    74,    75,    76,    77,  2101,  2109,    80,    81,
     414,   425,  2804,    85,   492,   468,  2118,   270,  1896,  2242,
    2243,   394,   162,  2125,   540,   396,  2128,   505,  2130,  3058,
     546,   279,   285,  3295,   313,  4322,  3275,   316,  5095,  5422,
    4115,  3098,   295,  4906,   548,  2518,   490,  2149,  2518,   233,
     528,   418,   425,   301,   298,  2157,    74,    75,    76,    77,
     244,   158,   202,    81,   542,   346,   228,  2169,   321,  3389,
    5814,  4173,   381,  2364,   451,    87,   357,   261,  2125,  5136,
     505,  2873,   546,  2185,  2294,   452,   327,   149,   327,   342,
    2125,   332,  3751,   332,   542,   339,  2198,   159,   337,  2201,
     409,  4595,  3761,  2205,   116,   357,  4600,  3475,   485,  2211,
    4611,  2334,  4606,   394,   211,  2217,    74,    75,    76,    77,
     545,  2293,   239,    81,  3306,   492,   286,  2229,    40,   394,
    5874,  3960,  3500,   398,   505,   147,   298,   416,   505,   380,
    2242,  2243,   394,  2245,  2246,  4165,  5374,  5678,  5376,  2363,
    3911,   404,  5380,   270,  5382,  2257,  3143,   528,   486,  5885,
     425,   528,  5511,  2265,  2266,   325,  2268,  2269,   285,   266,
    4171,  4376,  4173,  2370,   545,   542,   105,   339,   295,  3940,
    2282,  3476,  2348,  2285,  2356,  2147,  2356,  2282,  2356,  2125,
    2285,   276,  2294,  2356,  4151,   127,  5059,   408,  5426,   119,
     129,   386,  2356,  5066,    84,  3101,   111,    87,  3873,  2171,
    3249,    91,    92,    93,   146,  2303,   497,  2305,    16,   403,
     140,  2309,   382,  2311,  3137,   130,  2314,   375,   160,   440,
    2318,   470,  2334,   486,   419,    74,    75,    76,    77,   238,
     505,   480,    81,    74,    75,    76,    77,  2125,  3309,  4206,
      81,    74,    75,    76,    77,  3550,  3249,   336,    81,  4088,
     332,  4397,   261,   528,  3697,  4697,   363,   452,   428,  2371,
    2372,  4703,    80,  3743,   179,  2377,  2378,    85,  3085,  5139,
     212,  2383,  2384,  2385,  2386,   533,   534,   404,  2390,  4364,
    2392,  2393,  2394,  2395,  2396,  2397,    89,  2399,  2536,  2401,
    2402,   468,   507,  2405,  3810,  3811,  2293,   540,  4638,   158,
    2520,   544,   386,   498,   332,   357,  3704,  2419,  2420,  2421,
    2422,  2423,  2424,   528,   484,   357,  2428,   228,   507,   243,
    2432,   415,   233,  2435,  5865,  3328,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,   419,  2448,   243,   390,   528,
     199,   342,   394,   399,  2456,   216,   347,  2459,   263,  3416,
     209,  1775,   394,   542,  2655,   498,  2657,   228,   189,  2356,
    2518,   167,   233,   166,   332,   505,    34,  2424,   452,   425,
     477,   233,  3443,   425,   238,   288,   357,   301,   485,  2424,
     545,   488,    70,   425,   549,   188,   310,   298,   528,  4382,
      78,    79,  4400,   255,   357,   301,   311,   261,  2562,   314,
     312,  4905,   233,  3309,  3443,  2653,  2518,   278,  2520,   100,
     325,  2523,    84,   394,   498,  2573,   382,  2575,   542,    91,
      92,    93,  3413,  3414,  2646,  5784,   505,   298,   339,   395,
     121,   394,  2429,   239,   505,   398,   233,   268,  2003,   288,
     399,   356,  5175,  2008,   425,   468,   338,  4116,  4117,   528,
     342,   533,   534,  2686,   344,   421,  1306,   528,   255,   125,
    2693,  2573,   425,  2575,   270,   545,   425,   179,   339,   549,
     233,  5830,  1896,  1323,   545,   468,  1326,   348,  2424,   285,
     386,  5675,    84,  2595,   399,    87,  2591,  4002,   396,   295,
    4005,   332,   255,  4578,   325,   415,   327,  4582,   357,   332,
     310,  2613,   168,  2615,   419,  2617,  2611,  2072,  2613,   541,
    2615,  2076,  2624,   545,   116,   321,  2628,  2629,   310,   540,
     159,   123,   234,  2635,   439,   163,   547,   193,  2640,  2641,
    2706,   390,   456,  2645,   458,   394,  2424,   264,  5098,  2606,
     507,  2653,   537,    84,   210,   147,   505,   542,   214,   544,
     456,   540,   458,   542,   266,   544,   138,   139,   482,  2671,
    3730,   528,  2674,   541,   547,  2562,   425,   545,   234,   528,
    5929,   237,  2518,    71,  2686,   542,   482,  3568,  2690,  2801,
     456,  2693,   458,  2640,   312,   251,   545,   546,   255,   537,
    2702,  3582,   498,   155,   542,  2640,   544,  4709,   404,   311,
    4115,   468,   314,  2715,   243,   543,   415,   478,   546,    70,
      71,  4100,   214,  2403,   498,  2727,  2406,    78,    79,  2795,
    2796,  2733,  2734,  2799,    85,   264,   129,  2573,   543,  2575,
    2742,   418,   111,   408,   409,  3706,  3857,  3708,   288,   529,
     530,   531,   542,   533,   534,   535,   536,   537,   538,  4050,
     548,   130,  2764,  2765,   256,    85,  2768,  4954,  5218,   261,
     408,   409,   301,  4693,  3913,   452,   332,  3706,   543,  3708,
    2727,   546,   344,   542,   340,   544,   307,  2789,   342,  2791,
    3204,   141,  3206,  3207,   542,  2797,   543,   147,   545,   412,
    2802,  3694,  2804,  2805,  2640,   297,  2808,  3700,  3947,   159,
     179,  2125,   545,   546,   543,   492,   545,  2764,   347,  2814,
     540,  2768,   542,   545,   380,  3786,  2828,  2822,   505,  2764,
    2825,  2833,   543,  2768,   545,  2837,   129,   187,  2840,   189,
    3721,   498,  3723,  2948,  2791,   535,   536,   537,  2850,    89,
      90,   528,   344,  3992,   525,  2802,  2791,  3786,  4020,  4021,
    4022,  2863,  2640,    89,    90,   542,  5629,  4596,   543,   496,
     545,  2873,  2874,   242,   307,   119,  2942,   307,   307,   533,
     534,   535,   536,   537,  4172,   284,   505,   541,   507,  3846,
     345,   412,   242,  2840,   263,   542,   544,   544,  3694,  4017,
    4629,   543,   345,   545,  3700,  2840,   543,   342,   545,   533,
     534,   535,   536,   537,   463,   233,  2918,  2919,   268,   543,
     543,   342,   545,  4143,   525,   345,  2928,   456,  2764,   458,
     119,   525,  2768,  2935,   455,   543,   535,   545,   430,   468,
      70,   284,   311,  2945,  3193,   314,   237,   545,    78,    79,
     479,   543,   543,   482,   545,  2791,   325,   542,   129,  4364,
    2962,   482,   505,   543,   507,   545,   355,   529,   530,   531,
     543,   533,   534,   535,   536,   537,   538,   327,   238,   412,
    2982,  2928,   332,   412,   505,   546,   507,   356,  3237,   542,
    2768,  3872,   276,  2928,    74,    75,    76,    77,   543,  3001,
     545,    81,   280,  3005,  2840,   543,   548,   545,  4296,   548,
     543,  4279,   545,  2791,  3137,  3017,   543,   543,   545,   545,
    3143,   542,   455,   373,  4999,   455,   455,   535,   158,   418,
     399,  5006,   212,   543,   526,   545,  5011,   463,   388,  5014,
     463,   533,   534,   535,   536,   537,   538,   463,   463,   482,
     419,   542,   482,   482,  1807,   543,  3058,   545,  5245,   463,
     111,  5455,  2840,   452,   129,   276,  3280,  3281,  3282,   282,
     439,  5046,   505,   463,   507,   505,   505,   507,   507,   543,
     210,   545,   328,   329,   542,  5060,  3882,    74,    75,    76,
      77,  4530,  2928,   544,    81,    74,    75,    76,    77,   509,
     542,  3350,    81,   492,   542,  3107,  3101,   394,   261,   542,
    2424,   221,   542,   542,   542,   221,   505,    74,    75,    76,
      77,  3123,   544,  3125,    81,    70,   342,   261,  3085,   479,
     543,  3133,   545,    78,    79,  3137,   394,   342,  3140,   528,
     111,  3143,    74,    75,    76,    77,   543,   221,   545,    81,
    2928,  3153,     2,   542,    99,    74,    75,    76,    77,   130,
     261,  3163,    81,  3286,   342,   543,  3168,   545,   543,   543,
     545,   545,   418,  4578,   304,    84,   221,  4582,    87,   543,
     233,   545,    91,    92,    93,   456,   456,   458,   458,  3191,
    3192,  3193,   394,   221,  3196,   543,   101,   545,   543,   108,
     545,   296,  3204,  3205,  3206,  3207,   452,   116,   179,   543,
    3212,   545,   189,   158,   123,  3217,  3218,   543,  3220,   545,
    3222,   546,   543,  3346,   545,   486,   543,   357,   545,   342,
      84,  3233,  3234,    87,   543,  3237,   545,   312,   147,    89,
     543,  5216,   545,   543,   149,   545,   492,   336,   543,  3251,
     545,  3253,  3324,  3255,  3324,   543,  3324,   545,   543,   505,
     545,  3324,   116,   542,   394,  3212,   211,   468,   398,   123,
    3324,  3218,   505,  3275,   507,   498,   181,  3212,   543,   415,
     545,   329,   528,  3218,  3286,   233,  3288,  3289,  3290,   288,
     543,  4850,   263,   147,   542,   425,   542,  5484,   543,   204,
     545,   543,   152,   545,   307,  5280,  3193,  3309,   158,  4202,
     215,  3313,   141,   543,  3309,   545,   261,  5200,   543,   327,
     545,   266,   543,  3325,   545,   455,  2640,   457,  3330,   543,
     235,   545,   111,  4226,  3336,   240,   186,   543,   327,   545,
     311,   509,   542,   314,  3346,   342,   543,   256,   545,   543,
    3237,   545,   261,   543,   325,   545,   233,   543,  1051,   545,
    1053,   543,  1055,   545,   543,   327,   545,  3254,  1061,   543,
     418,   545,   119,   282,   283,   505,  3212,   543,  4517,   545,
     119,   327,  3218,  3270,   289,   356,  3388,   473,   297,  3391,
     327,  3393,  1085,  1086,   158,   543,  3398,   545,   543,  3286,
     545,   543,   256,   545,   452,   310,  4202,   261,   543,   412,
     545,  3413,  3414,  4583,   543,  4585,   545,  3419,   363,   357,
     543,   330,   545,   543,   543,   545,   545,   543,   399,   545,
    4226,   543,   498,   545,  3212,   344,   307,  3324,  3440,   498,
    3218,  3443,   155,   297,   492,  3447,   233,  5422,   419,   543,
    2764,   545,   455,   543,  2768,   545,   543,   505,   545,  3346,
     405,   376,  3464,  3350,   547,   221,  4347,  4348,   439,   221,
     543,   376,   545,   543,   379,   545,   543,  2791,   545,   482,
     528,   543,   543,   545,   545,   221,   543,  3489,   545,   495,
     344,  4448,  4449,  4450,   542,   543,   369,   543,   546,   545,
     405,   543,   505,   545,   507,   450,  5481,   412,   543,   543,
     545,   545,   221,   543,   419,   545,   542,   542,   307,  1212,
     542,   430,  3524,  3525,  3526,   543,  2840,   545,  4624,   543,
     110,   545,   477,  1226,  1227,   542,   221,  5512,  1231,   542,
     485,   412,   447,   488,   509,   221,  3548,   452,   221,   543,
     455,   545,   543,   543,   545,   545,  3558,   545,  3560,   307,
     543,   543,   545,   545,   221,   543,  3568,   545,   473,   543,
     543,   545,   545,   543,   221,   545,   430,  3524,  3525,  3526,
    3582,  1178,   221,  1180,   455,   233,  1279,   221,   221,  3524,
    3525,  3526,   221,   498,  4999,    84,   221,   221,    87,   342,
     452,  5006,    91,    92,    93,   111,  5011,   542,   296,  5014,
     233,   482,   233,   342,  2928,   542,   542,   526,   542,   233,
     529,   530,   531,   412,   533,   534,   535,   536,   537,   538,
     542,   542,   542,   353,   505,   542,   507,   280,   542,  3641,
    2393,  5046,   307,  3988,  5619,   542,   542,   542,  2401,   307,
     542,   542,   542,   542,   542,  5060,  4452,   542,   542,  3661,
     542,   542,   542,   542,   412,  5852,   455,  3669,     2,   506,
    5857,   542,   526,   542,   542,   542,   542,  4616,  3800,   533,
     534,   535,   536,   537,   538,  3797,   542,   542,  3524,  3525,
    3526,  3693,  3694,   482,   545,   111,   545,  3699,  3700,  3694,
     170,   280,   296,   111,  3706,  3700,  3708,   455,   282,   233,
     233,  3765,   339,   425,   535,  5717,   505,   337,   507,  3721,
     276,  3723,  3776,  4616,   416,  4864,   316,   545,   186,  3731,
     485,   545,   531,    14,   482,   545,   542,  3986,   542,   542,
     463,   463,   412,  3745,   463,   463,  3800,   412,   497,   412,
     544,   216,  3699,   542,   412,   463,  4005,   505,   463,   507,
     412,   298,   463,   228,  3699,   463,   531,  3769,   233,   463,
     159,   412,   261,  4833,   221,   342,   342,  5752,   293,   417,
    3994,  3995,  3996,  3997,  3786,  3787,   463,   332,   463,   463,
     455,  3857,   485,   282,   542,   455,   342,   455,  3745,   342,
    3802,   408,   337,   254,   542,   542,   159,   463,   463,  4690,
    3745,  5216,   545,   278,   221,   357,   261,   482,  4775,  4776,
     486,  4778,   672,   463,   482,   486,   452,   463,   463,   181,
    3832,   463,   166,   298,  5371,   452,   129,   129,   318,   346,
     505,   463,   507,  3800,   463,   463,   379,   505,  3850,   507,
    5825,   463,   463,   463,   188,   344,   455,   463,   412,  5021,
    5148,   463,   463,  3699,   361,  1558,  5028,   361,   463,   118,
    3872,   463,   118,  3875,   339,  5280,   463,   542,  3765,  4002,
     412,   545,  4005,   348,   542,  4766,  5362,  3882,  5364,  3776,
     463,  3893,   463,   342,  3896,   282,   282,   282,  3212,  5040,
    3902,   509,   282,   342,  3218,  4701,  3908,   342,  3910,  3745,
     342,  3913,   282,  3800,   282,  3917,  3918,  3919,  3920,  3921,
     282,  3699,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  3931,
    3932,  3933,   463,   505,   473,  3937,  3938,   542,   111,   221,
    3942,   100,   342,   221,   327,  3947,   187,   505,   486,  3951,
     221,  3953,   221,  3955,   221,   304,   497,   111,   342,   337,
     327,  3963,   327,   327,  3966,   131,  3968,  3745,   233,   111,
     288,   414,   542,   542,  3976,  3977,   544,  4858,  3980,  3981,
     110,   540,   461,  3985,  3986,   461,   463,   540,   463,   221,
    3992,   221,  4115,   486,   221,   486,   221,   221,    14,   165,
    4002,   545,   463,  4005,   336,   331,  3953,   238,   542,   501,
     318,  5570,  5571,   478,   318,    87,  4018,  5422,  3953,   545,
     461,   542,  4024,  4025,  4026,  5562,   542,   463,   247,   195,
     229,   238,   545,   531,   465,   545,   547,   254,   543,  5173,
     529,   530,   531,   254,   533,   534,   535,   536,   537,   538,
     278,   428,   542,   286,   343,   111,   486,  4430,   224,   545,
    4430,   545,   543,    34,    10,   543,  1759,   350,   129,  4071,
     543,  1764,  1765,   412,   924,   540,  5481,   486,   543,   544,
     542,   286,   286,   312,   332,  4087,   542,   332,   463,   463,
     463,   415,   258,   498,  4232,   233,   468,   288,   332,  3986,
     223,  4103,   342,  5265,   119,   434,   327,  5512,   223,   296,
     296,  5250,   296,  4115,   408,  4002,   463,  3953,  4005,   455,
     340,   545,  5061,   255,   342,    70,   342,   293,   394,    74,
      75,    76,    77,    78,    79,   422,    81,   987,   988,   382,
     463,   463,   111,   282,  4146,   486,   486,   288,   340,   531,
    5709,   264,  5291,   221,   337,  1848,   378,   233,   111,   337,
     531,   327,   453,   498,   235,   379,   542,   422,  5061,   221,
    5109,   221,   221,   542,   220,  3953,   337,   505,   327,   111,
    1030,    84,   327,   288,    87,   342,   342,   252,   536,   252,
     233,   357,   358,   111,  4196,   540,   316,   543,   525,  4201,
    4202,  4203,   288,   233,   525,  5098,    84,  4202,   342,    87,
    3524,  3525,  3526,   116,  5619,   545,  5109,   261,  5099,   422,
     123,  5108,   261,  4225,  4226,   261,   543,   543,   394,   543,
    5109,  4226,   398,   543,   545,   509,   402,   182,   116,  1089,
    4242,  4364,  1935,   409,   147,   123,   545,    99,   245,  4196,
     463,   417,  1945,   238,  4201,  4257,  4203,   542,  4260,   425,
     315,  4196,   342,  5150,  5801,   545,  4201,   505,  4203,   147,
     129,   437,   468,  1123,   336,   452,   288,   238,  4225,   445,
     543,  5582,   543,  1133,   543,   543,   498,  1137,  1138,  1139,
    4225,   543,   543,   543,   353,  4242,   543,   238,   542,   463,
     502,   352,  5098,   545,   543,   362,   543,  4242,   253,  4304,
    4305,   214,   484,   306,   502,   525,  5273,   543,   492,   542,
    4322,  2014,   342,   531,  2017,  2018,   129,  5284,   543,   342,
     527,   345,   342,   542,   500,   264,   214,   531,  4392,  5478,
      84,   542,   542,    87,   542,  4347,  4348,  5752,   221,  4351,
     272,   546,   545,   256,   543,  4357,  5495,   542,   261,   463,
    4196,  5500,  4364,  5502,   545,  4201,   542,  4203,   313,   509,
     463,   316,   116,   543,  4376,   463,  1226,  1227,   256,   123,
     332,  1231,  4430,   261,   463,  3699,   221,   327,   346,  4225,
     417,   221,   221,  4447,   297,   417,   417,   296,  4400,  4401,
    4402,   264,   223,   147,   531,   463,  4242,   298,  2101,  5366,
    5371,   486,   545,   363,   363,   463,   483,   233,   463,   297,
    5825,   463,   463,  4201,   308,  4203,   308,   308,  4430,   463,
     463,  3745,   412,   412,   463,   463,   412,   463,  3191,  3192,
     463,   344,   412,  3196,   342,   463,   221,  4225,   327,   118,
     425,   282,   463,  4455,   463,  4578,   463,  4452,   282,  4582,
     282,  4652,   282,  5523,  4242,   249,   344,   545,   473,   543,
     214,   416,   233,   543,  4476,   119,   396,  4364,   180,   543,
    3233,  3234,   233,   543,   340,  4487,   111,   342,   221,   542,
     463,   545,   221,   233,   249,   542,   486,   486,   233,   412,
     412,   541,   412,   345,   219,  4392,   422,   545,   219,   282,
     282,   282,   256,   282,   282,  4517,   282,   261,   212,   238,
      87,   540,   238,   233,   502,  4527,  4528,   430,  4530,   497,
     353,   348,  4534,  4535,   542,  5492,   528,  4539,  4540,   545,
     543,   543,  4544,   543,   543,  4547,  4548,   543,   238,   247,
    4552,   545,   430,   297,   542,   343,  4558,   543,   545,   542,
    4447,   545,   543,   401,   531,   491,   543,  4705,  4570,   541,
     157,   531,  4626,  4627,   233,  5371,  4578,   542,   523,    84,
    4582,  5520,    87,   473,   111,   486,    91,    92,    93,   486,
     272,   288,   463,  4595,  4430,   129,   242,   455,  4600,   221,
     344,  5562,   417,   108,  4606,   542,   473,   412,   412,   463,
     463,   394,   463,   463,   463,   543,  4611,   505,   543,   543,
     129,   542,  4624,   526,   492,   233,   223,  5520,   455,   147,
     533,   534,   535,   536,   537,   538,  4638,   221,   180,  3953,
     473,   543,   282,  4638,   282,   282,   282,   542,   526,   377,
     267,   286,   463,  4655,   342,   533,   534,   535,   536,   537,
     538,   509,   542,   389,   153,   361,   455,   543,   545,   463,
     545,  4673,   542,   545,   473,    84,   545,    89,   542,   422,
    1530,   543,   244,   180,   541,   238,   430,   282,  4690,  1539,
    1540,  4578,  1542,  4695,   238,  4582,  1030,   543,   542,   129,
     543,   387,   503,   503,   543,   545,  4701,   543,  1558,  4711,
     353,   543,  4835,   285,   542,   285,   542,  1051,   351,  1053,
     454,  1055,   349,   542,   129,  4727,   250,  1061,  1062,  1063,
    4732,   543,   337,   543,   543,   531,   473,  4739,   463,  4626,
    4627,   505,   238,   147,   266,   255,   332,   332,  4695,   531,
     129,  1085,  1086,  4755,  1604,   455,   463,   141,   545,   545,
    4695,   221,   463,   282,  4766,   542,   240,   238,   463,   187,
     111,   261,   486,   337,   422,   542,   111,   282,  1628,   235,
     486,   233,   526,   422,   505,   337,   129,   505,   111,   533,
     534,   535,   536,   537,   538,  4797,   238,   342,   233,   269,
     542,  5688,   543,    84,   345,   280,    87,   238,   387,   438,
     542,   542,   491,    84,   361,   542,    87,   285,   542,  4821,
      91,    92,    93,   543,   504,   159,   543,   202,   342,   542,
     388,   543,   463,  4835,   543,   116,   111,   108,   221,   344,
    5801,   233,   123,  2536,   463,   194,   111,   332,   254,   542,
     542,   542,  1702,   542,   309,   542,  4858,   264,   542,  4695,
     377,  1711,  4864,   422,   542,   180,   147,   543,   207,   501,
     111,  5758,  5759,   543,   346,  1725,  4999,   409,  1212,   409,
     473,   436,  4196,  5006,   531,   436,   543,  4201,  5011,  4203,
     129,  5014,  5015,   129,   111,   150,   545,  1231,  2591,   491,
     542,   542,  2595,  4905,   254,  4907,  1756,   455,   542,  1759,
    1760,  4225,   486,   543,  1764,  1765,   542,   233,  2611,   543,
     455,   542,   325,  5046,   542,   342,   455,   543,  4242,    81,
     227,   509,   542,   214,   220,   542,  4938,  5060,   141,   141,
     202,   490,   505,   345,   505,  1279,    84,   387,   491,   545,
     111,   542,  4954,   542,   238,   455,  4958,   385,   425,   332,
    2653,  4963,   502,   207,   266,    84,   342,   542,    87,   422,
     342,   111,    91,    92,    93,   256,   111,   377,  4980,  4981,
     261,   345,  4984,   345,   240,  5108,   542,   240,   545,   108,
     129,   192,   408,   543,   463,    81,   542,  4999,  1848,   422,
     484,   349,   395,   542,  5006,   543,   543,   408,    97,  5011,
     108,   282,  5014,  5015,   542,   332,   297,   542,   463,   545,
    5022,  5023,   545,   220,   529,   530,   531,  5150,   533,   534,
     535,   536,   537,   538,   542,   150,   542,  5032,   238,   377,
     436,   436,  5291,   505,  5046,   240,  5048,   505,   240,   385,
    2946,  5039,  5054,    98,  5056,  5942,  5943,  3309,  5060,   104,
    2075,  1315,  1765,   344,  2843,  2777,  3500,  4201,  4175,  1275,
    5699,  5868,   117,   344,  2868,  3690,  4298,  5384,  1314,  5560,
    5801,  4345,  5200,  5172,  4823,  3090,  3420,  5682,  5060,  5790,
    5590,  5589,  5719,  5216,  5825,  3424,  5098,  5099,  4393,  4378,
     145,  5529,  4336,  5098,  2931,  2931,  5108,  4196,  3525,  3741,
    4361,  3753,  5179,  5187,  4859,  5803,  2925,  5941,  5926,  5006,
    5165,  2814,  3699,  5177,  5011,  5732,  5111,  5014,  2138,  2822,
    3693,  1311,  2825,  5346,  5538,  5114,   188,  4455,  1595,  5315,
    1611,  3398,  5144,  2629,  4400,  5455,  2198,   988,  5150,   430,
    1385,  2253,   197,  2360,   199,  1020,  2359,  5280,  3644,  5213,
    2359,   206,  4225,   282,   209,  3918,  3919,  3920,  3921,  3745,
    4242,  3924,  3925,  3926,  3927,  3928,  3929,  3930,  3931,  3932,
    3933,  2031,  5757,  5917,  2520,  1913,  2521,  2037,  4380,   234,
    1153,  2294,  5674,  5042,  4628,  4085,  1553,  5144,  3951,  3073,
    1736,  5203,  3325,  1792,  2560,  1539,  1540,  1810,  1542,  5144,
    3336,  1809,  3331,  4029,  5216,  5666,  5218,  5504,  4609,  2559,
    4567,   266,  4005,  4584,  1558,   344,  1812,  3980,  3981,  5281,
    4002,  5481,  1817,  5480,  4086,  5921,  4002,  5774,  5855,  5656,
    5248,  3955,  5030,  5245,  5246,   526,  5248,  5669,  5250,  5670,
    5649,  3254,   533,   534,   535,   536,   537,   538,   529,   530,
     531,  2453,   533,   534,   535,   536,   537,   538,  5270,  3164,
    3313,  3252,  2456,   672,  5276,  3797,  1439,  5400,  5280,  3006,
     325,  2595,   327,  5640,  5286,   394,  2192,  1032,  2570,  5291,
    5177,  1229,   337,  1823,  1249,  1607,  1229,  2603,  2611,  5422,
    1829,   346,  2152,  3303,  4610,  2604,  2156,  4093,  5144,  4056,
    4092,  1739,   357,  1827,   427,  3086,     2,  2615,  2323,    -1,
      -1,    -1,    -1,    -1,    -1,  1064,  5213,    -1,    -1,    -1,
      -1,    -1,    -1,  5335,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5343,    -1,    -1,    -1,    -1,  5348,  5349,    -1,   394,
      -1,  5353,   397,   398,    -1,    -1,    -1,  1539,  5481,    -1,
      -1,    -1,    -1,  5358,  5359,    -1,  5144,    -1,    -1,  5371,
      -1,    -1,    -1,    -1,    -1,    -1,  5371,    -1,  5432,    -1,
     425,  4695,    -1,    -1,    -1,    -1,    -1,    -1,  5335,  5512,
      -1,    -1,    -1,  5280,    -1,    -1,    -1,    -1,  5400,    -1,
    5335,    -1,    -1,    -1,  5291,    -1,    -1,    -1,  3101,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
    5422,    -1,    -1,    -1,    -1,  1759,    -1,    -1,    -1,    -1,
    1764,  1765,  2282,    -1,    -1,  2285,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    84,   489,    -1,    -1,    -1,    89,    -1,
      -1,    -1,    -1,  5455,  5456,  5509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,  5466,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,   116,  5478,    -1,    -1,  5481,
     892,    -1,  5484,    -1,    -1,    -1,    -1,   108,   900,    -1,
      -1,    -1,    -1,  5495,    -1,    -1,  5619,    -1,  5500,  5335,
    5502,   913,  5504,  1837,    -1,  1839,  1840,    -1,    -1,    -1,
    5512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,  1858,    -1,    -1,    -1,  5530,    -1,
     942,  1865,  1866,  2383,    -1,  5422,   948,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5432,    -1,    -1,    -1,   961,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5560,    -1,
    5562,    -1,    -1,    -1,    -1,  5688,    -1,    -1,    -1,  4322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5832,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5611,
      -1,  1945,    -1,  5560,    -1,  5738,  3309,  5619,    84,    -1,
      -1,    87,  5509,    -1,    -1,  5560,    -1,    -1,    -1,  5752,
      -1,    -1,    -1,    -1,    84,  5758,  5759,    87,    -1,    -1,
    2490,    91,    92,    93,    -1,    -1,  5648,  5649,    -1,    -1,
     116,    -1,    -1,    -1,  5656,  5657,    -1,   123,  5660,    -1,
      -1,   282,    -1,    -1,  5666,    -1,   998,    -1,    -1,    -1,
      -1,    -1,    -1,  5675,    -1,    -1,    -1,    -1,    -1,  5733,
    2014,   147,    -1,  2017,  2018,  5757,  5688,  5757,    -1,  5757,
    1022,    -1,    -1,    -1,  5757,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5825,  5757,  5699,    -1,  5701,    -1,    -1,   131,
    5657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5657,   344,  5560,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5738,    -1,    -1,    -1,
      -1,  5743,    -1,   165,    -1,  2595,    -1,    -1,   214,    -1,
    5752,    -1,   393,    -1,    -1,    -1,  5758,  5759,    -1,  5761,
    5832,  2611,  5832,  2613,  5832,  2615,    -1,  2101,  5770,  5832,
      -1,    -1,    84,    -1,  5776,    87,    -1,    -1,  5832,    91,
      92,    93,  5560,    -1,    -1,  5787,    -1,   428,    -1,    -1,
     256,    -1,    -1,    -1,    -1,   261,   108,    -1,    -1,  5801,
      -1,  5924,   224,  2653,   116,    -1,    -1,    -1,    -1,    -1,
      -1,   123,    -1,    96,  1226,  1227,    -1,  4570,   101,  5942,
    5943,  5657,    -1,  5825,    -1,    -1,    -1,    -1,    -1,    -1,
    5144,   297,   282,    -1,    -1,   147,   258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5917,  5733,  5917,    -1,  5917,
    5852,    -1,   135,  5855,  5917,  5857,  2190,    -1,    -1,    -1,
      -1,    -1,    -1,  5917,    -1,   148,    -1,    -1,    -1,    -1,
    5757,   293,  2722,  5868,    -1,  5877,    -1,    -1,   344,  5657,
     163,  2215,  5877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2225,  5894,  2227,   344,    -1,    -1,    -1,  5900,  2233,
      -1,    -1,    -1,  2237,    -1,   327,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,   204,  5924,    -1,  5926,    -1,    -1,    -1,    -1,    -1,
    5877,  5926,   215,    -1,    -1,    -1,   358,    -1,    -1,  5941,
    5942,  5943,  5877,    -1,   256,  5832,  5941,    -1,  2282,   261,
      -1,  2285,   235,    -1,    -1,    -1,    -1,   240,    -1,    -1,
      -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,    -1,    -1,    -1,   398,    -1,   400,  5926,
     402,    -1,    -1,    -1,    -1,   297,    -1,   409,    -1,    -1,
      -1,  5926,    -1,    -1,  5941,   417,    -1,    -1,    -1,    -1,
      -1,  3694,    -1,   425,    -1,    -1,  5941,  3700,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   437,  2866,  1349,   330,    -1,
      -1,  5335,    -1,   445,    -1,    -1,    -1,   310,    -1,    -1,
    5917,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,  2889,
    1372,  5877,  2892,    -1,  2894,    -1,  2380,  2381,  2898,    -1,
      -1,    -1,    -1,  2387,  2388,  1387,    -1,  2907,  2908,  2909,
     526,   344,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,    -1,   500,   529,
     530,   531,  2416,   533,   534,   535,   536,   537,   538,    -1,
    5926,    -1,    -1,   376,    -1,    -1,    -1,    -1,    -1,  5877,
      84,    -1,    -1,    87,    -1,  5941,    -1,    91,    92,    93,
      -1,    70,    -1,    -1,    -1,  2965,    -1,    -1,   430,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,   111,    87,   412,
      -1,    -1,    91,    92,    93,    -1,   419,    -1,  2472,   422,
      -1,    -1,    -1,    -1,  1476,    -1,    -1,  2997,  5926,   108,
      -1,    -1,   111,    -1,    -1,  3005,    -1,   116,    -1,    -1,
      -1,    -1,    -1,  5941,   123,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,
      -1,  3031,    -1,   466,    -1,    -1,    -1,    -1,   147,  3882,
     473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4954,  2536,    -1,    -1,    -1,    -1,    -1,  3058,    -1,
    4963,    -1,    -1,    -1,   526,   498,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,   543,    -1,   874,    -1,    -1,    -1,   878,    -1,    -1,
      -1,    -1,    -1,    -1,  1454,    -1,  5560,    -1,    -1,    -1,
     891,   892,    -1,    -1,    -1,    -1,    -1,  2591,    -1,   900,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1481,   913,    -1,    -1,    -1,  1608,  2611,    -1,  2613,
      -1,  2615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1504,    -1,    -1,   256,   282,    -1,
      -1,   942,   261,     3,  1514,    -1,    -1,   948,    -1,     9,
    1520,    -1,    -1,    13,    -1,    15,  1526,    17,    18,  2653,
     961,    -1,  1532,   282,   283,  1535,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,    -1,    -1,  5657,    44,    45,   987,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,  1002,  1003,    -1,    -1,    -1,    -1,    -1,    -1,  1010,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,    -1,  1023,    -1,    -1,   344,    -1,    -1,   347,    -1,
      -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,  1039,   130,
      -1,    -1,    -1,    -1,   104,    -1,   106,   107,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,  1759,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1848,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,   145,    -1,    -1,   179,   180,
      -1,   151,    -1,   153,    -1,    -1,   187,    -1,    -1,  3309,
      -1,    -1,    -1,    -1,   164,    -1,   166,    -1,    -1,    -1,
      -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2814,   181,    -1,   183,    -1,    -1,   186,    -1,  2822,    -1,
      -1,  2825,  5245,    -1,    -1,    -1,    -1,  1138,    -1,    -1,
     200,    -1,   202,    -1,    -1,    -1,   206,    -1,    -1,  4202,
      -1,   242,   212,    -1,    -1,    -1,    -1,  5270,  1159,    -1,
     220,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,   263,  4226,    -1,    -1,    -1,    -1,    -1,  4232,
      -1,    -1,    -1,    -1,   244,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,  1889,    -1,    -1,
     260,    -1,    -1,  5877,    -1,    -1,    -1,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
     311,    84,    -1,   314,    87,  1226,  1227,    -1,    91,    92,
      93,    -1,    -1,  3443,   325,    -1,   327,    -1,    -1,   299,
     300,    -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,
      -1,    -1,  5926,   116,    -1,    -1,    -1,   317,    -1,    -1,
     123,    -1,    -1,  1955,    -1,   356,    -1,  5941,    -1,   329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1990,    -1,
      -1,  2073,    -1,    -1,    -1,    -1,    -1,    98,   399,    -1,
      -1,   371,    -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,
    3530,  2013,    -1,    -1,   384,    -1,   117,    -1,   419,    -1,
     390,   391,    -1,   393,    -1,    -1,  3030,  3031,   398,    -1,
      -1,    -1,    -1,   403,    -1,    -1,   406,    -1,   439,    -1,
     441,   411,  1353,   444,   145,    -1,    -1,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,    -1,   429,
    3580,  5484,    -1,    -1,    -1,    -1,    -1,  2149,    -1,   439,
      -1,    -1,    -1,    -1,    -1,  2157,    -1,    -1,    -1,    -1,
      -1,    -1,   452,   256,    -1,    -1,    -1,  2169,   261,  4452,
      -1,    -1,  2094,    -1,    -1,    -1,   197,  3101,   199,    -1,
      -1,   471,    -1,   473,    -1,   206,    -1,  2109,   209,   282,
     283,   481,    -1,    -1,    -1,    -1,  2118,   487,    -1,    -1,
      -1,    -1,   492,  3643,   297,    -1,    -1,    -1,  2130,    -1,
      -1,    -1,    -1,   234,    -1,   505,    -1,    -1,    -1,    -1,
      -1,   542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,  3674,    -1,    87,   330,   528,    -1,
      91,    92,    93,    -1,  2246,   266,  3686,    -1,    -1,    -1,
      -1,   344,   542,    98,  3694,    -1,   546,   108,    -1,   104,
    3700,    -1,    -1,  2185,    -1,   116,  3706,  2269,  3708,    -1,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2205,    -1,  1516,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2217,   147,    -1,    -1,  1530,
     145,    -1,    -1,    -1,   325,    -1,   327,  2229,    -1,    -1,
      -1,    -1,    -1,  5656,  3754,    -1,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   346,    -1,  1558,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   357,   430,    -1,    -1,
      -1,    -1,    -1,  2265,  2266,  3785,  3786,    -1,    -1,    -1,
     195,    -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,  1594,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   394,  3814,    -1,   397,   398,    -1,  1610,
    3304,    -1,    -1,  3307,    -1,  3309,    -1,    -1,    -1,   234,
      -1,    -1,    -1,    -1,  1625,    -1,    -1,  1628,    -1,    -1,
      -1,    -1,    -1,    -1,   425,   256,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4701,    -1,
      -1,   266,  4705,    -1,    -1,    -1,    -1,  5770,    -1,    -1,
      -1,   282,   283,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,   297,    -1,  2248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,    -1,
      -1,    -1,  2272,    -1,    -1,    -1,    -1,    -1,    84,   330,
     325,    87,   327,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,   337,   344,    -1,    -1,   347,  2419,    -1,    -1,
      -1,   346,   108,    -1,    -1,    -1,    -1,    -1,    -1,  5852,
     116,    -1,   357,    -1,  5857,    -1,    -1,   123,    78,    -1,
      -1,    -1,  3962,    84,    84,  1756,    87,    -1,    -1,    89,
      91,    92,    93,  1764,  1765,    -1,    -1,    -1,    -1,    -1,
      -1,   147,    -1,    -1,  1775,    -1,    -1,    -1,    -1,   394,
      -1,    -1,   397,   398,    -1,   116,   116,    -1,   111,    -1,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,   430,
     425,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    -1,    -1,  2595,    -1,    -1,  1827,  1828,  1829,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,  2617,    -1,  1848,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2635,    -1,    -1,    -1,    -1,    -1,  2641,
      -1,    -1,    -1,  2645,   489,    -1,    -1,  1878,    -1,   209,
     256,    -1,    -1,    -1,  1885,   261,    -1,   217,    -1,   219,
      -1,    -1,    -1,    -1,    -1,  1896,    -1,    -1,    -1,  2671,
      -1,   224,   232,    -1,    -1,   526,   282,   283,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      84,   297,    -1,    87,   545,   256,    -1,    91,    92,    93,
     261,    -1,  2624,    -1,    -1,   258,  2628,  2629,    -1,    -1,
      -1,    -1,    -1,  2715,   108,    -1,    -1,  2517,    -1,    -1,
      -1,    -1,   116,    -1,   330,    -1,    -1,    -1,    -1,   123,
      -1,  2733,    -1,    -1,    -1,   288,   297,    -1,   344,    -1,
     293,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4202,  2765,    -1,    -1,    -1,    -1,  2690,    -1,
    3694,    -1,    -1,    -1,   327,    -1,  3700,    -1,    -1,    -1,
    2702,    -1,    -1,   344,    -1,    -1,  4226,  2789,    -1,    -1,
      -1,    -1,    -1,  4233,    -1,  2797,  4236,    -1,  4238,    -1,
    3724,    -1,  2804,    -1,    -1,   358,  2808,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5098,    -1,    -1,    -1,    -1,
    2742,    -1,    -1,    -1,   430,    -1,  2828,    -1,    -1,    -1,
      -1,  2833,    -1,   393,    -1,  2837,    -1,    -1,  4278,    -1,
      -1,    -1,  2073,    -1,    -1,   398,  4286,    -1,  2850,   402,
    4290,  4291,    -1,  4293,    -1,    -1,   409,    -1,  4298,    -1,
      -1,  2863,   256,    -1,   417,    -1,    -1,   261,   428,   430,
      84,  2873,   425,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,  3807,   437,    -1,    -1,    -1,   282,   283,
    3814,    -1,   445,    -1,  2125,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,   297,    -1,    -1,    -1,    -1,    -1,   123,
      -1,    -1,    -1,   466,    -1,    -1,    -1,    -1,  2149,    -1,
     526,    -1,    -1,   529,   530,   531,  2157,   533,   534,   535,
     536,   537,   538,   147,    -1,    -1,   330,    -1,  2169,   545,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,
     344,   504,   505,   347,    -1,    -1,  4396,    -1,  3882,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4431,  4432,  4433,  4434,  4435,    -1,  2919,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2242,  2243,    -1,  2245,  2246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2257,    -1,  4468,  4469,
    4470,    -1,  4472,  4473,  4474,    -1,   430,  2268,  2269,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2294,    -1,    -1,    -1,    -1,   282,   283,
      -1,    -1,    -1,    -1,    -1,  5358,  5359,    -1,    -1,  3001,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,  5371,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,
      -1,    -1,    -1,  2334,   104,  3107,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,  3125,    -1,    -1,    -1,    -1,    -1,    -1,
     344,  3133,   526,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,   145,    -1,    -1,    -1,   543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4089,    -1,    -1,  4608,    -1,
      -1,  4611,  4612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2424,    -1,   195,    -1,    -1,  4638,   199,
      -1,  3123,    -1,    -1,    -1,    -1,   206,    -1,    -1,   209,
      -1,    -1,    -1,  3013,    -1,    -1,   430,    -1,  3140,    -1,
    3020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3153,    -1,    -1,   234,    -1,    -1,  3037,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3047,    -1,    -1,
      -1,  3051,    -1,    -1,  3054,    -1,    -1,    -1,    -1,    -1,
    3060,    -1,  3062,    -1,    -1,  3065,   266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4202,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4226,    -1,    -1,    -1,    -1,    -1,  4232,    -1,
      -1,    -1,   526,    -1,   874,   529,   530,   531,   878,   533,
     534,   535,   536,   537,   538,   325,    -1,   327,    -1,    -1,
      -1,    -1,   892,    -1,    -1,  3135,    -1,   337,    -1,    -1,
     900,    -1,  2573,    -1,  2575,    -1,   346,    -1,    -1,    -1,
      -1,    -1,    -1,   913,    -1,  4795,  4796,   357,    -1,    -1,
      -1,    -1,    -1,    -1,  2595,  4805,    -1,  4807,  4808,    -1,
      -1,  4811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4304,  4305,   942,    -1,   998,    -1,  2617,    -1,   948,    -1,
      -1,    -1,    -1,    -1,   394,    -1,    -1,   397,   398,    -1,
      -1,   961,    -1,    -1,  2635,    -1,    -1,    -1,  1022,  2640,
    2641,    -1,    -1,    -1,  2645,    -1,  5699,    -1,  5701,    -1,
      -1,    -1,  2653,    -1,    -1,   425,    -1,   987,    -1,    -1,
    4870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3440,    -1,
    2671,    -1,    -1,  1003,    -1,    -1,    -1,    -1,    -1,    -1,
    1010,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,  2693,  1023,  4904,    -1,  3388,    -1,    -1,  3391,
      -1,  3393,    -1,    -1,    -1,    -1,  3398,    -1,    -1,  1039,
      -1,    -1,    -1,    -1,  2715,    -1,    -1,    -1,    -1,   489,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     145,    -1,  2733,  2734,  4944,    -1,    -1,  4431,  4432,  4433,
    4434,  4435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3447,    -1,    -1,  4452,    -1,
      -1,    -1,    -1,  2764,  2765,    -1,    -1,  2768,    -1,    -1,
      -1,    -1,  3464,    -1,    -1,    -1,  3548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   199,    -1,    -1,    -1,  2789,    -1,
    2791,   206,    84,    -1,   209,    87,  2797,  3489,    -1,    91,
      92,    93,    -1,  2804,    -1,    -1,  1136,  2808,  1138,    -1,
    1140,    -1,    -1,    -1,    -1,  5868,   108,    -1,    -1,   234,
      -1,    -1,    -1,    -1,   116,    -1,    -1,  2828,    -1,  1159,
      -1,   123,  2833,    -1,    -1,    -1,  2837,    -1,    -1,  2840,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2850,
      -1,   266,    -1,    -1,    -1,   147,    -1,    -1,    -1,  3429,
      -1,    -1,  2863,    -1,    -1,    -1,  3558,    84,  3560,    -1,
      87,    -1,  2873,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5098,  3661,
      -1,   108,    -1,    -1,    -1,    -1,  1226,  1227,    -1,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,
     325,    -1,   327,    -1,    -1,    -1,    -1,  4611,    -1,    -1,
      -1,    -1,   337,    -1,    -1,    -1,    -1,  2928,    -1,  5139,
     147,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3509,
      -1,  3511,   357,    -1,  4638,    -1,    -1,    -1,    -1,  3641,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,  1349,    -1,    -1,    -1,   261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3669,    -1,   394,
      -1,    -1,   397,   398,  1314,  1315,    -1,    -1,  1372,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3694,  1387,  3005,   297,    -1,  4701,  3700,    -1,
     425,  4705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,  4730,  4731,   330,   256,
      -1,  4735,  4736,    -1,   261,    -1,   108,    -1,    -1,    -1,
      -1,    -1,   344,    -1,   116,   347,    -1,  3058,    -1,    -1,
    3832,   123,    -1,    -1,    -1,   282,   283,    -1,    -1,    -1,
    3640,    -1,    -1,    -1,   489,    -1,  3646,  3769,  3850,    -1,
     297,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,  3787,    -1,    91,    92,    93,
      -1,    -1,    -1,  3875,    -1,    -1,  3107,    -1,    -1,    -1,
    3802,    -1,    -1,   330,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,   111,  3125,    -1,    -1,   344,    -1,   123,
     347,    -1,  3133,    -1,    -1,    -1,    -1,    -1,   430,    -1,
      -1,    -1,  3143,   131,    -1,    -1,    -1,    -1,  5358,  5359,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5371,    -1,    -1,    -1,  5375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5385,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1516,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,
    1530,    -1,    -1,    -1,  3896,    -1,    -1,    -1,    -1,    -1,
      -1,  3212,    -1,   430,    -1,    -1,    -1,  3218,    -1,    -1,
     282,   283,    -1,    -1,  1608,  3917,    -1,    -1,  1558,    -1,
      -1,    -1,    -1,    -1,   526,   297,   224,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
    3942,   543,  3822,    -1,  3824,    -1,  3826,    -1,    -1,    -1,
      -1,    -1,   256,  3833,  1594,    -1,    -1,   261,   330,    -1,
     258,    -1,    -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,
    1610,    -1,   344,    -1,  3976,   347,    -1,    -1,   282,   283,
      -1,    -1,    -1,    -1,    -1,  1625,    -1,    -1,  1628,    -1,
     288,    -1,   116,   297,  3874,   293,    -1,    -1,  3309,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,   543,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,   111,  5032,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
     344,    -1,  5562,   347,    -1,    -1,  5566,   131,  5568,    -1,
      -1,    -1,  5572,  5573,    -1,    -1,    -1,    -1,   430,    -1,
     358,    -1,    -1,    -1,  4146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   217,  5098,   219,    -1,    -1,    -1,    -1,
     398,  4103,  3413,  3414,   402,    -1,    84,    -1,   232,    87,
      -1,   409,    -1,    91,    92,    93,  1756,    -1,    -1,   417,
      -1,    -1,    -1,    -1,  1764,  1765,   430,   425,    -1,  3440,
     108,    -1,  3443,    -1,    -1,  1775,    -1,    -1,   116,   437,
     224,    -1,    -1,    -1,    -1,   123,    -1,   445,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,   466,   147,
      -1,   543,    -1,    -1,   258,  4257,    -1,    -1,  4260,  5699,
      -1,  5701,    -1,    -1,    -1,    -1,    -1,  1827,  1828,  1829,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4202,    -1,   500,    -1,   288,    -1,   504,    -1,  1848,   293,
      -1,    -1,    -1,  3524,  3525,  3526,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,  4226,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,  3548,  1878,   543,
      -1,    -1,    -1,   327,    -1,  1885,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1896,  3568,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1906,    -1,    -1,    -1,
      -1,  3582,    -1,    -1,   358,  4357,    -1,    -1,   256,    -1,
      -1,  5801,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4376,    -1,  1990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   282,   283,    -1,  1947,    -1,    -1,
      -1,    -1,    -1,    -1,   398,    -1,    -1,    -1,   402,   297,
      -1,    -1,    -1,    -1,    -1,   409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,    -1,    -1,    -1,    -1,    -1,    -1,  5868,  4351,
    3661,    -1,   330,   437,  5358,  5359,    -1,  5877,    -1,    -1,
      -1,   445,    -1,    -1,    -1,    -1,   344,  5371,    -1,   347,
      -1,    -1,    -1,  4455,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   101,   466,    -1,    -1,    -1,    -1,    -1,  3699,    -1,
      -1,    -1,    -1,    -1,    -1,  3706,    -1,  3708,  4400,    -1,
    2094,    -1,    -1,    -1,    -1,    -1,  5926,    -1,    -1,    -1,
    3721,    -1,  3723,    -1,    -1,  2109,   500,    -1,    -1,    -1,
     504,  5941,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,
      -1,    -1,    -1,  2073,  3745,    -1,  2130,    -1,    -1,    -1,
      -1,    -1,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,  5466,    -1,    -1,    -1,    -1,   187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3786,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,  2125,    -1,    -1,    -1,    -1,
      -1,  2185,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   223,    -1,    -1,    -1,    98,    -1,  2149,
      -1,  2205,    -1,   104,    -1,   235,    -1,  2157,    -1,    -1,
     240,  3832,    -1,  2217,    -1,    -1,    -1,   247,  4530,  2169,
      -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,  4540,  3850,
      -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,   526,    -1,
      -1,   529,   530,   531,   145,   533,   534,   535,   536,   537,
     538,  3872,  4442,    -1,  3875,   543,  4446,    -1,    -1,   289,
      -1,  2265,  2266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2245,  2246,    -1,   199,    -1,
      -1,    -1,    -1,    -1,    -1,   206,    -1,  2257,   209,    -1,
      -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,  2268,  2269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    98,  3953,   234,    -1,  4727,   366,   104,    -1,    -1,
      -1,    -1,    -1,    -1,  2294,    -1,   376,  4739,    -1,   379,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4673,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   405,    -1,    -1,   145,    -1,
     410,    -1,   412,    -1,    -1,  5699,    -1,  5701,    -1,   419,
      -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,  4711,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   441,    -1,    -1,    -1,  2419,    -1,   447,    -1,    -1,
    4732,   451,   452,    -1,   325,   455,   327,    -1,    -1,   459,
      -1,    -1,   199,    -1,    -1,    -1,   337,    -1,   468,   206,
     874,    -1,   209,   473,    -1,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   485,   357,    -1,   892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   900,   234,   498,    -1,
      98,    -1,    -1,    -1,  2424,    -1,   104,    -1,    -1,   913,
      -1,  4671,    -1,    -1,    -1,  4797,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   394,    -1,    -1,   397,   398,    -1,   266,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   942,    -1,
      -1,    -1,    -1,    -1,   948,    -1,    -1,   145,    -1,    -1,
      -1,    -1,  4712,  4713,   425,  4146,    -1,   961,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4938,    -1,    -1,    -1,
      -1,    -1,    -1,   987,  5868,    -1,    -1,    -1,   325,    -1,
     327,    -1,    -1,  5877,    -1,    -1,    -1,    -1,  2518,  1003,
     337,   199,    -1,    -1,    -1,  4196,  1010,    -1,   206,   346,
    4201,   209,  4203,    -1,    -1,    -1,    -1,    -1,   489,  1023,
     357,    -1,    -1,    -1,    -1,  4907,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4225,  1039,   234,    -1,  4798,  4799,
      -1,    -1,  5926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4242,    -1,  2573,    -1,  2575,    -1,  5941,    -1,    -1,
     397,   398,    -1,    -1,    -1,    -1,  4257,    -1,   266,  4260,
      -1,    -1,    -1,    -1,    -1,  2595,  4958,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,
      -1,    -1,  5054,    -1,  5056,    -1,    -1,  2617,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2635,  2690,    -1,    -1,    -1,
    2640,  2641,    -1,    -1,    -1,  2645,    -1,   325,  2702,   327,
      -1,    -1,  1136,  2653,  1138,    -1,  1140,    -1,    -1,   337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,
      -1,  2671,   489,    -1,  4914,    -1,  4347,  4348,    -1,   357,
      -1,    -1,    -1,  4923,  4924,    -1,  4357,    -1,  2742,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4937,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4376,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2715,   394,    -1,    -1,   397,
     398,    -1,    -1,    -1,    -1,    -1,    -1,  2727,    -1,    -1,
      -1,    -1,    -1,  2733,  2734,    -1,  5098,    -1,    -1,    -1,
      -1,    -1,  1226,  1227,    -1,    -1,    -1,   425,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4430,
      -1,    -1,    -1,    -1,  2764,  2765,    -1,    -1,  2768,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4455,    -1,    -1,    -1,    -1,  2789,
      -1,  2791,    -1,    -1,    -1,    -1,    -1,  2797,    -1,    -1,
      -1,    -1,  2802,    -1,  2804,    -1,    -1,    -1,  2808,    -1,
      -1,   489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2828,    -1,
    1314,  1315,    -1,  2833,    -1,    -1,    -1,  2837,    -1,    -1,
    2840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2850,    -1,    -1,    -1,    -1,    -1,  5218,    -1,    -1,    -1,
      -1,    -1,    -1,  2863,    -1,  2919,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2873,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5246,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,  5286,    -1,    42,    43,  2928,    -1,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5343,    -1,    -1,    -1,    -1,  5348,  5349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5241,    -1,    -1,    -1,  3005,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4690,
      -1,    -1,   138,    -1,  4695,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4727,    -1,  3058,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4739,  3123,
      -1,    -1,    -1,    -1,  1558,    -1,    -1,  5317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3140,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5456,  4766,    -1,   213,    -1,  3153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3107,    -1,    -1,
    1594,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3125,  1610,  5367,    -1,    -1,
      -1,    -1,    -1,  3133,    -1,    -1,    -1,   253,    -1,    98,
      -1,  1625,    -1,    -1,  1628,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     276,    -1,    -1,   883,   884,    -1,    -1,   887,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   905,   145,  4858,    -1,    -1,
      -1,    -1,   912,    -1,    -1,    -1,    -1,   313,    84,    -1,
     316,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,  3212,   933,    -1,    -1,   332,   937,  3218,    -1,
      -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,   951,    -1,  5675,    -1,    -1,    -1,   123,   958,    -1,
     199,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   147,    -1,    -1,    -1,    -1,    -1,  4938,    -1,    -1,
      -1,    -1,  1756,    -1,    -1,   234,    -1,    -1,    -1,    -1,
    1764,  1765,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,  1775,    -1,    -1,    91,    92,    93,    -1,  5660,    -1,
     416,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,  3309,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1827,    -1,    -1,    -1,   463,    -1,    -1,
     147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,  1848,    -1,   325,    -1,   327,    -1,
     256,    -1,    -1,    -1,    -1,   261,    -1,   493,   337,    -1,
      -1,    -1,    -1,  5054,    -1,  5056,    -1,   346,    -1,    -1,
      -1,    -1,    -1,  3447,    -1,    -1,   282,   283,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,    -1,    -1,
    3464,   297,  1896,  3413,  3414,   531,    -1,   533,   534,   535,
     536,   537,  1906,    -1,   540,   541,   542,    -1,  5099,    -1,
      -1,   547,   548,    -1,    -1,   394,    -1,  5108,   397,   398,
    3440,    -1,    -1,  3443,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,   256,
      -1,   347,    -1,  1947,   261,    -1,   425,    -1,    -1,    -1,
      -1,    -1,    -1,  5144,    -1,    -1,    -1,    -1,    -1,  5150,
      -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     297,    -1,    -1,    -1,  3558,    -1,  3560,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,  3524,  3525,  3526,    -1,    -1,    -1,
     489,    -1,    -1,   330,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,   430,  5785,   116,   344,  3548,    -1,
     347,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1285,  1286,    -1,  3568,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,  3582,    -1,    -1,    -1,    -1,  3641,    -1,  2073,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3669,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,
     526,  2125,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,  1375,    -1,   543,    -1,    -1,
      -1,  3661,    -1,    84,  5335,  2149,    87,    -1,    -1,    -1,
      91,    92,    93,  2157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1403,  1404,  2169,   256,   108,    -1,    -1,
      -1,   261,    -1,    -1,    -1,   116,    -1,    -1,    -1,  3699,
    5371,    -1,   123,    -1,    -1,    -1,  3706,    -1,  3708,  1429,
      -1,    -1,   282,   283,    -1,  3769,    -1,    -1,    -1,    -1,
      -1,  3721,    -1,  3723,    -1,    -1,   147,   297,    -1,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,  3745,   543,    -1,  3802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,  2245,  2246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2257,   344,    -1,    -1,   347,    -1,    -1,
      -1,    -1,    -1,    -1,  2268,  2269,  3786,    -1,    -1,    -1,
      -1,  1511,  1512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3832,    -1,    -1,   256,    -1,    -1,    -1,    -1,
     261,    -1,  3896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,   282,   283,  3917,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3872,    -1,    -1,  3875,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3942,  5560,
      -1,  5562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3976,   344,    -1,    -1,   347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3953,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5657,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5675,    -1,     5,    -1,    -1,   430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5688,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    40,    -1,    42,    43,    -1,    -1,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,  5758,  5759,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,  2595,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5801,    -1,    -1,  2617,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,  4146,    -1,    -1,    -1,
      -1,  2635,    -1,    -1,    -1,    -1,  2640,  2641,    -1,    -1,
      -1,  2645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,  2671,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,  4196,    -1,    -1,    -1,
      -1,  4201,    -1,  4203,    -1,    -1,  5877,   108,    -1,    -1,
      -1,    -1,    -1,    -1,   213,   116,    -1,    -1,    -1,    -1,
      84,    -1,   123,    87,    -1,  4225,    -1,    91,    92,    93,
      -1,  2715,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4242,  2727,   108,    -1,   147,    -1,    -1,  2733,
    2734,    -1,   116,  1973,   253,  5926,    -1,  4257,    -1,   123,
    4260,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,
    5941,  5942,  5943,    -1,    -1,    -1,    -1,   276,    -1,    -1,
    2764,  2765,    -1,   147,  2768,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4351,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2789,    -1,  2791,    -1,    -1,
     145,    -1,    -1,  2797,   313,    -1,    -1,   316,  2802,    -1,
    2804,    -1,    -1,    -1,  2808,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,  2059,
    2060,  2061,  2062,    -1,  2828,    -1,    -1,  4347,  4348,  2833,
      -1,    -1,    -1,  2837,    -1,   256,  2840,  4357,    -1,    -1,
     261,    -1,    -1,    -1,   199,    -1,  2850,    -1,    -1,    -1,
      -1,   206,    -1,    -1,   209,    -1,  4376,    -1,    -1,  2863,
      -1,   282,   283,  2103,  2104,    -1,    -1,    -1,    -1,  2873,
      -1,    -1,   256,    -1,    -1,    -1,   297,   261,    -1,   234,
      -1,    -1,    -1,    -1,  2124,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   282,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
    4430,   266,    -1,   297,    -1,    -1,    -1,    -1,    -1,  2159,
    2160,  2161,  2162,   344,  2928,    84,   347,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,  4455,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   463,    -1,   330,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,   478,
     344,    -1,    -1,   347,   123,    -1,  4540,    -1,    -1,    -1,
     325,    -1,   327,    -1,   493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   337,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3005,   357,    -1,   523,    -1,    -1,    -1,    -1,   430,
      -1,    -1,   531,    -1,   533,   534,   535,   536,   537,    -1,
      -1,   540,   541,   542,   543,    -1,   545,   546,   547,   548,
     549,    -1,    -1,    -1,  2274,    -1,    -1,    -1,    -1,   394,
    2280,    -1,   397,   398,    -1,    -1,   430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3058,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
     425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,   256,    -1,  4673,
      -1,    -1,   261,  3107,    94,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,   147,    -1,
      -1,  3125,   543,   282,   283,    -1,    -1,    -1,    -1,  3133,
      -1,    -1,    -1,    -1,   489,    -1,    -1,  4711,   297,    -1,
      -1,   131,   526,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,  4732,   543,
      -1,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4690,   330,    -1,    -1,    -1,  4695,    -1,    -1,    -1,    -1,
     170,    -1,    -1,    -1,    -1,   344,    -1,  2427,   347,    -1,
      -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   193,    -1,    -1,    -1,  4727,  3212,    -1,
      -1,    -1,    -1,    -1,  3218,    -1,    -1,    -1,   208,  4739,
     210,    -1,    -1,  4797,   214,    -1,    -1,   256,    -1,    -1,
      -1,    -1,   261,    -1,   224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   233,    -1,    -1,  4766,    -1,    -1,    -1,
      -1,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,  3309,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    98,   344,    -1,    -1,   347,    -1,
     104,    -1,    98,    -1,    -1,    -1,    -1,   111,   104,    -1,
      -1,    -1,    -1,  4907,    -1,    -1,    -1,    -1,  4858,    -1,
      -1,    84,    -1,    -1,    87,    -1,   130,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   145,    -1,    -1,    -1,   108,    -1,   526,    -1,   145,
     529,   530,   531,   116,   533,   534,   535,   536,   537,   538,
     123,    -1,   541,    -1,  4958,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,    -1,    -1,    -1,    -1,
      -1,   430,    -1,    -1,   147,    -1,    -1,    -1,    -1,  3413,
    3414,    -1,    -1,    -1,    -1,   199,    -1,    -1,  4938,    -1,
      -1,    -1,   206,   199,    -1,   209,    -1,    -1,    -1,    -1,
     206,    -1,    -1,   209,    -1,    -1,  3440,    -1,    -1,  3443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2688,  2689,
     234,    -1,    -1,    -1,    -1,    -1,    -1,  2697,   234,  2699,
      -1,    -1,    -1,  2703,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
      -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,   256,   543,    -1,    -1,    -1,   261,    -1,
    3524,  3525,  3526,    -1,    -1,    -1,    -1,   311,    -1,    -1,
     314,    -1,    -1,    -1,  5054,    -1,  5056,    -1,    -1,   282,
     283,   325,    -1,   327,  3548,    -1,    -1,    -1,    -1,   325,
      -1,   327,    -1,   337,   297,    -1,    -1,    -1,    -1,    -1,
      -1,   337,   346,    -1,  3568,    -1,    -1,    -1,    -1,    -1,
     346,    -1,   356,   357,    -1,    -1,    -1,    -1,  3582,  5099,
    2820,   357,    -1,  2823,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,   893,    -1,   347,    -1,    -1,    -1,    -1,    -1,
     394,    -1,   903,   397,   398,   399,    -1,    -1,   394,    -1,
      -1,   397,   398,   914,  5144,    -1,    -1,    -1,    -1,    -1,
      -1,   922,    -1,    -1,    -1,   419,    -1,   928,    -1,    -1,
      -1,   425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
      -1,  2891,    -1,    -1,    -1,   439,    -1,  3661,    -1,  2899,
    2900,    -1,    -1,    -1,    -1,    -1,  2906,    -1,    84,    -1,
      -1,    87,  5246,    -1,    -1,    91,    92,    93,    -1,    -1,
    2920,    -1,   672,    -1,    -1,    -1,    -1,   430,    -1,    -1,
      -1,    -1,   108,    -1,    96,  3699,    -1,    -1,    -1,   101,
     116,    -1,  3706,    -1,  3708,   489,    -1,   123,    -1,    -1,
      -1,    -1,  5286,   489,    -1,    -1,    -1,  3721,    -1,  3723,
      -1,  2961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   147,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3745,    -1,    -1,    -1,    -1,   148,   149,    -1,  2989,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5343,
      -1,    -1,    -1,    -1,  5348,  5349,    -1,    -1,    -1,   181,
      -1,    -1,  3786,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
     543,    -1,   204,  3043,    -1,  3045,    -1,    -1,  1099,    -1,
      -1,    -1,    -1,   215,    -1,  5335,    -1,    -1,    -1,    -1,
      -1,   223,    -1,    -1,    -1,    -1,    -1,    -1,  3832,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,   240,    -1,
     256,    -1,    -1,    -1,  1135,   261,  3850,    -1,    -1,    -1,
      -1,  5371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   264,  1154,    -1,    -1,   282,   283,  3872,    -1,
      -1,  3875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   297,  5456,    -1,    -1,  1176,    -1,   289,    -1,    -1,
      -1,    -1,   882,   883,   884,   885,    -1,   887,    -1,    -1,
      -1,   891,    -1,   893,    -1,    -1,   896,    -1,   310,    -1,
      -1,    -1,    -1,   903,   330,   905,  3156,    -1,   908,    -1,
      -1,    -1,   912,    -1,   914,    -1,    -1,    -1,   344,    -1,
      -1,   347,   922,    -1,    -1,    -1,    -1,    -1,   928,    -1,
     930,    -1,   344,   933,    -1,   935,    -1,   937,    -1,  3953,
      -1,    -1,    -1,    -1,   944,    -1,    -1,    -1,    -1,   949,
      -1,   951,    -1,    -1,   366,    -1,    -1,    -1,   958,    -1,
      -1,    -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   992,   405,    -1,    -1,    -1,   997,   410,    -1,
     412,    -1,  1002,    -1,   430,    -1,  1006,   419,    -1,    -1,
     422,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,  1026,    -1,    -1,   441,
    5560,    -1,  5562,    -1,    -1,   447,    -1,    -1,   108,    -1,
     452,    -1,    -1,   455,    -1,    -1,   116,   459,    -1,    -1,
      -1,    -1,    -1,   123,   466,    -1,   468,    -1,    -1,    -1,
      -1,   473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5660,   147,    -1,    -1,
      -1,    -1,    -1,    -1,  1084,    -1,   498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1397,    -1,    -1,  1099,
     526,  1101,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,   543,    -1,    -1,
      -1,    -1,    -1,    -1,  1425,  1426,  1427,  5657,    -1,  1129,
    1130,    -1,  4146,    -1,  1134,  1135,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5675,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1154,    -1,    -1,    -1,  1158,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1176,    -1,    -1,    -1,
      -1,    -1,  4196,    -1,    -1,    -1,   256,  4201,  1188,  4203,
      -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3453,    -1,  3455,  3456,  3457,    -1,    -1,
      -1,  4225,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,  4242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,
      -1,    -1,    -1,  4257,    -1,    -1,  4260,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1269,
      -1,  5801,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,
    1280,    -1,    -1,    -1,    -1,  1285,  1286,   216,    -1,    -1,
      -1,    -1,  1593,    -1,    -1,    -1,    -1,    -1,    -1,   228,
      -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,   238,
      -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,   247,    -1,
      -1,   250,    -1,  1624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4347,  4348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1342,  4357,    -1,    -1,    -1,  5877,    -1,   278,
      -1,    -1,    -1,  1353,    -1,    -1,    -1,  1357,    -1,    -1,
     430,    -1,  4376,    -1,    -1,    -1,    -1,    -1,    -1,   298,
      -1,    -1,    -1,    -1,    -1,  1375,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,  5926,  1397,    -1,    -1,
      -1,    -1,    -1,  1403,  1404,    -1,    -1,    -1,   108,    -1,
     339,  5941,    -1,   342,    -1,    -1,   116,    -1,    -1,   348,
    3670,    -1,    -1,   123,    -1,  1425,  1426,  1427,    -1,  1429,
      -1,  1431,    -1,    -1,    -1,    -1,  1436,    -1,    -1,    -1,
      -1,  4455,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
    1771,    -1,   401,   543,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
     108,    91,    92,    93,    -1,    -1,    -1,    -1,   116,  1509,
      -1,  1511,  1512,    -1,    -1,   123,    -1,  1818,   108,    -1,
      -1,    -1,    -1,   452,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,
    1550,    -1,    -1,    -1,    -1,    -1,   256,   147,    -1,    -1,
      -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,    -1,   504,   505,    -1,    -1,    -1,
      -1,    -1,   282,   283,    -1,    -1,  3836,    -1,  1588,  1589,
      -1,    -1,    -1,  1593,    -1,  1595,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   540,    -1,    -1,   543,   544,    -1,   546,    -1,    -1,
      -1,  1621,    -1,    -1,  1624,    -1,    -1,  1627,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1639,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,   256,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
    1961,    -1,    -1,    -1,    -1,    -1,   256,    -1,  1668,  1970,
      -1,   261,    -1,    -1,   282,   283,  4690,    -1,    -1,    -1,
      -1,  4695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,   282,   283,    -1,  1996,  1696,  1697,  1698,    -1,
    1700,    -1,    -1,    -1,    -1,    -1,    -1,   297,  2009,    -1,
      -1,  2012,    -1,  4727,    -1,    -1,    -1,    -1,    -1,    -1,
    1720,    -1,   330,    -1,    -1,  4739,    -1,    -1,    -1,    -1,
     430,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,
     330,    -1,  1742,  1743,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4766,    -1,   344,    -1,    -1,   347,    -1,    -1,
      -1,    -1,  2063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1771,    -1,    -1,  1774,    -1,  2077,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1802,    -1,    -1,    -1,  1806,  1807,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1817,  1818,  1819,
      -1,  1821,   430,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
     430,    -1,  2143,   543,  4858,    -1,  1846,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2172,    -1,    -1,    -1,    -1,    -1,   108,  2179,    -1,
      -1,   112,    -1,    -1,    -1,   116,  4136,  4137,  4138,  4139,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,   526,    -1,
      -1,   529,   530,   531,  4938,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,    -1,   543,   526,    -1,    -1,   529,
     530,   531,  1942,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1961,  1962,    -1,    -1,   196,    -1,    -1,    -1,    -1,
    1970,    -1,    -1,  1973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2291,    -1,    -1,    -1,  1994,    -1,  1996,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2009,
      -1,    -1,  2012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,  2338,  2339,    -1,
    5054,    -1,  5056,    -1,    -1,    -1,    -1,    -1,  2048,    -1,
      -1,   282,   283,    -1,    -1,    -1,    -1,  2358,    -1,  2059,
    2060,  2061,  2062,  2063,  4314,    -1,   297,    -1,    -1,    -1,
    4320,    -1,    -1,    -1,    -1,    -1,    -1,  2077,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5099,    -1,    -1,    -1,  2089,
      -1,  2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
      -1,    -1,    -1,  2103,  2104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2124,    -1,    -1,    -1,    -1,    -1,
    5144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,
      -1,    -1,    -1,  2143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2455,    -1,    -1,    -1,    -1,  2159,
    2160,  2161,  2162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2172,    -1,    -1,    -1,    -1,    -1,    -1,  2179,
    2481,    -1,  2182,    -1,    -1,    -1,    -1,    -1,   216,  5203,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2198,   430,
     228,  2201,    -1,    -1,    -1,   233,  2206,    -1,    -1,    -1,
     238,  2211,    -1,    -1,    -1,    -1,   244,    -1,  2519,   247,
    2521,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2242,  2243,    -1,    -1,    -1,    -1,    -1,    -1,
     278,    -1,    -1,  2253,  2254,   486,  2557,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     298,    -1,    -1,  2273,  2274,    -1,    -1,    -1,    -1,    -1,
    2280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2291,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,   339,    -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,
     348,  5335,    -1,    -1,    -1,  2325,    -1,    -1,    -1,    -1,
      -1,    -1,  2332,    -1,  2334,    -1,    -1,    -1,  2338,  2339,
      -1,  2341,    -1,    -1,    -1,    -1,    -1,    -1,  2348,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5371,  2358,    -1,
      -1,    -1,    -1,  2363,  2364,    -1,    -1,  2367,    -1,    -1,
      -1,  2371,  2372,   401,    -1,    -1,    -1,  2377,  2378,    -1,
      -1,    -1,    -1,    -1,  2384,  2385,  2386,    -1,    -1,    -1,
    2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,    -1,  2399,
      -1,  2401,  2402,    -1,    -1,  2405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2420,  2421,  2422,  2423,   452,    -1,    -1,  2427,  2428,    -1,
      -1,    -1,  2432,    -1,    -1,  2435,    -1,    -1,  2438,  2439,
    2440,  2441,  2442,  2443,  2444,  2445,  2446,    -1,  2448,    -1,
     478,    -1,    -1,    -1,    -1,  2455,  2456,    -1,    -1,  2459,
    2761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   502,    -1,   504,   505,    -1,  2780,
      -1,  2481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   540,    -1,    -1,   543,   544,    -1,   546,  2519,
      -1,  2521,    -1,  2523,    -1,    -1,    -1,  4777,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,  4792,  2844,  2845,    -1,  5560,    -1,  5562,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2557,    -1,    -1,
      25,    -1,    -1,    -1,  2564,    -1,  2566,    -1,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,
      -1,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2939,    -1,
      -1,    -1,    -1,  5657,    -1,    -1,  2646,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2655,    -1,  2657,   166,    -1,
      -1,  5675,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,  2674,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2686,    -1,  2688,  2689,
      -1,    -1,    -1,  2693,    -1,  2695,    -1,  2697,    -1,  2699,
      -1,    -1,    -1,  2703,    -1,    -1,  2706,    -1,   216,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     228,    -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,
     238,    -1,    -1,    -1,    -1,    -1,   244,  2737,    -1,   247,
      -1,    -1,   250,    -1,    -1,  2745,    -1,    -1,   213,    -1,
      -1,    -1,  2752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2761,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2780,    -1,    -1,    -1,    -1,  2785,  2786,  5801,   253,    -1,
     298,    -1,    -1,    -1,    -1,  2795,  2796,    -1,    -1,  2799,
      -1,  2801,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   276,  5062,  5063,  5064,    -1,    -1,    -1,    -1,    -1,
    2820,    -1,    -1,  2823,    -1,    -1,  3127,    -1,    -1,    -1,
      -1,   339,    -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,
     348,    -1,    -1,    -1,  2844,  2845,    -1,    -1,   313,    -1,
      -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2859,
      -1,  2861,  2862,  5877,    -1,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2891,    -1,   401,    -1,    -1,    -1,    -1,    -1,  2899,
    2900,    -1,    -1,    -1,    -1,    -1,  2906,    -1,    -1,    -1,
      -1,    -1,  5926,    -1,    -1,    -1,    -1,    -1,  2918,    -1,
    2920,    -1,    -1,    -1,    -1,    -1,    -1,  5941,    -1,    -1,
      -1,    -1,    -1,    -1,  2934,    -1,    -1,  2937,    -1,  2939,
      -1,    -1,  2942,    -1,   452,    -1,  2946,    -1,    -1,  2949,
      -1,   416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2961,  2962,    -1,  5214,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3279,  2979,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2989,
      -1,  2991,    -1,    -1,   502,    -1,   504,   505,   463,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3006,    -1,    -1,    -1,
      -1,    -1,    -1,   478,    -1,    -1,    -1,  3017,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,  3031,   540,    -1,    -1,   543,   544,    -1,   546,    -1,
      -1,  3041,    -1,  3043,  3044,  3045,  3046,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   531,    -1,   533,   534,
     535,   536,   537,    -1,    -1,   540,   541,   542,   543,    -1,
      -1,    -1,   547,    -1,    -1,    84,    -1,    -1,    87,    -1,
    3090,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,   111,  5363,    -1,  5365,    -1,   116,    -1,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,  3127,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3137,    -1,    -1,
      -1,    -1,    -1,  3143,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3156,    -1,    -1,    -1,
      -1,    -1,    -1,  3163,    -1,    -1,    -1,    -1,  3168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3191,  3192,  3193,    -1,    -1,  3196,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3204,  3205,  3206,  3207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3217,    -1,    -1,
    3220,    -1,  3222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3233,  3234,    -1,    -1,  3237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3249,
      -1,  3251,    -1,  3253,    -1,  3255,    -1,   256,    -1,    -1,
      -1,    -1,   261,    -1,    -1,  3566,    -1,    -1,  5518,    -1,
      -1,    -1,    -1,    -1,    -1,  3275,    -1,    -1,    -1,  3279,
      -1,    -1,    -1,   282,   283,    -1,  3286,    -1,  3288,  3289,
    3290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3325,    -1,    -1,    -1,    -1,
    3330,   330,    -1,    -1,     5,    -1,  3336,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,  3346,    -1,   347,    -1,
    3350,  5601,    -1,  3353,    25,  3355,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
      -1,    42,    43,    -1,    -1,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,  3712,  3713,  3714,    85,    -1,    -1,    -1,    -1,  3419,
      -1,  3421,    -1,    -1,    -1,    -1,  3426,    -1,  3729,    -1,
      -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3752,  5702,  3453,    -1,  3455,  3456,  3457,    -1,    -1,
      -1,  3762,  3763,    -1,    -1,    -1,  3767,   138,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3780,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,   213,    -1,  5794,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,    -1,    -1,  3566,    -1,    -1,    -1,
      -1,    -1,  3873,    -1,    -1,    -1,  5826,  5827,    -1,    -1,
      -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,    -1,   123,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,
      -1,   147,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,   332,    -1,    -1,  5914,    -1,    -1,   123,    -1,    -1,
    3670,    -1,    -1,    -1,    -1,  3675,  3676,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,  3999,  4000,
    4001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3712,  3713,  3714,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3729,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,    -1,
      -1,    -1,   238,    -1,    -1,   416,    -1,    -1,    -1,    -1,
      -1,  3751,  3752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,  3761,  3762,  3763,    -1,   261,    -1,  3767,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,    -1,
    3780,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,    -1,   463,    -1,    -1,    -1,    -1,  3797,    -1,    -1,
     256,   297,    -1,    -1,    -1,   261,    -1,   478,    -1,    -1,
      -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,  3836,    -1,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
      -1,   347,   523,    -1,    -1,    -1,    -1,  3857,    -1,    -1,
     531,    -1,   533,   534,   535,   536,   537,    -1,    -1,   540,
     541,   542,   543,  3873,   330,    -1,   547,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
      -1,   347,    -1,  3893,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3902,    -1,    -1,    -1,    -1,    -1,  3908,    -1,
    3910,    -1,   368,  3913,    -1,    -1,    -1,    -1,  3918,  3919,
    3920,  3921,    -1,    -1,  3924,  3925,  3926,  3927,  3928,  3929,
    3930,  3931,  3932,  3933,   430,    -1,    -1,  3937,  3938,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3947,    -1,    -1,
      -1,  3951,    -1,    -1,    -1,  3955,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3963,    -1,    -1,  3966,    -1,  3968,    -1,
      -1,    -1,    -1,    -1,   430,    -1,    -1,  3977,    -1,    -1,
    3980,  3981,    -1,    -1,    -1,  3985,  3986,    -1,    -1,    -1,
    3990,    -1,  3992,    -1,    -1,    -1,    -1,    -1,    -1,  3999,
    4000,  4001,  4002,    -1,    -1,  4005,  4006,    -1,    -1,    -1,
    4010,  4011,  4012,    -1,    -1,    -1,    -1,  4318,  4018,    -1,
      -1,    -1,    -1,    -1,  4024,  4025,  4026,    -1,  4329,    -1,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4360,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,  4071,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,  4085,    -1,  4087,    -1,    -1,
      -1,    -1,  4393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4115,  4116,  4117,    -1,  4119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4136,  4137,  4138,  4139,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4165,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    42,
      43,    -1,    -1,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,  4559,  4560,
    4561,  4562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4275,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,  4314,   108,    -1,    -1,  4318,    -1,
    4320,    -1,  4322,   116,    -1,    -1,    -1,    -1,    -1,  4329,
     123,    -1,    -1,    84,    -1,  4335,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,  4345,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,   161,   108,    -1,    -1,
    4360,    -1,    -1,    -1,  4364,   116,    -1,    -1,    -1,    -1,
      -1,    -1,   123,    -1,  4374,    -1,    -1,    -1,    -1,    -1,
     213,    -1,  4382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4393,    -1,    -1,   147,  4397,   231,    -1,
      -1,  4401,  4402,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,   219,    -1,    -1,    -1,    -1,    -1,
     253,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,
      -1,  4431,  4432,  4433,  4434,  4435,    -1,    -1,  4438,    -1,
    4440,    -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4476,    -1,    -1,    -1,
     313,    -1,    -1,   316,    -1,    -1,    -1,  4487,    -1,   282,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,
      -1,    -1,    -1,    -1,   297,   256,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,  4517,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4527,  4528,    -1,
      -1,   282,   283,    -1,  4534,  4535,    -1,   330,    -1,  4539,
      -1,    -1,    -1,    -1,  4544,    -1,   297,  4547,  4548,    -1,
      -1,   344,  4552,  4553,   347,    -1,    -1,    -1,  4558,  4559,
    4560,  4561,  4562,    -1,    -1,    -1,  4566,  4567,  4568,    -1,
    4570,  4571,    -1,    -1,  4574,    -1,    -1,   370,  4578,   330,
      -1,    -1,  4582,   416,    -1,    -1,    -1,    -1,  4588,    -1,
      -1,    -1,    -1,   344,    -1,  4595,   347,    -1,    -1,    -1,
    4600,    -1,    -1,    -1,    -1,    -1,  4606,    -1,  4909,    -1,
      -1,    -1,    -1,   364,    -1,    -1,  4616,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4624,    -1,    -1,    -1,  4628,    -1,
     463,    -1,    -1,  4633,    -1,    -1,    -1,   430,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,
      -1,    -1,  4652,   446,    -1,  4655,    -1,    -1,    -1,    -1,
     493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4675,  4676,    -1,    -1,   430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
     523,    87,    -1,  4693,    -1,    91,    92,    93,   531,    -1,
     533,   534,   535,   536,   537,    -1,  4706,   540,   541,   542,
      -1,    -1,   108,    -1,   547,   111,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,
      -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
      -1,   147,    -1,    -1,    -1,  4755,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,  4777,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      84,    -1,  4792,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,  4821,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,
      -1,    -1,    -1,    -1,    -1,  4835,    -1,    -1,    -1,    -1,
      -1,  4841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4850,    -1,  5153,   147,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,  4864,   261,    -1,  5168,    -1,    -1,
      -1,    -1,  5173,    -1,    -1,    -1,  4876,    -1,  4878,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5196,    -1,    -1,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4909,
      -1,    -1,  4912,    -1,  5215,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,   344,    -1,
      -1,   347,    -1,    -1,  4954,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,  4963,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4980,  4981,    -1,    -1,  4984,    -1,    -1,    -1,   282,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4999,
      -1,    -1,  5002,   297,    -1,    -1,  5006,    -1,    -1,    -1,
      -1,  5011,    -1,    -1,  5014,  5015,    -1,  5017,    -1,  5019,
      -1,    -1,  5022,  5023,    -1,    -1,  5327,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   430,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5046,    -1,  5048,    -1,
     344,    -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,
    5060,  5061,  5062,  5063,  5064,    -1,    -1,    -1,    -1,   874,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   882,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5108,  5109,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   930,    -1,    -1,    -1,    -1,
     526,    -1,    -1,   529,   530,   531,   430,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5150,    -1,    -1,  5153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5165,    -1,    -1,  5168,    -1,
      -1,    84,    -1,  5173,    87,  5175,    -1,    -1,    91,    92,
      93,  5181,    -1,    -1,    -1,    -1,    -1,   992,    -1,    -1,
      -1,    -1,    -1,   998,    -1,   108,  5196,  1002,   111,    -1,
    5200,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,
     123,    -1,    -1,    -1,  5214,  5215,  5216,  1022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,   147,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,  5245,    -1,    -1,  5248,    -1,
    5250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5270,    -1,    -1,    -1,    -1,    -1,  5276,    -1,    -1,    -1,
    5280,    -1,    -1,    -1,  5284,    -1,    -1,    -1,    -1,    -1,
      -1,  5291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1129,  1130,    -1,  5327,    -1,    -1,
      -1,  1136,    -1,    -1,    -1,  1140,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,
      -1,    -1,    -1,  5353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1166,  5362,  5363,  5364,  5365,    -1,    -1,    -1,   282,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,  5422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5478,    -1,
      -1,  5481,    -1,    -1,  5484,    -1,    -1,    -1,  5488,    -1,
      -1,    -1,    -1,    -1,    -1,  5495,    -1,    -1,    -1,    -1,
    5500,    -1,  5502,    -1,  5504,    -1,    -1,    -1,    -1,  1314,
    1315,    -1,  5512,    -1,    -1,    -1,    -1,   430,  5518,    -1,
    5520,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
    5530,    -1,    -1,    91,    92,    93,    -1,  1342,    -1,    -1,
      -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,  1353,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,    -1,    -1,   123,    -1,  1372,    -1,    -1,
    5570,  5571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5601,    -1,    -1,    -1,    -1,    -1,  5607,    -1,    -1,
      -1,  5611,    -1,   526,    -1,    -1,   529,   530,   531,  5619,
     533,   534,   535,   536,   537,   538,  1431,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5648,  5649,
      -1,    -1,    -1,  5653,    -1,    -1,  5656,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5666,    -1,    -1,  5669,
      -1,  1476,    -1,    -1,  5674,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,  5688,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,  5702,   261,    -1,    -1,    -1,    -1,   108,  5709,
      -1,   111,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,   282,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5738,   297,
      -1,    -1,    -1,  5743,    -1,  1550,    -1,   147,    -1,    -1,
      -1,    -1,  5752,    -1,    -1,    -1,    -1,    -1,  5758,  5759,
      -1,  5761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5770,    -1,   330,    -1,  5774,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,  5787,    -1,   347,
      -1,    -1,    -1,    -1,  5794,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1608,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    89,    -1,    -1,    -1,    -1,    94,    -1,    96,
      -1,    -1,    -1,    -1,    -1,  5825,  5826,  5827,    -1,   106,
      -1,    -1,    -1,    -1,  1639,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5852,    -1,   131,    -1,   256,  5857,    -1,    -1,
      -1,   261,    -1,  1668,   141,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   430,    -1,    -1,   152,   153,    -1,    -1,   156,
      -1,    -1,   282,   283,    -1,   162,    -1,    -1,    -1,   166,
      -1,  1696,  1697,  1698,  5894,  1700,    -1,   297,    -1,    -1,
    5900,    -1,   460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   188,    -1,    -1,  5914,  1720,    -1,    -1,    -1,    -1,
      -1,  5921,    -1,    -1,  5924,    -1,   203,    -1,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5942,  5943,   344,    -1,    -1,   347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,  1774,
    1775,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1802,    -1,    -1,
      -1,  1806,  1807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1821,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,  1889,    -1,    -1,    55,    -1,    -1,
      -1,  1896,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,  1906,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,  1947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1955,   119,   429,    -1,    -1,   123,   124,   125,   126,   127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,  1990,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,  2013,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    84,    -1,
      -1,    87,    -1,   231,    -1,    91,    92,    93,    -1,   237,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     248,    -1,   108,    -1,    -1,    -1,    -1,    -1,   256,  2094,
     116,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,
      -1,    -1,   270,   271,  2109,    -1,    -1,    -1,    -1,   277,
      -1,   279,    -1,  2118,   282,   283,    -1,   285,    -1,    -1,
    2125,   147,    -1,    -1,    -1,  2130,   294,   295,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,
      -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2185,    -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,
      -1,    -1,    -1,  2198,    -1,   672,  2201,    -1,    -1,   367,
    2205,   369,    -1,    -1,    -1,    -1,  2211,    -1,    -1,    -1,
      -1,    -1,  2217,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,   261,   404,  2242,  2243,    -1,
     408,    -1,    -1,   720,   721,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,   427,
    2265,  2266,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,   768,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,   469,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
      -1,   347,    -1,    -1,    -1,   493,    -1,    -1,   496,  2334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2371,  2372,    -1,    -1,
      -1,    -1,  2377,  2378,    -1,    -1,    -1,    -1,    -1,  2384,
    2385,  2386,    -1,    -1,    -1,  2390,    -1,  2392,  2393,  2394,
    2395,  2396,  2397,    -1,  2399,    -1,  2401,  2402,    -1,    -1,
    2405,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2419,  2420,  2421,  2422,  2423,  2424,
      -1,    -1,    -1,  2428,    -1,    -1,    -1,  2432,    -1,    -1,
    2435,    -1,    -1,  2438,  2439,  2440,  2441,  2442,  2443,  2444,
    2445,  2446,    -1,  2448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2456,    -1,    -1,  2459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,
      -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   973,   974,    -1,   976,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,   135,  2523,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     148,    -1,    -1,    96,    -1,    -1,    -1,    -1,   101,    -1,
      -1,   159,    -1,    -1,    -1,   163,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,  1033,    -1,    -1,  1036,
    1037,    -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,   187,
      -1,    -1,   135,    -1,  1051,    -1,  1053,    -1,  1055,    -1,
      -1,    -1,    -1,    -1,  1061,   148,   204,    -1,  1065,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,
     163,    -1,    -1,    -1,    -1,   223,    -1,    -1,  1085,  1086,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,   181,  2624,
      -1,    -1,    -1,  2628,  2629,   243,    -1,    -1,    -1,   247,
      -1,    -1,    -1,    -1,    -1,  2640,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,
      -1,    -1,   215,    -1,    -1,  1132,    -1,  1134,    -1,    -1,
     223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2674,
      -1,    -1,   235,    -1,    -1,    -1,    -1,   240,    -1,    -1,
      -1,  2686,    -1,   301,   247,  2690,    -1,    -1,  2693,    -1,
      -1,    -1,   310,    -1,    -1,    -1,    -1,  2702,    -1,    -1,
      -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2727,    -1,    -1,    -1,   344,    -1,    -1,   347,
      -1,    -1,    -1,    -1,    -1,  1212,    -1,  2742,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,   366,  1226,
    1227,    -1,    -1,  1230,    -1,    -1,    -1,    -1,    -1,  2764,
      -1,   379,    -1,  2768,    -1,    -1,    -1,    -1,   386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,    -1,    -1,  2791,   405,    -1,    -1,
      -1,    -1,    -1,   356,   412,    -1,    -1,  2802,    -1,    -1,
      -1,   419,  1279,   366,   422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,   441,    -1,    -1,    -1,    -1,    -1,   447,
      -1,    -1,    -1,    -1,   452,  2840,    -1,   455,   456,    -1,
     458,   459,   405,    -1,    -1,    -1,    -1,   410,    -1,   412,
     468,    -1,    -1,    -1,    -1,   473,   419,    -1,    -1,   422,
      -1,   479,    -1,    -1,   482,    -1,    -1,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   441,    -1,
     498,    -1,    -1,    -1,   447,    -1,    -1,    -1,    -1,   452,
      -1,    -1,   455,    -1,    -1,    -1,   459,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    -1,   468,    -1,    -1,    -1,    -1,
     473,    -1,    -1,  2918,  2919,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   485,  2928,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2962,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1558,    -1,    -1,    -1,    -1,  1563,    -1,  1565,    -1,
      -1,  1568,    -1,  1570,    -1,    -1,  1573,  1574,  1575,    -1,
      -1,    -1,  1579,    -1,    -1,    -1,    -1,    -1,    98,  1586,
      -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,  3123,    -1,
      -1,   111,    -1,  1600,    -1,  1602,    -1,    -1,    -1,    -1,
    1607,    -1,  3137,    -1,    -1,  3140,    -1,    -1,  3143,    -1,
     130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3153,    -1,
      -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,  3163,    -1,
      -1,    -1,    -1,  3168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3191,  3192,  3193,   179,
      -1,  3196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3204,
    3205,  3206,  3207,    -1,    -1,    -1,    -1,  3212,    -1,   199,
      -1,    -1,  3217,  3218,    -1,  3220,   206,  3222,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3233,  3234,
      -1,    -1,  3237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   234,    -1,  3251,    -1,  3253,    -1,
    3255,    -1,    -1,    -1,  1731,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1742,  1743,    -1,    -1,    -1,
    3275,    -1,    -1,   263,    -1,    -1,   266,    -1,    -1,    -1,
      -1,  3286,  1759,  3288,  3289,  3290,    -1,  1764,  1765,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3313,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3325,   311,    -1,    -1,   314,  3330,    -1,    -1,    -1,    -1,
      -1,  3336,    -1,    -1,    -1,   325,    -1,   327,    -1,    -1,
      -1,  3346,    -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,   346,    -1,    -1,    -1,
      -1,   217,    -1,   219,    -1,    -1,   356,   357,    -1,  1846,
      -1,  1848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1858,    -1,  3388,    -1,    -1,  3391,    -1,  3393,    -1,
      -1,    -1,    -1,  3398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   394,    -1,    -1,   397,   398,   399,
      -1,    -1,    -1,    -1,  3419,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,
      -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,    -1,    -1,
      -1,    -1,  3447,    -1,    -1,    -1,    -1,    -1,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1935,  3464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1945,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3489,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3524,
    3525,  3526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2014,    -1,    -1,
    2017,  2018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3558,    -1,  3560,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3641,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3669,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3694,
      -1,    -1,    -1,    -1,  3699,  3700,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3769,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3802,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2303,    -1,  2305,    -1,
      -1,    -1,  2309,    -1,  2311,    -1,    -1,  2314,    -1,    -1,
      -1,  2318,    -1,    -1,    -1,    -1,  2323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3893,    -1,
      -1,  3896,    -1,    -1,    -1,    -1,    -1,  3902,    -1,    -1,
      -1,    -1,    -1,  3908,    -1,  3910,    -1,    -1,  3913,    -1,
      -1,    -1,  3917,  3918,  3919,  3920,  3921,    -1,    -1,  3924,
    3925,  3926,  3927,  3928,  3929,  3930,  3931,  3932,  3933,    -1,
      -1,    -1,  3937,  3938,    -1,    -1,    -1,  3942,    -1,    -1,
      -1,    -1,  3947,    -1,    -1,    -1,  3951,    -1,  3953,    -1,
    3955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,
      -1,  3966,    -1,  3968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3976,  3977,    -1,    -1,  3980,  3981,    -1,  2455,    -1,
    3985,  3986,    -1,    -1,    -1,  2462,    -1,  3992,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2472,    -1,  4002,    -1,    -1,
    4005,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4018,    -1,    -1,    -1,    -1,    -1,  4024,
    4025,  4026,    -1,    -1,    -1,    -1,   882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   891,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2536,
      -1,    -1,    -1,    -1,    -1,    -1,  4071,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   930,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4115,    -1,    -1,    -1,  2591,    -1,    -1,    -1,  2595,    -1,
      -1,    -1,    -1,    -1,  2601,    -1,  2603,    -1,    -1,  2606,
      -1,    -1,    -1,    -1,    -1,    -1,   992,    -1,    -1,    -1,
      -1,    -1,   998,    -1,    -1,    -1,  1002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1022,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2653,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4196,    -1,    -1,    -1,    -1,  4201,  4202,  4203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4225,  4226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1129,  1130,    -1,    -1,    -1,    -1,    -1,
    1136,    -1,    -1,    -1,  1140,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1166,    -1,    -1,    -1,    -1,    -1,    -1,  4322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2814,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2822,  4351,    -1,  2825,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4400,  4401,  4402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1314,  1315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4487,    -1,    -1,    -1,  1342,    -1,    -1,    -1,
      -1,    -1,    -1,  1349,    -1,    -1,    -1,  1353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4517,    -1,    -1,    -1,  1372,    -1,    -1,    -1,
      -1,    -1,  4527,  4528,    -1,  4530,    -1,    -1,    -1,  4534,
    4535,  1387,    -1,    -1,  4539,  4540,    -1,    -1,    -1,  4544,
      -1,    -1,  4547,  4548,    -1,    -1,    -1,  4552,    -1,    -1,
      -1,    -1,    -1,  4558,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4570,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4578,    -1,  1431,    -1,  4582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4595,    -1,    -1,    -1,    -1,  4600,    -1,    -1,    -1,    -1,
      -1,  4606,    -1,    -1,    -1,    -1,    -1,    -1,  3085,  3086,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4624,
    1476,    -1,    -1,    -1,  3101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4673,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4695,    -1,    -1,    -1,  1550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4711,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4732,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4755,    -1,  1608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1639,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1668,    -1,    -1,    -1,  4821,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3304,    -1,    -1,
    4835,    -1,  3309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1696,  1697,  1698,    -1,  1700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,
      -1,    -1,    -1,    -1,  1720,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4905,    -1,  4907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1774,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1802,    -1,    -1,  4954,
    1806,  1807,    -1,  4958,    -1,    -1,    -1,    -1,  4963,    -1,
      -1,    -1,    -1,    -1,    -1,  1821,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4980,  4981,    -1,    -1,  4984,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4999,    -1,    -1,    -1,    -1,    -1,
      -1,  5006,    -1,    -1,    -1,    -1,  5011,    -1,    -1,  5014,
    5015,    -1,    -1,    -1,    -1,    -1,    -1,  5022,  5023,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5046,    -1,  5048,    -1,    -1,    -1,    -1,    -1,    -1,
    1906,    -1,    -1,    -1,    -1,  5060,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1947,    -1,  5098,    -1,    -1,    -1,    -1,    -1,  1955,
      -1,    -1,    -1,  5108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1990,    -1,    -1,    -1,    -1,  5144,
      -1,    -1,    -1,    -1,    -1,  5150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5216,    -1,  5218,    -1,    -1,    -1,  3694,    -1,    -1,
      -1,    -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2094,    -1,
    5245,  5246,    -1,  5248,    -1,  5250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2118,    -1,    -1,  5270,    -1,    -1,    -1,    -1,
      -1,  5276,    -1,    -1,  2130,  5280,    -1,    -1,    -1,    -1,
      -1,  5286,    -1,    -1,    -1,    -1,  5291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3800,    -1,    -1,    -1,    -1,    -1,  2185,
    5335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5343,    -1,
      -1,    -1,  2198,  5348,  5349,  2201,    -1,    -1,  5353,  2205,
      -1,    -1,    -1,    -1,    -1,  2211,    -1,    -1,    -1,    -1,
      -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2242,  2243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5400,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3882,    -1,    -1,    -1,  2265,
    2266,    -1,    -1,    -1,    -1,    -1,    -1,  5422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5455,  5456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5478,    -1,    -1,  5481,    -1,  2334,  5484,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5495,    -1,    -1,    -1,    -1,  5500,    -1,  5502,    -1,  5504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2371,  2372,    -1,    -1,    -1,
      -1,  2377,  2378,    -1,    -1,  5530,    -1,    -1,  2384,  2385,
    2386,    -1,    -1,    -1,  2390,    -1,  2392,  2393,  2394,  2395,
    2396,  2397,    -1,  2399,    -1,  2401,  2402,    -1,    -1,  2405,
      -1,    -1,    -1,    -1,    -1,  5560,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2419,  2420,  2421,  2422,  2423,    -1,    -1,
      -1,    -1,  2428,    -1,    -1,    -1,  2432,    -1,    -1,  2435,
      -1,    -1,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,
    2446,    -1,  2448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2456,    -1,    -1,  2459,    -1,    -1,  5611,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5619,  4092,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5648,  5649,    -1,    -1,    -1,    -1,    -1,
      -1,  5656,  5657,    -1,    -1,  5660,    -1,    -1,    -1,    -1,
      -1,  5666,    -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5688,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5738,    -1,    -1,    -1,    -1,  5743,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5752,    -1,  4226,
      -1,    -1,    -1,  5758,  5759,  4232,  5761,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5770,    -1,    -1,  2624,    -1,
      -1,    -1,  2628,  2629,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   998,    -1,    -1,    -1,    -1,    -1,  2674,    -1,
    5825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2686,    -1,    -1,    -1,  2690,    -1,  1022,  2693,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2702,  5852,    -1,    -1,
      -1,    -1,  5857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2727,  5877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,    -1,  5894,
      -1,    -1,    -1,    -1,    -1,  5900,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5924,
      -1,  5926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5941,  5942,  5943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2802,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4452,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2918,  2919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2962,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4611,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3017,    -1,  1349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4701,    -1,    -1,    -1,  4705,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3137,    -1,    -1,  3140,    -1,    -1,  3143,    -1,    -1,
    1476,    -1,    -1,    -1,    -1,    -1,    -1,  3153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3163,    -1,    -1,
      -1,    -1,  3168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3191,  3192,  3193,    -1,    -1,
    3196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3204,  3205,
    3206,  3207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3217,    -1,    -1,  3220,    -1,  3222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3233,  3234,    -1,
      -1,  3237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3251,    -1,  3253,    -1,  3255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3275,
      -1,    -1,  1608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3286,    -1,  3288,  3289,  3290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3325,
      -1,    -1,    -1,    -1,  3330,    -1,    -1,    -1,    -1,    -1,
    3336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3388,    -1,    -1,  3391,    -1,  3393,    -1,    -1,
      -1,    -1,  3398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5039,  3419,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5098,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3489,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3558,  1889,  3560,    -1,    -1,    -1,    -1,    -1,
     238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1955,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3641,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1990,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3669,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3694,    -1,
      -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5358,  5359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5371,    -1,    -1,    -1,    -1,    -1,
      -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,  2094,    -1,
      -1,    -1,    -1,  3769,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3787,  2118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2130,    -1,  3802,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2217,    -1,    -1,    -1,    -1,    -1,  3893,    -1,    -1,
    3896,    -1,    -1,  2229,    -1,    -1,  3902,    -1,    -1,    -1,
      -1,    -1,  3908,    -1,  3910,    -1,    -1,  3913,    -1,    -1,
      -1,  3917,  3918,  3919,  3920,  3921,    -1,    -1,  3924,  3925,
    3926,  3927,  3928,  3929,  3930,  3931,  3932,  3933,    -1,  2265,
    2266,  3937,  3938,    -1,    -1,    -1,  3942,    -1,    -1,    -1,
      -1,  3947,    -1,    -1,    -1,  3951,    -1,    -1,    -1,  3955,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,
    3966,    -1,  3968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3976,  3977,    -1,    -1,  3980,  3981,    -1,    -1,    -1,  3985,
    3986,    -1,    -1,    -1,    -1,    -1,  3992,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4002,    -1,    -1,  4005,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4018,    -1,    -1,    -1,    -1,    -1,  4024,  4025,
    4026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   720,   721,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4071,    -1,    -1,    -1,    -1,
      -1,    -1,  5699,    -1,  5701,    -1,    -1,    -1,    -1,    -1,
      -1,  4087,    -1,  2419,    -1,    -1,    -1,    -1,    -1,    -1,
     768,    -1,    -1,    -1,    -1,    -1,    -1,  4103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4115,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   897,
    4226,   899,    -1,   901,   902,    -1,   904,    -1,   906,    -1,
      -1,   909,    -1,   911,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   931,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   939,    -1,    -1,    -1,    -1,    -1,    -1,   946,   947,
      -1,    -1,   950,    -1,   952,   953,    -1,    -1,    -1,   957,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,
      -1,    -1,  2628,  2629,    -1,    -1,   974,    -1,   976,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   993,  4322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1016,    -1,
    1018,    -1,    -1,    -1,    -1,  4351,    -1,    -1,    -1,  1027,
    1028,    -1,    -1,    -1,  2690,    -1,    -1,    -1,  4364,  1037,
      -1,    -1,    -1,    -1,    -1,    -1,  2702,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4400,  4401,  4402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1132,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4527,  4528,    -1,  4530,    -1,    -1,    -1,  4534,  4535,
      -1,    -1,    -1,  4539,  4540,    -1,    -1,    -1,  4544,    -1,
      -1,  4547,  4548,    -1,    -1,    -1,  4552,    -1,    -1,    -1,
      -1,    -1,  4558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1239,    -1,  1241,  4570,    -1,    -1,  1245,    -1,    -1,
      -1,    -1,  4578,    -1,    -1,    -1,  4582,    -1,    -1,    -1,
      -1,    -1,    -1,  2919,    -1,    -1,    -1,    -1,  1266,  4595,
      -1,    -1,    -1,    -1,  4600,    -1,    -1,    -1,    -1,    -1,
    4606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4624,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4655,
      -1,  1329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3001,    -1,  4673,  1346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1358,    -1,    -1,  1361,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1371,    -1,    -1,    -1,    -1,  1376,    -1,
      -1,    -1,    -1,    -1,    -1,  4711,  1384,    -1,    -1,    -1,
      -1,    -1,  1390,    -1,    -1,  1393,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4732,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4755,
      -1,    -1,    -1,    -1,  1432,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3123,    -1,    -1,
      -1,  4797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3140,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4821,    -1,  3153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4835,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4905,
      -1,  4907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1597,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4954,    -1,
      -1,    -1,  4958,    -1,    -1,    -1,    -1,  4963,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4980,  4981,    -1,    -1,  4984,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4999,    -1,    -1,    -1,    -1,    -1,    -1,
    5006,    -1,    -1,    -1,    -1,  5011,    -1,    -1,  5014,  5015,
      -1,    -1,    -1,    -1,    -1,    -1,  5022,  5023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5046,    -1,  5048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3388,    -1,  5060,  3391,    -1,  3393,    -1,    -1,
      -1,    -1,  3398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5098,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3447,    -1,    -1,  1792,  1793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1851,    -1,    -1,  1854,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1862,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5216,    -1,  5218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3558,    -1,  3560,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5245,
    5246,    -1,  5248,    -1,  5250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1931,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5270,    -1,    -1,    -1,    -1,    -1,
    5276,    -1,    -1,    -1,  5280,    -1,    -1,    -1,    -1,    -1,
    5286,    -1,    -1,    -1,    -1,  5291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3641,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1995,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3669,    -1,    -1,    -1,  5343,    -1,    -1,
      -1,    -1,  5348,  5349,    -1,    -1,    -1,  5353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3694,    -1,
      -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3769,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5455,
    5456,  3787,    -1,    -1,    -1,    -1,  2134,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3802,    -1,    -1,    -1,
      -1,    -1,  5478,    -1,    -1,  5481,    -1,    -1,  5484,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5495,
      -1,    -1,    -1,    -1,  5500,    -1,  5502,    -1,  5504,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2258,  3917,  2260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2276,  2277,
      -1,  2279,    -1,    -1,    -1,  5611,  3942,    -1,    -1,    -1,
      -1,    -1,    -1,  5619,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3976,  2319,  5648,  5649,    -1,    -1,    -1,    -1,    -1,    -1,
    5656,    -1,    -1,  2331,  5660,    -1,    -1,  2335,    -1,  2337,
    5666,    -1,  2340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5738,    -1,    -1,    -1,    -1,  5743,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5752,    -1,    -1,    -1,
      -1,    -1,  5758,  5759,    -1,  5761,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5770,    -1,    -1,  4103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5787,    -1,    -1,  2462,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5825,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5852,    -1,    -1,    -1,
      -1,  5857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5894,    -1,
    4226,    -1,    -1,    -1,  5900,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5924,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2606,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5942,  5943,    -1,    -1,
    2618,  2619,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2637,
    2638,    -1,    -1,    -1,  2642,  2643,    -1,    -1,    -1,  2647,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2661,    -1,    -1,    -1,    -1,    -1,    -1,
    2668,    -1,    -1,    -1,  2672,  2673,    -1,    -1,  2676,  2677,
      -1,    -1,    -1,    -1,    -1,  2683,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4351,    -1,    -1,  2696,    -1,
    2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2717,
      -1,    -1,    -1,    -1,  2722,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2735,    -1,    -1,
      -1,    -1,    -1,    -1,  4400,    -1,  2744,    -1,  2746,    -1,
      -1,  2749,  2750,  2751,    -1,    -1,    -1,    -1,  2756,  2757,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2766,    -1,
      -1,    -1,    -1,  2771,    -1,    -1,    -1,    -1,  2776,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2821,    -1,    -1,  2824,    -1,    -1,    -1,
      -1,  2829,    -1,    -1,    -1,    -1,  2834,  2835,    -1,    -1,
      -1,  2839,    -1,    -1,  2842,    -1,    -1,    -1,  2846,  2847,
    2848,  2849,    -1,  2851,    -1,    -1,   882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   891,  2864,  2865,    -1,  2867,
      -1,    -1,    -1,    -1,  4530,    -1,    -1,    -1,    -1,  2877,
    2878,    -1,    -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   930,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,  2929,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    -1,    41,    42,    43,    -1,  2957,
      -1,    -1,    -1,    49,    50,    -1,   992,    -1,    -1,    55,
      -1,    -1,   998,    -1,    -1,    -1,  1002,    -1,    64,    -1,
      66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,  1022,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4673,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,   125,
     126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    -1,  4711,    -1,    -1,    -1,    -1,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    -1,  4732,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,  3085,   174,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,
    3098,    -1,    -1,  1129,  1130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
    3128,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,
    1166,  4797,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,  3157,
     246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,
     326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,
      -1,  4907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,
      -1,    -1,  4958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,   404,    -1,
      -1,    -1,   408,  1349,    -1,    -1,    -1,  1353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,    -1,    -1,   430,    -1,  1372,   433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1387,   448,    -1,    -1,    -1,    -1,    -1,   454,    -1,
      -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,
      -1,   467,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1431,    -1,   493,    -1,    -1,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3416,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,  5098,  3441,    -1,    -1,    -1,  3445,    -1,    -1,
    1476,    -1,    -1,  3451,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   549,    -1,    -1,    -1,    -1,    -1,  3467,
    3468,    -1,    -1,    -1,  3472,    -1,    -1,    -1,    -1,  3477,
    3478,  3479,    -1,  3481,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3512,  3513,  3514,  3515,    -1,    -1,
      -1,    -1,    -1,    -1,  1550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3549,    -1,    -1,  3552,  3553,  3554,    -1,    -1,    -1,
      -1,    -1,  5218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1639,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3654,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3662,    -1,    -1,    -1,    -1,    -1,
    1696,  1697,  1698,    -1,  1700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3680,    -1,    -1,    -1,    -1,  5343,    -1,    -1,
      -1,    -1,  5348,  5349,  1720,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3707,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1774,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3759,    -1,    -1,    -1,    -1,  3764,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1802,    -1,    -1,    -1,
    1806,  1807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1821,  3794,    -1,    -1,    -1,
    5456,    -1,  3800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3829,    -1,  3831,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3846,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1955,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1990,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5660,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4122,    -1,  4124,    -1,    -1,    -1,
      -1,    -1,    -1,  4131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2185,
      -1,    -1,    -1,    -1,    -1,  4163,    -1,    -1,    -1,    -1,
      -1,    -1,  2198,    -1,    -1,  2201,    -1,    -1,    -1,  2205,
      -1,    -1,    -1,  4181,    -1,  2211,    -1,    -1,    -1,    -1,
      -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4199,    -1,  2229,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4209,    -1,    -1,    -1,    -1,  2242,  2243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2265,
    2266,  4239,  4240,  4241,    -1,    -1,    -1,    -1,  4246,  4247,
    4248,  4249,    -1,    -1,  4252,  4253,    -1,    -1,    -1,    -1,
    4258,  4259,    -1,  4261,  4262,  4263,  4264,  4265,  4266,    -1,
    4268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4277,
      -1,    -1,  4280,  4281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4299,    -1,    -1,    -1,    -1,    -1,    -1,  2334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2371,  2372,    -1,    -1,    -1,
      -1,  2377,  2378,    -1,    -1,    -1,    -1,    -1,  2384,  2385,
    2386,    -1,    -1,    -1,  2390,    -1,  2392,  2393,  2394,  2395,
    2396,  2397,    -1,  2399,    -1,  2401,  2402,    -1,    -1,  2405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2419,  2420,  2421,  2422,  2423,    -1,    -1,
      -1,    -1,  2428,    -1,    -1,    -1,  2432,    -1,    -1,  2435,
      -1,    -1,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,
    2446,  4419,  2448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2456,    -1,    -1,  2459,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4448,  4449,  4450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,
      -1,    -1,  2628,  2629,    -1,    -1,  1022,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2674,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2686,    -1,    -1,    -1,  2690,    -1,    -1,  2693,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2702,    -1,    -1,    -1,
      -1,    -1,    -1,  4681,    -1,    -1,    -1,  4685,  4686,  4687,
    4688,    -1,    -1,  4691,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4722,  4723,  4724,    -1,  4726,    -1,
    4728,  4729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4740,  4741,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4767,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4775,  4776,    -1,
    4778,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1129,  1130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4863,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2918,  2919,  4892,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4926,    -1,
      -1,    -1,    -1,  1349,    -1,    -1,  2962,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1387,    -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5004,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3123,    -1,    -1,
      -1,    -1,  5100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3137,    -1,    -1,  3140,    -1,    -1,  3143,    -1,    -1,
    5118,    -1,    -1,    -1,    -1,  5123,  5124,  3153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3163,    -1,    -1,
      -1,    -1,  3168,    -1,    -1,    -1,    -1,   998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3191,  3192,  3193,    -1,    -1,
    3196,  1022,    -1,    -1,    -1,    -1,  5174,    -1,  3204,  3205,
    3206,  3207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3217,  1608,    -1,  3220,  5193,  3222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3233,  3234,    -1,
      -1,  3237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3251,    -1,  3253,    -1,  3255,
      -1,  5229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3286,    -1,  3288,  3289,  3290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5284,  3313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3325,
      -1,    -1,    -1,    -1,  3330,    -1,    -1,    -1,    -1,    -1,
    3336,    -1,  5310,    -1,    -1,    -1,    -1,  1639,    -1,    -1,
    3346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5331,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5342,    -1,  1668,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3388,    -1,    -1,  3391,    -1,  3393,  5366,    -1,
      -1,    -1,  3398,    -1,  1696,  1697,  1698,    -1,  1700,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3419,    -1,    -1,    -1,    -1,  1720,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3489,    -1,  5463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,    -1,    -1,
    1802,    -1,    -1,    -1,  1806,  1807,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5492,    -1,    -1,    -1,  1349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5527,
      -1,    -1,  3558,    -1,  3560,    -1,  1387,    -1,    -1,  1955,
      -1,    -1,    -1,    -1,  5542,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1990,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5591,    -1,    -1,    -1,  2013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5605,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3641,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3669,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3694,    -1,
      -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,  2094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5687,
      -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5729,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3769,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,    -1,
      -1,  3787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2185,
      -1,    -1,    -1,    -1,    -1,    -1,  3802,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2229,    -1,  5813,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2265,
    2266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3893,    -1,    -1,
    3896,    -1,    -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,
      -1,    -1,  3908,    -1,  3910,    -1,    -1,  3913,    -1,    -1,
      -1,  3917,  3918,  3919,  3920,  3921,    -1,    -1,  3924,  3925,
    3926,  3927,  3928,  3929,  3930,  3931,  3932,  3933,    -1,    -1,
      -1,  3937,  3938,    -1,    -1,    -1,  3942,    -1,    -1,    -1,
      -1,  3947,    -1,    -1,    -1,  3951,    -1,    -1,    -1,  3955,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,
    3966,    -1,  3968,    -1,   998,    -1,    -1,    -1,    -1,    -1,
    3976,  3977,    -1,    -1,  3980,  3981,    -1,    -1,    -1,  3985,
    3986,    -1,    -1,    -1,    -1,    -1,  3992,    -1,  1022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4002,    -1,    -1,  4005,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4018,    -1,    -1,    -1,    -1,    -1,  4024,  4025,
    4026,    -1,    -1,  2419,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1889,    -1,
      -1,    -1,    -1,  2459,    -1,  4071,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2377,    -1,    -1,    -1,    -1,
      -1,  4087,    -1,    -1,    -1,    -1,    -1,    -1,  2390,    -1,
    2392,    -1,    -1,  2395,  2396,  2397,    -1,  4103,    -1,    -1,
    2402,    -1,    -1,  2405,    -1,    -1,    -1,    -1,    -1,  4115,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2420,  2421,
    2422,  2423,    -1,    -1,  1955,    -1,  2428,    -1,    -1,    -1,
    2432,    -1,    -1,  2435,    -1,    -1,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,    -1,  2448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2456,    -1,    -1,  2459,    -1,  1990,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4226,  2523,    -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,
      -1,    -1,  2628,  2629,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,    -1,
      -1,    -1,    -1,    -1,  2690,    -1,    -1,    -1,    -1,  2130,
      -1,    -1,    -1,    -1,    -1,    -1,  2702,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1349,  4322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,
      -1,    -1,    -1,    -1,   998,  4351,  2742,    -1,    -1,    -1,
      -1,    -1,    -1,  1387,  2185,    -1,    -1,    -1,  4364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1022,    -1,
      -1,    -1,  2674,    -1,  2205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4400,  4401,  4402,    -1,  2229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,
      -1,    -1,  1476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4527,  4528,  2919,  4530,    -1,    -1,    -1,  4534,  4535,
      -1,    -1,    -1,  4539,  4540,    -1,    -1,    -1,  4544,    -1,
      -1,  4547,  4548,    -1,    -1,    -1,  4552,    -1,    -1,    -1,
      -1,    -1,  4558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4570,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4578,    -1,  1608,    -1,  4582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2419,  4595,
      -1,    -1,    -1,    -1,  4600,    -1,    -1,    -1,    -1,    -1,
    4606,    -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2918,    -1,  4624,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4655,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4673,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4711,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4732,  3123,    -1,    -1,
      -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3140,    -1,    -1,    -1,    -1,  4755,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4797,    -1,  2624,    -1,    -1,    -1,  2628,  2629,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4821,    -1,    -1,    -1,    -1,
      -1,    -1,  1476,    -1,    -1,    -1,    -1,    -1,    -1,  4835,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1889,    -1,    -1,  4864,  2690,
      -1,  3163,    -1,    -1,    -1,    -1,  3168,    -1,    -1,    -1,
      -1,  2702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3193,  3288,  3289,  3290,    -1,    -1,    -1,    -1,  4905,
      -1,  4907,  3204,    -1,  3206,  3207,    -1,    -1,    -1,    -1,
      -1,  2742,    -1,    -1,    -1,  3217,    -1,    -1,  3220,    -1,
    3222,  1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4954,  3251,
      -1,  3253,  4958,  3255,  1608,    -1,  1990,  4963,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4980,  4981,    -1,    -1,  4984,  2013,
      -1,    -1,    -1,    -1,    -1,    -1,  3288,  3289,  3290,    -1,
      -1,    -1,  3388,  4999,    -1,  3391,    -1,  3393,    -1,    -1,
    5006,    -1,  3398,    -1,    -1,  5011,    -1,    -1,  5014,  5015,
      -1,  3313,    -1,    -1,    -1,    -1,  5022,  5023,    -1,    -1,
      -1,    -1,    -1,  3325,    -1,    -1,    -1,    -1,  3330,    -1,
      -1,    -1,    -1,    -1,  3336,    -1,    -1,    -1,    -1,    -1,
    5046,    -1,  5048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3447,    -1,    -1,  5060,    -1,    -1,    -1,    -1,    -1,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3464,    -1,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,  2919,    -1,
      -1,    -1,  5098,  3489,    -1,    -1,  2130,    -1,    -1,    -1,
      -1,    -1,  5108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3419,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5150,    -1,    -1,    -1,    -1,    -1,
      -1,  2185,    -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,
      -1,    -1,  3558,    -1,  3560,    -1,    -1,    -1,    -1,    -1,
    3001,  2205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1022,    -1,    -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5216,    -1,  5218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2265,  2266,    -1,    -1,  1889,    -1,    -1,    -1,  5245,
    5246,    -1,  5248,    -1,  5250,  3641,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5270,    -1,    -1,    -1,    -1,    -1,
    5276,    -1,    -1,  3669,  5280,    -1,    -1,    -1,    -1,    -1,
    5286,    -1,    -1,    -1,    -1,  5291,    -1,    -1,    -1,    -1,
      -1,    -1,  3123,    -1,    -1,    -1,    -1,    -1,  3694,    -1,
      -1,  1955,    -1,    -1,  3700,    -1,    -1,    -1,    -1,  3140,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1990,  5343,    -1,    -1,
      -1,    -1,  5348,  5349,    -1,    -1,    -1,  5353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2013,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,
      -1,    -1,    -1,  3769,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2419,    -1,    -1,    -1,    -1,
      -1,  3787,    -1,  1022,  5400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3802,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5455,
    5456,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5478,    -1,    -1,  5481,  2130,    -1,  5484,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5495,
      -1,    -1,    -1,    -1,  5500,    -1,  5502,    -1,  5504,    -1,
    3896,    -1,    -1,    -1,    -1,    -1,  5512,  1349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3917,    -1,    -1,  5530,    -1,    -1,    -1,    -1,    -1,
    1372,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1387,  3942,    -1,    -1,    -1,
      -1,  2205,    -1,    -1,    -1,    -1,    -1,  3388,    -1,    -1,
    3391,    -1,  3393,  2217,    -1,    -1,    -1,  3398,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,
    3976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2624,  3893,    -1,    -1,  2628,  2629,    -1,    -1,    -1,    -1,
    3902,    -1,    -1,    -1,    -1,  5611,  3908,    -1,  3910,    -1,
      -1,  2265,  2266,  5619,    -1,    -1,  3447,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4026,    -1,    -1,  3464,  1476,  3937,  3938,    -1,    -1,    -1,
      -1,    -1,  5648,  5649,    -1,    -1,    -1,    -1,    -1,    -1,
    5656,    -1,    -1,  3955,  5660,    -1,  2690,    -1,  3489,    -1,
    5666,  3963,    -1,    -1,  3966,    -1,  3968,    -1,  2702,    -1,
      -1,    -1,    -1,    -1,    -1,  3977,    -1,    -1,    -1,    -1,
      -1,    -1,  5688,  3985,  3986,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,  2742,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4018,    -1,    -1,    -1,
    1349,    -1,  4024,  4025,  4026,    -1,    -1,  3558,    -1,  3560,
      -1,    -1,  5738,    -1,    -1,    -1,    -1,  5743,    -1,    -1,
      -1,    -1,    -1,  1372,    -1,    -1,  5752,    -1,    -1,    -1,
      -1,    -1,  5758,  5759,    -1,  5761,    -1,    -1,  1387,    -1,
      -1,    -1,    -1,    -1,  5770,  2419,  1608,    -1,    -1,  4071,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5787,    -1,    -1,    -1,  4087,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4202,    -1,    -1,    -1,
    3641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5825,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3669,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5852,  1476,    -1,    -1,
      -1,  5857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3694,    -1,    -1,    -1,    -1,    -1,  3700,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2919,    -1,    -1,  5894,    -1,
      -1,    -1,    -1,    -1,  5900,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5924,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5942,  5943,  3769,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4351,  3787,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,
    2624,  3802,    -1,    -1,  2628,  2629,    -1,    -1,    -1,  1608,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2690,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1889,  2702,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3917,    -1,  2742,  3123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4401,
    4402,    -1,    -1,    -1,    -1,    -1,  3140,    -1,    -1,    -1,
      -1,  3942,    -1,  1955,    -1,    -1,    -1,    -1,    -1,  3153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4540,  3976,    -1,    -1,  1990,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2013,    -1,    -1,  4476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4487,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4595,
      -1,    -1,    -1,    -1,  4600,    -1,    -1,    -1,    -1,    -1,
    4606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4527,  4528,    -1,    -1,    -1,
      -1,    -1,  4534,  4535,    -1,    -1,    -1,  4539,    -1,    -1,
      -1,    -1,  4544,    -1,    -1,  4547,  4548,    -1,    -1,    -1,
    4552,    -1,  2094,    -1,    -1,    -1,  4558,    -1,    -1,    -1,
    1889,    -1,    -1,    -1,    -1,  2919,    -1,  2109,    -1,    -1,
      -1,    -1,  4103,    -1,    -1,    -1,  2118,  4673,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,    -1,
      -1,    -1,    -1,  4595,    -1,    -1,    -1,    -1,  4600,    -1,
      -1,    -1,    -1,    -1,  4606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4711,    -1,    -1,    -1,    -1,
      -1,    -1,  4624,    -1,    -1,    -1,  1955,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4732,    -1,    -1,    -1,
      -1,    -1,    -1,  2185,    -1,    -1,    -1,  3001,    -1,    -1,
      -1,    -1,    -1,  4655,  3388,    -1,    -1,  3391,    -1,  3393,
      -1,  1990,    -1,  2205,  3398,    -1,    -1,    -1,    -1,    -1,
      -1,  4202,    -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2013,    -1,    -1,  2229,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4226,    -1,    -1,    -1,    -1,
      -1,  4797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3447,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,    -1,
    3464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4755,    -1,  3489,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,    -1,  3123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2109,    -1,    -1,    -1,    -1,    -1,  3140,    -1,    -1,  2118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3153,
      -1,  2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4905,
      -1,  4907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4821,
    4351,    -1,    -1,    -1,  3558,    -1,  3560,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,
      -1,    -1,  4958,    -1,    -1,    -1,    -1,    -1,    -1,  4400,
      -1,    -1,    -1,    -1,    -1,    -1,  2205,  2419,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2229,    -1,    -1,    -1,    -1,    -1,    -1,  3641,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3669,  2265,  2266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3694,    -1,    -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4980,  4981,
      -1,    -1,  4984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4530,
      -1,    -1,  5098,    -1,    -1,    -1,    -1,    -1,    -1,  4540,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5022,  5023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3388,  3769,    -1,  3391,    -1,  3393,
      -1,    -1,    -1,    -1,  3398,    -1,  5048,    -1,    -1,    -1,
      -1,    -1,    -1,  3787,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2624,    -1,    -1,    -1,  2628,  2629,    -1,    -1,
    2419,    -1,    -1,  3447,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3489,    -1,    -1,    -1,    -1,
      -1,    -1,  4673,    -1,    -1,    -1,    -1,    -1,  2690,    -1,
    5246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2702,    -1,  3896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4711,    -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,
    5286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2742,  4732,    -1,    -1,  3558,    -1,  3560,    -1,  3942,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3976,    -1,    -1,    -1,  5248,  5343,    -1,    -1,
      -1,    -1,  5348,  5349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4797,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5276,  1712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3641,    -1,  5291,
      -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,  2628,
    2629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3669,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3694,    -1,    -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,
      -1,  5353,  1789,    -1,    -1,    -1,    -1,    -1,    -1,  5455,
    5456,  2690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,
      -1,    -1,    -1,  2702,    -1,    -1,  4907,  2919,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2742,    -1,  3769,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4958,    -1,    -1,
      -1,    -1,    -1,  3787,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3802,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4202,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3917,  5660,    -1,    -1,  5098,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3123,    -1,    -1,    -1,    -1,    -1,    -1,  3942,    -1,
    2919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3140,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5611,
      -1,  3153,    -1,    -1,    -1,    -1,    -1,  4351,    -1,    -1,
      -1,    -1,  3976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5648,  5649,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5666,    -1,  4400,    -1,    -1,    -1,
      -1,    -1,  3001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5218,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5743,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,
      -1,    -1,    -1,    -1,    -1,  5286,    -1,    -1,    -1,  5761,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5787,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3123,    -1,  4530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4540,    -1,    -1,    -1,
      -1,  3140,  5343,    -1,    -1,    -1,    -1,  5348,  5349,    -1,
      -1,    -1,    -1,    -1,  3153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3388,    -1,  4202,  3391,
      -1,  3393,    -1,    -1,    -1,    -1,  3398,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5894,    -1,    -1,    -1,    -1,    -1,  5900,    -1,
      -1,    -1,    -1,    -1,    -1,  3447,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3464,    -1,    -1,  5456,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2375,  4673,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3489,    -1,    -1,
      -1,    -1,  2389,    -1,    -1,    -1,  2393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2407,  2408,  2409,    -1,    -1,  2412,    -1,  4711,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4351,  4732,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3558,  2454,  3560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4400,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3388,
      -1,    -1,  3391,  4797,  3393,    -1,    -1,    -1,    -1,  3398,
      -1,    -1,  2509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2532,    -1,    -1,    -1,  3641,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2544,    -1,    -1,
    2547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3447,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3669,    -1,  5660,
      -1,    -1,    -1,    -1,    -1,  3464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3694,    -1,    -1,    -1,    -1,    -1,  3700,    -1,
    3489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4907,    -1,    -1,  4530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4540,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4958,    -1,    -1,  3769,    -1,  3558,
      -1,  3560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3787,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3641,    -1,    -1,    -1,    -1,    -1,    -1,  4673,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3896,    -1,    -1,  4711,    -1,    -1,
      -1,    -1,    -1,    -1,  5098,  3694,    -1,    -1,    -1,    -1,
      -1,  3700,    -1,    -1,    -1,  3917,    -1,    -1,  4732,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3976,    -1,    -1,    -1,    -1,    -1,
    3769,    -1,    -1,  4797,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3787,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3802,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5218,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5286,  4907,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4103,    -1,    -1,    -1,    -1,    -1,  3896,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3917,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4958,    -1,    -1,    -1,    -1,  5343,
      -1,    -1,    -1,  3942,  5348,  5349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3976,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4226,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5456,    -1,    -1,    -1,    -1,    -1,    -1,  3166,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5098,    -1,    -1,    -1,    -1,  3186,
      -1,  3188,    -1,    -1,  3191,  3192,    -1,  3194,    -1,  3196,
      -1,    -1,    -1,  3200,    -1,    -1,  3203,    -1,    -1,    -1,
      -1,  3208,    -1,    -1,  4103,    -1,    -1,  3214,    -1,    -1,
      -1,    -1,  3219,    -1,    -1,    -1,    -1,    -1,    -1,  3226,
    3227,  3228,  3229,    -1,    -1,    -1,  3233,  3234,    -1,  3236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4351,
      -1,  3248,    -1,  3250,    -1,    -1,    -1,    -1,    -1,    -1,
    3257,  3258,  3259,  3260,  3261,  3262,  3263,  3264,  3265,  3266,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3294,  4400,    -1,
      -1,    -1,    -1,    -1,  5218,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4202,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3322,    -1,    -1,    -1,    -1,
      -1,    -1,  5246,    -1,    -1,    -1,    -1,  4226,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5660,    -1,    -1,    -1,
      -1,    -1,  5286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4530,  5343,
      -1,    -1,    -1,    -1,  5348,  5349,    -1,  3434,  4540,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4711,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4797,    -1,    -1,  3695,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5660,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4673,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4907,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4732,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4958,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3892,    -1,    -1,    -1,    -1,
      -1,  3898,    -1,    -1,    -1,    -1,    -1,    -1,  4797,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3914,  3915,    -1,
      -1,  3918,  3919,  3920,  3921,    -1,    -1,  3924,  3925,  3926,
    3927,  3928,  3929,  3930,  3931,  3932,  3933,  3934,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3956,
      -1,    -1,  3959,    -1,  3961,    -1,    -1,  3964,  3965,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3979,  3980,  3981,  3982,    -1,  3984,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5098,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4907,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4054,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4065,  4958,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4112,  5218,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5246,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5098,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5343,    -1,    -1,    -1,    -1,  5348,  5349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4322,    -1,    -1,    -1,  5218,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5456,    -1,    -1,  5246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5286,    -1,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    -1,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5343,    -1,    -1,    -1,    -1,  5348,
    5349,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
    4477,    -1,    -1,    -1,  4481,  4482,  4483,    -1,    -1,    -1,
      -1,    -1,  4489,  4490,  4491,  4492,    -1,    -1,    -1,    -1,
    4497,  4498,  4499,  4500,  4501,  4502,  4503,  4504,  4505,  4506,
    4507,  4508,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,
     124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,  4533,    -1,    -1,  4536,
      -1,  4538,   146,    -1,   148,  4542,    -1,    -1,  4545,  4546,
      -1,   155,  4549,  4550,    -1,    -1,    -1,    -1,  5660,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,  5456,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4597,    -1,    -1,    -1,    -1,    -1,    -1,  4604,  4605,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,  4623,   231,    -1,    -1,
      -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,  4636,
      -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,
      -1,    -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,
      -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,
      -1,  5660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,    -1,    -1,   430,  4824,    -1,   433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
     454,    -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4902,  4903,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4948,    -1,    -1,    -1,    -1,  4953,  4954,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4968,    -1,  4970,    -1,    -1,    -1,  4974,  4975,  4976,
      -1,    -1,  4979,    -1,    -1,  4982,  4983,    -1,    -1,    -1,
    4987,    -1,    -1,    -1,  4991,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,  5119,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5155,    -1,
      -1,    -1,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   104,    -1,   106,   107,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,   119,    -1,    -1,
     122,   123,   124,   125,   126,   127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,
     142,    -1,   144,   145,   146,    -1,   148,    -1,    -1,   151,
      -1,   153,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,    -1,  5244,  5245,   181,
      -1,   183,   184,   185,   186,    -1,    -1,    -1,    -1,    -1,
     192,    -1,    -1,  5260,  5261,  5262,    -1,    -1,   200,    -1,
     202,    -1,    -1,  5270,   206,    -1,    -1,    -1,    -1,    -1,
     212,   213,    -1,    -1,    -1,    -1,    -1,    -1,   220,   221,
     222,    -1,    -1,   225,    -1,    -1,   228,    -1,    -1,   231,
      -1,  5298,  5299,    -1,    -1,   237,    -1,   239,    -1,    -1,
      -1,    -1,   244,    -1,   246,    -1,   248,  5314,    -1,    -1,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,   260,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,
      -1,    -1,   274,    -1,    -1,   277,    -1,   279,    -1,    -1,
     282,   283,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,   295,    -1,   297,    -1,   299,   300,    -1,
      -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,   320,   321,
     322,    -1,    -1,    -1,   326,    -1,    -1,   329,   330,    -1,
      -1,   333,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,   351,
      -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   367,    -1,   369,    -1,   371,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   383,   384,    -1,    -1,    -1,    -1,    -1,   390,   391,
      -1,   393,    -1,    -1,    -1,    -1,   398,    -1,    -1,    -1,
      -1,   403,   404,  5470,   406,    -1,   408,    -1,    -1,   411,
      -1,    -1,    -1,    -1,    -1,   417,   418,  5484,    -1,    -1,
    5487,    -1,    -1,   425,  5491,   427,    -1,   429,   430,    -1,
      -1,   433,    -1,    -1,    -1,    -1,    -1,   439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
     452,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,   461,
     462,    -1,    -1,    -1,    -1,   467,    -1,   469,    -1,   471,
      -1,   473,    -1,    -1,  5541,    -1,   478,    -1,    -1,   481,
      -1,    -1,   484,    -1,    -1,   487,    -1,    -1,    -1,    -1,
     492,   493,    -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   505,    -1,    -1,    -1,    -1,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,    -1,   528,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,    -1,    -1,    -1,   546,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5654,    -1,  5656,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5686,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5764,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5823,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5852,    -1,    -1,    -1,    -1,
    5857,    -1,    -1,    -1,    -1,    -1,    -1,  5864,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,  5896,
      15,    16,  5899,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,  5922,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,   548,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    -1,    41,    42,    43,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,
     125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,
      -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,
     335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
      -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,    -1,    -1,   430,    -1,    -1,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,   454,
      -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,
      -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,   549,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,
      -1,    -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,   528,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,   543,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,   543,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   543,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   543,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,   528,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,   540,   541,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,   528,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     543,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,   541,   542,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,   452,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,   528,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   542,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,   452,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,   528,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   542,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   542,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    84,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,    -1,   468,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
      -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    84,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,    -1,   468,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,    -1,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,   535,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   535,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     535,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   535,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,     4,   531,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,    -1,   328,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,    -1,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,    -1,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,    -1,   368,    -1,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
      -1,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,    -1,   328,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,    -1,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,    -1,   368,
      -1,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,
      -1,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,    -1,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,    -1,   468,    -1,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,    -1,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,    -1,   125,    -1,    -1,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,    -1,    -1,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,    -1,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,    -1,    -1,
     273,   274,   275,    -1,    -1,    -1,    -1,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
     323,   324,   325,    -1,    -1,   328,   329,   330,   331,    -1,
      -1,   334,    -1,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,    -1,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,   428,   429,   430,   431,   432,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,    -1,    -1,
      -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      -1,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,    -1,   149,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,   170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,    -1,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
     123,   124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,
      -1,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,
      -1,    -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,
     283,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,
      -1,    -1,    -1,   326,    -1,    -1,    -1,   330,    -1,    -1,
     333,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,
     353,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   404,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,    -1,    -1,   430,    -1,    -1,
     433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,   461,   462,
      -1,    -1,    -1,    -1,   467,    -1,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,   125,
     126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,
     326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,    -1,    -1,   430,    -1,    -1,   433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,   454,    -1,
      -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,
      -1,   467,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,   123,   124,   125,   126,   127,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   277,    -1,
     279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,    -1,
      -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,
     369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,
      -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,
      -1,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,
     469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,    -1,    -1,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    -1,    -1,    -1,    -1,    78,    79,   533,   534,   535,
      -1,    -1,    -1,    -1,    -1,    -1,   542,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      -1,   524,   525,    70,    71,   528,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    -1,    85,   542,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    -1,   524,   525,    -1,
      -1,    -1,    -1,    -1,    70,    71,   533,   534,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    -1,   524,   525,
      -1,    -1,    -1,    -1,    -1,    70,    71,   533,   534,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    -1,   524,
     525,    -1,    -1,    -1,    -1,    -1,    70,    71,   533,   534,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    -1,
     524,   525,    -1,    -1,    -1,    -1,    -1,    70,    71,   533,
     534,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      -1,   524,   525,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,   524,   525,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    70,   524,   525,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,   524,   525,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,   524,   525,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    70,   524,   525,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,    -1,    -1,    -1,    -1,    -1,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,    -1,   140,    -1,
     142,   143,   144,   145,    -1,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,    -1,    -1,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,    -1,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,    -1,
      -1,   273,   274,   275,    -1,    -1,    -1,    -1,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,    -1,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,    -1,    -1,
      -1,   323,   324,   325,    -1,    -1,   328,   329,    -1,   331,
      -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,    -1,
     352,    -1,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,    -1,   368,    -1,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,   428,   429,    -1,   431,
     432,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,    -1,
      -1,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   551,  1196,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   138,   213,   231,   253,
     276,   313,   316,   332,   416,   463,   478,   493,   523,   531,
     533,   534,   535,   536,   537,   540,   541,   542,   543,   545,
     546,   547,   548,   549,  1186,  1197,  1225,  1227,  1318,  1328,
    1329,  1331,  1337,  1338,  1226,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   119,   122,   123,   124,   125,   126,   127,   139,
     142,   144,   145,   146,   148,   151,   153,   155,   164,   166,
     167,   174,   181,   183,   184,   185,   186,   200,   202,   206,
     212,   213,   220,   221,   222,   225,   228,   231,   237,   239,
     244,   246,   248,   256,   260,   270,   271,   277,   279,   282,
     283,   285,   294,   295,   297,   299,   300,   305,   317,   320,
     321,   322,   326,   329,   330,   333,   335,   350,   351,   353,
     354,   367,   369,   371,   383,   384,   390,   391,   393,   398,
     403,   404,   406,   408,   411,   417,   418,   425,   427,   429,
     430,   433,   439,   448,   452,   454,   461,   462,   467,   469,
     471,   473,   478,   481,   487,   492,   493,   496,   505,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     528,   542,   552,   553,   559,   560,   562,   563,   564,   565,
     567,   571,   583,   588,   589,   592,   593,   594,   614,   617,
     618,   634,   677,   680,   683,   684,   685,   693,   699,   701,
     703,   704,   707,   710,   711,   715,   724,   728,   729,   730,
     731,   734,   736,   737,   738,   739,   747,   748,   767,   771,
     773,   774,   775,   785,   787,   794,   795,   798,   799,   800,
     801,   802,   810,   812,   816,   821,   825,   826,   834,   835,
     838,   843,   854,   881,   884,   885,   886,   891,   894,   896,
     898,   900,   901,   906,   907,   910,   911,   912,   916,   917,
     920,   921,   924,   925,   926,   933,   935,   936,   937,   942,
     944,   945,   951,   952,   953,   954,   955,   956,   957,   959,
     960,   962,   963,   965,   968,   969,   974,   980,   983,   985,
     994,   996,  1001,  1006,  1010,  1011,  1012,  1013,  1014,  1015,
    1018,  1053,  1193,  1194,  1198,  1200,  1201,  1218,  1219,  1220,
    1221,  1232,  1234,  1238,  1239,  1240,  1241,  1242,  1244,  1246,
    1248,  1249,  1250,  1251,  1253,  1258,  1259,  1263,  1264,  1273,
    1275,  1276,  1277,  1280,  1285,  1288,  1293,  1295,  1296,  1299,
    1301,  1304,  1313,  1331,  1339,    72,  1221,  1229,  1230,    14,
      71,    94,    95,    96,    97,    98,    99,   100,   101,   103,
     104,   105,   113,   114,   116,   117,   118,   120,   121,   122,
     129,   130,   131,   132,   133,   136,   137,   140,   142,   143,
     144,   145,   150,   151,   152,   153,   154,   156,   157,   160,
     161,   162,   163,   164,   165,   168,   169,   177,   178,   179,
     180,   181,   183,   186,   188,   190,   191,   192,   193,   194,
     195,   197,   198,   199,   200,   203,   204,   205,   206,   207,
     209,   210,   211,   213,   214,   215,   217,   218,   219,   220,
     222,   223,   224,   227,   229,   230,   232,   234,   236,   240,
     241,   242,   243,   245,   249,   251,   252,   254,   255,   257,
     258,   259,   260,   262,   263,   264,   265,   266,   267,   269,
     273,   274,   275,   281,   284,   286,   287,   288,   289,   290,
     293,   296,   299,   300,   301,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   314,   315,   317,   318,   319,   323,
     324,   325,   328,   329,   331,   334,   336,   337,   338,   340,
     341,   344,   345,   346,   349,   352,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   365,   366,   368,   370,   371,
     372,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     384,   385,   386,   387,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   402,   403,   405,   406,
     407,   409,   410,   411,   412,   413,   414,   415,   417,   419,
     420,   421,   422,   423,   424,   425,   426,   428,   429,   431,
     432,   434,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   450,   451,   453,   455,   456,   457,
     458,   459,   463,   465,   466,   468,   471,   472,   473,   474,
     475,   476,   477,   480,   481,   482,   483,   484,   487,   488,
     489,   490,   491,   495,   497,   498,   499,   500,   503,   506,
     507,   508,   509,   510,   511,   524,   525,  1188,  1189,  1191,
    1192,  1193,  1194,  1211,  1212,  1323,  1325,  1329,  1331,    29,
     272,  1274,     9,    13,    15,    28,    44,    45,    49,    50,
      55,    64,    66,    68,    69,   102,   138,   158,   170,   182,
     187,   253,   313,   316,   416,   492,   523,  1179,  1192,  1193,
    1213,  1260,  1261,  1303,  1304,  1305,  1309,  1314,  1315,  1316,
    1325,  1331,   102,  1007,  1178,  1213,  1309,  1322,    14,  1007,
       5,    25,    29,    35,    36,    42,    43,   102,   106,   107,
     108,   109,   110,   111,   112,   115,   128,   134,   135,   138,
     141,   147,   149,   158,   159,   166,   170,   171,   172,   173,
     175,   176,   177,   187,   189,   196,   201,   202,   208,   212,
     216,   226,   228,   233,   235,   238,   244,   247,   250,   261,
     268,   272,   276,   278,   280,   291,   292,   298,   302,   303,
     327,   332,   339,   342,   343,   347,   348,   364,   373,   388,
     401,   418,   424,   435,   449,   452,   460,   463,   464,   470,
     478,   479,   485,   486,   492,   494,   501,   502,   504,   505,
    1192,  1195,  1305,  1306,  1307,  1311,  1312,  1313,  1314,  1316,
      25,    35,   138,   276,  1300,    37,    39,   327,  1233,   465,
     508,   938,   101,   148,   163,   181,   187,   204,   215,   223,
     235,   240,   247,   264,   289,   310,   344,   366,   376,   379,
     405,   410,   412,   419,   422,   441,   447,   451,   452,   455,
     459,   468,   473,   485,   498,   700,  1261,   186,   938,   102,
    1007,   496,   970,   342,   372,   938,   125,   542,   625,    96,
     101,   113,   135,   148,   159,   181,   187,   204,   215,   223,
     235,   243,   247,   301,   344,   347,   366,   379,   405,   412,
     422,   441,   447,   455,   456,   458,   459,   468,   473,   479,
     482,   485,   635,   682,   790,   844,   855,  1179,  1202,  1203,
    1204,  1213,  1329,  1331,    14,   102,   371,  1178,  1213,  1217,
     440,  1007,   102,   365,   420,   456,   458,   288,   892,   893,
    1329,    96,   101,   113,   135,   148,   163,   181,   204,   215,
     223,   235,   240,   247,   264,   310,   344,   356,   366,   379,
     405,   410,   412,   419,   422,   441,   447,   452,   455,   459,
     466,   468,   473,   485,   498,   700,   803,   804,   805,   938,
     548,  1243,  1307,   257,  1217,   166,   186,   220,   496,   542,
     680,   683,   969,   975,   983,   985,   994,  1001,  1006,  1010,
    1198,    95,   102,   120,   230,   236,   238,   261,   290,   324,
     374,   392,   533,   534,   822,   823,  1007,  1186,  1187,  1323,
    1325,   102,   166,   388,   418,   827,   828,   829,  1309,   235,
    1309,  1183,  1329,   452,  1021,   120,   236,   822,  1309,   465,
    1217,   356,   310,   181,   264,   412,   451,   452,   542,   902,
     903,   411,  1309,   102,   138,   423,   461,   465,   492,   575,
     584,   585,  1192,  1193,  1303,  1308,  1314,  1316,  1331,    99,
     244,   827,   828,   372,   938,  1309,   287,   102,   201,  1023,
    1024,     4,    14,   136,   158,   160,   301,   319,   405,   412,
     423,   461,   465,   511,   572,   573,   574,   575,   102,   423,
     461,   465,   575,   465,   343,  1064,  1176,  1309,  1021,  1297,
    1307,   535,  1309,   239,   542,   971,   542,   386,  1016,  1017,
    1178,  1016,  1011,  1012,  1015,   546,   970,   216,   278,   348,
     478,  1025,  1026,  1011,  1013,  1014,   192,   274,   484,   545,
     122,   552,  1241,  1244,  1240,  1236,   546,  1245,  1247,     5,
      25,    35,   138,   205,   276,  1252,   182,   253,   313,   316,
     416,   523,   542,  1107,  1108,  1224,  1228,  1318,    72,  1221,
    1178,  1213,  1332,   187,  1202,    21,   486,   536,  1217,  1217,
    1332,   486,  1265,  1266,  1267,    25,   276,   276,  1311,     7,
      19,    20,    38,    41,   162,   202,  1302,  1302,    16,  1241,
     871,  1184,  1194,  1303,  1306,  1309,  1310,  1314,  1315,  1331,
     807,  1309,   807,  1179,   375,   807,   468,  1178,   180,   452,
     859,  1184,  1194,  1309,  1188,  1189,   102,   255,  1176,   336,
     498,    84,    91,    92,    93,   143,   227,   529,   530,   531,
     533,   534,   535,   536,   537,   538,   888,   890,  1140,  1141,
    1309,   255,  1178,  1178,   102,  1188,  1189,  1178,  1178,   255,
    1176,  1178,   807,  1178,   398,   425,   102,   255,  1064,  1178,
     415,  1178,   807,   102,   308,  1188,  1189,   255,  1176,   288,
      34,   189,   284,   327,   382,   939,   940,   941,  1176,  1182,
    1309,    96,   101,   135,   148,   149,   159,   163,   181,   204,
     215,   223,   235,   240,   264,   289,   310,   344,   366,   379,
     405,   410,   412,   419,   422,   441,   447,   452,   455,   459,
     466,   468,   473,   498,   700,   813,   814,  1329,   982,   985,
     994,  1001,  1010,  1176,   312,  1184,  1178,   542,   255,   807,
     468,  1179,   807,   468,   255,  1178,   180,   452,   456,   458,
    1188,   456,   458,   143,   227,   888,   396,  1178,  1178,  1188,
     255,   568,  1309,   255,  1178,   255,   807,  1178,  1178,   415,
    1178,   807,   308,  1188,   386,   419,   452,   498,   310,   163,
     264,   240,   410,   466,   472,   694,    84,  1205,  1206,   547,
    1325,  1332,   102,  1217,  1331,  1008,   582,  1191,  1329,   893,
     312,   255,   871,   872,  1178,   255,   897,   255,  1179,   124,
     126,   127,   138,   139,   184,   185,   205,   231,   255,   276,
     277,   279,   320,   322,   335,   383,   427,   433,   461,   462,
     493,   809,  1086,  1088,  1090,  1092,  1094,  1096,  1097,  1098,
    1100,  1101,  1102,  1104,  1105,  1303,  1310,  1314,  1315,  1331,
     468,   180,   452,   255,   858,   859,   255,  1189,  1190,   155,
     498,   143,   227,   255,   889,   890,   129,   255,  1190,   255,
    1178,   255,  1178,   415,   897,   255,   809,   255,   308,  1190,
     288,   255,   806,   807,   255,  1177,  1178,   255,  1178,   542,
     548,  1333,  1334,  1335,  1336,  1338,  1243,    70,  1213,  1262,
     542,   984,   635,  1007,   975,   969,   976,   977,   978,  1191,
     970,  1187,   823,   824,   102,   823,  1007,  1187,   824,   102,
     823,  1007,  1187,   824,   824,   824,  1187,  1186,  1186,   280,
     486,  1267,  1268,  1342,  1343,  1007,   824,   375,   542,   542,
     655,   655,   655,   342,   463,   545,   655,   412,  1064,  1065,
     823,  1007,   823,  1007,   545,   934,  1329,   238,   542,   981,
     129,   498,   496,   904,   905,  1176,  1178,  1309,   119,   525,
     284,   544,   345,   345,   342,   238,  1329,   463,   233,   817,
     342,    82,    83,    84,    86,   110,   124,   126,   127,   134,
     135,   138,   139,   146,   148,   171,   172,   173,   174,   175,
     176,   177,   184,   185,   187,   221,   225,   226,   231,   246,
     248,   277,   279,   294,   302,   303,   320,   322,   327,   332,
     333,   335,   344,   354,   367,   383,   408,   424,   433,   448,
     461,   462,   467,   469,   470,   479,   485,   493,   513,   514,
     515,   516,   518,   519,   520,   521,   526,   533,   534,   535,
     542,  1011,  1089,  1092,  1095,  1096,  1097,  1099,  1100,  1101,
    1104,  1105,  1109,  1111,  1112,  1113,  1115,  1136,  1137,  1138,
    1142,  1161,  1166,  1173,  1174,  1184,  1185,  1186,  1309,  1321,
    1323,  1325,  1326,  1327,  1328,  1329,  1172,  1173,   463,   531,
    1332,  1329,   463,   531,  1261,   102,   590,  1175,  1176,   423,
     572,   187,   581,  1329,   582,  1329,   119,   140,   572,   525,
     434,   940,   345,   238,   463,   531,   119,   525,   284,  1342,
     941,   542,  1176,   535,   540,   544,  1167,  1169,  1065,  1313,
     237,   239,   496,   966,   967,   969,  1331,   237,   972,  1109,
    1145,  1016,   545,   542,   973,   543,   543,  1176,   102,   201,
    1022,  1022,   129,  1022,   228,   233,   298,   339,  1029,  1031,
    1032,  1047,  1049,  1050,  1051,  1025,  1026,   238,   280,  1064,
    1066,   542,   546,  1235,   535,  1254,  1255,  1257,   548,   548,
      25,   276,   276,   463,   463,   463,   463,   542,   463,   533,
     534,   691,  1187,  1222,  1328,   212,   111,  1209,   129,  1212,
    1212,   280,  1267,  1269,   280,  1267,  1268,  1269,   491,  1278,
    1279,  1325,    14,    83,   436,   533,   534,  1186,  1270,  1271,
    1272,  1321,  1323,  1327,  1328,  1329,  1330,   276,   282,  1178,
     463,  1178,     6,  1178,  1302,  1257,   357,   394,   425,   542,
     869,  1169,   357,   390,   394,   425,   544,   808,   357,   394,
     425,   158,   210,   304,   357,   394,   425,   455,   457,   505,
     583,   586,   946,   947,   948,   949,  1331,   839,    98,   206,
     357,   394,   425,   489,   598,  1178,    98,   206,   425,   484,
     566,   509,   255,  1064,   131,   165,   195,   224,   258,   293,
     327,   357,   358,   394,   402,   409,   417,   425,   437,   445,
     500,   583,   587,   874,   882,   542,   856,  1169,   394,   566,
     261,   221,    98,   104,   145,   195,   199,   206,   209,   234,
     266,   325,   327,   337,   346,   357,   394,   397,   398,   425,
     489,   595,   597,   718,   691,   102,   255,  1176,   807,   807,
     542,   887,   357,   425,   544,   221,   342,    98,   206,   357,
     394,   425,   261,   561,   394,   505,   528,   554,   561,   342,
     357,   394,   221,   111,   130,   179,   263,   311,   314,   325,
     356,   394,   399,   419,   425,   439,   595,   688,   689,   357,
     394,   497,   718,   726,   357,   394,   425,   158,   199,   209,
     357,   390,   394,   425,   585,   573,   575,   261,   221,   117,
     197,   394,   425,   595,   596,   357,   394,   398,   425,   156,
     198,   359,   457,   342,    98,   104,   206,   357,   394,   425,
     615,   616,   561,   233,   394,   554,   561,   221,   394,   425,
     595,  1178,   546,   296,   189,   343,   510,   545,   939,   486,
     964,   342,   312,   871,   542,  1178,  1086,   468,   180,   452,
     859,   336,   498,   143,   227,   890,  1178,  1178,   415,   233,
    1178,  1086,   288,   807,  1178,   543,   655,  1178,   542,   780,
     869,   141,  1086,   327,   238,   542,   776,  1178,   554,   111,
     958,  1178,   327,   554,   509,   255,  1176,   554,   807,   807,
     776,   482,   635,   342,   233,   918,   919,   554,   327,   119,
     569,   327,   473,   725,   327,   973,   158,   357,   702,   156,
     198,   359,   457,   100,   121,   275,   749,   111,   776,   233,
     255,   554,   498,   255,  1176,   255,   678,  1176,  1176,   498,
     807,   155,   845,  1184,  1178,   233,   700,    73,  1207,  1309,
     547,  1208,  1205,   125,   178,   273,   325,   414,   221,   132,
     400,   545,   599,   599,   221,   542,   221,   495,  1103,  1103,
    1103,   542,  1091,  1091,   369,   542,  1093,   221,   138,   139,
    1103,  1091,  1088,   507,   528,   542,  1106,   542,  1106,   545,
     599,   110,  1087,   542,   182,   316,   523,   542,  1107,   808,
    1091,   509,   221,   545,   599,   221,   545,   255,   806,   255,
     807,   255,   807,   221,   545,   599,  1190,   221,   221,   599,
     221,   156,   198,   359,   457,   233,   221,   599,   221,   233,
     255,   255,   582,   221,   545,   599,   221,   545,   599,   221,
     342,   543,  1334,  1335,  1333,   545,   549,  1145,  1266,  1341,
    1342,   452,  1008,   543,   545,   226,   342,   470,   579,   582,
     691,   979,   975,   824,  1007,   824,  1007,  1343,  1344,   824,
    1007,   824,  1007,  1344,   824,  1007,  1007,  1007,   824,    14,
     436,  1317,  1320,  1325,  1007,   542,   656,   657,  1309,   656,
     102,   181,   204,   235,   240,   288,   289,   412,   419,   452,
     455,   473,   830,  1175,  1190,   829,  1178,   261,   545,   997,
    1007,  1007,  1329,  1262,  1086,  1148,   111,  1190,   845,   543,
     545,   296,  1309,   233,   233,   830,  1190,   411,  1309,   582,
     342,   542,   540,  1011,  1149,  1109,  1165,   542,   542,   233,
     542,   542,  1011,   542,   542,   542,   542,   542,   542,  1109,
     542,   542,   542,   542,   542,   542,   542,   542,  1011,   542,
     542,   542,   542,   542,   542,   542,   542,  1109,  1109,  1109,
     492,  1011,  1109,  1145,  1169,  1329,   542,  1329,    84,    87,
      91,    92,    93,   108,   111,   116,   123,   147,   256,   261,
     282,   283,   297,   330,   344,   347,   430,   526,   529,   530,
     531,   533,   534,   535,   536,   537,   538,  1140,  1142,  1144,
    1331,   506,  1124,   353,  1109,   280,   545,  1019,  1342,   542,
    1329,  1169,    22,  1324,  1325,  1170,  1019,   338,   342,  1294,
    1294,    10,   491,  1281,  1282,  1284,  1261,  1261,   190,   257,
     591,   545,   140,   187,   582,   111,   187,   301,   580,   691,
    1105,  1329,  1331,  1329,   161,   203,  1121,   170,   187,   576,
     577,   579,   691,   187,   576,  1342,  1342,   296,  1176,  1109,
    1168,   535,  1181,  1311,  1167,   162,   399,   811,   282,   543,
     545,   970,   543,   545,  1017,  1177,   111,   973,  1013,  1013,
    1027,  1028,  1109,  1013,   230,   324,  1038,   286,   325,   382,
     428,   484,   102,  1033,  1109,  1034,  1036,  1109,  1111,  1047,
    1048,  1032,  1031,  1029,  1030,   233,  1050,   337,  1052,  1029,
    1047,  1066,   986,  1176,   111,  1309,   425,  1145,  1254,   535,
     545,   546,  1312,  1231,  1234,  1231,   276,   182,   253,   313,
    1108,   313,  1108,  1108,   316,  1186,   313,   316,   416,  1328,
    1328,   545,  1223,   186,  1261,   485,  1210,  1212,  1178,   436,
    1186,  1283,  1325,   545,   531,  1178,    14,  1186,  1328,  1186,
    1328,   545,  1241,   542,  1178,   542,  1313,   463,   463,   412,
     261,   271,   348,   350,   427,   494,   535,   862,   863,   864,
     866,   868,   870,  1086,  1310,   463,   497,   463,   412,  1181,
     544,   463,   463,   412,   298,   463,   463,   455,   572,   357,
     946,   948,   531,   950,   233,   244,   261,   403,   840,   841,
     141,   159,   217,   235,   373,   479,   652,   653,   159,   187,
     327,   463,   159,   463,   187,   327,   412,   159,   199,   209,
     357,   394,   772,   412,   708,    96,   101,   135,   148,   163,
     204,   215,   235,   240,   310,   344,   412,   419,   422,   452,
     459,   466,   473,   498,   700,  1178,   221,   394,   425,   595,
     342,   691,   342,   417,   293,   463,  1309,   463,   332,   691,
     191,   281,   412,   423,   465,   574,   400,   425,   874,   883,
     543,   857,   862,   463,   485,   455,  1176,   149,   217,   255,
     642,   652,  1309,   149,   159,   908,   342,   342,   408,   410,
     468,   159,   908,   105,   397,   408,   410,   468,   408,  1176,
     234,   266,   337,   807,   542,   463,   463,   254,   542,   603,
     307,   455,   482,   505,   507,   603,   159,   545,   357,   261,
     221,   195,   394,   425,   595,   486,   486,   326,  1086,   463,
     412,   542,   888,  1178,  1176,   452,   452,   463,   463,   452,
     776,   181,   425,   586,   463,   556,   586,  1176,   463,   463,
    1176,  1088,   691,   129,   690,   691,   691,   179,   311,   314,
     129,   463,   554,   318,   412,   554,   325,   689,   463,   463,
     332,  1329,   718,   463,   463,   412,  1329,   463,   379,   463,
     379,   776,   455,  1064,   361,   361,   159,   463,   908,   412,
     463,   463,   603,   603,   807,   807,   807,   807,  1176,   118,
     491,   118,   118,   463,   118,   463,   491,   412,   545,   586,
     485,   735,  1189,   463,   556,   586,  1176,   463,   412,   357,
     394,   382,   395,   421,   578,   939,  1182,  1309,  1176,   282,
    1086,   342,   282,   509,   282,   691,   807,   807,   282,   342,
     342,   156,   198,   359,   457,  1086,   342,   282,   282,   282,
     463,   505,   626,   473,   781,   782,  1331,   776,   542,   111,
     221,   807,   777,   778,  1311,   100,   946,  1086,   342,   221,
     705,  1178,   327,   361,   542,   555,   790,   486,   386,   498,
    1176,   102,   452,   505,   878,   555,   221,  1189,   166,   244,
     570,   634,   684,   748,   825,   843,   942,   221,  1329,   726,
     727,   221,   342,  1329,  1189,   304,   807,   807,   807,   807,
     337,   192,   274,   471,   484,   750,   751,   213,   381,   542,
     735,   327,   555,  1176,   327,   686,   688,   327,   111,   337,
     361,   542,   655,   655,   255,   681,  1176,   233,   255,   846,
    1182,   542,   860,   111,  1086,   288,   544,  1186,  1208,   505,
     507,  1009,   414,   872,   871,  1086,  1179,   542,  1145,  1186,
     809,  1103,  1103,   110,  1087,   461,   461,  1186,  1186,  1086,
     540,   540,  1186,   463,   463,  1186,  1091,   858,   859,  1190,
    1189,   221,   599,   221,   486,   221,   486,   889,   890,   599,
    1190,  1178,  1178,  1086,   809,  1190,   735,   221,   221,   599,
     806,   807,  1177,  1178,  1178,   807,   543,   549,  1336,   543,
    1342,  1266,  1176,   178,   975,   977,  1007,  1007,  1344,  1007,
    1007,  1344,  1007,  1007,  1178,    14,   545,  1324,   656,   543,
     545,   543,   241,   420,   453,  1177,   806,   180,   422,   858,
    1177,   336,  1177,  1175,  1175,  1177,   806,   463,   505,   836,
     216,   298,   732,   733,    96,   219,   408,   428,   998,  1064,
     331,   999,   543,   545,   982,   463,  1176,   902,   903,   905,
     828,   827,   828,   238,   245,   837,  1309,   101,   149,   181,
     204,   215,   235,   240,   289,   310,   379,   405,   412,   419,
     447,   452,   455,   473,   498,   700,   818,   819,  1145,   541,
    1145,  1149,  1150,   501,  1162,  1163,  1109,  1145,   542,  1186,
    1186,   182,   253,   313,   316,   416,   523,  1151,  1152,  1329,
    1331,  1145,  1145,  1145,  1186,  1186,  1109,   888,  1109,  1153,
     408,   533,   534,   542,  1110,  1111,  1142,  1155,   543,  1145,
    1109,  1145,  1156,  1109,   128,   238,   292,   464,  1109,  1145,
    1159,  1145,   318,  1111,  1109,  1119,  1120,  1121,   318,  1109,
    1121,   543,   545,  1186,  1107,  1086,  1109,  1109,  1109,  1109,
    1311,   461,   115,   449,  1171,   807,  1109,   542,  1011,  1160,
     201,   203,   226,   327,   332,   337,   470,   480,  1109,   542,
    1109,   463,   123,   256,   261,   297,   430,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,   102,   109,   435,
    1139,   247,   229,  1125,   408,   542,  1136,   243,   301,   452,
     456,   458,   482,  1020,  1176,  1174,   238,  1054,   102,   201,
     494,   535,   543,   864,  1109,  1146,  1147,  1310,  1178,  1325,
    1167,  1054,  1283,   545,   531,  1176,   465,   542,  1329,   545,
    1342,   543,   541,   547,   254,   254,   599,  1241,  1176,   967,
     968,  1176,  1109,   543,   542,   545,   112,   196,   486,   852,
     542,  1035,  1187,   428,   286,   343,   545,   408,   409,  1037,
    1175,   331,   432,  1000,  1048,  1030,   486,   995,   187,   355,
     542,   987,  1010,   111,  1309,   542,  1002,  1003,  1004,  1309,
     543,   546,  1255,  1087,   549,  1234,   549,   543,   691,   543,
      34,  1211,  1286,  1287,  1325,  1279,  1284,  1332,  1270,  1087,
    1319,  1335,  1319,  1087,  1189,  1178,  1178,   350,   129,  1310,
     543,   864,   866,   863,   866,  1310,   348,   543,   545,   808,
    1189,  1178,  1178,  1181,  1189,  1178,  1178,  1189,  1179,  1178,
     187,   579,  1187,   405,   485,   827,   412,   244,   827,   542,
    1178,   486,   847,   286,   286,   486,   542,   676,   255,  1178,
     332,  1189,  1178,  1178,  1109,   332,  1178,  1178,   105,   397,
     463,   463,  1178,   463,   709,   312,   871,   542,   807,   807,
    1086,   468,   180,   452,   859,   498,   143,   227,   890,  1178,
     807,  1178,   807,   415,   233,  1086,   807,   288,   249,   325,
     357,   394,   490,   712,   713,   714,  1064,   463,   908,   412,
     332,   223,   191,   281,  1189,  1178,   342,  1178,   543,   545,
    1188,  1190,  1178,   394,   595,   255,   642,   327,  1086,  1178,
    1309,  1178,   223,   296,  1178,   102,   485,  1178,   255,  1178,
     255,  1309,   410,   468,   410,   468,   296,  1178,   102,   485,
    1178,   296,   408,  1176,    98,   206,   425,   719,   720,   721,
     722,  1311,  1189,  1178,   187,   239,   328,   486,   602,   605,
     606,  1311,  1178,   340,   145,   340,  1178,   597,   463,   455,
    1176,   342,   463,   908,   412,  1180,  1309,  1180,   545,   543,
     545,  1189,  1178,   913,   914,  1311,   342,   394,   463,   743,
    1065,  1065,  1189,  1178,  1065,  1179,  1188,   158,   211,   266,
     363,   477,   485,   488,   557,  1331,   394,  1189,  1178,   394,
     425,   595,   688,   691,   807,  1178,   691,   807,  1178,   691,
    1189,  1178,  1189,  1178,  1178,  1189,   878,  1178,   922,   923,
    1311,  1178,   394,   425,   595,   596,  1176,  1176,  1178,  1178,
    1178,  1178,  1189,  1178,    98,   104,   206,   357,   394,   425,
     357,   394,   425,   776,   394,   425,   394,   425,   195,   394,
    1078,  1309,   255,   786,  1309,   255,  1309,  1189,  1178,  1178,
    1329,  1178,    98,   616,   422,  1188,   394,   425,   595,  1178,
    1178,   463,   463,   154,   476,   382,   332,   815,  1329,   111,
     204,   807,   815,   815,   282,   486,   486,   815,   807,   807,
     288,   807,   815,   815,   815,   378,   620,   340,   238,   463,
     619,   264,   543,   545,   531,  1109,  1086,   807,   543,   545,
     531,   750,   644,  1311,  1178,   132,   238,   412,   497,   706,
     713,   714,   221,   337,   297,   636,   638,   640,   642,   649,
     652,    99,   261,   405,   450,   557,   558,   233,  1180,   498,
    1176,   111,   744,   453,  1065,   776,   568,  1309,   569,   347,
     635,  1178,   235,   807,  1145,   379,  1329,   776,   776,   776,
     776,   337,   342,   347,   542,   776,  1076,  1077,  1078,   422,
     221,   542,   221,   221,   220,  1199,   807,   337,   636,  1309,
     505,   507,   672,   505,   604,   327,   111,   655,  1329,   327,
     342,   543,   861,   862,   867,   111,   288,   402,   466,   504,
     873,   874,   875,   342,   288,   582,  1207,   536,   252,   252,
     233,   599,   111,  1145,   543,   543,   599,   540,   525,   525,
     543,   543,  1186,   541,   542,  1186,  1309,  1329,  1340,   543,
     543,   599,   806,   807,  1180,   807,  1180,   599,   599,   288,
     599,   422,   233,   582,   599,   599,   342,   599,  1009,  1332,
    1320,   543,   657,   261,   261,   261,   509,  1177,   691,   692,
     247,   831,   832,  1189,    99,   837,   463,   542,   238,   219,
     428,   219,   428,   408,   484,   315,  1086,  1189,   505,   679,
    1176,  1178,   238,   342,   831,   129,   599,   871,  1086,   468,
     452,   859,   336,   498,  1086,   288,   807,  1178,   543,   541,
     541,   545,  1109,   208,  1163,  1164,   111,   543,  1109,   543,
     543,   543,   238,   543,   543,   543,   543,   543,   545,   543,
     364,  1154,   543,   542,  1110,  1110,  1145,    87,    91,    92,
      93,   261,   282,   344,   529,   530,   531,   533,   534,   535,
     536,   537,   538,  1142,  1110,   543,   543,   233,   238,  1157,
    1158,   543,   111,  1159,  1145,  1159,  1159,   238,   543,   543,
    1311,   362,  1123,   111,   543,   545,  1109,  1311,   545,  1109,
    1170,  1109,   543,   525,  1110,  1110,   214,  1145,   238,   201,
     203,   226,   332,   337,   470,   480,   542,   214,   888,  1109,
     449,  1171,  1109,  1160,  1109,   463,   542,  1011,   542,   542,
     352,  1129,   542,  1145,   456,   458,   456,   458,  1176,  1021,
    1021,  1021,   291,   409,   522,   542,  1011,  1055,  1056,  1057,
    1064,  1069,  1079,  1112,  1114,  1115,  1184,  1309,   502,  1074,
    1146,  1146,  1147,   543,    89,    90,   545,  1025,  1026,  1074,
       8,    11,    12,    22,    23,    24,    26,    27,    31,    32,
      33,   180,   318,   369,   473,  1289,  1290,  1292,  1282,  1283,
     940,  1186,  1107,   577,  1109,  1168,  1087,   973,   982,  1028,
     344,  1140,  1143,   527,   853,  1109,  1037,   484,  1034,   306,
    1055,   502,  1075,   492,   451,   485,   988,   989,   990,  1309,
     342,   991,  1309,  1004,  1005,   545,  1054,   531,  1170,   547,
    1237,   546,   545,   531,    30,  1298,   543,   543,   546,   870,
     808,   866,   866,   129,   868,   537,  1190,  1190,   342,  1177,
     345,   342,  1109,   653,  1180,   542,   542,   542,   676,   264,
     656,   765,   221,   599,   463,  1189,  1178,   582,  1178,  1086,
    1178,   509,   807,   807,   807,   807,   156,   198,   359,   457,
    1086,  1178,   695,  1178,   249,   490,   463,   463,   695,   712,
     718,   394,   425,   595,  1178,  1178,  1178,   272,  1178,   332,
     862,   356,   425,   463,   327,   221,   346,   716,   765,    98,
     206,   398,   399,   425,   598,   607,   608,   718,   909,  1178,
     417,   221,   599,   221,   599,  1178,  1178,  1178,  1178,   417,
     417,   296,   721,   722,   721,   543,   545,   723,  1329,   264,
     543,   545,   531,   544,  1189,  1178,   394,   425,   595,   223,
    1178,  1178,  1178,   357,   394,   425,    98,   206,   357,   394,
     425,  1086,   326,  1086,   543,   545,   531,  1176,   463,  1190,
     486,   740,   298,   363,   332,  1329,   363,  1190,   483,   463,
     463,   412,   545,   878,   356,   425,   159,   463,   908,   412,
     233,   609,   463,   463,   308,   308,   308,   463,   463,   412,
     463,   463,   412,   463,   412,   463,   412,   342,   463,   599,
    1086,   327,  1329,   425,   909,   221,   599,   463,   463,  1178,
     463,   412,  1189,  1178,  1086,   807,   282,   815,  1180,  1180,
     282,   282,  1178,   282,   442,   443,   621,  1329,   620,   249,
     782,  1331,   326,   344,   533,   534,   691,   779,   866,  1143,
    1195,  1329,   543,   543,   238,   776,   778,   779,   342,   141,
     147,   159,   187,   189,   242,   268,   327,   332,   373,   388,
     479,   645,   646,   648,   220,   501,   554,   582,  1178,   582,
     716,  1176,  1176,  1176,   543,   545,  1190,   247,   405,  1190,
    1186,   473,  1176,   655,  1331,   233,   745,   119,   569,   396,
     452,   725,   180,   973,   238,   922,   604,   656,  1176,   751,
     783,   784,  1329,   543,   545,  1178,   233,   656,  1176,  1176,
    1178,  1010,   542,   637,  1176,   543,   340,   603,   340,   342,
     673,   603,   111,   221,  1010,   604,   463,   221,  1176,   543,
     545,   187,   531,   876,  1329,   582,   452,   865,   866,   233,
     877,   875,   878,   192,   274,   418,   484,   931,  1178,   249,
    1203,  1010,  1217,  1086,   543,  1186,  1106,  1106,   541,  1340,
     542,   533,   534,   535,   536,   537,   541,   599,   486,   599,
     486,   599,  1178,  1178,   735,   599,   807,   233,   412,   412,
     412,  1177,   545,  1189,   505,   545,   833,   345,  1065,   422,
     219,   219,   180,   325,  1190,   830,   599,  1189,   282,   282,
     282,   691,   282,   282,   282,  1149,   460,  1109,   212,  1086,
     543,  1109,  1109,  1109,  1157,   543,  1145,   545,  1086,  1110,
    1110,  1110,  1110,   201,   203,   327,   337,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1109,  1109,  1158,
    1157,  1086,   543,   543,   543,  1145,   543,   545,   129,  1111,
     543,  1311,  1120,   370,   446,  1122,   543,   545,   497,  1116,
     111,   543,  1329,  1109,   108,   108,  1109,   543,  1109,   238,
     542,  1148,  1109,   543,   214,  1110,  1110,   214,   214,  1109,
    1109,  1026,   502,   542,  1130,  1309,   543,  1145,   545,  1021,
    1021,  1021,  1021,  1176,  1176,  1176,  1011,  1069,  1079,   238,
     542,  1011,  1056,  1057,   111,  1058,  1059,  1309,   545,   167,
     239,   270,   285,   295,   321,   404,  1061,  1059,   111,  1058,
    1060,  1309,  1059,   528,  1073,   542,  1169,  1109,   247,  1039,
     545,  1025,  1025,  1025,  1109,  1109,   494,  1147,   543,  1039,
     545,   531,   543,   541,  1298,   543,   542,   853,   230,   290,
     543,   343,   170,  1109,   401,   993,   491,   543,   545,  1170,
     157,   993,   543,   545,  1003,  1075,  1109,  1186,   531,  1256,
    1287,  1292,   543,   537,   870,   473,   241,   413,   420,   453,
     474,   842,   233,   842,   543,   542,   659,   660,   849,  1114,
    1309,   656,   656,   765,  1182,   543,   189,   268,   325,   327,
     766,  1178,  1178,   111,  1178,   486,   486,   807,   807,   807,
     807,   288,   808,  1189,  1178,   463,   908,   412,   463,   272,
     129,   455,  1178,   221,   642,   542,   644,   242,   254,   327,
     603,   554,   180,   242,   327,   441,   444,   603,   689,   425,
     608,   473,  1178,  1309,   417,   720,  1178,   606,   779,  1311,
     356,   425,   463,   908,   412,  1178,   463,   463,   463,   412,
     240,   344,   444,   788,   789,   240,   344,   796,   797,   463,
     463,   412,   543,   543,   543,   914,   326,   691,   866,   915,
    1143,  1195,  1329,   394,  1178,   542,   505,   741,  1187,  1329,
    1329,  1329,  1178,  1178,  1178,   923,   129,   455,  1178,  1178,
    1178,  1178,   492,  1178,  1178,   233,   233,   396,   233,   255,
    1189,  1178,  1178,  1189,  1178,  1178,  1178,  1178,  1178,  1178,
     223,  1178,   147,   600,   221,   100,   121,   473,  1309,  1178,
    1329,   718,  1178,  1178,   543,   282,   815,   282,   282,   815,
     815,   282,   815,   554,   621,   695,   765,   505,   507,   807,
    1176,   542,   807,  1178,  1110,   105,   129,   647,   190,   257,
     189,   332,   286,  1176,   878,   377,   768,   769,  1309,   705,
     361,   542,   637,   650,   267,   666,   640,  1190,  1190,  1086,
     542,   604,   102,   192,   274,   418,   484,   746,   463,   742,
    1189,  1176,   727,   509,   342,  1055,   878,   389,   752,   543,
     545,  1078,   716,   735,   543,   686,   337,   361,   542,   984,
     679,   639,   641,   643,   652,  1309,   361,   667,   668,   637,
     666,   153,   455,   674,  1010,   681,   679,   674,  1329,  1182,
     847,   867,  1109,  1109,   545,   542,   873,   473,   545,   463,
     542,   695,    84,  1214,   543,   541,   543,  1241,  1340,  1340,
    1340,  1340,  1340,  1180,  1180,   599,   422,   599,  1177,  1177,
    1177,   691,   244,   832,   543,  1178,   180,   837,   238,   332,
     820,  1329,   820,   820,   282,   820,   820,   820,  1109,   543,
     543,  1158,   543,  1109,   238,   201,   203,   337,   542,   543,
     512,  1118,  1145,   387,   129,   503,   503,   543,  1109,   325,
    1109,   545,  1117,  1088,  1109,  1109,  1109,  1148,   543,  1109,
     108,   108,  1109,  1109,   214,   543,   543,  1109,  1131,  1309,
     543,  1109,  1176,  1176,  1176,  1176,  1059,  1060,  1059,   542,
     517,  1111,   543,  1309,   542,  1056,   285,   351,  1062,  1056,
    1062,   285,  1061,  1062,   285,   454,  1067,   542,  1309,   542,
     349,  1146,   129,   250,  1046,   543,   543,   543,  1147,  1329,
    1046,  1290,   534,  1283,  1291,  1328,  1329,  1329,   888,   337,
    1173,  1010,   355,  1010,   990,   342,   542,   992,   531,  1004,
     993,  1336,   473,   543,   463,   827,   238,   765,  1109,   543,
     545,   505,   147,   850,   850,   543,   543,   878,   190,   257,
     266,   189,   488,   599,  1086,  1180,  1180,  1178,  1178,  1178,
    1178,  1178,  1190,  1178,   642,   717,   721,   647,   255,   332,
     691,   647,   332,  1187,  1309,  1086,   599,   599,   531,   129,
     455,  1178,  1178,  1178,  1178,  1189,  1178,  1178,  1186,  1186,
    1086,   545,  1186,  1186,   545,  1189,  1178,  1178,   463,  1109,
     141,  1190,  1178,   463,   463,   238,   261,  1177,  1177,   807,
    1177,   221,  1178,   807,  1329,  1329,  1086,   599,   599,   282,
     815,   815,   815,   815,   542,   622,   623,   486,   627,   628,
     240,   271,   240,   238,   764,  1109,   327,   646,   187,   111,
     878,   655,   486,   675,  1184,   108,   220,   261,   337,   636,
     609,   218,   262,   542,   422,   486,   656,   111,  1190,   740,
     569,   542,   235,  1178,  1145,   323,   341,   753,   754,   755,
     233,   758,  1329,   422,   604,   807,   337,   636,   679,   543,
     545,   505,   644,   129,   672,   609,   667,   192,   206,   370,
    1178,   505,   943,   111,   238,   342,   542,  1329,   864,   879,
     880,  1310,   878,  1086,   233,  1176,   238,   463,   899,   269,
     696,  1215,  1309,   599,   543,   599,   599,  1178,   345,   280,
     599,   831,   820,   543,  1110,   238,   542,  1148,   542,   543,
     545,   543,  1111,   387,   543,   491,   438,   543,   543,   543,
    1109,  1109,  1109,   543,   361,  1132,   543,  1070,  1071,  1114,
     542,  1123,  1058,   542,  1177,  1056,   342,   486,  1063,  1056,
     285,  1056,  1184,  1077,   542,  1077,  1309,  1025,   169,   248,
     407,   542,  1040,  1041,  1042,  1043,  1044,  1045,  1109,  1109,
     504,  1126,  1025,  1126,  1186,  1328,   543,  1007,  1342,   988,
     159,   848,   849,   202,  1109,   831,   342,   831,   543,   878,
     660,   344,   888,   807,   807,   851,   851,   388,   878,   675,
     543,   463,   425,   999,   543,   545,   111,   221,   600,   779,
    1190,  1178,   463,   542,   859,   888,   890,   789,   542,   542,
     797,  1178,   543,   542,   425,   999,  1178,  1178,   542,   542,
     505,   528,   961,   396,   961,   961,   233,   600,   815,   629,
     630,  1311,   125,   168,   193,   210,   214,   234,   237,   251,
     332,   340,   380,   624,   554,   194,   859,   111,   895,   895,
    1176,   765,   543,   254,   675,   309,   658,   264,   542,   769,
     377,   542,  1176,   543,   422,   102,   152,   160,   188,   254,
     265,   444,   651,   651,  1175,  1178,  1180,   543,  1010,   741,
     180,   716,   238,   754,   408,   452,   756,   207,   759,   501,
     761,  1178,   111,   637,  1176,   543,   641,   346,   669,  1192,
    1331,   673,   667,   672,   409,   409,   133,   141,   301,  1010,
     807,  1176,   848,   866,   543,   545,   473,  1074,   436,   436,
     543,   695,   325,   490,   697,   698,   531,  1216,  1178,   599,
    1110,  1148,   543,  1119,  1145,   129,   325,   524,   129,  1025,
     543,   545,   111,  1072,   187,  1084,  1085,  1110,   150,  1177,
     543,  1109,   542,  1056,  1063,   542,   543,  1077,   543,   543,
     542,   426,   542,   543,   545,  1127,  1128,  1309,   543,   491,
    1178,   543,   545,   328,   484,   833,   842,   599,   850,   675,
     542,   852,   852,  1176,   675,   765,  1178,   455,   721,   254,
     486,   601,   425,   999,  1178,  1148,   233,   792,   792,  1148,
    1148,  1109,   455,   311,   314,   332,   610,   612,   613,   691,
    1329,   610,   611,   806,   807,   806,   807,  1177,   599,   543,
     545,   535,   542,   579,   631,   691,   958,  1329,   958,   327,
     332,   380,   958,   958,   622,  1329,   895,   114,   259,   233,
     325,   654,   542,   687,   239,   360,   431,   342,   662,   663,
     664,   455,   543,  1184,    81,   770,   637,   666,  1178,   543,
     716,   227,   791,   604,   943,   509,  1055,   958,   408,   440,
     760,   542,   220,   716,  1010,   667,   637,   666,   644,   542,
     674,   672,   673,   141,   345,   141,   679,   847,   543,   873,
     879,  1086,   202,   505,   505,   490,   695,  1186,  1323,  1331,
      84,   716,   543,   543,   543,   387,   491,  1145,   381,   409,
    1133,  1073,  1070,   542,  1110,   543,   545,   111,  1080,  1081,
    1309,   543,  1177,  1145,   543,  1145,   542,  1145,  1041,   545,
     111,  1010,  1074,   849,   425,   238,   851,   502,   661,   888,
     853,   853,   655,   765,  1178,   687,  1109,   455,   543,   348,
     415,   385,   793,   793,   543,   543,   543,  1178,   543,   545,
     543,   545,   961,   630,   579,   632,   633,  1329,  1329,   332,
     656,   535,   656,  1329,  1329,   207,   266,   688,   192,   484,
     342,   664,   342,   663,  1178,   542,   543,   545,   609,   422,
     716,   807,   111,   111,  1178,   757,  1309,  1109,   377,   943,
     672,   609,   667,   542,   670,   671,  1114,  1309,   673,   674,
     345,   345,   542,   604,   878,   103,   275,   932,   240,   240,
    1215,   123,   170,   475,  1109,  1134,  1135,  1134,   543,  1077,
     545,  1085,  1311,   543,   545,   233,  1086,   543,   543,   543,
    1040,   543,  1128,  1130,  1002,   831,   852,   542,   765,   543,
     658,   999,  1178,   859,   129,   999,   463,   613,   610,   807,
     543,   545,   656,   408,   543,   132,   325,   400,   425,   665,
     665,   543,    81,   422,  1178,   788,  1010,   716,   543,  1184,
     673,   667,   672,  1109,   543,   545,   850,   850,   674,   848,
     674,   328,   542,   927,   929,   933,   985,   994,  1001,  1010,
     859,   859,  1135,   408,   232,   368,   232,   368,   543,  1111,
    1081,   349,   187,   327,   332,  1082,  1083,  1331,   395,  1068,
     543,  1074,   599,   853,  1109,   662,   999,   807,   542,   633,
     761,    97,   187,   332,  1178,   716,   943,   542,   674,   672,
     673,   543,   671,   851,   851,   543,  1074,   928,   929,   930,
    1011,  1012,   545,   545,   108,  1123,  1110,   332,  1083,  1110,
     542,   543,   765,   612,   220,   716,   762,   763,  1186,  1311,
    1328,  1329,   673,   674,   850,   604,   543,   546,   463,   238,
    1135,   150,  1109,   543,   377,   543,   545,   674,   851,   674,
     930,   436,   436,  1080,   543,  1184,   763,  1074,   505,   505,
     543,   542,   240,   240,   762,   859,   859,   543
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   550,   551,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   553,   554,   554,   554,
     555,   555,   556,   556,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   558,   558,   558,   558,   558,   558,   559,
     560,   560,   561,   561,   562,   562,   562,   562,   563,   563,
     563,   563,   563,   563,   564,   565,   566,   566,   567,   567,
     567,   567,   568,   568,   569,   569,   570,   570,   570,   570,
     570,   570,   571,   571,   571,   572,   572,   572,   573,   573,
     573,   573,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   575,   575,   576,   576,   577,   577,   578,
     578,   578,   578,   579,   579,   579,   579,   580,   580,   580,
     580,   580,   580,   580,   581,   581,   581,   582,   582,   583,
     584,   584,   584,   584,   585,   585,   586,   586,   587,   587,
     588,   588,   588,   588,   588,   589,   590,   590,   591,   591,
     592,   593,   593,   593,   593,   593,   594,   594,   594,   594,
     594,   594,   594,   594,   594,   594,   594,   594,   594,   594,
     594,   594,   594,   594,   595,   595,   596,   596,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   598,   598,   599,   599,   599,   600,
     600,   601,   601,   602,   602,   602,   602,   603,   604,   604,
     605,   605,   606,   606,   606,   606,   607,   607,   608,   608,
     608,   608,   609,   609,   610,   610,   610,   611,   611,   612,
     612,   613,   613,   613,   614,   615,   615,   616,   616,   616,
     616,   617,   617,   618,   618,   619,   619,   620,   620,   621,
     621,   621,   622,   622,   623,   623,   624,   624,   624,   624,
     624,   624,   624,   624,   624,   624,   624,   624,   624,   624,
     625,   625,   626,   626,   627,   627,   628,   628,   629,   629,
     630,   631,   631,   631,   631,   631,   632,   632,   633,   634,
     634,   634,   634,   634,   634,   635,   635,   635,   635,   635,
     635,   635,   635,   636,   636,   637,   637,   638,   638,   639,
     639,   640,   640,   640,   641,   641,   642,   643,   643,   644,
     644,   645,   645,   645,   645,   646,   646,   646,   646,   646,
     646,   646,   646,   647,   647,   648,   648,   648,   648,   649,
     650,   650,   650,   651,   651,   651,   651,   651,   651,   651,
     652,   652,   653,   653,   653,   653,   653,   653,   653,   654,
     654,   655,   655,   656,   656,   657,   658,   658,   658,   658,
     659,   659,   660,   660,   661,   661,   662,   662,   662,   662,
     662,   663,   664,   665,   665,   665,   665,   665,   666,   666,
     667,   667,   668,   669,   669,   670,   670,   671,   671,   671,
     672,   672,   672,   672,   673,   673,   673,   673,   674,   674,
     675,   675,   676,   677,   677,   678,   679,   679,   679,   680,
     680,   681,   682,   682,   683,   684,   684,   685,   685,   686,
     686,   687,   687,   688,   688,   689,   689,   689,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   690,
     690,   691,   691,   691,   691,   692,   692,   693,   693,   694,
     694,   695,   695,   696,   696,   697,   697,   698,   698,   699,
     699,   700,   700,   701,   702,   702,   703,   703,   704,   704,
     705,   705,   706,   706,   706,   706,   707,   708,   708,   709,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   711,   712,   712,   712,
     712,   713,   713,   714,   714,   715,   715,   716,   716,   717,
     717,   718,   719,   719,   720,   720,   720,   720,   721,   722,
     723,   724,   724,   725,   725,   726,   726,   727,   727,   728,
     728,   728,   729,   729,   729,   729,   730,   730,   731,   732,
     732,   733,   733,   734,   734,   735,   735,   736,   736,   737,
     738,   739,   740,   740,   741,   741,   742,   742,   743,   743,
     744,   744,   745,   745,   746,   746,   746,   746,   746,   747,
     748,   748,   749,   749,   749,   750,   750,   751,   751,   751,
     751,   751,   752,   752,   753,   753,   754,   755,   755,   756,
     756,   757,   758,   758,   759,   759,   760,   760,   761,   761,
     762,   762,   762,   763,   763,   763,   763,   764,   764,   765,
     765,   766,   766,   766,   766,   766,   766,   767,   767,   768,
     768,   769,   770,   770,   771,   772,   772,   772,   772,   773,
     774,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   776,   777,   777,
     778,   778,   779,   779,   779,   779,   779,   779,   780,   781,
     781,   782,   783,   783,   784,   784,   785,   785,   785,   785,
     786,   786,   787,   788,   788,   789,   789,   789,   789,   789,
     790,   790,   791,   791,   792,   792,   792,   793,   793,   794,
     795,   795,   796,   796,   797,   797,   798,   798,   799,   799,
     800,   801,   802,   802,   802,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   803,   803,   803,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   803,   804,   804,   804,
     804,   804,   804,   804,   805,   805,   805,   806,   806,   807,
     807,   808,   808,   809,   809,   810,   811,   811,   811,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     814,   814,   814,   814,   814,   814,   814,   814,   814,   814,
     814,   814,   815,   815,   816,   816,   816,   816,   816,   816,
     816,   817,   817,   818,   818,   818,   818,   818,   818,   819,
     819,   819,   819,   819,   819,   819,   819,   820,   820,   821,
     821,   821,   821,   821,   821,   821,   821,   821,   821,   821,
     822,   822,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   823,   823,   824,   824,   825,   826,
     826,   827,   827,   827,   827,   827,   828,   828,   829,   829,
     829,   829,   830,   830,   830,   830,   830,   830,   830,   830,
     830,   830,   830,   830,   830,   830,   830,   830,   831,   831,
     832,   832,   833,   833,   834,   835,   835,   836,   836,   837,
     837,   838,   839,   839,   840,   840,   840,   841,   841,   841,
     842,   842,   842,   842,   842,   843,   843,   844,   844,   845,
     845,   846,   846,   847,   847,   848,   848,   849,   849,   849,
     850,   850,   851,   851,   852,   852,   852,   853,   853,   853,
     854,   854,   854,   855,   855,   856,   856,   857,   857,   858,
     858,   859,   859,   859,   859,   860,   860,   861,   861,   862,
     862,   862,   862,   862,   863,   863,   863,   863,   863,   864,
     865,   866,   866,   866,   867,   867,   867,   868,   869,   869,
     869,   869,   870,   870,   871,   872,   872,   873,   873,   874,
     874,   874,   874,   874,   874,   874,   874,   874,   874,   874,
     874,   874,   874,   874,   874,   875,   875,   875,   875,   875,
     876,   876,   877,   877,   878,   878,   879,   880,   880,   881,
     882,   882,   883,   883,   884,   884,   885,   885,   886,   886,
     887,   887,   887,   887,   888,   888,   889,   889,   890,   891,
     892,   892,   893,   893,   894,   894,   894,   895,   895,   895,
     896,   897,   897,   898,   899,   899,   899,   899,   900,   901,
     901,   901,   901,   902,   902,   903,   903,   903,   904,   904,
     905,   906,   906,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   908,   908,   909,   909,   910,   910,
     910,   910,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   912,   913,   913,
     914,   914,   915,   915,   915,   915,   915,   916,   916,   916,
     916,   916,   916,   916,   916,   916,   916,   916,   916,   916,
     916,   916,   916,   916,   916,   916,   916,   916,   916,   917,
     918,   918,   919,   919,   920,   920,   920,   920,   921,   922,
     922,   923,   924,   924,   924,   924,   924,   924,   925,   925,
     926,   927,   927,   927,   928,   928,   929,   929,   929,   929,
     929,   930,   930,   931,   931,   931,   931,   932,   932,   932,
     933,   934,   934,   935,   936,   936,   937,   937,   937,   937,
     937,   937,   937,   937,   937,   937,   937,   937,   937,   937,
     938,   938,   938,   939,   939,   939,   939,   939,   940,   940,
     940,   941,   941,   942,   942,   942,   942,   943,   943,   943,
     943,   944,   945,   946,   946,   947,   947,   948,   948,   948,
     949,   949,   949,   949,   949,   949,   949,   950,   950,   951,
     951,   951,   952,   953,   953,   954,   955,   955,   956,   957,
     957,   957,   957,   957,   957,   957,   958,   958,   959,   960,
     960,   960,   960,   960,   960,   961,   961,   962,   963,   963,
     963,   964,   964,   965,   965,   965,   965,   965,   966,   966,
     967,   967,   967,   967,   967,   968,   968,   969,   969,   970,
     970,   971,   971,   972,   972,   973,   973,   974,   974,   974,
     974,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     976,   976,   977,   978,   978,   979,   979,   979,   980,   980,
     981,   981,   982,   982,   982,   982,   983,   983,   984,   984,
     985,   986,   986,   987,   987,   987,   987,   987,   988,   988,
     989,   989,   990,   991,   991,   991,   992,   992,   992,   993,
     993,   994,   995,   995,   996,   997,   997,   998,   998,   998,
     998,   998,   998,   998,   998,   999,   999,  1000,  1000,  1000,
    1001,  1002,  1002,  1003,  1003,  1004,  1005,  1005,  1006,  1007,
    1007,  1008,  1008,  1008,  1008,  1008,  1009,  1009,  1009,  1010,
    1010,  1011,  1011,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1013,  1013,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1015,  1015,  1015,  1016,  1016,  1017,  1018,  1018,  1019,  1019,
    1019,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,
    1021,  1021,  1022,  1022,  1022,  1023,  1023,  1024,  1024,  1025,
    1025,  1026,  1027,  1027,  1028,  1028,  1029,  1029,  1029,  1029,
    1030,  1030,  1031,  1031,  1031,  1032,  1032,  1033,  1033,  1034,
    1035,  1035,  1035,  1036,  1037,  1037,  1038,  1038,  1039,  1039,
    1040,  1040,  1041,  1041,  1041,  1041,  1041,  1042,  1043,  1044,
    1045,  1046,  1046,  1047,  1047,  1048,  1048,  1049,  1049,  1050,
    1051,  1051,  1051,  1051,  1052,  1052,  1053,  1053,  1054,  1054,
    1055,  1055,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1057,  1057,  1057,  1057,  1057,  1057,  1058,  1058,
    1058,  1058,  1059,  1059,  1060,  1060,  1060,  1060,  1060,  1061,
    1061,  1061,  1061,  1062,  1062,  1063,  1063,  1064,  1064,  1064,
    1064,  1065,  1065,  1066,  1066,  1066,  1067,  1068,  1068,  1069,
    1069,  1070,  1071,  1071,  1072,  1072,  1073,  1073,  1074,  1074,
    1075,  1075,  1075,  1076,  1076,  1077,  1077,  1078,  1079,  1079,
    1080,  1080,  1081,  1081,  1081,  1082,  1082,  1083,  1083,  1083,
    1083,  1084,  1084,  1085,  1085,  1086,  1086,  1086,  1086,  1086,
    1086,  1087,  1087,  1087,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1089,  1089,  1089,  1089,  1090,  1090,  1091,  1091,  1092,
    1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,
    1093,  1093,  1094,  1094,  1095,  1095,  1096,  1097,  1098,  1098,
    1099,  1099,  1100,  1101,  1102,  1102,  1102,  1102,  1102,  1102,
    1103,  1103,  1104,  1104,  1104,  1104,  1105,  1106,  1106,  1106,
    1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,
    1107,  1107,  1107,  1107,  1108,  1108,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1111,  1111,  1111,  1111,  1111,
    1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1112,
    1112,  1112,  1112,  1112,  1112,  1112,  1113,  1113,  1114,  1114,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1116,  1116,  1117,  1117,  1117,  1117,  1118,  1119,
    1119,  1120,  1120,  1121,  1121,  1122,  1122,  1122,  1123,  1123,
    1123,  1123,  1124,  1124,  1125,  1125,  1126,  1126,  1127,  1127,
    1128,  1129,  1129,  1129,  1130,  1131,  1131,  1132,  1132,  1133,
    1133,  1133,  1134,  1134,  1135,  1135,  1135,  1135,  1135,  1136,
    1136,  1136,  1137,  1137,  1138,  1139,  1139,  1139,  1140,  1140,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1142,  1142,  1143,  1143,  1144,  1144,  1144,  1144,
    1144,  1144,  1145,  1145,  1146,  1146,  1147,  1147,  1147,  1148,
    1148,  1149,  1149,  1149,  1150,  1150,  1151,  1151,  1152,  1152,
    1152,  1152,  1152,  1152,  1152,  1152,  1153,  1153,  1154,  1155,
    1155,  1156,  1156,  1156,  1156,  1156,  1156,  1157,  1158,  1159,
    1159,  1159,  1160,  1160,  1161,  1162,  1162,  1163,  1164,  1164,
    1165,  1165,  1166,  1166,  1167,  1167,  1167,  1167,  1168,  1168,
    1169,  1169,  1170,  1170,  1171,  1171,  1172,  1172,  1173,  1173,
    1174,  1174,  1174,  1174,  1175,  1175,  1176,  1176,  1177,  1177,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1184,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,
    1185,  1185,  1185,  1186,  1187,  1187,  1187,  1187,  1188,  1189,
    1189,  1189,  1190,  1190,  1191,  1191,  1191,  1191,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1196,  1196,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1199,  1198,  1200,  1201,
    1201,  1201,  1201,  1202,  1202,  1202,  1202,  1203,  1203,  1204,
    1205,  1206,  1206,  1207,  1207,  1207,  1208,  1208,  1209,  1209,
    1210,  1210,  1211,  1211,  1211,  1211,  1212,  1212,  1212,  1213,
    1214,  1214,  1215,  1215,  1216,  1216,  1216,  1216,  1217,  1217,
    1218,  1219,  1220,  1221,  1221,  1222,  1223,  1223,  1224,  1224,
    1224,  1224,  1224,  1226,  1225,  1227,  1228,  1229,  1229,  1230,
    1230,  1230,  1230,  1231,  1231,  1233,  1232,  1235,  1234,  1236,
    1234,  1234,  1237,  1237,  1238,  1238,  1238,  1239,  1239,  1239,
    1239,  1240,  1240,  1241,  1241,  1241,  1241,  1241,  1241,  1242,
    1242,  1242,  1243,  1245,  1244,  1246,  1247,  1246,  1248,  1248,
    1249,  1249,  1250,  1250,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1253,  1253,  1254,  1254,  1255,  1256,  1256,
    1257,  1257,  1257,  1258,  1259,  1260,  1260,  1260,  1260,  1261,
    1261,  1261,  1262,  1262,  1263,  1263,  1264,  1265,  1265,  1266,
    1266,  1267,  1267,  1268,  1268,  1269,  1270,  1270,  1271,  1271,
    1271,  1272,  1272,  1272,  1272,  1272,  1272,  1272,  1272,  1272,
    1273,  1273,  1273,  1273,  1273,  1274,  1274,  1275,  1276,  1277,
    1278,  1278,  1279,  1280,  1281,  1281,  1282,  1283,  1283,  1284,
    1285,  1286,  1286,  1287,  1288,  1289,  1289,  1290,  1291,  1291,
    1291,  1291,  1291,  1292,  1292,  1292,  1292,  1292,  1292,  1292,
    1292,  1292,  1292,  1292,  1292,  1292,  1292,  1292,  1293,  1293,
    1294,  1294,  1295,  1295,  1295,  1297,  1296,  1298,  1298,  1300,
    1299,  1301,  1301,  1301,  1302,  1302,  1302,  1302,  1302,  1302,
    1302,  1302,  1302,  1303,  1303,  1304,  1304,  1304,  1304,  1304,
    1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,
    1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1305,  1305,
    1305,  1305,  1305,  1305,  1306,  1306,  1306,  1306,  1306,  1306,
    1306,  1307,  1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,
    1309,  1309,  1309,  1309,  1309,  1309,  1309,  1310,  1310,  1310,
    1310,  1310,  1310,  1311,  1311,  1311,  1311,  1311,  1311,  1311,
    1311,  1311,  1311,  1311,  1312,  1312,  1312,  1312,  1312,  1313,
    1313,  1313,  1313,  1314,  1314,  1314,  1314,  1314,  1314,  1314,
    1315,  1315,  1315,  1316,  1316,  1316,  1316,  1316,  1316,  1317,
    1317,  1318,  1319,  1319,  1320,  1320,  1321,  1322,  1323,  1324,
    1324,  1324,  1325,  1326,  1327,  1328,  1329,  1329,  1329,  1329,
    1329,  1330,  1331,  1331,  1331,  1332,  1332,  1333,  1333,  1333,
    1334,  1334,  1335,  1335,  1336,  1336,  1337,  1337,  1337,  1337,
    1337,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1339,  1339,  1339,
    1339,  1340,  1340,  1340,  1340,  1340,  1340,  1340,  1340,  1340,
    1340,  1341,  1341,  1341,  1341,  1341,  1342,  1342,  1343,  1343,
    1344,  1344
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     5,     0,     3,     5,     5,     5,     5,     3,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     6,     4,
       9,     7,     1,     0,     2,     0,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     2,     5,     1,     3,     3,
       3,     3,     1,     3,     3,     2,     2,     2,     2,     3,
       3,     3,     3,     1,     3,     1,     3,     1,     1,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       5,     1,     1,     1,     1,     1,     0,     1,     1,     2,
       1,     2,     3,     2,     1,     1,     2,     1,     2,     1,
       3,     4,     5,     4,     2,     4,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     4,     6,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     4,     3,     2,     5,
       3,     6,     4,     6,     6,     6,     5,     5,     6,     9,
       4,     5,     7,     6,     4,     8,     4,     2,     4,     3,
       6,     4,     3,     3,     3,     3,     2,     2,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     4,
       4,     4,     5,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     1,     2,     1,     3,
       2,     3,     6,    10,     1,     1,     1,     1,     3,     1,
       3,     1,     1,     1,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    11,     9,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     2,     0,     1,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     3,     2,
       1,     0,     2,     0,     3,     0,     1,     0,     1,     3,
       2,     1,     1,     1,     3,     0,     1,     3,     1,    12,
      15,    11,    14,    13,    16,     1,     1,     2,     2,     2,
       2,     1,     0,     1,     0,     3,     0,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     4,     2,     4,     2,
       0,     3,     1,     1,     2,     2,     1,     3,     4,     5,
       2,     5,     5,     1,     2,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     7,     3,     8,     4,     9,    11,     2,
       0,     3,     0,     1,     3,     1,     2,     2,     2,     0,
       1,     3,     3,     6,     4,     0,     1,     1,     2,     2,
       0,     3,     3,     2,     1,     1,     2,     2,     4,     0,
       1,     0,     6,     1,     1,     1,     3,     3,     3,     5,
       2,     2,     2,     0,     3,     4,     4,     0,     2,     0,
       4,     0,     3,     8,    11,     5,     2,     3,     0,     8,
      11,     4,     1,     0,     6,     5,     8,     4,     6,     1,
       0,     3,     0,     1,     2,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       0,     1,     2,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     5,
       7,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       7,     6,    10,     6,     6,     6,     6,     7,     6,     9,
       9,     6,     7,     6,     8,     8,     8,     8,     6,     6,
       7,     7,     8,     6,     9,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     7,     6,     4,     0,     1,
       3,     4,     1,     3,     1,     2,     2,     2,     2,     1,
       1,    10,    13,     2,     0,     2,     2,     1,     0,     5,
       4,     4,    11,    14,    12,    15,     5,     7,    11,     2,
       1,     4,     0,     8,    11,     1,     1,     7,     9,     8,
      10,     8,     4,     0,     5,     0,     2,     0,     2,     0,
       2,     0,     2,     0,     1,     1,     1,     1,     1,     8,
      16,    20,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     2,     0,     1,     2,     4,     1,     1,     1,
       1,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     3,     0,     1,     1,     1,     1,     2,     0,     0,
       2,     2,     1,     2,     2,     2,     2,    11,    13,     1,
       3,     5,     1,     3,     5,     1,     2,     2,     1,     8,
       4,     5,     4,     4,     4,     3,     7,     8,     6,     6,
       6,     6,     6,     4,     7,     5,     8,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       3,     3,     1,     0,     1,     3,     7,     9,     9,     8,
       3,     0,    13,     1,     3,     5,     5,     3,     6,     2,
       1,     0,     2,     0,     2,     4,     0,     1,     0,     6,
       8,     8,     1,     3,     5,     5,     7,     9,     7,     9,
       5,     6,     6,     4,     6,     4,     6,     8,     4,     6,
       4,     6,     5,     7,     1,     1,     1,     2,     1,     2,
       1,     1,     1,     3,     3,     3,     3,     2,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       2,     2,     3,     1,     3,     5,     2,     2,     0,     6,
       6,     6,     6,     6,     6,     6,     8,     9,     8,     8,
       9,     8,     9,     9,     7,    10,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     2,     3,     3,     3,     3,
       2,     1,     2,     1,     3,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     8,     8,     8,     8,     8,     8,
       9,     2,     0,     1,     2,     1,     1,     1,     2,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     3,     4,     5,     4,     5,     3,     4,     3,     4,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       4,     4,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       2,     3,     2,     2,     2,     5,     5,     5,     1,     3,
       1,     2,     3,     0,     6,     6,     9,     3,     0,     3,
       0,     5,     2,     0,     3,     3,     3,     7,     7,    10,
       1,     1,     1,     1,     1,    14,    17,     1,     0,     1,
       0,     1,     0,     2,     0,     1,     3,     5,     5,     7,
       2,     0,     1,     0,     1,     1,     0,     2,     2,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     1,
       3,     2,     1,     1,     2,     3,     2,     1,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     4,     5,     1,     3,     3,     1,     3,     3,
       5,     6,     1,     3,     2,     1,     3,     1,     2,     4,
       5,     1,     1,     1,     1,     3,     3,     2,     2,     1,
       2,     2,     2,     1,     2,     2,     2,     2,     1,     1,
       1,     3,     3,     5,     2,     0,     2,     1,     3,     5,
       1,     2,     1,     0,     4,     6,     4,     6,     4,     6,
       3,     5,     5,     5,     1,     3,     1,     3,     2,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,    10,    11,    11,     5,     5,     8,     3,
       3,     6,     6,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     5,     6,     6,     6,     6,     6,     8,     8,
       6,     6,     7,     9,     9,     8,    10,     6,     6,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     9,    11,     8,    10,     9,
      11,     8,     8,     7,     6,     6,     6,     6,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     7,     9,
       8,     7,     6,     6,     6,     6,     6,     6,     6,     9,
       9,     6,     8,     6,     8,     8,     8,     8,     6,     8,
       6,     8,     7,     9,     7,     9,     6,     7,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     6,     6,     6,
       6,     6,     6,     7,     7,     6,     9,     9,     6,     6,
       6,     6,     8,     8,     8,     6,     7,     6,     6,     5,
       1,     0,     3,     3,     5,     6,     6,     6,     8,     1,
       3,     1,     5,     5,     6,     7,     4,     4,     4,     6,
      13,     1,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     1,     0,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     4,     3,     5,     5,     4,     4,     6,     4,
       6,     6,     5,     7,     9,     6,     1,     0,     6,    11,
      11,    11,    13,     9,    11,     1,     1,    10,     4,     2,
       5,     2,     0,     4,     5,     5,     4,     6,     1,     3,
       1,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     1,     0,     5,     4,
       3,     0,     1,     1,     1,     1,     4,     9,     3,     0,
       7,     1,     3,     1,     4,     4,     7,     2,     1,     1,
       1,     3,     2,     8,     5,     0,     4,     3,     0,     3,
       0,     7,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     1,     2,     0,
       8,     1,     3,     3,     5,     2,     1,     3,     7,     1,
       1,     0,     3,     2,     2,     2,     0,     2,     2,     1,
       1,     3,     3,     1,     2,     4,     4,     2,     3,     5,
       5,     1,     1,     9,     9,     1,     2,     4,     4,     4,
       2,     2,     3,     1,     3,     6,     1,     0,     2,     1,
       0,     3,     3,     4,     4,     4,     4,     3,     2,     1,
       1,     0,     1,     1,     0,     1,     5,     1,     0,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     2,     3,     1,     1,     1,
       1,     3,     0,     1,     1,     1,     1,     1,     3,     0,
       1,     3,     1,     1,     1,     1,     1,     2,     4,     4,
       5,     2,     0,     1,     3,     1,     0,     1,     2,     3,
       2,     4,     2,     3,     2,     0,     4,     5,     2,     0,
       1,     3,     2,     3,     2,     3,     2,     3,     2,     3,
       1,     4,     3,     4,     5,     4,     5,     4,     5,     2,
       4,     1,     1,     0,     1,     4,     5,     4,     0,     2,
       2,     2,     1,     1,     0,     4,     2,     1,     2,     2,
       4,     1,     3,     1,     2,     3,     6,     4,     0,     2,
       6,     2,     1,     3,     4,     0,     2,     0,     2,     0,
       2,     4,     0,     1,     0,     1,     3,     3,     7,    12,
       1,     3,     2,     3,     3,     1,     2,     2,     2,     2,
       1,     1,     3,     3,     2,     2,     3,     5,     6,     2,
       3,     3,     4,     0,     1,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     1,     2,     3,     3,     0,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     1,
       3,     0,     1,     1,     1,     1,     5,     2,     1,     1,
       1,     1,     4,     1,     2,     2,     1,     3,     3,     2,
       1,     0,     5,     2,     5,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     3,     3,     2,
       2,     3,     5,     4,     6,     3,     5,     4,     6,     4,
       6,     5,     7,     3,     2,     4,     2,     3,     3,     4,
       3,     4,     3,     4,     5,     6,     6,     7,     6,     7,
       6,     7,     3,     4,     4,     6,     2,     3,     4,     1,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     5,
       6,     6,     7,     3,     4,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     2,     1,     1,     4,     3,
       5,     6,     8,     6,     6,     4,     4,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     4,
       4,     6,     5,     5,     5,     4,     6,     4,     4,     4,
       4,     5,     7,     7,     9,     5,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     4,
       4,     6,     5,     0,     5,     0,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     0,
       1,     2,     0,     2,     1,     0,     1,     0,     1,     3,
       3,     2,     1,     1,     1,     3,     1,     2,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     6,     2,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     4,     3,
       2,     1,     1,     1,     1,     1,     0,     8,     2,     5,
       3,     2,     2,     3,     7,     1,     1,     1,     0,     2,
       2,     1,     0,     1,     3,     1,     2,     0,     2,     0,
       2,     0,     1,     3,     4,     3,     1,     1,     1,     1,
       2,     0,     2,     4,     0,     2,     2,     2,     1,     1,
       7,     3,     1,     1,     1,     1,     2,     0,     1,     3,
       3,     3,     3,     0,     4,     5,     5,     0,     1,     1,
       1,     2,     2,     1,     2,     0,     7,     0,     5,     0,
       4,     2,     2,     0,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     2,     1,     3,
       2,     2,     3,     0,     5,     1,     0,     5,     2,     2,
       1,     1,     1,     2,     2,     3,     1,     2,     2,     3,
       3,     4,     2,     1,     2,     1,     1,     2,     2,     3,
       1,     1,     1,     1,     0,     1,     3,     5,     0,     2,
       0,     1,     2,     3,     2,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     2,     2,     3,     0,     1,     2,
       1,     4,     3,     4,     3,     2,     1,     3,     1,     1,
       1,     1,     2,     2,     1,     2,     2,     1,     1,     1,
       4,     4,     4,     4,     4,     1,     0,     3,     3,     4,
       1,     3,     3,     4,     1,     3,     3,     1,     1,     1,
       6,     1,     3,     3,     6,     1,     3,     3,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     4,
       1,     1,     4,     4,     3,     0,     7,     1,     0,     0,
       7,     3,     4,     3,     1,     1,     1,     2,     3,     5,
       2,     5,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     0,     1,     2,     1,     2,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       1,     2,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     2,
       3,     1,     3,     3,     3,     3,     3,     3,     1,     1,
       4,     0,     2,     2,     1,     1,     2,     1,     1,     1,
       0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1601 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32287 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1603 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32293 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1605 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32299 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1607 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32305 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1609 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32311 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1611 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32317 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1613 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32323 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1615 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32329 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1617 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32335 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1619 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32341 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1621 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32347 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1623 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32353 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1625 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32359 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1627 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32365 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1629 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32371 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1631 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32377 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1633 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32383 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1635 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32389 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1637 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32395 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1639 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32401 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1641 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32407 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1643 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32413 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1645 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32419 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32425 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32431 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32437 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32443 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32449 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32455 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32461 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32467 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32473 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32479 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1667 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 32501 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1685 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32507 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1687 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32513 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1689 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32519 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1691 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32525 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1693 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32531 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1695 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32537 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1697 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32543 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1699 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32549 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1701 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32555 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1703 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32561 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32567 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32573 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32579 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32585 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1713 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32591 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1715 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32597 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1717 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32603 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1719 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32609 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32615 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1723 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32621 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1725 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32627 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1727 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32633 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1729 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32639 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32645 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32651 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32657 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32663 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32669 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32675 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32681 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32687 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32693 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32699 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32705 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1753 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32711 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1755 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32717 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1757 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 32725 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 32731 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32737 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32743 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 32749 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32755 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32761 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32767 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32773 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1777 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32779 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1779 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32785 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1781 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32791 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1783 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32797 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32803 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32809 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1789 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32815 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1791 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32821 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1793 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32827 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1795 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32833 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1797 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 32839 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1799 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32845 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1801 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 32851 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32857 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1805 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32863 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1807 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32869 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1809 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32875 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1811 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32881 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1813 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32887 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32893 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1817 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32899 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1819 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32905 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1821 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32911 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1823 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 32922 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1830 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32928 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1832 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32934 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1834 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32940 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1836 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32946 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1838 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32952 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1840 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32958 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1842 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32964 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1844 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32970 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1846 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32976 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1848 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32982 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1850 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32988 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1852 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 32998 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1858 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33004 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1860 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33010 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1862 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 33016 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1864 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33022 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1866 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33028 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1868 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33034 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1870 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33040 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1872 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33046 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1874 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 33056 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1880 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33070 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1890 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 33078 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1894 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 33088 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1900 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 33096 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1904 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 33110 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1914 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33124 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1923 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 33130 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1925 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33148 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1939 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 33159 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1946 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 33169 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1952 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 33184 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1963 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33194 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1969 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33207 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1978 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 33218 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1985 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 33228 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1991 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 33241 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 2000 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 33252 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 2007 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 33263 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 2014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33269 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33277 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 33285 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 33293 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33300 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33308 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33315 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33323 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33330 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 33338 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 33346 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 33354 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2077 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 33363 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 33371 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 33379 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 33387 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 33395 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33403 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33411 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 33419 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 33427 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33435 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 33443 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 33451 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33459 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33467 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33475 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33482 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 33490 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33498 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33506 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33514 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33522 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 33530 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 33538 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 33546 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 33554 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 33562 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 33570 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33578 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 33586 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 33594 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 33602 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33610 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33618 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2249 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33627 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2254 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33636 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33644 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33651 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33659 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33666 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33674 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33682 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33690 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33698 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33706 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33714 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33722 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 33730 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 33738 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 33746 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 33754 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33762 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33770 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33778 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 33786 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33794 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 33802 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 33810 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2370 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 33819 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 33827 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 33835 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33843 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 33851 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 33859 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 33867 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 33875 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33883 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33891 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33899 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33907 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33915 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2435 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 33929 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 33937 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 33945 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 33953 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 33961 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 33969 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 33977 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 33985 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33993 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34001 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34009 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34017 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34025 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34033 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34041 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 34049 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34057 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34065 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34072 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34080 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34088 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 34096 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34104 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 34112 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 34120 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 34128 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34136 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34144 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34152 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34160 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34168 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34176 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 34184 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 34192 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 34200 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 34208 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2628 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 34217 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34225 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34233 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34241 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 34249 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 34257 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 34265 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 34273 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 34281 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 34289 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 34297 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 34305 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34313 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34321 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34329 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34337 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34345 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34353 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34361 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34369 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34377 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34385 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34393 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34401 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34409 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34417 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34425 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34433 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34441 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34449 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34457 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34465 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34473 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("detach partition"),(yyvsp[0].str));
}
#line 34481 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34489 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 34497 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 34505 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 34513 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34521 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 34529 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 34537 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 34545 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 34553 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 34561 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 34569 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 34577 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34585 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 34593 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 34601 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34609 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34617 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34625 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34633 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34641 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34649 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 34657 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34665 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34673 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 34681 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 34689 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 34697 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 34705 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 34713 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 34721 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 34729 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 34737 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 34745 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 34753 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 34761 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 34769 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 34777 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 34785 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 34793 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 34801 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 34809 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 34817 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 34825 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 34833 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 34841 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 34849 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 34857 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 34865 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34873 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 34881 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 3001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 34889 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 34897 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 34905 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 34913 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 34921 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34929 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 34937 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 34945 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34953 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34961 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34968 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34976 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34983 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34991 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34998 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 35006 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 35014 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 35022 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 35030 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35038 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 35046 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35053 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35061 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35069 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35077 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35085 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35093 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35101 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35109 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35117 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 35125 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35133 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35141 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 35149 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35157 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35165 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35173 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35181 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 35189 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35197 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35205 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35213 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35221 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 35229 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 35237 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35245 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35253 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35261 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35269 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35277 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35285 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35293 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35301 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3289 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 35310 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 35318 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3302 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35330 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35338 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 35346 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 35354 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 35362 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35369 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35377 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 35385 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 35393 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35401 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35409 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35417 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35424 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35432 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 35440 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 35448 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35456 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35464 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 35472 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 35480 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35488 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35496 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 35504 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 35512 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 35520 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 35528 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 35536 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35544 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35551 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 35559 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35566 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 35574 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35581 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 35589 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35596 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35604 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35612 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35620 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35628 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35636 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 35644 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35652 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35659 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35667 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35675 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35683 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35691 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35699 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35707 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35715 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35723 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35731 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 35739 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 35747 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 35755 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 35763 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 35771 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 35779 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 35787 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35794 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35802 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35809 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35817 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35824 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35832 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35840 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35848 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35856 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35864 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35872 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35880 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35888 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35896 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35904 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35912 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 35920 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35928 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35935 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35943 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35951 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35959 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 35967 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 35975 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 35983 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35991 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35999 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36007 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 36015 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 36023 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36031 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 36039 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 36047 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36055 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36063 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36071 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36079 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36087 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 36095 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 36103 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36110 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 36118 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 36126 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 36134 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 36142 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 36150 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 36158 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36166 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36174 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36182 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36190 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36198 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36206 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36214 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36222 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36230 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36238 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36246 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36253 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36261 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36268 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36276 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36284 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36292 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 36300 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 36309 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 36317 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36324 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36332 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36340 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36348 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36356 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36364 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36371 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36379 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36387 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36395 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36403 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36410 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 36418 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 36426 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 36434 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36442 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 36450 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 36458 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 36466 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36474 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36481 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36489 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36496 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36504 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36512 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36520 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36528 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36536 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36544 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36552 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36560 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36568 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 36576 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 36584 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36591 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 36599 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 36607 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 36615 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36622 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 36630 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36637 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 36645 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36652 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 36660 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36668 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36676 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36684 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 36692 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 36700 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36707 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36715 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36723 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36731 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 36739 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36746 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36754 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36762 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36770 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36778 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36786 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36794 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36801 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36809 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36816 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36824 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36832 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 36840 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 36848 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 36856 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 36864 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36872 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 36880 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 36888 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 36896 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 36904 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 36912 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 36920 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36928 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 36936 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36944 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 36952 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36959 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36967 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 36975 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 36983 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36991 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36999 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37007 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37015 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37023 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 37031 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37038 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37046 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37054 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 37062 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37069 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37077 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37085 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37093 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37100 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37108 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37116 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 37124 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37131 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37139 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 37147 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37154 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 37162 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 37170 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37178 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37186 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37194 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37201 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 37209 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 37217 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 37225 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 37233 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 37241 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37249 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37256 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37264 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 37272 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 37280 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37288 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 37296 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 37304 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 37312 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 37320 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37328 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 37336 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37344 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37352 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 37360 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 37368 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 37376 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 37384 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 37392 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 37400 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 37408 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 37416 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 37424 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 37432 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 37440 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 37448 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37456 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37464 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 37472 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37480 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 37488 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 37496 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37504 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37512 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37520 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37528 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37536 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37543 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37551 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37559 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37567 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37574 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37582 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37590 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37598 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37606 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37614 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37622 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 37630 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 37638 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 37646 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37654 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37662 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37670 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37678 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37686 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 37694 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37701 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 37709 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 37717 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37725 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37732 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37740 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37748 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37756 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37764 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37772 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37780 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37788 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37796 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37804 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37812 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 37820 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 37828 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37836 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37843 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37851 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37859 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37867 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 37875 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37883 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37891 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37899 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37907 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37915 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37923 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37930 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37938 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37945 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37953 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37960 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37968 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37975 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 37983 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37990 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37998 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38005 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38013 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 38021 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 38029 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 38037 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 38045 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 38053 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38061 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38069 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 38077 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 38085 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 38093 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38101 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 38109 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 38117 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 38125 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 38133 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 38141 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 38149 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 38157 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38164 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38172 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38180 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38188 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 38196 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 38204 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38212 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38220 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38228 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38236 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38243 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 38251 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38258 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38266 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 38274 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38282 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38289 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38297 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38305 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38312 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38320 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38328 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38336 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38344 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38352 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38359 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38366 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38374 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 38382 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 38390 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 38398 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 38406 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 38414 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 38422 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38430 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38438 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38446 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 38454 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38462 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 38470 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 38478 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38486 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 38494 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 38502 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 38510 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 38518 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38527 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5507 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38536 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38544 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38552 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38560 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38568 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 38576 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38584 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38592 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 38600 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38608 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38616 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38624 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38632 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38640 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38648 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38656 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38664 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38672 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38680 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38688 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38696 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38704 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38712 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38720 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38728 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38736 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38744 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 38752 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38760 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38768 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38776 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38784 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38792 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38799 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38807 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38815 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38823 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 38831 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 38839 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 38847 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 38855 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38862 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 38870 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38878 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38886 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38894 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38902 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38910 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38918 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 38926 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 38934 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38941 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 38949 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38956 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 38964 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 38972 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38979 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5807 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 38988 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38995 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 39003 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 39011 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 39019 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39027 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39035 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39043 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39051 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39059 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39067 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39075 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39083 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39091 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39099 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39107 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39115 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39123 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39131 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39139 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39147 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39155 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39163 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39171 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39179 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39187 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39195 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39203 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39211 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39219 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39227 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39235 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39243 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 39251 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 39259 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 39267 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 39275 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 39283 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 39291 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 39299 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 39307 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39315 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 39323 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39331 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39339 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39347 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39355 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 39363 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 39371 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 39379 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39387 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39395 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39403 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39411 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 39419 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39427 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39435 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39443 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 39451 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 39459 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39466 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39474 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39482 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39490 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39498 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39506 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39514 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39522 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39530 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39538 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39546 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39554 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39562 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39570 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39578 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39586 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39594 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 39602 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39610 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39618 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39626 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 39634 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39642 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39650 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39658 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 39666 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 39674 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39682 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 39690 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 39698 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 39706 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 39714 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 39722 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39730 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39738 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 39746 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39754 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 39762 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39770 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 39778 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39786 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39794 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 39802 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 39810 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39818 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 39826 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39834 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39842 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39850 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39858 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39866 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39874 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39882 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 39890 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39897 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39905 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39913 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39921 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39929 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39937 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39945 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39953 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39961 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 39969 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39977 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 39985 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39993 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 40001 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 40009 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40017 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 40025 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 40033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 40041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6446 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 40049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6450 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 40059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6456 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 40069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6462 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 40079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6468 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 40089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6474 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 40099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6480 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 40109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6486 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 40119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6492 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 40129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6502 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 40144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6513 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6524 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6535 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6546 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6557 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6568 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6584 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6600 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6616 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6627 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6643 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6654 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6670 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 40372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 40380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 40443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 40483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 40491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 40499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 40523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 40531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 40539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 40547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 40555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 40563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 40571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 40579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 40587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 40595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 40603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 40611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 40619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 40627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 40635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 40667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 40675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 40714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 40729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 40767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 40775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 40783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 40815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 40823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 40831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 40839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 40847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 40871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 40886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 40916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 40971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 41001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 41009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 41024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 41032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 41071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 41094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 41174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 41238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 41246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 41254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 41262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 41270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 41302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 41310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 41326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7343 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 41343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 41351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 41439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 41447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 41455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 41463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 41471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 41479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 41487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 41495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 41503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 41511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 41519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 41527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 41535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 41543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 41559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 41567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 41575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 41583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 41591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 41623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 41631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 41639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 41702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 41789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 41805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 41837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 41869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 41885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 41893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 41901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 41909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 41932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 41955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 41963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 41971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 41979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 42027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 42043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 42051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 42059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 42083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 42091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 42099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 42515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 42530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 42801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for table"),(yyvsp[0].str));
}
#line 43056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for all tables");
}
#line 43064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("add table"),(yyvsp[0].str));
}
#line 43080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("set table"),(yyvsp[0].str));
}
#line 43088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("drop table"),(yyvsp[0].str));
}
#line 43096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 43144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 43152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 43168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 43176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 43208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 43232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 43303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 43311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 43319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 43327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 43335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 43343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 43366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 43381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 43389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 43397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 43405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 43421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 43429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 43437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 43445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 43453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 43461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 43469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 43477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 43493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 43501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 43509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 43517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 43525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 43540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 43548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 43556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 43564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 43572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8780 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8785 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 43653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 43661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 43669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 43684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 43747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 43763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 43771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 43779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 43787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 43795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 43803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 43811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 43826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 43842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 43858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 43866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 43874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 43882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 43890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 43914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 43922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 43930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 8991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 8995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 8999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 43954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 43962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 44017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 44025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 44033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 44041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 44049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 44065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 44073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 44081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 44208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 44216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 44284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 44300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9336 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 44453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9342 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 44463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 44516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 44563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 44603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 44611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 44619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 44659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 44682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 44697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 44720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 44743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 44758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 44766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 44774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 44782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 44790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 44798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 44806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 44814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 44845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 44892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9673 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 44969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9730 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 44989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 45004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 45012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 45020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 45028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9765 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 45039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 45047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 45055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 45231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 45239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 45247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9935 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 45295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9939 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 45472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 45559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10115 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 45568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 45576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 45584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 45663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 45671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 45679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 45687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 45758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 45790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 45813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 45860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 45868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 45876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 45884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 45892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 45923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10430 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10437 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 46048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 46072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 46080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 46096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 46174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 46182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 46190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 46198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 46206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 46229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 46245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 46253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 46387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10717 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 46426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 46528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 46568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10856 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 46614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10858 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 46620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 46644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 46652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10880 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 46666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10890 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 46680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10900 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 46690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 46817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 46825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 46833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 46841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 11001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 46849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 11005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 46857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 11009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 46865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 11013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 46873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 11017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 46881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 46889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 11025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 46897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 11033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 11037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 11044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 11048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 11056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 11060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 11068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 46960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 11084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 11088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 11096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 11100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 11108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 11116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 11124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 47016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 11128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 47024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 11132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 47032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 11136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 47040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 11140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 47048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 47056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 47064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 47087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 47103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 47111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 47119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 47127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 47142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 47150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 47158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 47166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 47174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 47190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 47198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 47206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 47214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 47222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 47230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 47238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 47253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 47277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 47285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 47293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 47317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 47325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 47373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 47389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 47397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 47405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 47445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 47469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 47485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 47501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 47517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 47533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 47549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 47565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 47573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 47581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 47589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 47597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 47605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 47613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 47621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 47629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 47637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 47645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 47653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 47661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 47717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 47725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11517 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 47750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 47758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 47766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 47774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 47790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 47814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 47822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 47870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 47886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 47894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 47902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 47934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 47942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 47966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 47974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 48046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 48054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 48062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 48094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 48142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48174 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 48190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 48198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 48214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 48230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 48246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 48262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 48270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 48278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 48286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 48294 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 48302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48318 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48414 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48430 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48438 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48462 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48478 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48486 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48502 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48510 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 48518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 48526 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 48534 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 48542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 48550 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 48605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 48613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 48621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 48629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 48644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 48652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 48660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 48668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 48706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 48745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 48753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 48791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12138 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 48807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 48815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48830 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 48838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 48846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 48854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 48862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 48870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 48878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 48894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 48918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 48934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 48942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 48950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 48974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 48982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 48990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 48998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 49006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 49014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 49022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 49030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 49038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 49046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 49054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 49062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49078 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 49118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 49126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 49134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 49142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49174 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 49190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 49198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 49238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 49285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 49293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 49301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 49309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 49317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 49325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 49357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 49365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 49435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 49483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 49507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 49515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 49561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 49569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 49639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 49685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 49709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 49861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 49909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 49917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 49925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12904 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12905 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12911 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12920 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 49965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 49973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 49997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 50061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 50069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 50077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 50085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 13006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 50093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 50101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 50109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 50117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 50125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 13026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 50133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 13030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 50141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 13034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 50149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 13038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 50157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 13042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 50165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 13046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 50173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 13050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 50181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 13054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 50189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 13058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 50197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 13062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 50205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 13066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 50213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 13070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 50221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 13074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 50229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 13078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 50237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 13082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 50245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 13086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 50253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 13090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 50261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 13094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 50269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 13098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 50277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 13102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 50285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 13106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 50293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 13110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 50301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 13114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 50309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 13118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 50317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 13122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 50325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 13126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 50333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 13130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 50341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 50349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 50357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 13142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 50365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 50373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 13150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 50381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 13154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 50389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 13158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 50397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 13162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 50405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 13166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 50413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 13170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 50421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 13174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 50429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 50437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 50445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 50453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 50461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 50469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 50477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 50485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 50493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 50501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 50509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 50517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 50525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 50533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 50541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 50549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 50557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 50565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 50573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 50581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 50589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 50597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 50605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 50613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 50621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 50629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 50637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 50645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 50653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 50661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 50669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 50677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 50685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 50693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 50701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 50709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 50717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 50725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 50733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 50741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 50749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 50757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 50765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 50773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 50781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 50789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 50797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 50805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 50813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 50821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 50829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 50837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 50845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 50853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 50861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 50869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 50877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 50885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 50893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 50901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 50909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 50917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 50925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 50933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 50941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 50949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 50957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 50965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 50973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 50981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 50989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 50997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 51005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 51013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 51021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 51029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 51037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 51045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 51053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 51061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 51069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 51077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 51085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 51093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 51101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 51109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 51117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 51125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 51133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 51141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 51149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 51157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 51165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 51173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 51181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 51189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 51197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 51205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 51213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 51221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 51229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 51237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 51245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 51253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 51261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 51269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 51277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 51285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 51293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 51301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 51309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 51317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 51325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 51333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 51341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 51349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 51357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 51365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 51373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 51381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 51389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 51397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 51405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 51413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 51421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 51429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 51437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 51445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 51453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 51461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 51469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 51477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 51485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 51493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 51501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 51509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 51517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 51525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 51533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 51541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 51549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 51557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 51565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 51573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 51581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 51589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 51597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 51605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 51613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 51621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 51629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 51637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 51645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 51653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 51661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 51669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 51677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 51685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 51693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 51701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 51709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 51717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 51725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 51733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 51741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 51749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 51757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 51765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 51773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 51781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 51789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 51797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 51805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 51813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 51821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 51829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 51837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 51845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 51853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 51861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 51869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 51877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 51885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 51893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 51901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 51909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 51917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 51925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 51933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 51941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 51949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 51957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 51965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 51973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 51981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 51989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 51997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 52005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 52013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 52021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 52029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 52037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 52045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 52053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 52061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 52069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 52077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 14002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 52085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 14006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 52093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 14010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 52101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 14014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 52109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 14018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 52117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 14022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 52125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 14026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 52133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 14030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 52141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 14034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 52149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 14038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 52157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 14042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 52165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 14046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 52173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 52181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 52189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 52197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 52205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 52213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 52221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 52229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 52237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 52245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 52253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 52261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 52269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 52277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 52285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 52293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 52301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 52309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 52317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 52325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 52333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 52341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 52349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 52357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 52365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 52373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 52381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 52389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 52397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 52405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 52413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 52421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 52429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 52437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 52445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 52453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 52461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 52469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 52477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 52485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 52493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 52501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 52509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 52517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 52525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 52533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 52541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 52549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 52557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 52565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 52573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 52581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 52589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 52597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 52605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 52613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 52621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 52629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 52637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 52645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 52653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 52661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 52669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 52677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 52685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 52693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 52701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 52709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 52717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 52725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 52733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 52741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 52749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 52757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 52765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 52773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 52781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 52789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 52797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 52805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 52813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 52821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 52829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 52837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 52845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 52853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 52861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 52869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 52877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 52885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 52893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 52901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 52909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 52917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 52925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 52933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 52941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 52949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 52957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 52965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 52973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 52981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 52989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 52997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 53005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 53013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 53021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 53029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 53037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 53045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 53053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 53061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 53069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 53077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 53085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 53093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 53101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 53109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 53117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 53125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 53133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 53141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 53149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 53157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 53165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 53173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 53181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 53189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 53197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 53205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 53213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 53221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 53229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 53237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 53245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 53253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 53261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 53269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 53277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 53285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 53293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 53301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 53309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 53317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 53325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 53333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 53341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 53349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 53357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 53365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 53373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 53381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 53389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 53397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14683 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 53403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14686 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 53413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14694 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 53431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14696 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 53446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14708 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 53452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14709 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 53463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14718 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 53477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 53483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 53489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14738 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 53495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 53501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14744 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 53517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14756 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 53537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14772 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 53545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14776 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 53558 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14786 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14787 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14791 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 53584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14803 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 53595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14811 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14812 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14815 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14816 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 53619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14817 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14820 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 53631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14821 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14824 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14825 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 53649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14828 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14829 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 53661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14833 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 53667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14835 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14839 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14843 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 53696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14850 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 53707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14857 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 53725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14873 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 53761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14907 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 53775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14916 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14920 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 53789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14924 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 53803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14938 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14942 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14946 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 53845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14959 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14967 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 53914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15028 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 53924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15038 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15039 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15042 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15044 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15045 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15048 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15049 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 53966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15050 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 53972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15051 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 53978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15052 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 53984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15059 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 53990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15061 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 54000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15068 "preproc.y" /* yacc.c:1646  */
    {}
#line 54006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15070 "preproc.y" /* yacc.c:1646  */
    {}
#line 54012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15073 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15076 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15077 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15078 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15079 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15082 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15083 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15087 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 54070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15093 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 54082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15103 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 54096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15113 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 54104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15117 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 54118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15127 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 54126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15131 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 54134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15136 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 54140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15137 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15141 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15142 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 54158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15143 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 54164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15146 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 54170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15147 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 54176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15148 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 54182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15149 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 54188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15152 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 54194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15153 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 54200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15157 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15165 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 54233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15182 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15190 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15213 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 54382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15319 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 54418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 54424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15355 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54430 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15357 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15361 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 54442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15364 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 54453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15371 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15414 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15416 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 54515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15422 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54526 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15431 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 54536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15437 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 54545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15444 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 54554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15449 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 54562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15454 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15455 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15458 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15459 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15460 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 54592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15461 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 54598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15462 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 54604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15463 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 54610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15465 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 54622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15473 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 54634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15480 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 54640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15483 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 54646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15484 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 54652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15485 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 54658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15486 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 54664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15487 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 54670 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15489 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 54682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15497 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 54694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15504 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 54700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15505 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 54706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15506 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 54712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15516 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 54729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15525 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 54818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15612 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15614 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 54833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15620 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 54845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15622 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 54851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15629 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 54860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15637 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15640 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 54878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 54884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 54890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15646 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 54896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 54902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15652 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 54920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15661 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15669 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 54942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15680 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15685 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15690 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15697 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15702 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15709 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15718 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 55022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15728 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 55046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 55052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 55064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 55070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15743 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 55099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15750 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15762 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15768 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 55136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15775 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15782 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 55152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15783 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15796 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15807 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15818 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 55182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15826 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 55188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15831 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 55194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15839 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 55202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15845 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15853 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15858 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 55228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15866 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 55234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15873 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 55240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15877 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 55246 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 15885 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 55254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15891 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15900 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15905 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15915 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15925 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15936 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 55320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15937 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 55326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15938 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 55332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15939 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 55338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15940 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 55344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15941 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 55350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15942 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15943 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 55362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15944 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 55368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15945 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 55374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15946 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 55380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15947 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15948 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 55392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15949 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 55398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15950 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 55404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15957 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15961 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 55422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15962 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 55428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15969 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15970 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15971 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15978 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15984 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 55469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15994 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 55475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 15995 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 16002 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 16008 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 55553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 16072 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 16078 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 16084 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 16092 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 55593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 16098 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 55603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 16104 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 55613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 16110 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 55623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 16116 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 55633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 16122 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 55643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 16128 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 55653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 16134 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 55663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 16140 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 55673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 16150 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 16151 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 16154 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 55691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 16155 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 55697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 16156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 55703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 16157 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 55709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 16158 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 55715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 16159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 55721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 16160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 55727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 16161 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 55733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 16162 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 55739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 16163 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 55745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 16164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 55751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 16165 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 55757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 16166 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 55763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 16167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 55769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 16168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 55775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 16169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 55781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 16170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 55787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 16171 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 55793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 16172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 55799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 16173 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 55805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 16174 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 55811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 16175 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 55817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 16176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 55823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 16179 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 55829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 16180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 55835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 16181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 55841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 16182 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 55847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 16183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 55853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 16184 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 55859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 16188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 55865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 16189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 55871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 16190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 55877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 16191 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 55883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 16192 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 55889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 16193 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 55895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 16194 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 55901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 16197 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 16200 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55913 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 16201 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 16202 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 16203 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 16204 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55937 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 16205 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 16206 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 55949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 16207 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 55955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 16220 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55961 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 16221 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 16222 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 16223 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 16224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55985 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 16225 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 55991 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 16226 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 55997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 16231 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 16232 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 16233 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 16234 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 16235 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 16236 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 16242 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 16243 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 16244 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 56051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 16245 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 56057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 16246 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 56063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 16247 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 56069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 16248 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 56075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 16249 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 56081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 16250 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 56087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 16251 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 16252 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 16255 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 16256 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 16257 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 16258 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56123 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 16259 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 56129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 16262 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56135 "preproc.c" /* yacc.c:1646  */
    break;

  case 2990:
#line 16263 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2991:
#line 16264 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2992:
#line 16265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2993:
#line 16268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2994:
#line 16269 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 56165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2995:
#line 16270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2996:
#line 16271 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 56177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2997:
#line 16272 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 56183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2998:
#line 16273 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 56189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2999:
#line 16274 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56195 "preproc.c" /* yacc.c:1646  */
    break;

  case 3000:
#line 16291 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56201 "preproc.c" /* yacc.c:1646  */
    break;

  case 3001:
#line 16292 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56207 "preproc.c" /* yacc.c:1646  */
    break;

  case 3002:
#line 16293 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 56213 "preproc.c" /* yacc.c:1646  */
    break;

  case 3003:
#line 16296 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 56219 "preproc.c" /* yacc.c:1646  */
    break;

  case 3004:
#line 16297 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 56225 "preproc.c" /* yacc.c:1646  */
    break;

  case 3005:
#line 16298 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 56231 "preproc.c" /* yacc.c:1646  */
    break;

  case 3006:
#line 16299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 56237 "preproc.c" /* yacc.c:1646  */
    break;

  case 3007:
#line 16300 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 56243 "preproc.c" /* yacc.c:1646  */
    break;

  case 3008:
#line 16301 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 56249 "preproc.c" /* yacc.c:1646  */
    break;

  case 3011:
#line 16308 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 56258 "preproc.c" /* yacc.c:1646  */
    break;

  case 3012:
#line 16314 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3013:
#line 16315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56270 "preproc.c" /* yacc.c:1646  */
    break;

  case 3014:
#line 16319 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 56276 "preproc.c" /* yacc.c:1646  */
    break;

  case 3015:
#line 16321 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 56282 "preproc.c" /* yacc.c:1646  */
    break;

  case 3016:
#line 16326 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 56294 "preproc.c" /* yacc.c:1646  */
    break;

  case 3017:
#line 16336 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 56307 "preproc.c" /* yacc.c:1646  */
    break;

  case 3018:
#line 16347 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 56316 "preproc.c" /* yacc.c:1646  */
    break;

  case 3019:
#line 16353 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56322 "preproc.c" /* yacc.c:1646  */
    break;

  case 3020:
#line 16354 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56328 "preproc.c" /* yacc.c:1646  */
    break;

  case 3021:
#line 16355 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56334 "preproc.c" /* yacc.c:1646  */
    break;

  case 3022:
#line 16359 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 56369 "preproc.c" /* yacc.c:1646  */
    break;

  case 3023:
#line 16391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56375 "preproc.c" /* yacc.c:1646  */
    break;

  case 3024:
#line 16393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56381 "preproc.c" /* yacc.c:1646  */
    break;

  case 3025:
#line 16395 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56387 "preproc.c" /* yacc.c:1646  */
    break;

  case 3026:
#line 16399 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 56401 "preproc.c" /* yacc.c:1646  */
    break;

  case 3027:
#line 16409 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56415 "preproc.c" /* yacc.c:1646  */
    break;

  case 3028:
#line 16419 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56429 "preproc.c" /* yacc.c:1646  */
    break;

  case 3029:
#line 16428 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56435 "preproc.c" /* yacc.c:1646  */
    break;

  case 3030:
#line 16429 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56441 "preproc.c" /* yacc.c:1646  */
    break;

  case 3031:
#line 16432 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56447 "preproc.c" /* yacc.c:1646  */
    break;

  case 3032:
#line 16434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56453 "preproc.c" /* yacc.c:1646  */
    break;

  case 3033:
#line 16435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56459 "preproc.c" /* yacc.c:1646  */
    break;

  case 3034:
#line 16436 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56465 "preproc.c" /* yacc.c:1646  */
    break;

  case 3035:
#line 16440 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56471 "preproc.c" /* yacc.c:1646  */
    break;

  case 3036:
#line 16442 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 56477 "preproc.c" /* yacc.c:1646  */
    break;

  case 3037:
#line 16449 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56483 "preproc.c" /* yacc.c:1646  */
    break;

  case 3038:
#line 16450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 56489 "preproc.c" /* yacc.c:1646  */
    break;

  case 3039:
#line 16452 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 56495 "preproc.c" /* yacc.c:1646  */
    break;

  case 3040:
#line 16455 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56501 "preproc.c" /* yacc.c:1646  */
    break;

  case 3041:
#line 16457 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56507 "preproc.c" /* yacc.c:1646  */
    break;

  case 3042:
#line 16460 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56513 "preproc.c" /* yacc.c:1646  */
    break;

  case 3043:
#line 16461 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 56519 "preproc.c" /* yacc.c:1646  */
    break;

  case 3044:
#line 16464 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56525 "preproc.c" /* yacc.c:1646  */
    break;

  case 3045:
#line 16465 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 56531 "preproc.c" /* yacc.c:1646  */
    break;

  case 3046:
#line 16468 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56537 "preproc.c" /* yacc.c:1646  */
    break;

  case 3047:
#line 16469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 56543 "preproc.c" /* yacc.c:1646  */
    break;

  case 3048:
#line 16470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 56549 "preproc.c" /* yacc.c:1646  */
    break;

  case 3049:
#line 16471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 56555 "preproc.c" /* yacc.c:1646  */
    break;

  case 3050:
#line 16472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 56561 "preproc.c" /* yacc.c:1646  */
    break;

  case 3051:
#line 16475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56567 "preproc.c" /* yacc.c:1646  */
    break;

  case 3052:
#line 16476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56573 "preproc.c" /* yacc.c:1646  */
    break;

  case 3053:
#line 16477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56579 "preproc.c" /* yacc.c:1646  */
    break;

  case 3054:
#line 16478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56585 "preproc.c" /* yacc.c:1646  */
    break;

  case 3055:
#line 16479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 56591 "preproc.c" /* yacc.c:1646  */
    break;

  case 3056:
#line 16480 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 56597 "preproc.c" /* yacc.c:1646  */
    break;

  case 3057:
#line 16481 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 56603 "preproc.c" /* yacc.c:1646  */
    break;

  case 3058:
#line 16482 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 56609 "preproc.c" /* yacc.c:1646  */
    break;

  case 3059:
#line 16483 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 56615 "preproc.c" /* yacc.c:1646  */
    break;

  case 3060:
#line 16484 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 56621 "preproc.c" /* yacc.c:1646  */
    break;

  case 3061:
#line 16485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 56627 "preproc.c" /* yacc.c:1646  */
    break;

  case 3062:
#line 16486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 56633 "preproc.c" /* yacc.c:1646  */
    break;

  case 3063:
#line 16487 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56639 "preproc.c" /* yacc.c:1646  */
    break;

  case 3064:
#line 16488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56645 "preproc.c" /* yacc.c:1646  */
    break;

  case 3065:
#line 16489 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 56651 "preproc.c" /* yacc.c:1646  */
    break;

  case 3066:
#line 16490 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 56657 "preproc.c" /* yacc.c:1646  */
    break;

  case 3067:
#line 16491 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 56663 "preproc.c" /* yacc.c:1646  */
    break;

  case 3068:
#line 16492 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 56669 "preproc.c" /* yacc.c:1646  */
    break;

  case 3069:
#line 16493 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 56675 "preproc.c" /* yacc.c:1646  */
    break;

  case 3070:
#line 16494 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56681 "preproc.c" /* yacc.c:1646  */
    break;

  case 3071:
#line 16495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 56687 "preproc.c" /* yacc.c:1646  */
    break;

  case 3072:
#line 16496 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 56693 "preproc.c" /* yacc.c:1646  */
    break;

  case 3073:
#line 16497 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 56699 "preproc.c" /* yacc.c:1646  */
    break;

  case 3074:
#line 16498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 56705 "preproc.c" /* yacc.c:1646  */
    break;

  case 3075:
#line 16499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 56711 "preproc.c" /* yacc.c:1646  */
    break;

  case 3076:
#line 16500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 56717 "preproc.c" /* yacc.c:1646  */
    break;

  case 3077:
#line 16501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 56723 "preproc.c" /* yacc.c:1646  */
    break;

  case 3078:
#line 16502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 56729 "preproc.c" /* yacc.c:1646  */
    break;

  case 3079:
#line 16503 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 56735 "preproc.c" /* yacc.c:1646  */
    break;

  case 3080:
#line 16504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 56741 "preproc.c" /* yacc.c:1646  */
    break;

  case 3081:
#line 16505 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 56747 "preproc.c" /* yacc.c:1646  */
    break;

  case 3082:
#line 16506 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 56753 "preproc.c" /* yacc.c:1646  */
    break;

  case 3083:
#line 16507 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 56759 "preproc.c" /* yacc.c:1646  */
    break;

  case 3084:
#line 16508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56765 "preproc.c" /* yacc.c:1646  */
    break;

  case 3085:
#line 16509 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 56771 "preproc.c" /* yacc.c:1646  */
    break;

  case 3086:
#line 16510 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 56777 "preproc.c" /* yacc.c:1646  */
    break;

  case 3087:
#line 16511 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 56783 "preproc.c" /* yacc.c:1646  */
    break;

  case 3088:
#line 16512 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 56789 "preproc.c" /* yacc.c:1646  */
    break;

  case 3089:
#line 16513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 56795 "preproc.c" /* yacc.c:1646  */
    break;

  case 3090:
#line 16514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 56801 "preproc.c" /* yacc.c:1646  */
    break;

  case 3091:
#line 16515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 56807 "preproc.c" /* yacc.c:1646  */
    break;

  case 3092:
#line 16516 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 56813 "preproc.c" /* yacc.c:1646  */
    break;

  case 3093:
#line 16517 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 56819 "preproc.c" /* yacc.c:1646  */
    break;

  case 3094:
#line 16518 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 56825 "preproc.c" /* yacc.c:1646  */
    break;

  case 3095:
#line 16519 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 56831 "preproc.c" /* yacc.c:1646  */
    break;

  case 3096:
#line 16520 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 56837 "preproc.c" /* yacc.c:1646  */
    break;

  case 3097:
#line 16521 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 56843 "preproc.c" /* yacc.c:1646  */
    break;

  case 3098:
#line 16522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 56849 "preproc.c" /* yacc.c:1646  */
    break;

  case 3099:
#line 16523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 56855 "preproc.c" /* yacc.c:1646  */
    break;

  case 3100:
#line 16524 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 56861 "preproc.c" /* yacc.c:1646  */
    break;

  case 3101:
#line 16525 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 56867 "preproc.c" /* yacc.c:1646  */
    break;

  case 3102:
#line 16526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 56873 "preproc.c" /* yacc.c:1646  */
    break;

  case 3103:
#line 16527 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 56879 "preproc.c" /* yacc.c:1646  */
    break;

  case 3104:
#line 16528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 56885 "preproc.c" /* yacc.c:1646  */
    break;

  case 3105:
#line 16529 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 56891 "preproc.c" /* yacc.c:1646  */
    break;

  case 3106:
#line 16530 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 56897 "preproc.c" /* yacc.c:1646  */
    break;

  case 3107:
#line 16533 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56903 "preproc.c" /* yacc.c:1646  */
    break;

  case 3108:
#line 16534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56909 "preproc.c" /* yacc.c:1646  */
    break;

  case 3109:
#line 16535 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 56915 "preproc.c" /* yacc.c:1646  */
    break;

  case 3110:
#line 16536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 56921 "preproc.c" /* yacc.c:1646  */
    break;

  case 3111:
#line 16539 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56927 "preproc.c" /* yacc.c:1646  */
    break;

  case 3112:
#line 16540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 56933 "preproc.c" /* yacc.c:1646  */
    break;

  case 3113:
#line 16541 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 56939 "preproc.c" /* yacc.c:1646  */
    break;

  case 3114:
#line 16542 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 56945 "preproc.c" /* yacc.c:1646  */
    break;

  case 3115:
#line 16543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 56951 "preproc.c" /* yacc.c:1646  */
    break;

  case 3116:
#line 16544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 56957 "preproc.c" /* yacc.c:1646  */
    break;

  case 3117:
#line 16545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 56963 "preproc.c" /* yacc.c:1646  */
    break;

  case 3118:
#line 16546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56969 "preproc.c" /* yacc.c:1646  */
    break;

  case 3119:
#line 16547 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56975 "preproc.c" /* yacc.c:1646  */
    break;

  case 3120:
#line 16548 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 56985 "preproc.c" /* yacc.c:1646  */
    break;

  case 3121:
#line 16555 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56991 "preproc.c" /* yacc.c:1646  */
    break;

  case 3122:
#line 16556 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56997 "preproc.c" /* yacc.c:1646  */
    break;

  case 3123:
#line 16557 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57003 "preproc.c" /* yacc.c:1646  */
    break;

  case 3124:
#line 16558 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57009 "preproc.c" /* yacc.c:1646  */
    break;

  case 3125:
#line 16559 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57015 "preproc.c" /* yacc.c:1646  */
    break;

  case 3126:
#line 16562 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57021 "preproc.c" /* yacc.c:1646  */
    break;

  case 3127:
#line 16563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57027 "preproc.c" /* yacc.c:1646  */
    break;

  case 3128:
#line 16566 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57033 "preproc.c" /* yacc.c:1646  */
    break;

  case 3129:
#line 16568 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 57046 "preproc.c" /* yacc.c:1646  */
    break;

  case 3130:
#line 16578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57052 "preproc.c" /* yacc.c:1646  */
    break;

  case 3131:
#line 16579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57058 "preproc.c" /* yacc.c:1646  */
    break;


#line 57062 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 16582 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
